# -*- coding: utf-8 -*-
##############################################################################
#
#    Author: Guewen Baconnier
#    Copyright 2013 Camptocamp SA
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

# flake8: noqa : ignore style in this file because it is a data file
# only

"""
Magento responses for calls done by the connector.

This set of responses has been recorded for the synchronizations
with a Magento 1.7 version with demo data.

It has been recorded using ``magentoerpconnect.unit.backend_adapter.record``
and ``magentoerpconnect.unit.backend_adapter.output_recorder``
"""
import time


FMT = "%Y-%m-%d %H:%M:%S"


magento_base_responses = \
    {('catalog_category.info', (1, )): {'all_children': '1,3,10,22,23,13,12,25,26,15,27,28,29,30,31,32,33,34,8,18,19,4,5,16,17',
                                                  'available_sort_by': None,
                                                  'category_id': '1',
                                                  'children': '3',
                                                  'created_at': '2007-07-20 18:46:08',
                                                  'custom_apply_to_products': None,
                                                  'custom_design': None,
                                                  'custom_design_from': None,
                                                  'custom_design_to': None,
                                                  'custom_layout_update': None,
                                                  'custom_use_parent_settings': None,
                                                  'default_sort_by': None,
                                                  'description': None,
                                                  'display_mode': None,
                                                  'filter_price_range': None,
                                                  'image': None,
                                                  'include_in_menu': '1',
                                                  'increment_id': None,
                                                  'is_active': '1',
                                                  'is_anchor': None,
                                                  'landing_page': None,
                                                  'level': '0',
                                                  'meta_description': None,
                                                  'meta_keywords': None,
                                                  'meta_title': None,
                                                  'name': None,
                                                  'page_layout': None,
                                                  'parent_id': 0,
                                                  'path': '1',
                                                  'path_in_store': None,
                                                  'position': '1',
                                                  'thumbnail': None,
                                                  'updated_at': '2007-08-07 09:50:15',
                                                  'url_key': None,
                                                  'url_path': None},
     ('catalog_category.info', (1, u'2', )): {'all_children': '1,3,10,22,23,13,12,25,26,15,27,28,29,30,31,32,33,34,8,18,19,4,5,16,17',
                                                  'available_sort_by': None,
                                                  'category_id': '1',
                                                  'children': '3',
                                                  'created_at': '2007-07-20 18:46:08',
                                                  'custom_apply_to_products': None,
                                                  'custom_design': None,
                                                  'custom_design_from': None,
                                                  'custom_design_to': None,
                                                  'custom_layout_update': None,
                                                  'custom_use_parent_settings': None,
                                                  'default_sort_by': None,
                                                  'description': None,
                                                  'display_mode': None,
                                                  'filter_price_range': None,
                                                  'image': None,
                                                  'include_in_menu': '1',
                                                  'increment_id': None,
                                                  'is_active': '1',
                                                  'is_anchor': None,
                                                  'landing_page': None,
                                                  'level': '0',
                                                  'meta_description': None,
                                                  'meta_keywords': None,
                                                  'meta_title': None,
                                                  'name': None,
                                                  'page_layout': None,
                                                  'parent_id': 0,
                                                  'path': '1',
                                                  'path_in_store': None,
                                                  'position': '1',
                                                  'thumbnail': None,
                                                  'updated_at': '2007-08-07 09:50:15',
                                                  'url_key': None,
                                                  'url_path': None},
        ('catalog_category.info', (1, u'3', )): {'all_children': '1,3,10,22,23,13,12,25,26,15,27,28,29,30,31,32,33,34,8,18,19,4,5,16,17',
                                                     'available_sort_by': None,
                                                     'category_id': '1',
                                                     'children': '3',
                                                     'created_at': '2007-07-20 18:46:08',
                                                     'custom_apply_to_products': None,
                                                     'custom_design': None,
                                                     'custom_design_from': None,
                                                     'custom_design_to': None,
                                                     'custom_layout_update': None,
                                                     'custom_use_parent_settings': None,
                                                     'default_sort_by': None,
                                                     'description': None,
                                                     'display_mode': None,
                                                     'filter_price_range': None,
                                                     'image': None,
                                                     'include_in_menu': '1',
                                                     'increment_id': None,
                                                     'is_active': '1',
                                                     'is_anchor': None,
                                                     'landing_page': None,
                                                     'level': '0',
                                                     'meta_description': None,
                                                     'meta_keywords': None,
                                                     'meta_title': None,
                                                     'name': None,
                                                     'page_layout': None,
                                                     'parent_id': 0,
                                                     'path': '1',
                                                     'path_in_store': None,
                                                     'position': '1',
                                                     'thumbnail': None,
                                                     'updated_at': '2007-08-07 09:50:15',
                                                     'url_key': None,
                                                     'url_path': None},
        ('catalog_category.info', (3, )): {'all_children': '3,10,22,23,13,12,25,26,15,27,28,29,30,31,32,33,34,8,18,19,4,5,16,17',
                                                     'available_sort_by': None,
                                                     'category_id': '3',
                                                     'children': '10,13,18',
                                                     'created_at': '2007-08-22 15:54:41',
                                                     'custom_apply_to_products': None,
                                                     'custom_design': None,
                                                     'custom_design_from': None,
                                                     'custom_design_to': None,
                                                     'custom_layout_update': None,
                                                     'custom_use_parent_settings': None,
                                                     'default_sort_by': None,
                                                     'description': None,
                                                     'display_mode': 'PRODUCTS',
                                                     'filter_price_range': None,
                                                     'image': None,
                                                     'include_in_menu': '1',
                                                     'increment_id': None,
                                                     'is_active': '1',
                                                     'is_anchor': None,
                                                     'landing_page': None,
                                                     'level': '1',
                                                     'meta_description': None,
                                                     'meta_keywords': None,
                                                     'meta_title': None,
                                                     'name': 'Root Catalog',
                                                     'page_layout': None,
                                                     'parent_id': 1,
                                                     'path': '1/3',
                                                     'path_in_store': '',
                                                     'position': '3',
                                                     'thumbnail': None,
                                                     'updated_at': '2007-12-05 04:38:59',
                                                     'url_key': 'root-catalog',
                                                     'url_path': None},
        ('catalog_category.info', (3, u'2', )): {'all_children': '3,10,22,23,13,12,25,26,15,27,28,29,30,31,32,33,34,8,18,19,4,5,16,17',
                                                     'available_sort_by': None,
                                                     'category_id': '3',
                                                     'children': '10,13,18',
                                                     'created_at': '2007-08-22 15:54:41',
                                                     'custom_apply_to_products': None,
                                                     'custom_design': None,
                                                     'custom_design_from': None,
                                                     'custom_design_to': None,
                                                     'custom_layout_update': None,
                                                     'custom_use_parent_settings': None,
                                                     'default_sort_by': None,
                                                     'description': None,
                                                     'display_mode': 'PRODUCTS',
                                                     'filter_price_range': None,
                                                     'image': None,
                                                     'include_in_menu': '1',
                                                     'increment_id': None,
                                                     'is_active': '1',
                                                     'is_anchor': None,
                                                     'landing_page': None,
                                                     'level': '1',
                                                     'meta_description': None,
                                                     'meta_keywords': None,
                                                     'meta_title': None,
                                                     'name': 'Root Catalog',
                                                     'page_layout': None,
                                                     'parent_id': 1,
                                                     'path': '1/3',
                                                     'path_in_store': '',
                                                     'position': '3',
                                                     'thumbnail': None,
                                                     'updated_at': '2007-12-05 04:38:59',
                                                     'url_key': 'root-catalog',
                                                     'url_path': None},
        ('catalog_category.info', (3, u'3', )): {'all_children': '3,10,22,23,13,12,25,26,15,27,28,29,30,31,32,33,34,8,18,19,4,5,16,17',
                                                     'available_sort_by': None,
                                                     'category_id': '3',
                                                     'children': '10,13,18',
                                                     'created_at': '2007-08-22 15:54:41',
                                                     'custom_apply_to_products': None,
                                                     'custom_design': None,
                                                     'custom_design_from': None,
                                                     'custom_design_to': None,
                                                     'custom_layout_update': None,
                                                     'custom_use_parent_settings': None,
                                                     'default_sort_by': None,
                                                     'description': None,
                                                     'display_mode': 'PRODUCTS',
                                                     'filter_price_range': None,
                                                     'image': None,
                                                     'include_in_menu': '1',
                                                     'increment_id': None,
                                                     'is_active': '1',
                                                     'is_anchor': None,
                                                     'landing_page': None,
                                                     'level': '1',
                                                     'meta_description': None,
                                                     'meta_keywords': None,
                                                     'meta_title': None,
                                                     'name': 'Root Catalog',
                                                     'page_layout': None,
                                                     'parent_id': 1,
                                                     'path': '1/3',
                                                     'path_in_store': '',
                                                     'position': '3',
                                                     'thumbnail': None,
                                                     'updated_at': '2007-12-05 04:38:59',
                                                     'url_key': 'root-catalog',
                                                     'url_path': None},
        ('catalog_category.info', (4, )): {'all_children': '4',
                                                     'available_sort_by': None,
                                                     'category_id': '4',
                                                     'children': '',
                                                     'created_at': '2007-08-22 15:55:34',
                                                     'custom_apply_to_products': '1',
                                                     'custom_design': '',
                                                     'custom_design_from': None,
                                                     'custom_design_to': None,
                                                     'custom_layout_update': '',
                                                     'custom_use_parent_settings': '1',
                                                     'default_sort_by': None,
                                                     'description': '',
                                                     'display_mode': 'PRODUCTS',
                                                     'filter_price_range': None,
                                                     'image': 'shirts.jpg',
                                                     'include_in_menu': '1',
                                                     'increment_id': None,
                                                     'is_active': '1',
                                                     'is_anchor': '1',
                                                     'landing_page': None,
                                                     'level': '3',
                                                     'meta_description': '',
                                                     'meta_keywords': '',
                                                     'meta_title': '',
                                                     'name': 'Shirts',
                                                     'page_layout': '',
                                                     'parent_id': 18,
                                                     'path': '1/3/18/4',
                                                     'path_in_store': '4,18',
                                                     'position': '4',
                                                     'thumbnail': None,
                                                     'updated_at': '2008-08-08 00:56:48',
                                                     'url_key': 'shirts',
                                                     'url_path': 'apparel/shirts.html'},
        ('catalog_category.info', (4, u'2', )): {'all_children': '4',
                                                     'available_sort_by': None,
                                                     'category_id': '4',
                                                     'children': '',
                                                     'created_at': '2007-08-22 15:55:34',
                                                     'custom_apply_to_products': '1',
                                                     'custom_design': '',
                                                     'custom_design_from': None,
                                                     'custom_design_to': None,
                                                     'custom_layout_update': '',
                                                     'custom_use_parent_settings': '1',
                                                     'default_sort_by': None,
                                                     'description': '',
                                                     'display_mode': 'PRODUCTS',
                                                     'filter_price_range': None,
                                                     'image': 'shirts.jpg',
                                                     'include_in_menu': '1',
                                                     'increment_id': None,
                                                     'is_active': '1',
                                                     'is_anchor': '1',
                                                     'landing_page': None,
                                                     'level': '3',
                                                     'meta_description': '',
                                                     'meta_keywords': '',
                                                     'meta_title': '',
                                                     'name': 'Shirts',
                                                     'page_layout': '',
                                                     'parent_id': 18,
                                                     'path': '1/3/18/4',
                                                     'path_in_store': '4,18',
                                                     'position': '4',
                                                     'thumbnail': None,
                                                     'updated_at': '2008-08-08 00:56:48',
                                                     'url_key': 'shirts',
                                                     'url_path': 'apparel/shirts.html'},
        ('catalog_category.info', (4, u'3', )): {'all_children': '4',
                                                     'available_sort_by': None,
                                                     'category_id': '4',
                                                     'children': '',
                                                     'created_at': '2007-08-22 15:55:34',
                                                     'custom_apply_to_products': '1',
                                                     'custom_design': '',
                                                     'custom_design_from': None,
                                                     'custom_design_to': None,
                                                     'custom_layout_update': '',
                                                     'custom_use_parent_settings': '1',
                                                     'default_sort_by': None,
                                                     'description': '',
                                                     'display_mode': 'PRODUCTS',
                                                     'filter_price_range': None,
                                                     'image': 'shirts.jpg',
                                                     'include_in_menu': '1',
                                                     'increment_id': None,
                                                     'is_active': '1',
                                                     'is_anchor': '1',
                                                     'landing_page': None,
                                                     'level': '3',
                                                     'meta_description': '',
                                                     'meta_keywords': '',
                                                     'meta_title': '',
                                                     'name': 'Shirts',
                                                     'page_layout': '',
                                                     'parent_id': 18,
                                                     'path': '1/3/18/4',
                                                     'path_in_store': '4,18',
                                                     'position': '4',
                                                     'thumbnail': None,
                                                     'updated_at': '2008-08-08 00:56:48',
                                                     'url_key': 'shirts',
                                                     'url_path': 'apparel/shirts.html'},
        ('catalog_category.info', (5, )): {'all_children': '5,16,17',
                                                     'available_sort_by': None,
                                                     'category_id': '5',
                                                     'children': '16,17',
                                                     'created_at': '2007-08-22 16:21:29',
                                                     'custom_apply_to_products': '1',
                                                     'custom_design': '',
                                                     'custom_design_from': None,
                                                     'custom_design_to': None,
                                                     'custom_layout_update': '',
                                                     'custom_use_parent_settings': '1',
                                                     'default_sort_by': None,
                                                     'description': '',
                                                     'display_mode': 'PRODUCTS',
                                                     'filter_price_range': None,
                                                     'image': 'shoes.jpg',
                                                     'include_in_menu': '1',
                                                     'increment_id': None,
                                                     'is_active': '1',
                                                     'is_anchor': '1',
                                                     'landing_page': None,
                                                     'level': '3',
                                                     'meta_description': '',
                                                     'meta_keywords': '',
                                                     'meta_title': '',
                                                     'name': 'Shoes',
                                                     'page_layout': '',
                                                     'parent_id': 18,
                                                     'path': '1/3/18/5',
                                                     'path_in_store': '5,18',
                                                     'position': '5',
                                                     'thumbnail': None,
                                                     'updated_at': '2008-08-07 23:55:38',
                                                     'url_key': 'shoes',
                                                     'url_path': 'apparel/shoes.html'},
        ('catalog_category.info', (5, u'2', )): {'all_children': '5,16,17',
                                                     'available_sort_by': None,
                                                     'category_id': '5',
                                                     'children': '16,17',
                                                     'created_at': '2007-08-22 16:21:29',
                                                     'custom_apply_to_products': '1',
                                                     'custom_design': '',
                                                     'custom_design_from': None,
                                                     'custom_design_to': None,
                                                     'custom_layout_update': '',
                                                     'custom_use_parent_settings': '1',
                                                     'default_sort_by': None,
                                                     'description': '',
                                                     'display_mode': 'PRODUCTS',
                                                     'filter_price_range': None,
                                                     'image': 'shoes.jpg',
                                                     'include_in_menu': '1',
                                                     'increment_id': None,
                                                     'is_active': '1',
                                                     'is_anchor': '1',
                                                     'landing_page': None,
                                                     'level': '3',
                                                     'meta_description': '',
                                                     'meta_keywords': '',
                                                     'meta_title': '',
                                                     'name': 'Shoes',
                                                     'page_layout': '',
                                                     'parent_id': 18,
                                                     'path': '1/3/18/5',
                                                     'path_in_store': '5,18',
                                                     'position': '5',
                                                     'thumbnail': None,
                                                     'updated_at': '2008-08-07 23:55:38',
                                                     'url_key': 'shoes',
                                                     'url_path': 'apparel/shoes.html'},
        ('catalog_category.info', (5, u'3', )): {'all_children': '5,16,17',
                                                     'available_sort_by': None,
                                                     'category_id': '5',
                                                     'children': '16,17',
                                                     'created_at': '2007-08-22 16:21:29',
                                                     'custom_apply_to_products': '1',
                                                     'custom_design': '',
                                                     'custom_design_from': None,
                                                     'custom_design_to': None,
                                                     'custom_layout_update': '',
                                                     'custom_use_parent_settings': '1',
                                                     'default_sort_by': None,
                                                     'description': '',
                                                     'display_mode': 'PRODUCTS',
                                                     'filter_price_range': None,
                                                     'image': 'shoes.jpg',
                                                     'include_in_menu': '1',
                                                     'increment_id': None,
                                                     'is_active': '1',
                                                     'is_anchor': '1',
                                                     'landing_page': None,
                                                     'level': '3',
                                                     'meta_description': '',
                                                     'meta_keywords': '',
                                                     'meta_title': '',
                                                     'name': 'Shoes',
                                                     'page_layout': '',
                                                     'parent_id': 18,
                                                     'path': '1/3/18/5',
                                                     'path_in_store': '5,18',
                                                     'position': '5',
                                                     'thumbnail': None,
                                                     'updated_at': '2008-08-07 23:55:38',
                                                     'url_key': 'shoes',
                                                     'url_path': 'apparel/shoes.html'},
        ('catalog_category.info', (8, )): {'all_children': '8',
                                                     'available_sort_by': None,
                                                     'category_id': '8',
                                                     'children': '',
                                                     'created_at': '2007-08-22 18:10:30',
                                                     'custom_apply_to_products': '1',
                                                     'custom_design': '',
                                                     'custom_design_from': None,
                                                     'custom_design_to': None,
                                                     'custom_layout_update': '',
                                                     'custom_use_parent_settings': '1',
                                                     'default_sort_by': None,
                                                     'description': '',
                                                     'display_mode': 'PRODUCTS_AND_PAGE',
                                                     'filter_price_range': None,
                                                     'image': None,
                                                     'include_in_menu': '1',
                                                     'increment_id': None,
                                                     'is_active': '1',
                                                     'is_anchor': '1',
                                                     'landing_page': '4',
                                                     'level': '3',
                                                     'meta_description': '',
                                                     'meta_keywords': '',
                                                     'meta_title': '',
                                                     'name': 'Cell Phones',
                                                     'page_layout': '',
                                                     'parent_id': 13,
                                                     'path': '1/3/13/8',
                                                     'path_in_store': '8,13',
                                                     'position': '8',
                                                     'thumbnail': None,
                                                     'updated_at': '2008-08-07 23:51:26',
                                                     'url_key': 'cell-phones',
                                                     'url_path': 'electronics/cell-phones.html'},
        ('catalog_category.info', (8, u'2', )): {'all_children': '8',
                                                     'available_sort_by': None,
                                                     'category_id': '8',
                                                     'children': '',
                                                     'created_at': '2007-08-22 18:10:30',
                                                     'custom_apply_to_products': '1',
                                                     'custom_design': '',
                                                     'custom_design_from': None,
                                                     'custom_design_to': None,
                                                     'custom_layout_update': '',
                                                     'custom_use_parent_settings': '1',
                                                     'default_sort_by': None,
                                                     'description': '',
                                                     'display_mode': 'PRODUCTS_AND_PAGE',
                                                     'filter_price_range': None,
                                                     'image': None,
                                                     'include_in_menu': '1',
                                                     'increment_id': None,
                                                     'is_active': '1',
                                                     'is_anchor': '1',
                                                     'landing_page': '4',
                                                     'level': '3',
                                                     'meta_description': '',
                                                     'meta_keywords': '',
                                                     'meta_title': '',
                                                     'name': 'Cell Phones',
                                                     'page_layout': '',
                                                     'parent_id': 13,
                                                     'path': '1/3/13/8',
                                                     'path_in_store': '8,13',
                                                     'position': '8',
                                                     'thumbnail': None,
                                                     'updated_at': '2008-08-07 23:51:26',
                                                     'url_key': 'cell-phones',
                                                     'url_path': 'electronics/cell-phones.html'},
        ('catalog_category.info', (8, u'3', )): {'all_children': '8',
                                                     'available_sort_by': None,
                                                     'category_id': '8',
                                                     'children': '',
                                                     'created_at': '2007-08-22 18:10:30',
                                                     'custom_apply_to_products': '1',
                                                     'custom_design': '',
                                                     'custom_design_from': None,
                                                     'custom_design_to': None,
                                                     'custom_layout_update': '',
                                                     'custom_use_parent_settings': '1',
                                                     'default_sort_by': None,
                                                     'description': '',
                                                     'display_mode': 'PRODUCTS_AND_PAGE',
                                                     'filter_price_range': None,
                                                     'image': None,
                                                     'include_in_menu': '1',
                                                     'increment_id': None,
                                                     'is_active': '1',
                                                     'is_anchor': '1',
                                                     'landing_page': '4',
                                                     'level': '3',
                                                     'meta_description': '',
                                                     'meta_keywords': '',
                                                     'meta_title': '',
                                                     'name': 'Cell Phones',
                                                     'page_layout': '',
                                                     'parent_id': 13,
                                                     'path': '1/3/13/8',
                                                     'path_in_store': '8,13',
                                                     'position': '8',
                                                     'thumbnail': None,
                                                     'updated_at': '2008-08-07 23:51:26',
                                                     'url_key': 'cell-phones',
                                                     'url_path': 'electronics/cell-phones.html'},
        ('catalog_category.info', (10, )): {'all_children': '10,22,23',
                                                      'available_sort_by': None,
                                                      'category_id': '10',
                                                      'children': '22,23',
                                                      'created_at': '2007-08-23 11:45:22',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': 'furniture.jpg',
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '2',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Furniture',
                                                      'page_layout': '',
                                                      'parent_id': 3,
                                                      'path': '1/3/10',
                                                      'path_in_store': '10',
                                                      'position': '10',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-08 00:01:18',
                                                      'url_key': 'furniture',
                                                      'url_path': 'furniture.html'},
        ('catalog_category.info', (10, u'2', )): {'all_children': '10,22,23',
                                                      'available_sort_by': None,
                                                      'category_id': '10',
                                                      'children': '22,23',
                                                      'created_at': '2007-08-23 11:45:22',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': 'furniture.jpg',
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '2',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Furniture',
                                                      'page_layout': '',
                                                      'parent_id': 3,
                                                      'path': '1/3/10',
                                                      'path_in_store': '10',
                                                      'position': '10',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-08 00:01:18',
                                                      'url_key': 'furniture',
                                                      'url_path': 'furniture.html'},
        ('catalog_category.info', (10, u'3', )): {'all_children': '10,22,23',
                                                      'available_sort_by': None,
                                                      'category_id': '10',
                                                      'children': '22,23',
                                                      'created_at': '2007-08-23 11:45:22',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': 'furniture.jpg',
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '2',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Furniture',
                                                      'page_layout': '',
                                                      'parent_id': 3,
                                                      'path': '1/3/10',
                                                      'path_in_store': '10',
                                                      'position': '10',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-08 00:01:18',
                                                      'url_key': 'furniture',
                                                      'url_path': 'furniture.html'},
        ('catalog_category.info', (12, )): {'all_children': '12,25,26',
                                                      'available_sort_by': None,
                                                      'category_id': '12',
                                                      'children': '25,26',
                                                      'created_at': '2007-08-24 12:34:30',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': 'camera.jpg',
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '3',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Cameras',
                                                      'page_layout': '',
                                                      'parent_id': 13,
                                                      'path': '1/3/13/12',
                                                      'path_in_store': '12,13',
                                                      'position': '12',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:54:48',
                                                      'url_key': 'cameras',
                                                      'url_path': 'electronics/cameras.html'},
        ('catalog_category.info', (12, u'2', )): {'all_children': '12,25,26',
                                                      'available_sort_by': None,
                                                      'category_id': '12',
                                                      'children': '25,26',
                                                      'created_at': '2007-08-24 12:34:30',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': 'camera.jpg',
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '3',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Cameras',
                                                      'page_layout': '',
                                                      'parent_id': 13,
                                                      'path': '1/3/13/12',
                                                      'path_in_store': '12,13',
                                                      'position': '12',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:54:48',
                                                      'url_key': 'cameras',
                                                      'url_path': 'electronics/cameras.html'},
        ('catalog_category.info', (12, u'3', )): {'all_children': '12,25,26',
                                                      'available_sort_by': None,
                                                      'category_id': '12',
                                                      'children': '25,26',
                                                      'created_at': '2007-08-24 12:34:30',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': 'camera.jpg',
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '3',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Cameras',
                                                      'page_layout': '',
                                                      'parent_id': 13,
                                                      'path': '1/3/13/12',
                                                      'path_in_store': '12,13',
                                                      'position': '12',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:54:48',
                                                      'url_key': 'cameras',
                                                      'url_path': 'electronics/cameras.html'},
        ('catalog_category.info', (13, )): {'all_children': '13,12,25,26,15,27,28,29,30,31,32,33,34,8',
                                                      'available_sort_by': None,
                                                      'category_id': '13',
                                                      'children': '8,12,15',
                                                      'created_at': '2007-08-24 13:31:01',
                                                      'custom_apply_to_products': None,
                                                      'custom_design': None,
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': None,
                                                      'custom_use_parent_settings': None,
                                                      'default_sort_by': None,
                                                      'description': None,
                                                      'display_mode': 'PAGE',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': '3',
                                                      'level': '2',
                                                      'meta_description': None,
                                                      'meta_keywords': None,
                                                      'meta_title': None,
                                                      'name': 'Electronics',
                                                      'page_layout': 'one_column',
                                                      'parent_id': 3,
                                                      'path': '1/3/13',
                                                      'path_in_store': '13',
                                                      'position': '13',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-08 00:02:23',
                                                      'url_key': 'electronics',
                                                      'url_path': 'electronics.html'},
        ('catalog_category.info', (13, u'2', )): {'all_children': '13,12,25,26,15,27,28,29,30,31,32,33,34,8',
                                                      'available_sort_by': None,
                                                      'category_id': '13',
                                                      'children': '8,12,15',
                                                      'created_at': '2007-08-24 13:31:01',
                                                      'custom_apply_to_products': None,
                                                      'custom_design': None,
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': None,
                                                      'custom_use_parent_settings': None,
                                                      'default_sort_by': None,
                                                      'description': None,
                                                      'display_mode': 'PAGE',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': '3',
                                                      'level': '2',
                                                      'meta_description': None,
                                                      'meta_keywords': None,
                                                      'meta_title': None,
                                                      'name': 'Electronics',
                                                      'page_layout': 'one_column',
                                                      'parent_id': 3,
                                                      'path': '1/3/13',
                                                      'path_in_store': '13',
                                                      'position': '13',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-08 00:02:23',
                                                      'url_key': 'electronics',
                                                      'url_path': 'electronics.html'},
        ('catalog_category.info', (13, u'3', )): {'all_children': '13,12,25,26,15,27,28,29,30,31,32,33,34,8',
                                                      'available_sort_by': None,
                                                      'category_id': '13',
                                                      'children': '8,12,15',
                                                      'created_at': '2007-08-24 13:31:01',
                                                      'custom_apply_to_products': None,
                                                      'custom_design': None,
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': None,
                                                      'custom_use_parent_settings': None,
                                                      'default_sort_by': None,
                                                      'description': None,
                                                      'display_mode': 'PAGE',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': '3',
                                                      'level': '2',
                                                      'meta_description': None,
                                                      'meta_keywords': None,
                                                      'meta_title': None,
                                                      'name': 'Electronics',
                                                      'page_layout': 'one_column',
                                                      'parent_id': 3,
                                                      'path': '1/3/13',
                                                      'path_in_store': '13',
                                                      'position': '13',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-08 00:02:23',
                                                      'url_key': 'electronics',
                                                      'url_path': 'electronics.html'},
        ('catalog_category.info', (15, )): {'all_children': '15,27,28,29,30,31,32,33,34',
                                                      'available_sort_by': None,
                                                      'category_id': '15',
                                                      'children': '27,28,29,30,31,32,33,34',
                                                      'created_at': '2007-08-24 13:33:17',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '3',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Computers',
                                                      'page_layout': '',
                                                      'parent_id': 13,
                                                      'path': '1/3/13/15',
                                                      'path_in_store': '15,13',
                                                      'position': '15',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-07-25 01:53:39',
                                                      'url_key': 'computers',
                                                      'url_path': 'electronics/computers.html'},
        ('catalog_category.info', (15, u'2', )): {'all_children': '15,27,28,29,30,31,32,33,34',
                                                      'available_sort_by': None,
                                                      'category_id': '15',
                                                      'children': '27,28,29,30,31,32,33,34',
                                                      'created_at': '2007-08-24 13:33:17',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '3',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Computers',
                                                      'page_layout': '',
                                                      'parent_id': 13,
                                                      'path': '1/3/13/15',
                                                      'path_in_store': '15,13',
                                                      'position': '15',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-07-25 01:53:39',
                                                      'url_key': 'computers',
                                                      'url_path': 'electronics/computers.html'},
        ('catalog_category.info', (15, u'3', )): {'all_children': '15,27,28,29,30,31,32,33,34',
                                                      'available_sort_by': None,
                                                      'category_id': '15',
                                                      'children': '27,28,29,30,31,32,33,34',
                                                      'created_at': '2007-08-24 13:33:17',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '3',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Computers',
                                                      'page_layout': '',
                                                      'parent_id': 13,
                                                      'path': '1/3/13/15',
                                                      'path_in_store': '15,13',
                                                      'position': '15',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-07-25 01:53:39',
                                                      'url_key': 'computers',
                                                      'url_path': 'electronics/computers.html'},
        ('catalog_category.info', (16, )): {'all_children': '16',
                                                      'available_sort_by': None,
                                                      'category_id': '16',
                                                      'children': '',
                                                      'created_at': '2007-08-24 15:41:52',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Mens',
                                                      'page_layout': '',
                                                      'parent_id': 5,
                                                      'path': '1/3/18/5/16',
                                                      'path_in_store': '16,5,18',
                                                      'position': '16',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:56:01',
                                                      'url_key': 'mens',
                                                      'url_path': 'apparel/shoes/mens.html'},
        ('catalog_category.info', (16, u'2', )): {'all_children': '16',
                                                      'available_sort_by': None,
                                                      'category_id': '16',
                                                      'children': '',
                                                      'created_at': '2007-08-24 15:41:52',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Mens',
                                                      'page_layout': '',
                                                      'parent_id': 5,
                                                      'path': '1/3/18/5/16',
                                                      'path_in_store': '16,5,18',
                                                      'position': '16',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:56:01',
                                                      'url_key': 'mens',
                                                      'url_path': 'apparel/shoes/mens.html'},
        ('catalog_category.info', (16, u'3', )): {'all_children': '16',
                                                      'available_sort_by': None,
                                                      'category_id': '16',
                                                      'children': '',
                                                      'created_at': '2007-08-24 15:41:52',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Mens',
                                                      'page_layout': '',
                                                      'parent_id': 5,
                                                      'path': '1/3/18/5/16',
                                                      'path_in_store': '16,5,18',
                                                      'position': '16',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:56:01',
                                                      'url_key': 'mens',
                                                      'url_path': 'apparel/shoes/mens.html'},
        ('catalog_category.info', (17, )): {'all_children': '17',
                                                      'available_sort_by': None,
                                                      'category_id': '17',
                                                      'children': '',
                                                      'created_at': '2007-08-24 15:43:07',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Womens',
                                                      'page_layout': '',
                                                      'parent_id': 5,
                                                      'path': '1/3/18/5/17',
                                                      'path_in_store': '17,5,18',
                                                      'position': '17',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:56:28',
                                                      'url_key': 'womens',
                                                      'url_path': 'apparel/shoes/womens.html'},
        ('catalog_category.info', (17, u'2', )): {'all_children': '17',
                                                      'available_sort_by': None,
                                                      'category_id': '17',
                                                      'children': '',
                                                      'created_at': '2007-08-24 15:43:07',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Womens',
                                                      'page_layout': '',
                                                      'parent_id': 5,
                                                      'path': '1/3/18/5/17',
                                                      'path_in_store': '17,5,18',
                                                      'position': '17',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:56:28',
                                                      'url_key': 'womens',
                                                      'url_path': 'apparel/shoes/womens.html'},
        ('catalog_category.info', (17, u'3', )): {'all_children': '17',
                                                      'available_sort_by': None,
                                                      'category_id': '17',
                                                      'children': '',
                                                      'created_at': '2007-08-24 15:43:07',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Womens',
                                                      'page_layout': '',
                                                      'parent_id': 5,
                                                      'path': '1/3/18/5/17',
                                                      'path_in_store': '17,5,18',
                                                      'position': '17',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:56:28',
                                                      'url_key': 'womens',
                                                      'url_path': 'apparel/shoes/womens.html'},
        ('catalog_category.info', (18, )): {'all_children': '18,19,4,5,16,17',
                                                      'available_sort_by': None,
                                                      'category_id': '18',
                                                      'children': '19,4,5',
                                                      'created_at': '2007-08-24 15:44:31',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': 'apparel.jpg',
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '2',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Apparel',
                                                      'page_layout': '',
                                                      'parent_id': 3,
                                                      'path': '1/3/18',
                                                      'path_in_store': '18',
                                                      'position': '18',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:54:16',
                                                      'url_key': 'apparel',
                                                      'url_path': 'apparel.html'},
        ('catalog_category.info', (18, u'2', )): {'all_children': '18,19,4,5,16,17',
                                                      'available_sort_by': None,
                                                      'category_id': '18',
                                                      'children': '19,4,5',
                                                      'created_at': '2007-08-24 15:44:31',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': 'apparel.jpg',
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '2',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Apparel',
                                                      'page_layout': '',
                                                      'parent_id': 3,
                                                      'path': '1/3/18',
                                                      'path_in_store': '18',
                                                      'position': '18',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:54:16',
                                                      'url_key': 'apparel',
                                                      'url_path': 'apparel.html'},
        ('catalog_category.info', (18, u'3', )): {'all_children': '18,19,4,5,16,17',
                                                      'available_sort_by': None,
                                                      'category_id': '18',
                                                      'children': '19,4,5',
                                                      'created_at': '2007-08-24 15:44:31',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': 'apparel.jpg',
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '2',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Apparel',
                                                      'page_layout': '',
                                                      'parent_id': 3,
                                                      'path': '1/3/18',
                                                      'path_in_store': '18',
                                                      'position': '18',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:54:16',
                                                      'url_key': 'apparel',
                                                      'url_path': 'apparel.html'},
        ('catalog_category.info', (19, )): {'all_children': '19',
                                                      'available_sort_by': None,
                                                      'category_id': '19',
                                                      'children': '',
                                                      'created_at': '2007-08-24 20:05:28',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '0',
                                                      'landing_page': None,
                                                      'level': '3',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Hoodies',
                                                      'page_layout': '',
                                                      'parent_id': 18,
                                                      'path': '1/3/18/19',
                                                      'path_in_store': '19,18',
                                                      'position': '19',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:57:03',
                                                      'url_key': 'hoodies',
                                                      'url_path': 'apparel/hoodies.html'},
        ('catalog_category.info', (19, u'2', )): {'all_children': '19',
                                                      'available_sort_by': None,
                                                      'category_id': '19',
                                                      'children': '',
                                                      'created_at': '2007-08-24 20:05:28',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '0',
                                                      'landing_page': None,
                                                      'level': '3',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Hoodies',
                                                      'page_layout': '',
                                                      'parent_id': 18,
                                                      'path': '1/3/18/19',
                                                      'path_in_store': '19,18',
                                                      'position': '19',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:57:03',
                                                      'url_key': 'hoodies',
                                                      'url_path': 'apparel/hoodies.html'},
        ('catalog_category.info', (19, u'3', )): {'all_children': '19',
                                                      'available_sort_by': None,
                                                      'category_id': '19',
                                                      'children': '',
                                                      'created_at': '2007-08-24 20:05:28',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '0',
                                                      'landing_page': None,
                                                      'level': '3',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Hoodies',
                                                      'page_layout': '',
                                                      'parent_id': 18,
                                                      'path': '1/3/18/19',
                                                      'path_in_store': '19,18',
                                                      'position': '19',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:57:03',
                                                      'url_key': 'hoodies',
                                                      'url_path': 'apparel/hoodies.html'},
        ('catalog_category.info', (20, )): {'all_children': '20',
                                                      'available_sort_by': None,
                                                      'category_id': '20',
                                                      'children': '',
                                                      'created_at': '2007-08-25 13:14:09',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '0',
                                                      'is_anchor': '0',
                                                      'landing_page': None,
                                                      'level': '2',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Household Items',
                                                      'page_layout': '',
                                                      'parent_id': 3,
                                                      'path': '1/3/20',
                                                      'path_in_store': '20',
                                                      'position': '20',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:58:57',
                                                      'url_key': 'household-items',
                                                      'url_path': 'household-items.html'},
        ('catalog_category.info', (20, u'2', )): {'all_children': '20',
                                                      'available_sort_by': None,
                                                      'category_id': '20',
                                                      'children': '',
                                                      'created_at': '2007-08-25 13:14:09',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '0',
                                                      'is_anchor': '0',
                                                      'landing_page': None,
                                                      'level': '2',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Household Items',
                                                      'page_layout': '',
                                                      'parent_id': 3,
                                                      'path': '1/3/20',
                                                      'path_in_store': '20',
                                                      'position': '20',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:58:57',
                                                      'url_key': 'household-items',
                                                      'url_path': 'household-items.html'},
        ('catalog_category.info', (20, u'3', )): {'all_children': '20',
                                                      'available_sort_by': None,
                                                      'category_id': '20',
                                                      'children': '',
                                                      'created_at': '2007-08-25 13:14:09',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '0',
                                                      'is_anchor': '0',
                                                      'landing_page': None,
                                                      'level': '2',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Household Items',
                                                      'page_layout': '',
                                                      'parent_id': 3,
                                                      'path': '1/3/20',
                                                      'path_in_store': '20',
                                                      'position': '20',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:58:57',
                                                      'url_key': 'household-items',
                                                      'url_path': 'household-items.html'},
        ('catalog_category.info', (22, )): {'all_children': '22',
                                                      'available_sort_by': None,
                                                      'category_id': '22',
                                                      'children': '',
                                                      'created_at': '2007-08-26 14:49:39',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS_AND_PAGE',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '0',
                                                      'landing_page': None,
                                                      'level': '3',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Living Room',
                                                      'page_layout': '',
                                                      'parent_id': 10,
                                                      'path': '1/3/10/22',
                                                      'path_in_store': '22,10',
                                                      'position': '22',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-08 00:01:45',
                                                      'url_key': 'living-room',
                                                      'url_path': 'furniture/living-room.html'},
        ('catalog_category.info', (22, u'2', )): {'all_children': '22',
                                                      'available_sort_by': None,
                                                      'category_id': '22',
                                                      'children': '',
                                                      'created_at': '2007-08-26 14:49:39',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS_AND_PAGE',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '0',
                                                      'landing_page': None,
                                                      'level': '3',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Living Room',
                                                      'page_layout': '',
                                                      'parent_id': 10,
                                                      'path': '1/3/10/22',
                                                      'path_in_store': '22,10',
                                                      'position': '22',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-08 00:01:45',
                                                      'url_key': 'living-room',
                                                      'url_path': 'furniture/living-room.html'},
        ('catalog_category.info', (22, u'3', )): {'all_children': '22',
                                                      'available_sort_by': None,
                                                      'category_id': '22',
                                                      'children': '',
                                                      'created_at': '2007-08-26 14:49:39',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS_AND_PAGE',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '0',
                                                      'landing_page': None,
                                                      'level': '3',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Living Room',
                                                      'page_layout': '',
                                                      'parent_id': 10,
                                                      'path': '1/3/10/22',
                                                      'path_in_store': '22,10',
                                                      'position': '22',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-08 00:01:45',
                                                      'url_key': 'living-room',
                                                      'url_path': 'furniture/living-room.html'},
        ('catalog_category.info', (23, )): {'all_children': '23',
                                                      'available_sort_by': None,
                                                      'category_id': '23',
                                                      'children': '',
                                                      'created_at': '2007-08-27 10:35:27',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': 'bedroom.jpg',
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '0',
                                                      'landing_page': None,
                                                      'level': '3',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Bedroom',
                                                      'page_layout': '',
                                                      'parent_id': 10,
                                                      'path': '1/3/10/23',
                                                      'path_in_store': '23,10',
                                                      'position': '23',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:49:18',
                                                      'url_key': 'bedroom',
                                                      'url_path': 'furniture/bedroom.html'},
        ('catalog_category.info', (23, u'2', )): {'all_children': '23',
                                                      'available_sort_by': None,
                                                      'category_id': '23',
                                                      'children': '',
                                                      'created_at': '2007-08-27 10:35:27',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': 'bedroom.jpg',
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '0',
                                                      'landing_page': None,
                                                      'level': '3',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Bedroom',
                                                      'page_layout': '',
                                                      'parent_id': 10,
                                                      'path': '1/3/10/23',
                                                      'path_in_store': '23,10',
                                                      'position': '23',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:49:18',
                                                      'url_key': 'bedroom',
                                                      'url_path': 'furniture/bedroom.html'},
        ('catalog_category.info', (23, u'3', )): {'all_children': '23',
                                                      'available_sort_by': None,
                                                      'category_id': '23',
                                                      'children': '',
                                                      'created_at': '2007-08-27 10:35:27',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': 'bedroom.jpg',
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '0',
                                                      'landing_page': None,
                                                      'level': '3',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Bedroom',
                                                      'page_layout': '',
                                                      'parent_id': 10,
                                                      'path': '1/3/10/23',
                                                      'path_in_store': '23,10',
                                                      'position': '23',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:49:18',
                                                      'url_key': 'bedroom',
                                                      'url_path': 'furniture/bedroom.html'},
        ('catalog_category.info', (24, )): {'all_children': '24',
                                                      'available_sort_by': None,
                                                      'category_id': '24',
                                                      'children': '',
                                                      'created_at': '2007-08-28 18:32:41',
                                                      'custom_apply_to_products': None,
                                                      'custom_design': None,
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': None,
                                                      'custom_use_parent_settings': None,
                                                      'default_sort_by': None,
                                                      'description': None,
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '0',
                                                      'is_anchor': None,
                                                      'landing_page': None,
                                                      'level': '3',
                                                      'meta_description': None,
                                                      'meta_keywords': None,
                                                      'meta_title': None,
                                                      'name': 'Pants',
                                                      'page_layout': None,
                                                      'parent_id': 18,
                                                      'path': '1/3/18/24',
                                                      'path_in_store': '24,18',
                                                      'position': '24',
                                                      'thumbnail': None,
                                                      'updated_at': '2007-08-29 23:20:36',
                                                      'url_key': 'pants',
                                                      'url_path': 'apparel/pants.html'},
        ('catalog_category.info', (24, u'2', )): {'all_children': '24',
                                                      'available_sort_by': None,
                                                      'category_id': '24',
                                                      'children': '',
                                                      'created_at': '2007-08-28 18:32:41',
                                                      'custom_apply_to_products': None,
                                                      'custom_design': None,
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': None,
                                                      'custom_use_parent_settings': None,
                                                      'default_sort_by': None,
                                                      'description': None,
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '0',
                                                      'is_anchor': None,
                                                      'landing_page': None,
                                                      'level': '3',
                                                      'meta_description': None,
                                                      'meta_keywords': None,
                                                      'meta_title': None,
                                                      'name': 'Pants',
                                                      'page_layout': None,
                                                      'parent_id': 18,
                                                      'path': '1/3/18/24',
                                                      'path_in_store': '24,18',
                                                      'position': '24',
                                                      'thumbnail': None,
                                                      'updated_at': '2007-08-29 23:20:36',
                                                      'url_key': 'pants',
                                                      'url_path': 'apparel/pants.html'},
        ('catalog_category.info', (24, u'3', )): {'all_children': '24',
                                                      'available_sort_by': None,
                                                      'category_id': '24',
                                                      'children': '',
                                                      'created_at': '2007-08-28 18:32:41',
                                                      'custom_apply_to_products': None,
                                                      'custom_design': None,
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': None,
                                                      'custom_use_parent_settings': None,
                                                      'default_sort_by': None,
                                                      'description': None,
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '0',
                                                      'is_anchor': None,
                                                      'landing_page': None,
                                                      'level': '3',
                                                      'meta_description': None,
                                                      'meta_keywords': None,
                                                      'meta_title': None,
                                                      'name': 'Pants',
                                                      'page_layout': None,
                                                      'parent_id': 18,
                                                      'path': '1/3/18/24',
                                                      'path_in_store': '24,18',
                                                      'position': '24',
                                                      'thumbnail': None,
                                                      'updated_at': '2007-08-29 23:20:36',
                                                      'url_key': 'pants',
                                                      'url_path': 'apparel/pants.html'},
        ('catalog_category.info', (25, )): {'all_children': '25',
                                                      'available_sort_by': None,
                                                      'category_id': '25',
                                                      'children': '',
                                                      'created_at': '2007-08-29 19:49:52',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': 'Random accessories for different electronic items',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '0',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': 'electric, accesories, gadgets',
                                                      'meta_title': '',
                                                      'name': 'Accessories',
                                                      'page_layout': '',
                                                      'parent_id': 12,
                                                      'path': '1/3/13/12/25',
                                                      'path_in_store': '25,12,13',
                                                      'position': '25',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:46:35',
                                                      'url_key': 'accessories',
                                                      'url_path': 'electronics/cameras/accessories.html'},
        ('catalog_category.info', (25, u'2', )): {'all_children': '25',
                                                      'available_sort_by': None,
                                                      'category_id': '25',
                                                      'children': '',
                                                      'created_at': '2007-08-29 19:49:52',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': 'Random accessories for different electronic items',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '0',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': 'electric, accesories, gadgets',
                                                      'meta_title': '',
                                                      'name': 'Accessories',
                                                      'page_layout': '',
                                                      'parent_id': 12,
                                                      'path': '1/3/13/12/25',
                                                      'path_in_store': '25,12,13',
                                                      'position': '25',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:46:35',
                                                      'url_key': 'accessories',
                                                      'url_path': 'electronics/cameras/accessories.html'},
        ('catalog_category.info', (25, u'3', )): {'all_children': '25',
                                                      'available_sort_by': None,
                                                      'category_id': '25',
                                                      'children': '',
                                                      'created_at': '2007-08-29 19:49:52',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': 'Random accessories for different electronic items',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '0',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': 'electric, accesories, gadgets',
                                                      'meta_title': '',
                                                      'name': 'Accessories',
                                                      'page_layout': '',
                                                      'parent_id': 12,
                                                      'path': '1/3/13/12/25',
                                                      'path_in_store': '25,12,13',
                                                      'position': '25',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:46:35',
                                                      'url_key': 'accessories',
                                                      'url_path': 'electronics/cameras/accessories.html'},
        ('catalog_category.info', (26, )): {'all_children': '26',
                                                      'available_sort_by': None,
                                                      'category_id': '26',
                                                      'children': '',
                                                      'created_at': '2007-08-29 20:37:22',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Digital Cameras',
                                                      'page_layout': '',
                                                      'parent_id': 12,
                                                      'path': '1/3/13/12/26',
                                                      'path_in_store': '26,12,13',
                                                      'position': '26',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:47:02',
                                                      'url_key': 'digital-cameras',
                                                      'url_path': 'electronics/cameras/digital-cameras.html'},
        ('catalog_category.info', (26, u'2', )): {'all_children': '26',
                                                      'available_sort_by': None,
                                                      'category_id': '26',
                                                      'children': '',
                                                      'created_at': '2007-08-29 20:37:22',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Digital Cameras',
                                                      'page_layout': '',
                                                      'parent_id': 12,
                                                      'path': '1/3/13/12/26',
                                                      'path_in_store': '26,12,13',
                                                      'position': '26',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:47:02',
                                                      'url_key': 'digital-cameras',
                                                      'url_path': 'electronics/cameras/digital-cameras.html'},
        ('catalog_category.info', (26, u'3', )): {'all_children': '26',
                                                      'available_sort_by': None,
                                                      'category_id': '26',
                                                      'children': '',
                                                      'created_at': '2007-08-29 20:37:22',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Digital Cameras',
                                                      'page_layout': '',
                                                      'parent_id': 12,
                                                      'path': '1/3/13/12/26',
                                                      'path_in_store': '26,12,13',
                                                      'position': '26',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:47:02',
                                                      'url_key': 'digital-cameras',
                                                      'url_path': 'electronics/cameras/digital-cameras.html'},
        ('catalog_category.info', (27, )): {'all_children': '27',
                                                      'available_sort_by': None,
                                                      'category_id': '27',
                                                      'children': '',
                                                      'created_at': '2008-07-25 00:36:22',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '0',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Build Your Own',
                                                      'page_layout': '',
                                                      'parent_id': 15,
                                                      'path': '1/3/13/15/27',
                                                      'path_in_store': None,
                                                      'position': '1',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:48:15',
                                                      'url_key': 'build-your-own',
                                                      'url_path': 'electronics/computers/build-your-own.html'},
        ('catalog_category.info', (27, u'2', )): {'all_children': '27',
                                                      'available_sort_by': None,
                                                      'category_id': '27',
                                                      'children': '',
                                                      'created_at': '2008-07-25 00:36:22',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '0',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Build Your Own',
                                                      'page_layout': '',
                                                      'parent_id': 15,
                                                      'path': '1/3/13/15/27',
                                                      'path_in_store': None,
                                                      'position': '1',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:48:15',
                                                      'url_key': 'build-your-own',
                                                      'url_path': 'electronics/computers/build-your-own.html'},
        ('catalog_category.info', (27, u'3', )): {'all_children': '27',
                                                      'available_sort_by': None,
                                                      'category_id': '27',
                                                      'children': '',
                                                      'created_at': '2008-07-25 00:36:22',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '0',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Build Your Own',
                                                      'page_layout': '',
                                                      'parent_id': 15,
                                                      'path': '1/3/13/15/27',
                                                      'path_in_store': None,
                                                      'position': '1',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-07 23:48:15',
                                                      'url_key': 'build-your-own',
                                                      'url_path': 'electronics/computers/build-your-own.html'},
        ('catalog_category.info', (28, )): {'all_children': '28',
                                                      'available_sort_by': None,
                                                      'category_id': '28',
                                                      'children': '',
                                                      'created_at': '2008-07-25 00:39:10',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Laptops',
                                                      'page_layout': '',
                                                      'parent_id': 15,
                                                      'path': '1/3/13/15/28',
                                                      'path_in_store': None,
                                                      'position': '2',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-08 13:02:59',
                                                      'url_key': 'laptops',
                                                      'url_path': 'electronics/computers/laptops.html'},
        ('catalog_category.info', (28, u'2', )): {'all_children': '28',
                                                      'available_sort_by': None,
                                                      'category_id': '28',
                                                      'children': '',
                                                      'created_at': '2008-07-25 00:39:10',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Laptops',
                                                      'page_layout': '',
                                                      'parent_id': 15,
                                                      'path': '1/3/13/15/28',
                                                      'path_in_store': None,
                                                      'position': '2',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-08 13:02:59',
                                                      'url_key': 'laptops',
                                                      'url_path': 'electronics/computers/laptops.html'},
        ('catalog_category.info', (28, u'3', )): {'all_children': '28',
                                                      'available_sort_by': None,
                                                      'category_id': '28',
                                                      'children': '',
                                                      'created_at': '2008-07-25 00:39:10',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Laptops',
                                                      'page_layout': '',
                                                      'parent_id': 15,
                                                      'path': '1/3/13/15/28',
                                                      'path_in_store': None,
                                                      'position': '2',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-08-08 13:02:59',
                                                      'url_key': 'laptops',
                                                      'url_path': 'electronics/computers/laptops.html'},
        ('catalog_category.info', (29, )): {'all_children': '29',
                                                      'available_sort_by': None,
                                                      'category_id': '29',
                                                      'children': '',
                                                      'created_at': '2008-07-25 00:39:54',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Hard Drives',
                                                      'page_layout': '',
                                                      'parent_id': 15,
                                                      'path': '1/3/13/15/29',
                                                      'path_in_store': None,
                                                      'position': '3',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-07-25 00:39:54',
                                                      'url_key': 'hard-drives',
                                                      'url_path': 'electronics/computers/hard-drives.html'},
        ('catalog_category.info', (29, u'2', )): {'all_children': '29',
                                                      'available_sort_by': None,
                                                      'category_id': '29',
                                                      'children': '',
                                                      'created_at': '2008-07-25 00:39:54',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Hard Drives',
                                                      'page_layout': '',
                                                      'parent_id': 15,
                                                      'path': '1/3/13/15/29',
                                                      'path_in_store': None,
                                                      'position': '3',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-07-25 00:39:54',
                                                      'url_key': 'hard-drives',
                                                      'url_path': 'electronics/computers/hard-drives.html'},
        ('catalog_category.info', (29, u'3', )): {'all_children': '29',
                                                      'available_sort_by': None,
                                                      'category_id': '29',
                                                      'children': '',
                                                      'created_at': '2008-07-25 00:39:54',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Hard Drives',
                                                      'page_layout': '',
                                                      'parent_id': 15,
                                                      'path': '1/3/13/15/29',
                                                      'path_in_store': None,
                                                      'position': '3',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-07-25 00:39:54',
                                                      'url_key': 'hard-drives',
                                                      'url_path': 'electronics/computers/hard-drives.html'},
        ('catalog_category.info', (30, )): {'all_children': '30',
                                                      'available_sort_by': None,
                                                      'category_id': '30',
                                                      'children': '',
                                                      'created_at': '2008-07-25 00:41:11',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Monitors',
                                                      'page_layout': '',
                                                      'parent_id': 15,
                                                      'path': '1/3/13/15/30',
                                                      'path_in_store': None,
                                                      'position': '4',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-07-25 00:41:11',
                                                      'url_key': 'monitors',
                                                      'url_path': 'electronics/computers/monitors.html'},
        ('catalog_category.info', (30, u'2', )): {'all_children': '30',
                                                      'available_sort_by': None,
                                                      'category_id': '30',
                                                      'children': '',
                                                      'created_at': '2008-07-25 00:41:11',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Monitors',
                                                      'page_layout': '',
                                                      'parent_id': 15,
                                                      'path': '1/3/13/15/30',
                                                      'path_in_store': None,
                                                      'position': '4',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-07-25 00:41:11',
                                                      'url_key': 'monitors',
                                                      'url_path': 'electronics/computers/monitors.html'},
        ('catalog_category.info', (30, u'3', )): {'all_children': '30',
                                                      'available_sort_by': None,
                                                      'category_id': '30',
                                                      'children': '',
                                                      'created_at': '2008-07-25 00:41:11',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Monitors',
                                                      'page_layout': '',
                                                      'parent_id': 15,
                                                      'path': '1/3/13/15/30',
                                                      'path_in_store': None,
                                                      'position': '4',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-07-25 00:41:11',
                                                      'url_key': 'monitors',
                                                      'url_path': 'electronics/computers/monitors.html'},
        ('catalog_category.info', (31, )): {'all_children': '31',
                                                      'available_sort_by': None,
                                                      'category_id': '31',
                                                      'children': '',
                                                      'created_at': '2008-07-25 00:41:56',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'RAM / Memory',
                                                      'page_layout': '',
                                                      'parent_id': 15,
                                                      'path': '1/3/13/15/31',
                                                      'path_in_store': None,
                                                      'position': '5',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-07-25 00:41:56',
                                                      'url_key': 'ram-memory',
                                                      'url_path': 'electronics/computers/ram-memory.html'},
        ('catalog_category.info', (31, u'2', )): {'all_children': '31',
                                                      'available_sort_by': None,
                                                      'category_id': '31',
                                                      'children': '',
                                                      'created_at': '2008-07-25 00:41:56',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'RAM / Memory',
                                                      'page_layout': '',
                                                      'parent_id': 15,
                                                      'path': '1/3/13/15/31',
                                                      'path_in_store': None,
                                                      'position': '5',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-07-25 00:41:56',
                                                      'url_key': 'ram-memory',
                                                      'url_path': 'electronics/computers/ram-memory.html'},
        ('catalog_category.info', (31, u'3', )): {'all_children': '31',
                                                      'available_sort_by': None,
                                                      'category_id': '31',
                                                      'children': '',
                                                      'created_at': '2008-07-25 00:41:56',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'RAM / Memory',
                                                      'page_layout': '',
                                                      'parent_id': 15,
                                                      'path': '1/3/13/15/31',
                                                      'path_in_store': None,
                                                      'position': '5',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-07-25 00:41:56',
                                                      'url_key': 'ram-memory',
                                                      'url_path': 'electronics/computers/ram-memory.html'},
        ('catalog_category.info', (32, )): {'all_children': '32',
                                                      'available_sort_by': None,
                                                      'category_id': '32',
                                                      'children': '',
                                                      'created_at': '2008-07-25 00:42:57',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Cases',
                                                      'page_layout': '',
                                                      'parent_id': 15,
                                                      'path': '1/3/13/15/32',
                                                      'path_in_store': None,
                                                      'position': '6',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-07-25 00:42:57',
                                                      'url_key': 'cases',
                                                      'url_path': 'electronics/computers/cases.html'},
        ('catalog_category.info', (32, u'2', )): {'all_children': '32',
                                                      'available_sort_by': None,
                                                      'category_id': '32',
                                                      'children': '',
                                                      'created_at': '2008-07-25 00:42:57',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Cases',
                                                      'page_layout': '',
                                                      'parent_id': 15,
                                                      'path': '1/3/13/15/32',
                                                      'path_in_store': None,
                                                      'position': '6',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-07-25 00:42:57',
                                                      'url_key': 'cases',
                                                      'url_path': 'electronics/computers/cases.html'},
        ('catalog_category.info', (32, u'3', )): {'all_children': '32',
                                                      'available_sort_by': None,
                                                      'category_id': '32',
                                                      'children': '',
                                                      'created_at': '2008-07-25 00:42:57',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Cases',
                                                      'page_layout': '',
                                                      'parent_id': 15,
                                                      'path': '1/3/13/15/32',
                                                      'path_in_store': None,
                                                      'position': '6',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-07-25 00:42:57',
                                                      'url_key': 'cases',
                                                      'url_path': 'electronics/computers/cases.html'},
        ('catalog_category.info', (33, )): {'all_children': '33',
                                                      'available_sort_by': None,
                                                      'category_id': '33',
                                                      'children': '',
                                                      'created_at': '2008-07-25 00:43:25',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Processors',
                                                      'page_layout': '',
                                                      'parent_id': 15,
                                                      'path': '1/3/13/15/33',
                                                      'path_in_store': None,
                                                      'position': '7',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-07-25 00:43:25',
                                                      'url_key': 'processors',
                                                      'url_path': 'electronics/computers/processors.html'},
        ('catalog_category.info', (33, u'2', )): {'all_children': '33',
                                                      'available_sort_by': None,
                                                      'category_id': '33',
                                                      'children': '',
                                                      'created_at': '2008-07-25 00:43:25',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Processors',
                                                      'page_layout': '',
                                                      'parent_id': 15,
                                                      'path': '1/3/13/15/33',
                                                      'path_in_store': None,
                                                      'position': '7',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-07-25 00:43:25',
                                                      'url_key': 'processors',
                                                      'url_path': 'electronics/computers/processors.html'},
        ('catalog_category.info', (33, u'3', )): {'all_children': '33',
                                                      'available_sort_by': None,
                                                      'category_id': '33',
                                                      'children': '',
                                                      'created_at': '2008-07-25 00:43:25',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Processors',
                                                      'page_layout': '',
                                                      'parent_id': 15,
                                                      'path': '1/3/13/15/33',
                                                      'path_in_store': None,
                                                      'position': '7',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-07-25 00:43:25',
                                                      'url_key': 'processors',
                                                      'url_path': 'electronics/computers/processors.html'},
        ('catalog_category.info', (34, )): {'all_children': '34',
                                                      'available_sort_by': None,
                                                      'category_id': '34',
                                                      'children': '',
                                                      'created_at': '2008-07-25 00:44:17',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Peripherals',
                                                      'page_layout': '',
                                                      'parent_id': 15,
                                                      'path': '1/3/13/15/34',
                                                      'path_in_store': None,
                                                      'position': '8',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-07-25 00:44:17',
                                                      'url_key': 'peripherals',
                                                      'url_path': 'electronics/computers/peripherals.html'},
        ('catalog_category.info', (34, u'2', )): {'all_children': '34',
                                                      'available_sort_by': None,
                                                      'category_id': '34',
                                                      'children': '',
                                                      'created_at': '2008-07-25 00:44:17',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Peripherals',
                                                      'page_layout': '',
                                                      'parent_id': 15,
                                                      'path': '1/3/13/15/34',
                                                      'path_in_store': None,
                                                      'position': '8',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-07-25 00:44:17',
                                                      'url_key': 'peripherals',
                                                      'url_path': 'electronics/computers/peripherals.html'},
        ('catalog_category.info', (34, u'3', )): {'all_children': '34',
                                                      'available_sort_by': None,
                                                      'category_id': '34',
                                                      'children': '',
                                                      'created_at': '2008-07-25 00:44:17',
                                                      'custom_apply_to_products': '1',
                                                      'custom_design': '',
                                                      'custom_design_from': None,
                                                      'custom_design_to': None,
                                                      'custom_layout_update': '',
                                                      'custom_use_parent_settings': '1',
                                                      'default_sort_by': None,
                                                      'description': '',
                                                      'display_mode': 'PRODUCTS',
                                                      'filter_price_range': None,
                                                      'image': None,
                                                      'include_in_menu': '1',
                                                      'increment_id': None,
                                                      'is_active': '1',
                                                      'is_anchor': '1',
                                                      'landing_page': None,
                                                      'level': '4',
                                                      'meta_description': '',
                                                      'meta_keywords': '',
                                                      'meta_title': '',
                                                      'name': 'Peripherals',
                                                      'page_layout': '',
                                                      'parent_id': 15,
                                                      'path': '1/3/13/15/34',
                                                      'path_in_store': None,
                                                      'position': '8',
                                                      'thumbnail': None,
                                                      'updated_at': '2008-07-25 00:44:17',
                                                      'url_key': 'peripherals',
                                                      'url_path': 'electronics/computers/peripherals.html'},
        ('catalog_category.tree', ()): {'category_id': '1',
                                                  'children': [{'category_id': '3',
                                                                'children': [{'category_id': '10',
                                                                              'children': [{'category_id': '22',
                                                                                            'children': [],
                                                                                            'is_active': '1',
                                                                                            'level': '3',
                                                                                            'name': 'Living Room',
                                                                                            'parent_id': '10',
                                                                                            'position': '22'},
                                                                                           {'category_id': '23',
                                                                                            'children': [],
                                                                                            'is_active': '1',
                                                                                            'level': '3',
                                                                                            'name': 'Bedroom',
                                                                                            'parent_id': '10',
                                                                                            'position': '23'}],
                                                                              'is_active': '1',
                                                                              'level': '2',
                                                                              'name': 'Furniture',
                                                                              'parent_id': '3',
                                                                              'position': '10'},
                                                                             {'category_id': '13',
                                                                              'children': [{'category_id': '8',
                                                                                            'children': [],
                                                                                            'is_active': '1',
                                                                                            'level': '3',
                                                                                            'name': 'Cell Phones',
                                                                                            'parent_id': '13',
                                                                                            'position': '8'},
                                                                                           {'category_id': '12',
                                                                                            'children': [{'category_id': '25',
                                                                                                          'children': [],
                                                                                                          'is_active': '1',
                                                                                                          'level': '4',
                                                                                                          'name': 'Accessories',
                                                                                                          'parent_id': '12',
                                                                                                          'position': '25'},
                                                                                                         {'category_id': '26',
                                                                                                          'children': [],
                                                                                                          'is_active': '1',
                                                                                                          'level': '4',
                                                                                                          'name': 'Digital Cameras',
                                                                                                          'parent_id': '12',
                                                                                                          'position': '26'}],
                                                                                            'is_active': '1',
                                                                                            'level': '3',
                                                                                            'name': 'Cameras',
                                                                                            'parent_id': '13',
                                                                                            'position': '12'},
                                                                                           {'category_id': '15',
                                                                                            'children': [{'category_id': '27',
                                                                                                          'children': [],
                                                                                                          'is_active': '1',
                                                                                                          'level': '4',
                                                                                                          'name': 'Build Your Own',
                                                                                                          'parent_id': '15',
                                                                                                          'position': '1'},
                                                                                                         {'category_id': '28',
                                                                                                          'children': [],
                                                                                                          'is_active': '1',
                                                                                                          'level': '4',
                                                                                                          'name': 'Laptops',
                                                                                                          'parent_id': '15',
                                                                                                          'position': '2'},
                                                                                                         {'category_id': '29',
                                                                                                          'children': [],
                                                                                                          'is_active': '1',
                                                                                                          'level': '4',
                                                                                                          'name': 'Hard Drives',
                                                                                                          'parent_id': '13',
                                                                                                          'position': '3'},
                                                                                                         {'category_id': '30',
                                                                                                          'children': [],
                                                                                                          'is_active': '1',
                                                                                                          'level': '4',
                                                                                                          'name': 'Monitors',
                                                                                                          'parent_id': '13',
                                                                                                          'position': '4'},
                                                                                                         {'category_id': '31',
                                                                                                          'children': [],
                                                                                                          'is_active': '1',
                                                                                                          'level': '4',
                                                                                                          'name': 'RAM / Memory',
                                                                                                          'parent_id': '13',
                                                                                                          'position': '5'},
                                                                                                         {'category_id': '32',
                                                                                                          'children': [],
                                                                                                          'is_active': '1',
                                                                                                          'level': '4',
                                                                                                          'name': 'Cases',
                                                                                                          'parent_id': '13',
                                                                                                          'position': '6'},
                                                                                                         {'category_id': '33',
                                                                                                          'children': [],
                                                                                                          'is_active': '1',
                                                                                                          'level': '4',
                                                                                                          'name': 'Processors',
                                                                                                          'parent_id': '13',
                                                                                                          'position': '7'},
                                                                                                         {'category_id': '34',
                                                                                                          'children': [],
                                                                                                          'is_active': '1',
                                                                                                          'level': '4',
                                                                                                          'name': 'Peripherals',
                                                                                                          'parent_id': '13',
                                                                                                          'position': '8'}],
                                                                                            'is_active': '1',
                                                                                            'level': '3',
                                                                                            'name': 'Computers',
                                                                                            'parent_id': '13',
                                                                                            'position': '15'}],
                                                                              'is_active': '1',
                                                                              'level': '2',
                                                                              'name': 'Electronics',
                                                                              'parent_id': '3',
                                                                              'position': '13'},
                                                                             {'category_id': '18',
                                                                              'children': [{'category_id': '4',
                                                                                            'children': [],
                                                                                            'is_active': '1',
                                                                                            'level': '3',
                                                                                            'name': 'Shirts',
                                                                                            'parent_id': '18',
                                                                                            'position': '4'},
                                                                                           {'category_id': '5',
                                                                                            'children': [{'category_id': '16',
                                                                                                          'children': [],
                                                                                                          'is_active': '1',
                                                                                                          'level': '4',
                                                                                                          'name': 'Mens',
                                                                                                          'parent_id': '5',
                                                                                                          'position': '16'},
                                                                                                         {'category_id': '17',
                                                                                                          'children': [],
                                                                                                          'is_active': '1',
                                                                                                          'level': '4',
                                                                                                          'name': 'Womens',
                                                                                                          'parent_id': '5',
                                                                                                          'position': '17'}],
                                                                                            'is_active': '1',
                                                                                            'level': '3',
                                                                                            'name': 'Shoes',
                                                                                            'parent_id': '18',
                                                                                            'position': '5'},
                                                                                           {'category_id': '19',
                                                                                            'children': [],
                                                                                            'is_active': '1',
                                                                                            'level': '3',
                                                                                            'name': 'Hoodies',
                                                                                            'parent_id': '18',
                                                                                            'position': '19'},
                                                                                           {'category_id': '24',
                                                                                            'children': [],
                                                                                            'is_active': '0',
                                                                                            'level': '3',
                                                                                            'name': 'Pants',
                                                                                            'parent_id': '18',
                                                                                            'position': '24'}],
                                                                              'is_active': '1',
                                                                              'level': '2',
                                                                              'name': 'Apparel',
                                                                              'parent_id': '3',
                                                                              'position': '18'},
                                                                             {'category_id': '20',
                                                                              'children': [],
                                                                              'is_active': '0',
                                                                              'level': '2',
                                                                              'name': 'Household Items',
                                                                              'parent_id': '3',
                                                                              'position': '20'}],
                                                                'is_active': '1',
                                                                'level': '1',
                                                                'name': 'Root Catalog',
                                                                'parent_id': '1',
                                                                'position': '3'}],
                                                  'is_active': '1',
                                                  'level': '0',
                                                  'name': 'Root',
                                                  'parent_id': '0',
                                                  'position': '1'},
        ('ol_catalog_product.info', (16, None, None, 'id')): {'activation_information': 'Conditional $250 Equipment Discount Included: Your price paid includes an equipment discount of $250 that has been provided to you in exchange for either activating a new, non-substitute line of service or renewing an existing line of service with AT&T and your agreement that for the 181-day period following such activation or renewal you will: (1) pay your balance due to AT&T each month and otherwise maintain your account in good standing; (2) not disconnect this AT&T line of service; (3) not transfer this equipment to another AT&T line of service; (4) not change your AT&T service rate plan to a lower monthly service rate--this includes canceling or removing required PDA, BlackBerry, or smartphone features after your product has shipped; (5) not use this line of service to replace an existing account with AT&T. If these conditions are not met, you hereby authorize Magento to charge your credit card $250 as reimbursement of this equipment discount without need for further approval.',
                                                           'categories': ['8'],
                                                           'color': '24',
                                                           'cost': '20.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-23 13:03:05',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'The Nokia 2610 is an easy to use device that combines multiple messaging options including email, instant messaging, and more. You can even download MP3 ringtones, graphics, and games straight to the phone, or surf the Internet with Cingular\'s MEdia Net service. It\'s the perfect complement to Cingular service for those even remotely interested in mobile Web capabilities in an affordable handset.<br><br>\r\n\r\n<b>Design</b><br>\r\nCompact and stylish, the 2610 features a candybar design sporting a bright 128 x 128 pixel display capable of displaying over 65,000 colors. Most of the phone\'s features and on-screen menus are controlled by a center toggle on the control pad. A standard hands-free headphone jack is provided, as are volume control keys, and there\'s even a "Go-To" button that can be assigned by the user for quick access to favorite applications. Lastly, the included speakerphone allows you to talk handsfree, and because the phone sports an internal antenna, there\'s nothing to snag or break off.\r\n\r\n',
                                                           'dimension': '4.1 x 1.7 x 0.7 inches ',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class"disc">\r\n<li>Integrated camera with video recorder to capture those special moments<br></li>\r\n<li>Enriched data connections for complete mobile access via Email, MMS, and MEdia Net<br></li>\r\n<li> Personalize with downloadable MP3 and polyphonic Ring tones, Games, and Graphics<br></li>\r\n<li>Use AIM, Yahoo! and MSN Messenger to stay in touch on the go<br></li>\r\n<li>Mobile Internet browser and email</li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': '20',
                                                           'meta_description': 'Offering advanced media and calling features without breaking the bank, The Nokia 2610 is an easy to use',
                                                           'meta_keyword': 'Nokia 2610, cell, phone, ',
                                                           'meta_title': 'Nokia 2610',
                                                           'minimal_price': '149.9900',
                                                           'model': '2610',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Nokia 2610 Phone',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '149.9900',
                                                           'product_id': '16',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '38',
                                                           'short_description': 'The words "entry level" no longer mean "low-end," especially when it comes to the Nokia 2610. Offering advanced media and calling features without breaking the bank',
                                                           'sku': 'n2610',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:50:04',
                                                           'url_key': 'nokia-2610-phone',
                                                           'url_path': 'nokia-2610-phone.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '3.2000'},
        ('ol_catalog_product.info', (16, u'2', None, 'id')): {'activation_information': 'Conditional $250 Equipment Discount Included: Your price paid includes an equipment discount of $250 that has been provided to you in exchange for either activating a new, non-substitute line of service or renewing an existing line of service with AT&T and your agreement that for the 181-day period following such activation or renewal you will: (1) pay your balance due to AT&T each month and otherwise maintain your account in good standing; (2) not disconnect this AT&T line of service; (3) not transfer this equipment to another AT&T line of service; (4) not change your AT&T service rate plan to a lower monthly service rate--this includes canceling or removing required PDA, BlackBerry, or smartphone features after your product has shipped; (5) not use this line of service to replace an existing account with AT&T. If these conditions are not met, you hereby authorize Magento to charge your credit card $250 as reimbursement of this equipment discount without need for further approval.',
                                                           'categories': ['8'],
                                                           'color': '24',
                                                           'cost': '20.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-23 13:03:05',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'The Nokia 2610 is an easy to use device that combines multiple messaging options including email, instant messaging, and more. You can even download MP3 ringtones, graphics, and games straight to the phone, or surf the Internet with Cingular\'s MEdia Net service. It\'s the perfect complement to Cingular service for those even remotely interested in mobile Web capabilities in an affordable handset.<br><br>\r\n\r\n<b>Design</b><br>\r\nCompact and stylish, the 2610 features a candybar design sporting a bright 128 x 128 pixel display capable of displaying over 65,000 colors. Most of the phone\'s features and on-screen menus are controlled by a center toggle on the control pad. A standard hands-free headphone jack is provided, as are volume control keys, and there\'s even a "Go-To" button that can be assigned by the user for quick access to favorite applications. Lastly, the included speakerphone allows you to talk handsfree, and because the phone sports an internal antenna, there\'s nothing to snag or break off.\r\n\r\n',
                                                           'dimension': '4.1 x 1.7 x 0.7 inches ',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class"disc">\r\n<li>Integrated camera with video recorder to capture those special moments<br></li>\r\n<li>Enriched data connections for complete mobile access via Email, MMS, and MEdia Net<br></li>\r\n<li> Personalize with downloadable MP3 and polyphonic Ring tones, Games, and Graphics<br></li>\r\n<li>Use AIM, Yahoo! and MSN Messenger to stay in touch on the go<br></li>\r\n<li>Mobile Internet browser and email</li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': '20',
                                                           'meta_description': 'Offering advanced media and calling features without breaking the bank, The Nokia 2610 is an easy to use',
                                                           'meta_keyword': 'Nokia 2610, cell, phone, ',
                                                           'meta_title': 'Nokia 2610',
                                                           'minimal_price': '149.9900',
                                                           'model': '2610',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Nokia 2610 Phone',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '149.9900',
                                                           'product_id': '16',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '38',
                                                           'short_description': 'The words "entry level" no longer mean "low-end," especially when it comes to the Nokia 2610. Offering advanced media and calling features without breaking the bank',
                                                           'sku': 'n2610',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:50:04',
                                                           'url_key': 'nokia-2610-phone',
                                                           'url_path': 'nokia-2610-phone.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '3.2000'},
        ('ol_catalog_product.info', (16, u'3', None, 'id')): {'activation_information': 'Conditional $250 Equipment Discount Included: Your price paid includes an equipment discount of $250 that has been provided to you in exchange for either activating a new, non-substitute line of service or renewing an existing line of service with AT&T and your agreement that for the 181-day period following such activation or renewal you will: (1) pay your balance due to AT&T each month and otherwise maintain your account in good standing; (2) not disconnect this AT&T line of service; (3) not transfer this equipment to another AT&T line of service; (4) not change your AT&T service rate plan to a lower monthly service rate--this includes canceling or removing required PDA, BlackBerry, or smartphone features after your product has shipped; (5) not use this line of service to replace an existing account with AT&T. If these conditions are not met, you hereby authorize Magento to charge your credit card $250 as reimbursement of this equipment discount without need for further approval.',
                                                           'categories': ['8'],
                                                           'color': '24',
                                                           'cost': '20.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-23 13:03:05',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'The Nokia 2610 is an easy to use device that combines multiple messaging options including email, instant messaging, and more. You can even download MP3 ringtones, graphics, and games straight to the phone, or surf the Internet with Cingular\'s MEdia Net service. It\'s the perfect complement to Cingular service for those even remotely interested in mobile Web capabilities in an affordable handset.<br><br>\r\n\r\n<b>Design</b><br>\r\nCompact and stylish, the 2610 features a candybar design sporting a bright 128 x 128 pixel display capable of displaying over 65,000 colors. Most of the phone\'s features and on-screen menus are controlled by a center toggle on the control pad. A standard hands-free headphone jack is provided, as are volume control keys, and there\'s even a "Go-To" button that can be assigned by the user for quick access to favorite applications. Lastly, the included speakerphone allows you to talk handsfree, and because the phone sports an internal antenna, there\'s nothing to snag or break off.\r\n\r\n',
                                                           'dimension': '4.1 x 1.7 x 0.7 inches ',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class"disc">\r\n<li>Integrated camera with video recorder to capture those special moments<br></li>\r\n<li>Enriched data connections for complete mobile access via Email, MMS, and MEdia Net<br></li>\r\n<li> Personalize with downloadable MP3 and polyphonic Ring tones, Games, and Graphics<br></li>\r\n<li>Use AIM, Yahoo! and MSN Messenger to stay in touch on the go<br></li>\r\n<li>Mobile Internet browser and email</li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': '20',
                                                           'meta_description': 'Offering advanced media and calling features without breaking the bank, The Nokia 2610 is an easy to use',
                                                           'meta_keyword': 'Nokia 2610, cell, phone, ',
                                                           'meta_title': 'Nokia 2610',
                                                           'minimal_price': '149.9900',
                                                           'model': '2610',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Nokia 2610 Phone',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '149.9900',
                                                           'product_id': '16',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '38',
                                                           'short_description': 'The words "entry level" no longer mean "low-end," especially when it comes to the Nokia 2610. Offering advanced media and calling features without breaking the bank',
                                                           'sku': 'n2610',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:50:04',
                                                           'url_key': 'nokia-2610-phone',
                                                           'url_path': 'nokia-2610-phone.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '3.2000'},
        ('ol_catalog_product.info', (17, None, None, 'id')): {'activation_information': 'CONDITIONAL $250 Equipment Discount Included: Your price paid includes an Equipment Discount of $250 that has been provided to you in exchange for activating a new, non-substitute line of service with T-Mobile and your agreement that for the 181-day period following such activation you will (1) pay your balance due to T-Mobile each month and otherwise maintain your account in good standing, (2) not disconnect this T-Mobile line of service, (3) not transfer this equipment to another T-Mobile line of service, (4) not change your T-Mobile service rate plan to a lower monthly service rate--this includes canceling or removing required PDA, BlackBerry, or smartphone features after your product has shipped, (5) not use this line of service to replace an existing account with T-Mobile. If these conditions are not met, you hereby authorize Magento.com to charge your credit card $250 as reimbursement of this Equipment Discount without need for further approval.',
                                                           'categories': ['8'],
                                                           'color': '23',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-23 15:40:26',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': " Like the BlackBerry 7105t, the BlackBerry 8100 Pearl is \r\nThe BlackBerry 8100 Pearl sports a large 240 x 260 screen that supports over 65,000 colors-- plenty of real estate to view your e-mails, Web browser content, messaging sessions, and attachments. The venerable BlackBerry trackwheel has been replaced on this model with an innovative four-way trackball placed below the screen. On the rear of the handheld, you'll find a 1.3-megapixel camera and a self portrait mirror. The handheld's microSD memory card slot is located inside the device, behind the battery. There's also a standard 2.5mm headset jack that can be used with the included headset, as well as a mini-USB port for data connectivity.",
                                                           'dimension': '4.2 x 2 x 0.6 inches ',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class="disc">\r\n<li> 1.3 mega pixel camera to capture those special moments<br></li>\r\n<li> MP3 player lets you listen to your favorite music on the go<br></li>\r\n<li>Menu and escape keys on the front of the device for easier access<br></li>\r\n<li> Bluetooth technology lets you experience hands free and wire free features<br></li>\r\n<li>Package Contents: phone,AC adapter,software CD,headset,USB cable,sim- card,get started poster,reference guide<br></li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': '21',
                                                           'meta_description': 'BlackBerry 8100 Pearl sports a large 240 x 260 screen that supports over 65,000 colors-- plenty of real estate to view your e-mails, Web browser content, messaging sessions, and attachments.',
                                                           'meta_keyword': 'Blackberry, 8100, pearl, cell, phone',
                                                           'meta_title': 'BlackBerry 8100 Pearl',
                                                           'minimal_price': '349.9900',
                                                           'model': '8100',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'BlackBerry 8100 Pearl',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '349.9900',
                                                           'product_id': '17',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '38',
                                                           'short_description': "The BlackBerry 8100 Pearl is a departure from the form factor of previous BlackBerry devices. This BlackBerry handset is far more phone-like, and RIM's engineers have managed to fit a QWERTY keyboard onto the handset's slim frame.",
                                                           'sku': 'bb8100',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:50:23',
                                                           'url_key': 'blackberry-8100-pearl',
                                                           'url_path': 'blackberry-8100-pearl.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '15.2000'},
        ('ol_catalog_product.info', (17, u'2', None, 'id')): {'activation_information': 'CONDITIONAL $250 Equipment Discount Included: Your price paid includes an Equipment Discount of $250 that has been provided to you in exchange for activating a new, non-substitute line of service with T-Mobile and your agreement that for the 181-day period following such activation you will (1) pay your balance due to T-Mobile each month and otherwise maintain your account in good standing, (2) not disconnect this T-Mobile line of service, (3) not transfer this equipment to another T-Mobile line of service, (4) not change your T-Mobile service rate plan to a lower monthly service rate--this includes canceling or removing required PDA, BlackBerry, or smartphone features after your product has shipped, (5) not use this line of service to replace an existing account with T-Mobile. If these conditions are not met, you hereby authorize Magento.com to charge your credit card $250 as reimbursement of this Equipment Discount without need for further approval.',
                                                           'categories': ['8'],
                                                           'color': '23',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-23 15:40:26',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': " Like the BlackBerry 7105t, the BlackBerry 8100 Pearl is \r\nThe BlackBerry 8100 Pearl sports a large 240 x 260 screen that supports over 65,000 colors-- plenty of real estate to view your e-mails, Web browser content, messaging sessions, and attachments. The venerable BlackBerry trackwheel has been replaced on this model with an innovative four-way trackball placed below the screen. On the rear of the handheld, you'll find a 1.3-megapixel camera and a self portrait mirror. The handheld's microSD memory card slot is located inside the device, behind the battery. There's also a standard 2.5mm headset jack that can be used with the included headset, as well as a mini-USB port for data connectivity.",
                                                           'dimension': '4.2 x 2 x 0.6 inches ',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class="disc">\r\n<li> 1.3 mega pixel camera to capture those special moments<br></li>\r\n<li> MP3 player lets you listen to your favorite music on the go<br></li>\r\n<li>Menu and escape keys on the front of the device for easier access<br></li>\r\n<li> Bluetooth technology lets you experience hands free and wire free features<br></li>\r\n<li>Package Contents: phone,AC adapter,software CD,headset,USB cable,sim- card,get started poster,reference guide<br></li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': '21',
                                                           'meta_description': 'BlackBerry 8100 Pearl sports a large 240 x 260 screen that supports over 65,000 colors-- plenty of real estate to view your e-mails, Web browser content, messaging sessions, and attachments.',
                                                           'meta_keyword': 'Blackberry, 8100, pearl, cell, phone',
                                                           'meta_title': 'BlackBerry 8100 Pearl',
                                                           'minimal_price': '349.9900',
                                                           'model': '8100',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'BlackBerry 8100 Pearl',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '349.9900',
                                                           'product_id': '17',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '38',
                                                           'short_description': "The BlackBerry 8100 Pearl is a departure from the form factor of previous BlackBerry devices. This BlackBerry handset is far more phone-like, and RIM's engineers have managed to fit a QWERTY keyboard onto the handset's slim frame.",
                                                           'sku': 'bb8100',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:50:23',
                                                           'url_key': 'blackberry-8100-pearl',
                                                           'url_path': 'blackberry-8100-pearl.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '15.2000'},
        ('ol_catalog_product.info', (17, u'3', None, 'id')): {'activation_information': 'CONDITIONAL $250 Equipment Discount Included: Your price paid includes an Equipment Discount of $250 that has been provided to you in exchange for activating a new, non-substitute line of service with T-Mobile and your agreement that for the 181-day period following such activation you will (1) pay your balance due to T-Mobile each month and otherwise maintain your account in good standing, (2) not disconnect this T-Mobile line of service, (3) not transfer this equipment to another T-Mobile line of service, (4) not change your T-Mobile service rate plan to a lower monthly service rate--this includes canceling or removing required PDA, BlackBerry, or smartphone features after your product has shipped, (5) not use this line of service to replace an existing account with T-Mobile. If these conditions are not met, you hereby authorize Magento.com to charge your credit card $250 as reimbursement of this Equipment Discount without need for further approval.',
                                                           'categories': ['8'],
                                                           'color': '23',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-23 15:40:26',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': " Like the BlackBerry 7105t, the BlackBerry 8100 Pearl is \r\nThe BlackBerry 8100 Pearl sports a large 240 x 260 screen that supports over 65,000 colors-- plenty of real estate to view your e-mails, Web browser content, messaging sessions, and attachments. The venerable BlackBerry trackwheel has been replaced on this model with an innovative four-way trackball placed below the screen. On the rear of the handheld, you'll find a 1.3-megapixel camera and a self portrait mirror. The handheld's microSD memory card slot is located inside the device, behind the battery. There's also a standard 2.5mm headset jack that can be used with the included headset, as well as a mini-USB port for data connectivity.",
                                                           'dimension': '4.2 x 2 x 0.6 inches ',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class="disc">\r\n<li> 1.3 mega pixel camera to capture those special moments<br></li>\r\n<li> MP3 player lets you listen to your favorite music on the go<br></li>\r\n<li>Menu and escape keys on the front of the device for easier access<br></li>\r\n<li> Bluetooth technology lets you experience hands free and wire free features<br></li>\r\n<li>Package Contents: phone,AC adapter,software CD,headset,USB cable,sim- card,get started poster,reference guide<br></li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': '21',
                                                           'meta_description': 'BlackBerry 8100 Pearl sports a large 240 x 260 screen that supports over 65,000 colors-- plenty of real estate to view your e-mails, Web browser content, messaging sessions, and attachments.',
                                                           'meta_keyword': 'Blackberry, 8100, pearl, cell, phone',
                                                           'meta_title': 'BlackBerry 8100 Pearl',
                                                           'minimal_price': '349.9900',
                                                           'model': '8100',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'BlackBerry 8100 Pearl',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '349.9900',
                                                           'product_id': '17',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '38',
                                                           'short_description': "The BlackBerry 8100 Pearl is a departure from the form factor of previous BlackBerry devices. This BlackBerry handset is far more phone-like, and RIM's engineers have managed to fit a QWERTY keyboard onto the handset's slim frame.",
                                                           'sku': 'bb8100',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:50:23',
                                                           'url_key': 'blackberry-8100-pearl',
                                                           'url_path': 'blackberry-8100-pearl.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '15.2000'},
        ('ol_catalog_product.info', (18, None, None, 'id')): {'activation_information': 'Conditional $250 Equipment Discount Included: Your price paid includes an equipment discount of $250 that has been provided to you in exchange for either activating a new, non-substitute line of service or renewing an existing line of service with AT&T and your agreement that for the 181-day period following such activation or renewal you will: (1) pay your balance due to AT&T each month and otherwise maintain your account in good standing; (2) not disconnect this AT&T line of service; (3) not transfer this equipment to another AT&T line of service; (4) not change your AT&T service rate plan to a lower monthly service rate--this includes canceling or removing required PDA, BlackBerry, or smartphone features after your product has shipped; (5) not use this line of service to replace an existing account with AT&T. If these conditions are not met, you hereby authorize Magento.com to charge your credit card $250 as reimbursement of this equipment discount without need for further approval.',
                                                           'categories': ['8'],
                                                           'color': '24',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-23 15:47:44',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "The W810i's screen sports 176 x 220 pixel resolution with support for 262,000 colors. Quick access buttons below the screen make it easy to control the phone's Walkman music features, while a five-way center button controls most of the phone's menus and features.",
                                                           'dimension': ' 3.5 x 1.8 x 1 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': u'<ul>\r\n<ul class="disc">\r\n \r\n<li>Disc2Phone\u2122 music copying software is supplied in the W810 kit and it\u2019s easy to copy songs from your favorite CDs, and PC music folders<br></li>\r\n<li>The built-in W810 2 megapixel digital camera with autofus takes excellent photos and when you need to catch some action, W810 has video too<br></li>\r\n<li>Sharing images and other phone content is easy. Use Bluetooth\u2122, or Multimedia messaging when you want to send images and video<br></li>\r\n<li> Wherever you are, you have high speed access to the internet with EDGE technology<br></li>\r\n<li> A full-function email client in your W810 gives you access to your inbox wherever you go</li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': '2',
                                                           'meta_description': 'The W810i follows a long tradition of beautifully designed and crafted phones from Sony Ericsson. The same candy-bar style that graced the W800 is here, as is the horizontally-oriented camera unit on the back of the phone, allowing you to hold the phone j',
                                                           'meta_keyword': 'Sony, Ericsson ,W810i, cell, phone',
                                                           'meta_title': 'Sony Ericsson W810i',
                                                           'minimal_price': '399.9900',
                                                           'model': 'W810i',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Sony Ericsson W810i',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '399.9900',
                                                           'product_id': '18',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '38',
                                                           'short_description': 'The W810i follows a long tradition of beautifully designed and crafted phones from Sony Ericsson. The same candy-bar style that graced the W800 is here.',
                                                           'sku': 'sw810i',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:50:56',
                                                           'url_key': 'sony-ericsson-w810i',
                                                           'url_path': 'sony-ericsson-w810i.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '13.6000'},
        ('ol_catalog_product.info', (18, u'2', None, 'id')): {'activation_information': 'Conditional $250 Equipment Discount Included: Your price paid includes an equipment discount of $250 that has been provided to you in exchange for either activating a new, non-substitute line of service or renewing an existing line of service with AT&T and your agreement that for the 181-day period following such activation or renewal you will: (1) pay your balance due to AT&T each month and otherwise maintain your account in good standing; (2) not disconnect this AT&T line of service; (3) not transfer this equipment to another AT&T line of service; (4) not change your AT&T service rate plan to a lower monthly service rate--this includes canceling or removing required PDA, BlackBerry, or smartphone features after your product has shipped; (5) not use this line of service to replace an existing account with AT&T. If these conditions are not met, you hereby authorize Magento.com to charge your credit card $250 as reimbursement of this equipment discount without need for further approval.',
                                                           'categories': ['8'],
                                                           'color': '24',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-23 15:47:44',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "The W810i's screen sports 176 x 220 pixel resolution with support for 262,000 colors. Quick access buttons below the screen make it easy to control the phone's Walkman music features, while a five-way center button controls most of the phone's menus and features.",
                                                           'dimension': ' 3.5 x 1.8 x 1 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': u'<ul>\r\n<ul class="disc">\r\n \r\n<li>Disc2Phone\u2122 music copying software is supplied in the W810 kit and it\u2019s easy to copy songs from your favorite CDs, and PC music folders<br></li>\r\n<li>The built-in W810 2 megapixel digital camera with autofus takes excellent photos and when you need to catch some action, W810 has video too<br></li>\r\n<li>Sharing images and other phone content is easy. Use Bluetooth\u2122, or Multimedia messaging when you want to send images and video<br></li>\r\n<li> Wherever you are, you have high speed access to the internet with EDGE technology<br></li>\r\n<li> A full-function email client in your W810 gives you access to your inbox wherever you go</li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': '2',
                                                           'meta_description': 'The W810i follows a long tradition of beautifully designed and crafted phones from Sony Ericsson. The same candy-bar style that graced the W800 is here, as is the horizontally-oriented camera unit on the back of the phone, allowing you to hold the phone j',
                                                           'meta_keyword': 'Sony, Ericsson ,W810i, cell, phone',
                                                           'meta_title': 'Sony Ericsson W810i',
                                                           'minimal_price': '399.9900',
                                                           'model': 'W810i',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Sony Ericsson W810i',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '399.9900',
                                                           'product_id': '18',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '38',
                                                           'short_description': 'The W810i follows a long tradition of beautifully designed and crafted phones from Sony Ericsson. The same candy-bar style that graced the W800 is here.',
                                                           'sku': 'sw810i',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:50:56',
                                                           'url_key': 'sony-ericsson-w810i',
                                                           'url_path': 'sony-ericsson-w810i.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '13.6000'},
        ('ol_catalog_product.info', (18, u'3', None, 'id')): {'activation_information': 'Conditional $250 Equipment Discount Included: Your price paid includes an equipment discount of $250 that has been provided to you in exchange for either activating a new, non-substitute line of service or renewing an existing line of service with AT&T and your agreement that for the 181-day period following such activation or renewal you will: (1) pay your balance due to AT&T each month and otherwise maintain your account in good standing; (2) not disconnect this AT&T line of service; (3) not transfer this equipment to another AT&T line of service; (4) not change your AT&T service rate plan to a lower monthly service rate--this includes canceling or removing required PDA, BlackBerry, or smartphone features after your product has shipped; (5) not use this line of service to replace an existing account with AT&T. If these conditions are not met, you hereby authorize Magento.com to charge your credit card $250 as reimbursement of this equipment discount without need for further approval.',
                                                           'categories': ['8'],
                                                           'color': '24',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-23 15:47:44',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "The W810i's screen sports 176 x 220 pixel resolution with support for 262,000 colors. Quick access buttons below the screen make it easy to control the phone's Walkman music features, while a five-way center button controls most of the phone's menus and features.",
                                                           'dimension': ' 3.5 x 1.8 x 1 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': u'<ul>\r\n<ul class="disc">\r\n \r\n<li>Disc2Phone\u2122 music copying software is supplied in the W810 kit and it\u2019s easy to copy songs from your favorite CDs, and PC music folders<br></li>\r\n<li>The built-in W810 2 megapixel digital camera with autofus takes excellent photos and when you need to catch some action, W810 has video too<br></li>\r\n<li>Sharing images and other phone content is easy. Use Bluetooth\u2122, or Multimedia messaging when you want to send images and video<br></li>\r\n<li> Wherever you are, you have high speed access to the internet with EDGE technology<br></li>\r\n<li> A full-function email client in your W810 gives you access to your inbox wherever you go</li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': '2',
                                                           'meta_description': 'The W810i follows a long tradition of beautifully designed and crafted phones from Sony Ericsson. The same candy-bar style that graced the W800 is here, as is the horizontally-oriented camera unit on the back of the phone, allowing you to hold the phone j',
                                                           'meta_keyword': 'Sony, Ericsson ,W810i, cell, phone',
                                                           'meta_title': 'Sony Ericsson W810i',
                                                           'minimal_price': '399.9900',
                                                           'model': 'W810i',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Sony Ericsson W810i',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '399.9900',
                                                           'product_id': '18',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '38',
                                                           'short_description': 'The W810i follows a long tradition of beautifully designed and crafted phones from Sony Ericsson. The same candy-bar style that graced the W800 is here.',
                                                           'sku': 'sw810i',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:50:56',
                                                           'url_key': 'sony-ericsson-w810i',
                                                           'url_path': 'sony-ericsson-w810i.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '13.6000'},
        ('ol_catalog_product.info', (19, None, None, 'id')): {'activation_information': 'Conditional $250 Equipment Discount Included: Your price paid includes an equipment discount of $250 that has been provided to you in exchange for either activating a new, non-substitute line of service or renewing an existing line of service with AT&T and your agreement that for the 181-day period following such activation or renewal you will: (1) pay your balance due to AT&T each month and otherwise maintain your account in good standing; (2) not disconnect this AT&T line of service; (3) not transfer this equipment to another AT&T line of service; (4) not change your AT&T service rate plan to a lower monthly service rate--this includes canceling or removing required PDA, BlackBerry, or smartphone features after your product has shipped; (5) not use this line of service to replace an existing account with AT&T. If these conditions are not met, you hereby authorize Magento.com to charge your credit card $250 as reimbursement of this equipment discount without need for further approval.',
                                                           'categories': ['8'],
                                                           'color': '23',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-23 15:55:29',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': " The design of the 8525 is clean and uncluttered, with just a few buttons for mail, Internet Explorer, and contextual menus. Meanwhile, call answer and end buttons surround a five-way toggle that allows you to navigate and control the Windows Mobile interface. As mentioned, a full QWERTY keyboard cleverly slides out from underneath the screen. This allows you to hold the device horizontally, and the screen is automatically placed in landscape mode when you're using the keyboard. A side scroll wheel is conveniently tucked away on the side, making navigation when accessing the music player and other various applications a cinch when needed. A mini-SD memory expansion card slot is provided, as is an infrared port and support for a stereo Bluetooth headset. A mini-USB port is also included for wired data transfers and charging.",
                                                           'dimension': '4.4 x 2.4 x 0.9 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class="disc">\r\n<li>tri-band UMTS/HSDPA; quad-band GSM/GPRS/EDGE for global use<br></li>\r\n<li>Windows Mobile 5.0 with Messaging & Security Feature Pack<br></li>\r\n<li>sliding QWERTY keyboard with improved keypad design and improved backlight for easier use in low light conditions<br></li>\r\n<li>128MB ROM / 64MB RAM; ~51MB user available memory<br></li>\r\n<li>2.0 mega-pixel camera with video capabilities</li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': '101',
                                                           'meta_description': 'nder the hood, the 8525 features 128MB of embedded memory and 64MB RAM, running on a 400 MHz Samsung processor. Up front, the 240 x 320 LCD touch-screen supports over 65,000 colors, while the rear of the device houses a 2.0 megapixel camera. The design of',
                                                           'meta_keyword': 'At&t, 8525, cell, phone',
                                                           'meta_title': 'AT&T 8525 PDA Phone',
                                                           'minimal_price': '199.9900',
                                                           'model': '8525 PDA',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'AT&T 8525 PDA',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '199.9900',
                                                           'product_id': '19',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '38',
                                                           'short_description': 'Under the hood, the 8525 features 128MB of embedded memory and 64MB RAM, running on a 400 MHz Samsung processor. Up front, the 240 x 320 LCD touch-screen supports over 65,000 colors, while the rear of the device houses a 2.0 megapixel camera.',
                                                           'sku': '8525PDA',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:51:11',
                                                           'url_key': 'atandt-8525-pda',
                                                           'url_path': 'atandt-8525-pda.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '30.0000'},
        ('ol_catalog_product.info', (19, u'2', None, 'id')): {'activation_information': 'Conditional $250 Equipment Discount Included: Your price paid includes an equipment discount of $250 that has been provided to you in exchange for either activating a new, non-substitute line of service or renewing an existing line of service with AT&T and your agreement that for the 181-day period following such activation or renewal you will: (1) pay your balance due to AT&T each month and otherwise maintain your account in good standing; (2) not disconnect this AT&T line of service; (3) not transfer this equipment to another AT&T line of service; (4) not change your AT&T service rate plan to a lower monthly service rate--this includes canceling or removing required PDA, BlackBerry, or smartphone features after your product has shipped; (5) not use this line of service to replace an existing account with AT&T. If these conditions are not met, you hereby authorize Magento.com to charge your credit card $250 as reimbursement of this equipment discount without need for further approval.',
                                                           'categories': ['8'],
                                                           'color': '23',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-23 15:55:29',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': " The design of the 8525 is clean and uncluttered, with just a few buttons for mail, Internet Explorer, and contextual menus. Meanwhile, call answer and end buttons surround a five-way toggle that allows you to navigate and control the Windows Mobile interface. As mentioned, a full QWERTY keyboard cleverly slides out from underneath the screen. This allows you to hold the device horizontally, and the screen is automatically placed in landscape mode when you're using the keyboard. A side scroll wheel is conveniently tucked away on the side, making navigation when accessing the music player and other various applications a cinch when needed. A mini-SD memory expansion card slot is provided, as is an infrared port and support for a stereo Bluetooth headset. A mini-USB port is also included for wired data transfers and charging.",
                                                           'dimension': '4.4 x 2.4 x 0.9 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class="disc">\r\n<li>tri-band UMTS/HSDPA; quad-band GSM/GPRS/EDGE for global use<br></li>\r\n<li>Windows Mobile 5.0 with Messaging & Security Feature Pack<br></li>\r\n<li>sliding QWERTY keyboard with improved keypad design and improved backlight for easier use in low light conditions<br></li>\r\n<li>128MB ROM / 64MB RAM; ~51MB user available memory<br></li>\r\n<li>2.0 mega-pixel camera with video capabilities</li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': '101',
                                                           'meta_description': 'nder the hood, the 8525 features 128MB of embedded memory and 64MB RAM, running on a 400 MHz Samsung processor. Up front, the 240 x 320 LCD touch-screen supports over 65,000 colors, while the rear of the device houses a 2.0 megapixel camera. The design of',
                                                           'meta_keyword': 'At&t, 8525, cell, phone',
                                                           'meta_title': 'AT&T 8525 PDA Phone',
                                                           'minimal_price': '199.9900',
                                                           'model': '8525 PDA',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'AT&T 8525 PDA',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '199.9900',
                                                           'product_id': '19',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '38',
                                                           'short_description': 'Under the hood, the 8525 features 128MB of embedded memory and 64MB RAM, running on a 400 MHz Samsung processor. Up front, the 240 x 320 LCD touch-screen supports over 65,000 colors, while the rear of the device houses a 2.0 megapixel camera.',
                                                           'sku': '8525PDA',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:51:11',
                                                           'url_key': 'atandt-8525-pda',
                                                           'url_path': 'atandt-8525-pda.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '30.0000'},
        ('ol_catalog_product.info', (19, u'3', None, 'id')): {'activation_information': 'Conditional $250 Equipment Discount Included: Your price paid includes an equipment discount of $250 that has been provided to you in exchange for either activating a new, non-substitute line of service or renewing an existing line of service with AT&T and your agreement that for the 181-day period following such activation or renewal you will: (1) pay your balance due to AT&T each month and otherwise maintain your account in good standing; (2) not disconnect this AT&T line of service; (3) not transfer this equipment to another AT&T line of service; (4) not change your AT&T service rate plan to a lower monthly service rate--this includes canceling or removing required PDA, BlackBerry, or smartphone features after your product has shipped; (5) not use this line of service to replace an existing account with AT&T. If these conditions are not met, you hereby authorize Magento.com to charge your credit card $250 as reimbursement of this equipment discount without need for further approval.',
                                                           'categories': ['8'],
                                                           'color': '23',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-23 15:55:29',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': " The design of the 8525 is clean and uncluttered, with just a few buttons for mail, Internet Explorer, and contextual menus. Meanwhile, call answer and end buttons surround a five-way toggle that allows you to navigate and control the Windows Mobile interface. As mentioned, a full QWERTY keyboard cleverly slides out from underneath the screen. This allows you to hold the device horizontally, and the screen is automatically placed in landscape mode when you're using the keyboard. A side scroll wheel is conveniently tucked away on the side, making navigation when accessing the music player and other various applications a cinch when needed. A mini-SD memory expansion card slot is provided, as is an infrared port and support for a stereo Bluetooth headset. A mini-USB port is also included for wired data transfers and charging.",
                                                           'dimension': '4.4 x 2.4 x 0.9 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class="disc">\r\n<li>tri-band UMTS/HSDPA; quad-band GSM/GPRS/EDGE for global use<br></li>\r\n<li>Windows Mobile 5.0 with Messaging & Security Feature Pack<br></li>\r\n<li>sliding QWERTY keyboard with improved keypad design and improved backlight for easier use in low light conditions<br></li>\r\n<li>128MB ROM / 64MB RAM; ~51MB user available memory<br></li>\r\n<li>2.0 mega-pixel camera with video capabilities</li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': '101',
                                                           'meta_description': 'nder the hood, the 8525 features 128MB of embedded memory and 64MB RAM, running on a 400 MHz Samsung processor. Up front, the 240 x 320 LCD touch-screen supports over 65,000 colors, while the rear of the device houses a 2.0 megapixel camera. The design of',
                                                           'meta_keyword': 'At&t, 8525, cell, phone',
                                                           'meta_title': 'AT&T 8525 PDA Phone',
                                                           'minimal_price': '199.9900',
                                                           'model': '8525 PDA',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'AT&T 8525 PDA',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '199.9900',
                                                           'product_id': '19',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '38',
                                                           'short_description': 'Under the hood, the 8525 features 128MB of embedded memory and 64MB RAM, running on a 400 MHz Samsung processor. Up front, the 240 x 320 LCD touch-screen supports over 65,000 colors, while the rear of the device houses a 2.0 megapixel camera.',
                                                           'sku': '8525PDA',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:51:11',
                                                           'url_key': 'atandt-8525-pda',
                                                           'url_path': 'atandt-8525-pda.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '30.0000'},
        ('ol_catalog_product.info', (20, None, None, 'id')): {'activation_information': 'CONDITIONAL $250 Equipment Discount Included: Your price paid includes an equipment discount of $250 that has been provided to you in exchange for activating a new, non-substitute line of service with Sprint and your agreement that for the 181-day period following such activation you will (1) pay your balance due to Sprint each month and otherwise maintain your account in good standing, (2) not disconnect this Sprint line of service, (3) not transfer this equipment to another Sprint line of service, (4) not change your Sprint service rate plan to a lower monthly service rate--this includes canceling or removing required PDA, BlackBerry, or smartphone features after your product has shipped, and (5) not use this line of service to replace an existing account with Sprint. If these conditions are not met, you hereby authorize Magento.com to charge your credit card $250 as reimbursement of this equipment discount without need for further approval.',
                                                           'categories': ['8'],
                                                           'color': '23',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-23 18:06:42',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'New services supported by both the MM-A900m include the newly announced Sprint Music StoreSM, which allows users to immediately buy and download complete songs directly to their phone; 30 channels of live and on demand video and audio from Sprint TVSM and On Demand, a personalized resource guide to news, traffic, weather, sports and entertainment. The MM-A900m offers great-looking design with the ability to download a rich selection of content directly to the phone. Features like external music-navigation keys make these phones both functional and attractive. These handsets are sure to be at the top of many wish lists.',
                                                           'dimension': '3.9 x 2 x 0.6 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': u'<ul>\r\n<ul class="disc">\r\n<li>Bluetooth Wireless Technology: Built-in radio technology allows fast, secure transmission between your phone and accessories without cables or wires. Bluetooth wireless accessories are sold separately.<br></li>\r\n<li>Mass Storage Area: Store pictures, videos, voice memos and music within the internal memory of the phone.<br></li>\r\n<li>Streaming Music Enabled: Stream music to your phone with Music Choice\xae. Select from Pop, Rock, Hip Hop, and R&B plus exclusive video clips, performances, and artist interviews.<br></li>\r\n</ul>\r\n   ',
                                                           'is_recurring': None,
                                                           'manufacturer': '3',
                                                           'meta_description': 'New services supported by both the MM-A900m include the newly announced Sprint Music StoreSM, which allows users to immediately buy and download complete songs directly to their phone',
                                                           'meta_keyword': 'Samsung, MM-A900M, cell, phone',
                                                           'meta_title': 'Samsung MM-A900M Ace Phone',
                                                           'minimal_price': '150.0000',
                                                           'model': 'MM-A900M',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Samsung MM-A900M Ace',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '150.0000',
                                                           'product_id': '20',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '38',
                                                           'short_description': 'The MM-A900m offers great-looking design with the ability to download a rich selection of content directly to the phone. ',
                                                           'sku': 'MM-A900M',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:51:27',
                                                           'url_key': 'samsung-mm-a900m-ace',
                                                           'url_path': 'samsung-mm-a900m-ace.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (20, u'2', None, 'id')): {'activation_information': 'CONDITIONAL $250 Equipment Discount Included: Your price paid includes an equipment discount of $250 that has been provided to you in exchange for activating a new, non-substitute line of service with Sprint and your agreement that for the 181-day period following such activation you will (1) pay your balance due to Sprint each month and otherwise maintain your account in good standing, (2) not disconnect this Sprint line of service, (3) not transfer this equipment to another Sprint line of service, (4) not change your Sprint service rate plan to a lower monthly service rate--this includes canceling or removing required PDA, BlackBerry, or smartphone features after your product has shipped, and (5) not use this line of service to replace an existing account with Sprint. If these conditions are not met, you hereby authorize Magento.com to charge your credit card $250 as reimbursement of this equipment discount without need for further approval.',
                                                           'categories': ['8'],
                                                           'color': '23',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-23 18:06:42',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'New services supported by both the MM-A900m include the newly announced Sprint Music StoreSM, which allows users to immediately buy and download complete songs directly to their phone; 30 channels of live and on demand video and audio from Sprint TVSM and On Demand, a personalized resource guide to news, traffic, weather, sports and entertainment. The MM-A900m offers great-looking design with the ability to download a rich selection of content directly to the phone. Features like external music-navigation keys make these phones both functional and attractive. These handsets are sure to be at the top of many wish lists.',
                                                           'dimension': '3.9 x 2 x 0.6 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': u'<ul>\r\n<ul class="disc">\r\n<li>Bluetooth Wireless Technology: Built-in radio technology allows fast, secure transmission between your phone and accessories without cables or wires. Bluetooth wireless accessories are sold separately.<br></li>\r\n<li>Mass Storage Area: Store pictures, videos, voice memos and music within the internal memory of the phone.<br></li>\r\n<li>Streaming Music Enabled: Stream music to your phone with Music Choice\xae. Select from Pop, Rock, Hip Hop, and R&B plus exclusive video clips, performances, and artist interviews.<br></li>\r\n</ul>\r\n   ',
                                                           'is_recurring': None,
                                                           'manufacturer': '3',
                                                           'meta_description': 'New services supported by both the MM-A900m include the newly announced Sprint Music StoreSM, which allows users to immediately buy and download complete songs directly to their phone',
                                                           'meta_keyword': 'Samsung, MM-A900M, cell, phone',
                                                           'meta_title': 'Samsung MM-A900M Ace Phone',
                                                           'minimal_price': '150.0000',
                                                           'model': 'MM-A900M',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Samsung MM-A900M Ace',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '150.0000',
                                                           'product_id': '20',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '38',
                                                           'short_description': 'The MM-A900m offers great-looking design with the ability to download a rich selection of content directly to the phone. ',
                                                           'sku': 'MM-A900M',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:51:27',
                                                           'url_key': 'samsung-mm-a900m-ace',
                                                           'url_path': 'samsung-mm-a900m-ace.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (20, u'3', None, 'id')): {'activation_information': 'CONDITIONAL $250 Equipment Discount Included: Your price paid includes an equipment discount of $250 that has been provided to you in exchange for activating a new, non-substitute line of service with Sprint and your agreement that for the 181-day period following such activation you will (1) pay your balance due to Sprint each month and otherwise maintain your account in good standing, (2) not disconnect this Sprint line of service, (3) not transfer this equipment to another Sprint line of service, (4) not change your Sprint service rate plan to a lower monthly service rate--this includes canceling or removing required PDA, BlackBerry, or smartphone features after your product has shipped, and (5) not use this line of service to replace an existing account with Sprint. If these conditions are not met, you hereby authorize Magento.com to charge your credit card $250 as reimbursement of this equipment discount without need for further approval.',
                                                           'categories': ['8'],
                                                           'color': '23',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-23 18:06:42',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'New services supported by both the MM-A900m include the newly announced Sprint Music StoreSM, which allows users to immediately buy and download complete songs directly to their phone; 30 channels of live and on demand video and audio from Sprint TVSM and On Demand, a personalized resource guide to news, traffic, weather, sports and entertainment. The MM-A900m offers great-looking design with the ability to download a rich selection of content directly to the phone. Features like external music-navigation keys make these phones both functional and attractive. These handsets are sure to be at the top of many wish lists.',
                                                           'dimension': '3.9 x 2 x 0.6 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': u'<ul>\r\n<ul class="disc">\r\n<li>Bluetooth Wireless Technology: Built-in radio technology allows fast, secure transmission between your phone and accessories without cables or wires. Bluetooth wireless accessories are sold separately.<br></li>\r\n<li>Mass Storage Area: Store pictures, videos, voice memos and music within the internal memory of the phone.<br></li>\r\n<li>Streaming Music Enabled: Stream music to your phone with Music Choice\xae. Select from Pop, Rock, Hip Hop, and R&B plus exclusive video clips, performances, and artist interviews.<br></li>\r\n</ul>\r\n   ',
                                                           'is_recurring': None,
                                                           'manufacturer': '3',
                                                           'meta_description': 'New services supported by both the MM-A900m include the newly announced Sprint Music StoreSM, which allows users to immediately buy and download complete songs directly to their phone',
                                                           'meta_keyword': 'Samsung, MM-A900M, cell, phone',
                                                           'meta_title': 'Samsung MM-A900M Ace Phone',
                                                           'minimal_price': '150.0000',
                                                           'model': 'MM-A900M',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Samsung MM-A900M Ace',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '150.0000',
                                                           'product_id': '20',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '38',
                                                           'short_description': 'The MM-A900m offers great-looking design with the ability to download a rich selection of content directly to the phone. ',
                                                           'sku': 'MM-A900M',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:51:27',
                                                           'url_key': 'samsung-mm-a900m-ace',
                                                           'url_path': 'samsung-mm-a900m-ace.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (25, None, None, 'id')): {'categories': ['15',
                                                                          '28'],
                                                           'color': '23',
                                                           'computer_manufacturers': '77',
                                                           'cost': '1299.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 14:28:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "This, combined with myriad other engineering leaps, boosts performance up to four times higher than the PowerBook G4. With this awesome power, it's a breeze to render complex 3D models, enjoy smooth playback of HD video, or host a four-way video conference.Intel Core Duo is the first chip built using Intel's groundbreaking 65-nanometer process - resulting in transistors so small, you could fit a hundred inside a single human cell. With smaller distances for electrons to travel, and two processors designed to share resources and conserve power, Intel Core Duo achieves higher levels of performance as it uses fewer watts. Which is what makes it possible to design a super-powerful MacBook Pro that's only one inch thin.When Mac technology makes something easy, it's hardly news. So here's more non-news for MacBook Pro owners: software just works. If you see the Universal logo on a new application, that means it will run on Intel- and PowerPC-based Mac computers. For most existing applications, you simply do what you've always done: double-click them. Thanks to the Rosetta technology in Mac OS X, they look and feel just like they did before.",
                                                           'dimension': '19.5 x 7.6 x 19.5 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'hardrive': '100 GB 5400 rpm Serial ATA hard drive',
                                                           'has_options': '1',
                                                           'image_label': None,
                                                           'in_depth': u' <ul>\r\n<ul class="disc">\r\n<li>2.0 GHz Intel Core Duo processor with 2 MB shared L2 Cache<br></li>\r\n<li>1 GB (single SODIMM) 667 MHz DDR2 SDRAM (PC2-5300); 100 GB 5400 rpm Serial ATA hard drive; slot-load SuperDrive (DVD\xb1RW/CD-RW)<br></li>\r\n<li>One FireWire 400, two USB 2.0 ports, and ExpressCard/34 slot; no FireWire 800 slots<br></li>\r\n<li>Built-in 10/100/1000BASE-T (Gigabit); built-in 54 Mbps AirPort Extreme (802.11g); built-in Bluetooth 2.0+EDR<br></li>\r\n<li>15.4-inch TFT widescreen display with 1440 x 900 resolution</li>',
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'memory': '1 GB (single SODIMM) 667 MHz DDR2 SDRAM (PC2-5300)',
                                                           'meta_description': 'Apple MacBook Pro MA464LL/A 15.4" Notebook PC (2.0 GHz Intel Core Duo, 1 GB RAM, 100 GB Hard Drive, SuperDrive)',
                                                           'meta_keyword': 'Apple MacBook Pro MA464LL/A 15.4" Notebook PC (2.0 GHz Intel Core Duo, 1 GB RAM, 100 GB Hard Drive, SuperDrive) ',
                                                           'meta_title': 'Apple MacBook Pro MA464LL/A 15.4" Notebook PC (2.0 GHz Intel Core Duo, 1 GB RAM, 100 GB Hard Drive, SuperDrive)',
                                                           'minimal_price': '2299.9900',
                                                           'model': 'MA464LL/A',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Apple MacBook Pro MA464LL/A 15.4" Notebook PC',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container1',
                                                           'page_layout': None,
                                                           'price': '2299.9900',
                                                           'processor': '2.0 GHz Intel Core Duo processor with 2 MB shared L2 Cache',
                                                           'product_id': '25',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'screensize': '15.4-inch TFT widescreen display with 1440 x 900 resolution',
                                                           'set': '39',
                                                           'short_description': "You've seen improvements in notebook performance before - but never on this scale. The Intel Core Duo powering MacBook Pro is actually two processors built into a single chip.",
                                                           'sku': 'MA464LL/A',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-28 21:27:34',
                                                           'url_key': 'apple-macbook-pro-ma464ll-a-15-4-notebook-pc-2-0-ghz-intel-core-duo-1-gb-ram-100-gb-hard-drive-superdrive',
                                                           'url_path': 'apple-macbook-pro-ma464ll-a-15-4-notebook-pc-2-0-ghz-intel-core-duo-1-gb-ram-100-gb-hard-drive-superdrive.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '10.6000'},
        ('ol_catalog_product.info', (25, u'2', None, 'id')): {'categories': ['15',
                                                                          '28'],
                                                           'color': '23',
                                                           'computer_manufacturers': '77',
                                                           'cost': '1299.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 14:28:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "This, combined with myriad other engineering leaps, boosts performance up to four times higher than the PowerBook G4. With this awesome power, it's a breeze to render complex 3D models, enjoy smooth playback of HD video, or host a four-way video conference.Intel Core Duo is the first chip built using Intel's groundbreaking 65-nanometer process - resulting in transistors so small, you could fit a hundred inside a single human cell. With smaller distances for electrons to travel, and two processors designed to share resources and conserve power, Intel Core Duo achieves higher levels of performance as it uses fewer watts. Which is what makes it possible to design a super-powerful MacBook Pro that's only one inch thin.When Mac technology makes something easy, it's hardly news. So here's more non-news for MacBook Pro owners: software just works. If you see the Universal logo on a new application, that means it will run on Intel- and PowerPC-based Mac computers. For most existing applications, you simply do what you've always done: double-click them. Thanks to the Rosetta technology in Mac OS X, they look and feel just like they did before.",
                                                           'dimension': '19.5 x 7.6 x 19.5 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'hardrive': '100 GB 5400 rpm Serial ATA hard drive',
                                                           'has_options': '1',
                                                           'image_label': None,
                                                           'in_depth': u' <ul>\r\n<ul class="disc">\r\n<li>2.0 GHz Intel Core Duo processor with 2 MB shared L2 Cache<br></li>\r\n<li>1 GB (single SODIMM) 667 MHz DDR2 SDRAM (PC2-5300); 100 GB 5400 rpm Serial ATA hard drive; slot-load SuperDrive (DVD\xb1RW/CD-RW)<br></li>\r\n<li>One FireWire 400, two USB 2.0 ports, and ExpressCard/34 slot; no FireWire 800 slots<br></li>\r\n<li>Built-in 10/100/1000BASE-T (Gigabit); built-in 54 Mbps AirPort Extreme (802.11g); built-in Bluetooth 2.0+EDR<br></li>\r\n<li>15.4-inch TFT widescreen display with 1440 x 900 resolution</li>',
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'memory': '1 GB (single SODIMM) 667 MHz DDR2 SDRAM (PC2-5300)',
                                                           'meta_description': 'Apple MacBook Pro MA464LL/A 15.4" Notebook PC (2.0 GHz Intel Core Duo, 1 GB RAM, 100 GB Hard Drive, SuperDrive)',
                                                           'meta_keyword': 'Apple MacBook Pro MA464LL/A 15.4" Notebook PC (2.0 GHz Intel Core Duo, 1 GB RAM, 100 GB Hard Drive, SuperDrive) ',
                                                           'meta_title': 'Apple MacBook Pro MA464LL/A 15.4" Notebook PC (2.0 GHz Intel Core Duo, 1 GB RAM, 100 GB Hard Drive, SuperDrive)',
                                                           'minimal_price': '2299.9900',
                                                           'model': 'MA464LL/A',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Apple MacBook Pro MA464LL/A 15.4" Notebook PC',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container1',
                                                           'page_layout': None,
                                                           'price': '2299.9900',
                                                           'processor': '2.0 GHz Intel Core Duo processor with 2 MB shared L2 Cache',
                                                           'product_id': '25',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'screensize': '15.4-inch TFT widescreen display with 1440 x 900 resolution',
                                                           'set': '39',
                                                           'short_description': "You've seen improvements in notebook performance before - but never on this scale. The Intel Core Duo powering MacBook Pro is actually two processors built into a single chip.",
                                                           'sku': 'MA464LL/A',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-28 21:27:34',
                                                           'url_key': 'apple-macbook-pro-ma464ll-a-15-4-notebook-pc-2-0-ghz-intel-core-duo-1-gb-ram-100-gb-hard-drive-superdrive',
                                                           'url_path': 'apple-macbook-pro-ma464ll-a-15-4-notebook-pc-2-0-ghz-intel-core-duo-1-gb-ram-100-gb-hard-drive-superdrive.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '10.6000'},
        ('ol_catalog_product.info', (25, u'3', None, 'id')): {'categories': ['15',
                                                                          '28'],
                                                           'color': '23',
                                                           'computer_manufacturers': '77',
                                                           'cost': '1299.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 14:28:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "This, combined with myriad other engineering leaps, boosts performance up to four times higher than the PowerBook G4. With this awesome power, it's a breeze to render complex 3D models, enjoy smooth playback of HD video, or host a four-way video conference.Intel Core Duo is the first chip built using Intel's groundbreaking 65-nanometer process - resulting in transistors so small, you could fit a hundred inside a single human cell. With smaller distances for electrons to travel, and two processors designed to share resources and conserve power, Intel Core Duo achieves higher levels of performance as it uses fewer watts. Which is what makes it possible to design a super-powerful MacBook Pro that's only one inch thin.When Mac technology makes something easy, it's hardly news. So here's more non-news for MacBook Pro owners: software just works. If you see the Universal logo on a new application, that means it will run on Intel- and PowerPC-based Mac computers. For most existing applications, you simply do what you've always done: double-click them. Thanks to the Rosetta technology in Mac OS X, they look and feel just like they did before.",
                                                           'dimension': '19.5 x 7.6 x 19.5 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'hardrive': '100 GB 5400 rpm Serial ATA hard drive',
                                                           'has_options': '1',
                                                           'image_label': None,
                                                           'in_depth': u' <ul>\r\n<ul class="disc">\r\n<li>2.0 GHz Intel Core Duo processor with 2 MB shared L2 Cache<br></li>\r\n<li>1 GB (single SODIMM) 667 MHz DDR2 SDRAM (PC2-5300); 100 GB 5400 rpm Serial ATA hard drive; slot-load SuperDrive (DVD\xb1RW/CD-RW)<br></li>\r\n<li>One FireWire 400, two USB 2.0 ports, and ExpressCard/34 slot; no FireWire 800 slots<br></li>\r\n<li>Built-in 10/100/1000BASE-T (Gigabit); built-in 54 Mbps AirPort Extreme (802.11g); built-in Bluetooth 2.0+EDR<br></li>\r\n<li>15.4-inch TFT widescreen display with 1440 x 900 resolution</li>',
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'memory': '1 GB (single SODIMM) 667 MHz DDR2 SDRAM (PC2-5300)',
                                                           'meta_description': 'Apple MacBook Pro MA464LL/A 15.4" Notebook PC (2.0 GHz Intel Core Duo, 1 GB RAM, 100 GB Hard Drive, SuperDrive)',
                                                           'meta_keyword': 'Apple MacBook Pro MA464LL/A 15.4" Notebook PC (2.0 GHz Intel Core Duo, 1 GB RAM, 100 GB Hard Drive, SuperDrive) ',
                                                           'meta_title': 'Apple MacBook Pro MA464LL/A 15.4" Notebook PC (2.0 GHz Intel Core Duo, 1 GB RAM, 100 GB Hard Drive, SuperDrive)',
                                                           'minimal_price': '2299.9900',
                                                           'model': 'MA464LL/A',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Apple MacBook Pro MA464LL/A 15.4" Notebook PC',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container1',
                                                           'page_layout': None,
                                                           'price': '2299.9900',
                                                           'processor': '2.0 GHz Intel Core Duo processor with 2 MB shared L2 Cache',
                                                           'product_id': '25',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'screensize': '15.4-inch TFT widescreen display with 1440 x 900 resolution',
                                                           'set': '39',
                                                           'short_description': "You've seen improvements in notebook performance before - but never on this scale. The Intel Core Duo powering MacBook Pro is actually two processors built into a single chip.",
                                                           'sku': 'MA464LL/A',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-28 21:27:34',
                                                           'url_key': 'apple-macbook-pro-ma464ll-a-15-4-notebook-pc-2-0-ghz-intel-core-duo-1-gb-ram-100-gb-hard-drive-superdrive',
                                                           'url_path': 'apple-macbook-pro-ma464ll-a-15-4-notebook-pc-2-0-ghz-intel-core-duo-1-gb-ram-100-gb-hard-drive-superdrive.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '10.6000'},
        ('ol_catalog_product.info', (26, None, None, 'id')): {'categories': ['15',
                                                                          '28'],
                                                           'color': '24',
                                                           'computer_manufacturers': '79',
                                                           'cost': '999.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 14:35:16',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': ' Acer has flawlessly designed the Ferrari 3200, instilling it with exceptional performance, brilliant graphics, and lightning-fast connectivity. This exclusive edition is another striking symbol of cooperation between Acer and Ferrari -- two progressive companies with proud heritages built on passion, innovation, power and success.',
                                                           'dimension': '',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'hardrive': '80 gig Western Digital',
                                                           'has_options': '1',
                                                           'image_label': None,
                                                           'in_depth': ' <ul>\r\n<ul class="disc">\r\n<li>Mobile AMD Athlon 64 2800+<br></li>\r\n<li>1MB L2 Cache<br></li>\r\n<li>512MB of PC2700 DDR333 SDRAM<br></li>\r\n<li>2 RAM Slots (0 open - upgrading requires chip removal)<br></li>\r\n<li>RAM is upgradeable to 2GB</li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'memory': '512MB of PC2700 DDR333 SDRAM',
                                                           'meta_description': 'Acer Ferrari 3200 Notebook Computer PC',
                                                           'meta_keyword': 'Acer Ferrari 3200 Notebook Computer PC ',
                                                           'meta_title': 'Acer Ferrari 3200 Notebook Computer PC',
                                                           'minimal_price': '1799.9900',
                                                           'model': 'LX.FR206.001',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Acer Ferrari 3200 Notebook Computer PC',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '1799.9900',
                                                           'processor': 'Mobile AMD Athlon 64 2800+',
                                                           'product_id': '26',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'screensize': '15-inch, 200-nit, high-brightness TFT LCD screen ',
                                                           'set': '39',
                                                           'short_description': 'This exclusive edition is another striking symbol of cooperation between Acer and Ferrari -- two progressive companies with proud heritages built on passion, innovation, power and success',
                                                           'sku': 'LX.FR206.001',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-05 07:14:52',
                                                           'url_key': 'acer-ferrari-3200-notebook-computer-pc',
                                                           'url_path': 'acer-ferrari-3200-notebook-computer-pc.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '11.4000'},
        ('ol_catalog_product.info', (26, u'2', None, 'id')): {'categories': ['15',
                                                                          '28'],
                                                           'color': '24',
                                                           'computer_manufacturers': '79',
                                                           'cost': '999.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 14:35:16',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': ' Acer has flawlessly designed the Ferrari 3200, instilling it with exceptional performance, brilliant graphics, and lightning-fast connectivity. This exclusive edition is another striking symbol of cooperation between Acer and Ferrari -- two progressive companies with proud heritages built on passion, innovation, power and success.',
                                                           'dimension': '',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'hardrive': '80 gig Western Digital',
                                                           'has_options': '1',
                                                           'image_label': None,
                                                           'in_depth': ' <ul>\r\n<ul class="disc">\r\n<li>Mobile AMD Athlon 64 2800+<br></li>\r\n<li>1MB L2 Cache<br></li>\r\n<li>512MB of PC2700 DDR333 SDRAM<br></li>\r\n<li>2 RAM Slots (0 open - upgrading requires chip removal)<br></li>\r\n<li>RAM is upgradeable to 2GB</li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'memory': '512MB of PC2700 DDR333 SDRAM',
                                                           'meta_description': 'Acer Ferrari 3200 Notebook Computer PC',
                                                           'meta_keyword': 'Acer Ferrari 3200 Notebook Computer PC ',
                                                           'meta_title': 'Acer Ferrari 3200 Notebook Computer PC',
                                                           'minimal_price': '1799.9900',
                                                           'model': 'LX.FR206.001',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Acer Ferrari 3200 Notebook Computer PC',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '1799.9900',
                                                           'processor': 'Mobile AMD Athlon 64 2800+',
                                                           'product_id': '26',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'screensize': '15-inch, 200-nit, high-brightness TFT LCD screen ',
                                                           'set': '39',
                                                           'short_description': 'This exclusive edition is another striking symbol of cooperation between Acer and Ferrari -- two progressive companies with proud heritages built on passion, innovation, power and success',
                                                           'sku': 'LX.FR206.001',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-05 07:14:52',
                                                           'url_key': 'acer-ferrari-3200-notebook-computer-pc',
                                                           'url_path': 'acer-ferrari-3200-notebook-computer-pc.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '11.4000'},
        ('ol_catalog_product.info', (26, u'3', None, 'id')): {'categories': ['15',
                                                                          '28'],
                                                           'color': '24',
                                                           'computer_manufacturers': '79',
                                                           'cost': '999.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 14:35:16',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': ' Acer has flawlessly designed the Ferrari 3200, instilling it with exceptional performance, brilliant graphics, and lightning-fast connectivity. This exclusive edition is another striking symbol of cooperation between Acer and Ferrari -- two progressive companies with proud heritages built on passion, innovation, power and success.',
                                                           'dimension': '',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'hardrive': '80 gig Western Digital',
                                                           'has_options': '1',
                                                           'image_label': None,
                                                           'in_depth': ' <ul>\r\n<ul class="disc">\r\n<li>Mobile AMD Athlon 64 2800+<br></li>\r\n<li>1MB L2 Cache<br></li>\r\n<li>512MB of PC2700 DDR333 SDRAM<br></li>\r\n<li>2 RAM Slots (0 open - upgrading requires chip removal)<br></li>\r\n<li>RAM is upgradeable to 2GB</li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'memory': '512MB of PC2700 DDR333 SDRAM',
                                                           'meta_description': 'Acer Ferrari 3200 Notebook Computer PC',
                                                           'meta_keyword': 'Acer Ferrari 3200 Notebook Computer PC ',
                                                           'meta_title': 'Acer Ferrari 3200 Notebook Computer PC',
                                                           'minimal_price': '1799.9900',
                                                           'model': 'LX.FR206.001',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Acer Ferrari 3200 Notebook Computer PC',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '1799.9900',
                                                           'processor': 'Mobile AMD Athlon 64 2800+',
                                                           'product_id': '26',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'screensize': '15-inch, 200-nit, high-brightness TFT LCD screen ',
                                                           'set': '39',
                                                           'short_description': 'This exclusive edition is another striking symbol of cooperation between Acer and Ferrari -- two progressive companies with proud heritages built on passion, innovation, power and success',
                                                           'sku': 'LX.FR206.001',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-05 07:14:52',
                                                           'url_key': 'acer-ferrari-3200-notebook-computer-pc',
                                                           'url_path': 'acer-ferrari-3200-notebook-computer-pc.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '11.4000'},
        ('ol_catalog_product.info', (27, None, None, 'id')): {'categories': [],
                                                           'color': '24',
                                                           'computer_manufacturers': '76',
                                                           'cost': '899.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 14:41:56',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': ' Weighing in at just an amazing 2.84 pounds and offering a sleek, durable carbon-fiber case in charcoal black. And with 4 to 10 hours of standard battery life, it has the stamina to power you through your most demanding applications. With the integrated wireless WAN, you can access the national Sprint Mobile Broadband service to extend your wireless coverage beyond LAN access networks and hotspots, giving you the freedom to go farther, do more, and stay connected.\r\n\r\n',
                                                           'dimension': '10.7 x 1.23 x 7.7 inches (WxHxD)',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'hardrive': '100 GB Hard Drive',
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': ' <ul>\r\n<ul class="disc">\r\n<li>Processor: The Ultra Low Voltage Intel Core Solo U1500 processor offers a 1.33 GHz speed paired with a fast 533 MHz front-side bus and large 2 MB L2 cache. (An L2, or secondary, cache temporarily stores data; and a larger L2 cache can help speed up your system\'s performance. The FSB carries data between the CPU and RAM, and a faster front-side bus will deliver better overall performance.) The Core Solo processor delivers enhanced performance for today\'s demanding applications such as CAD tools, 3-D and 2-D modeling, video editing, digital music, digital photography and gaming. And Intel\'s Smart Cache technology enables smarter, more efficient cache and bus design for enhanced performance, responsiveness and power savings.</li>\r\n</ul>\r\n\r\n   ',
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'memory': '2 GB RAM',
                                                           'meta_description': u'Sony VAIO VGN-TXN27N/B 11.1" Notebook PC (Intel Core Solo Processor U1500, 2 GB RAM, 100 GB Hard Drive, DVD\xb1RW Drive, Vista Business) Charcoal Black',
                                                           'meta_keyword': 'Sony, VAIO, VGN-TXN27N/B , Notebook, PC, Intel, 2 GB RAM, Laptop',
                                                           'meta_title': u'Sony VAIO VGN-TXN27N/B 11.1" Notebook PC (Intel Core Solo Processor U1500, 2 GB RAM, 100 GB Hard Drive, DVD\xb1RW Drive, Vista Business) Charcoal Black',
                                                           'minimal_price': '2699.9900',
                                                           'model': 'VGN-TXN27N/B',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Sony VAIO VGN-TXN27N/B 11.1" Notebook PC',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '2699.9900',
                                                           'processor': 'Intel Core Solo Processor U1500',
                                                           'product_id': '27',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'screensize': '9 inches',
                                                           'set': '39',
                                                           'short_description': "Take a load off your shoulders when you're racing for your plane with the sleekly designed and ultra-portable Sony Vaio VGN-TXN27N/B notebook PC.",
                                                           'sku': 'VGN-TXN27N/B',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-06 05:12:24',
                                                           'url_key': 'sony-vaio-vgn-txn27n-b-11-1-notebook-pc',
                                                           'url_path': 'sony-vaio-vgn-txn27n-b-11-1-notebook-pc.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '2.8000'},
        ('ol_catalog_product.info', (27, u'2', None, 'id')): {'categories': [],
                                                           'color': '24',
                                                           'computer_manufacturers': '76',
                                                           'cost': '899.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 14:41:56',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': ' Weighing in at just an amazing 2.84 pounds and offering a sleek, durable carbon-fiber case in charcoal black. And with 4 to 10 hours of standard battery life, it has the stamina to power you through your most demanding applications. With the integrated wireless WAN, you can access the national Sprint Mobile Broadband service to extend your wireless coverage beyond LAN access networks and hotspots, giving you the freedom to go farther, do more, and stay connected.\r\n\r\n',
                                                           'dimension': '10.7 x 1.23 x 7.7 inches (WxHxD)',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'hardrive': '100 GB Hard Drive',
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': ' <ul>\r\n<ul class="disc">\r\n<li>Processor: The Ultra Low Voltage Intel Core Solo U1500 processor offers a 1.33 GHz speed paired with a fast 533 MHz front-side bus and large 2 MB L2 cache. (An L2, or secondary, cache temporarily stores data; and a larger L2 cache can help speed up your system\'s performance. The FSB carries data between the CPU and RAM, and a faster front-side bus will deliver better overall performance.) The Core Solo processor delivers enhanced performance for today\'s demanding applications such as CAD tools, 3-D and 2-D modeling, video editing, digital music, digital photography and gaming. And Intel\'s Smart Cache technology enables smarter, more efficient cache and bus design for enhanced performance, responsiveness and power savings.</li>\r\n</ul>\r\n\r\n   ',
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'memory': '2 GB RAM',
                                                           'meta_description': u'Sony VAIO VGN-TXN27N/B 11.1" Notebook PC (Intel Core Solo Processor U1500, 2 GB RAM, 100 GB Hard Drive, DVD\xb1RW Drive, Vista Business) Charcoal Black',
                                                           'meta_keyword': 'Sony, VAIO, VGN-TXN27N/B , Notebook, PC, Intel, 2 GB RAM, Laptop',
                                                           'meta_title': u'Sony VAIO VGN-TXN27N/B 11.1" Notebook PC (Intel Core Solo Processor U1500, 2 GB RAM, 100 GB Hard Drive, DVD\xb1RW Drive, Vista Business) Charcoal Black',
                                                           'minimal_price': '2699.9900',
                                                           'model': 'VGN-TXN27N/B',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Sony VAIO VGN-TXN27N/B 11.1" Notebook PC',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '2699.9900',
                                                           'processor': 'Intel Core Solo Processor U1500',
                                                           'product_id': '27',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'screensize': '9 inches',
                                                           'set': '39',
                                                           'short_description': "Take a load off your shoulders when you're racing for your plane with the sleekly designed and ultra-portable Sony Vaio VGN-TXN27N/B notebook PC.",
                                                           'sku': 'VGN-TXN27N/B',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-06 05:12:24',
                                                           'url_key': 'sony-vaio-vgn-txn27n-b-11-1-notebook-pc',
                                                           'url_path': 'sony-vaio-vgn-txn27n-b-11-1-notebook-pc.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '2.8000'},
        ('ol_catalog_product.info', (27, u'3', None, 'id')): {'categories': [],
                                                           'color': '24',
                                                           'computer_manufacturers': '76',
                                                           'cost': '899.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 14:41:56',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': ' Weighing in at just an amazing 2.84 pounds and offering a sleek, durable carbon-fiber case in charcoal black. And with 4 to 10 hours of standard battery life, it has the stamina to power you through your most demanding applications. With the integrated wireless WAN, you can access the national Sprint Mobile Broadband service to extend your wireless coverage beyond LAN access networks and hotspots, giving you the freedom to go farther, do more, and stay connected.\r\n\r\n',
                                                           'dimension': '10.7 x 1.23 x 7.7 inches (WxHxD)',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'hardrive': '100 GB Hard Drive',
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': ' <ul>\r\n<ul class="disc">\r\n<li>Processor: The Ultra Low Voltage Intel Core Solo U1500 processor offers a 1.33 GHz speed paired with a fast 533 MHz front-side bus and large 2 MB L2 cache. (An L2, or secondary, cache temporarily stores data; and a larger L2 cache can help speed up your system\'s performance. The FSB carries data between the CPU and RAM, and a faster front-side bus will deliver better overall performance.) The Core Solo processor delivers enhanced performance for today\'s demanding applications such as CAD tools, 3-D and 2-D modeling, video editing, digital music, digital photography and gaming. And Intel\'s Smart Cache technology enables smarter, more efficient cache and bus design for enhanced performance, responsiveness and power savings.</li>\r\n</ul>\r\n\r\n   ',
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'memory': '2 GB RAM',
                                                           'meta_description': u'Sony VAIO VGN-TXN27N/B 11.1" Notebook PC (Intel Core Solo Processor U1500, 2 GB RAM, 100 GB Hard Drive, DVD\xb1RW Drive, Vista Business) Charcoal Black',
                                                           'meta_keyword': 'Sony, VAIO, VGN-TXN27N/B , Notebook, PC, Intel, 2 GB RAM, Laptop',
                                                           'meta_title': u'Sony VAIO VGN-TXN27N/B 11.1" Notebook PC (Intel Core Solo Processor U1500, 2 GB RAM, 100 GB Hard Drive, DVD\xb1RW Drive, Vista Business) Charcoal Black',
                                                           'minimal_price': '2699.9900',
                                                           'model': 'VGN-TXN27N/B',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Sony VAIO VGN-TXN27N/B 11.1" Notebook PC',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '2699.9900',
                                                           'processor': 'Intel Core Solo Processor U1500',
                                                           'product_id': '27',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'screensize': '9 inches',
                                                           'set': '39',
                                                           'short_description': "Take a load off your shoulders when you're racing for your plane with the sleekly designed and ultra-portable Sony Vaio VGN-TXN27N/B notebook PC.",
                                                           'sku': 'VGN-TXN27N/B',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-06 05:12:24',
                                                           'url_key': 'sony-vaio-vgn-txn27n-b-11-1-notebook-pc',
                                                           'url_path': 'sony-vaio-vgn-txn27n-b-11-1-notebook-pc.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '2.8000'},
        ('ol_catalog_product.info', (28, None, None, 'id')): {'categories': ['15',
                                                                          '28'],
                                                           'color': '24',
                                                           'computer_manufacturers': '74',
                                                           'cost': '899.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 14:47:57',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "Easily mobile at just 6 pounds, the Toshiba Satellite A135-S4527 makes it easy to get your work done with a large, bright 15.4-inch widescreen LCD. The XGA-resolution screen (1280 x 800) permits side-by-side viewing of documents for increased productivity. It's also great for using as a media center, with Toshiba's unique Express Media Player enabling you to bypass the system and access CDs and DVDs with a touch of button. This affordable notebook PC is powered by Intel's 1.73 GHz Core Duo T2080 processor, which provides an optimized, multithreaded architecture for improved gaming and multitasking performance and efficient power consumption. It also offers a 120 GB hard drive, 1 GB of installed RAM (2 GB maximum), dual-layer/multi-format DVD drive that also burns CDs, integrated 54g wireless connectivity, and Intel GMA 950 video card with up to 256 MB of shared video RAM.\r\n\r\n",
                                                           'dimension': '17 x 7 x 13 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'hardrive': '60 GB hard drive',
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': ' <ul>\r\n<ul class="disc">\r\n<li>Processor: The Intel Core Duo T2080 processor is built with the Mobile Intel 945PM Express chipset, and it has a 1.73 GHz processor speed, fast 533 MHz front-side bus (FSB), and 1 MB L2 cache. (An L2, or secondary, cache temporarily stores data; and a larger L2 cache can help speed up your system\'s performance. The FSB carries data between the CPU and RAM, and a faster front-side bus will deliver better overall performance.)</li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'memory': '1 GB RAM',
                                                           'meta_description': 'Toshiba M285-E 14" Convertible Notebook PC (Intel Core Duo Processor T2300E, 1 GB RAM, 60',
                                                           'meta_keyword': 'Toshiba, notebook, laptop, intel, ',
                                                           'meta_title': 'Toshiba Satellite A135-S4527 155.4" Notebook PC (Intel Pentium Dual Core Processor T2080, 1 GB RAM, 120 GB Hard Drive, SuperMulti DVD Drive, Vista Premium)',
                                                           'minimal_price': '1599.9900',
                                                           'model': 'M285-E',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Toshiba M285-E 14"',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '1599.9900',
                                                           'processor': '1.66 GHz Intel Core Duo T2300E processor',
                                                           'product_id': '28',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'screensize': '14-inch screen ',
                                                           'set': '39',
                                                           'short_description': 'Get the competitive edge with the Gateway M285-E. This widescreen Convertible Notebook functions as both a conventional notebook and a tablet.',
                                                           'sku': 'M285-E',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:51:44',
                                                           'url_key': 'toshiba-satellite-a135-s4527-155-4-notebook-pc-intel-pentium-dual-core-processor-t2080-1-gb-ram-120-gb-hard-drive-supermulti-dvd-drive-vista-premium',
                                                           'url_path': 'toshiba-satellite-a135-s4527-155-4-notebook-pc-intel-pentium-dual-core-processor-t2080-1-gb-ram-120-gb-hard-drive-supermulti-dvd-drive-vista-premium.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '10.0000'},
        ('ol_catalog_product.info', (28, u'2', None, 'id')): {'categories': ['15',
                                                                          '28'],
                                                           'color': '24',
                                                           'computer_manufacturers': '74',
                                                           'cost': '899.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 14:47:57',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "Easily mobile at just 6 pounds, the Toshiba Satellite A135-S4527 makes it easy to get your work done with a large, bright 15.4-inch widescreen LCD. The XGA-resolution screen (1280 x 800) permits side-by-side viewing of documents for increased productivity. It's also great for using as a media center, with Toshiba's unique Express Media Player enabling you to bypass the system and access CDs and DVDs with a touch of button. This affordable notebook PC is powered by Intel's 1.73 GHz Core Duo T2080 processor, which provides an optimized, multithreaded architecture for improved gaming and multitasking performance and efficient power consumption. It also offers a 120 GB hard drive, 1 GB of installed RAM (2 GB maximum), dual-layer/multi-format DVD drive that also burns CDs, integrated 54g wireless connectivity, and Intel GMA 950 video card with up to 256 MB of shared video RAM.\r\n\r\n",
                                                           'dimension': '17 x 7 x 13 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'hardrive': '60 GB hard drive',
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': ' <ul>\r\n<ul class="disc">\r\n<li>Processor: The Intel Core Duo T2080 processor is built with the Mobile Intel 945PM Express chipset, and it has a 1.73 GHz processor speed, fast 533 MHz front-side bus (FSB), and 1 MB L2 cache. (An L2, or secondary, cache temporarily stores data; and a larger L2 cache can help speed up your system\'s performance. The FSB carries data between the CPU and RAM, and a faster front-side bus will deliver better overall performance.)</li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'memory': '1 GB RAM',
                                                           'meta_description': 'Toshiba M285-E 14" Convertible Notebook PC (Intel Core Duo Processor T2300E, 1 GB RAM, 60',
                                                           'meta_keyword': 'Toshiba, notebook, laptop, intel, ',
                                                           'meta_title': 'Toshiba Satellite A135-S4527 155.4" Notebook PC (Intel Pentium Dual Core Processor T2080, 1 GB RAM, 120 GB Hard Drive, SuperMulti DVD Drive, Vista Premium)',
                                                           'minimal_price': '1599.9900',
                                                           'model': 'M285-E',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Toshiba M285-E 14"',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '1599.9900',
                                                           'processor': '1.66 GHz Intel Core Duo T2300E processor',
                                                           'product_id': '28',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'screensize': '14-inch screen ',
                                                           'set': '39',
                                                           'short_description': 'Get the competitive edge with the Gateway M285-E. This widescreen Convertible Notebook functions as both a conventional notebook and a tablet.',
                                                           'sku': 'M285-E',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:51:44',
                                                           'url_key': 'toshiba-satellite-a135-s4527-155-4-notebook-pc-intel-pentium-dual-core-processor-t2080-1-gb-ram-120-gb-hard-drive-supermulti-dvd-drive-vista-premium',
                                                           'url_path': 'toshiba-satellite-a135-s4527-155-4-notebook-pc-intel-pentium-dual-core-processor-t2080-1-gb-ram-120-gb-hard-drive-supermulti-dvd-drive-vista-premium.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '10.0000'},
        ('ol_catalog_product.info', (28, u'3', None, 'id')): {'categories': ['15',
                                                                          '28'],
                                                           'color': '24',
                                                           'computer_manufacturers': '74',
                                                           'cost': '899.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 14:47:57',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "Easily mobile at just 6 pounds, the Toshiba Satellite A135-S4527 makes it easy to get your work done with a large, bright 15.4-inch widescreen LCD. The XGA-resolution screen (1280 x 800) permits side-by-side viewing of documents for increased productivity. It's also great for using as a media center, with Toshiba's unique Express Media Player enabling you to bypass the system and access CDs and DVDs with a touch of button. This affordable notebook PC is powered by Intel's 1.73 GHz Core Duo T2080 processor, which provides an optimized, multithreaded architecture for improved gaming and multitasking performance and efficient power consumption. It also offers a 120 GB hard drive, 1 GB of installed RAM (2 GB maximum), dual-layer/multi-format DVD drive that also burns CDs, integrated 54g wireless connectivity, and Intel GMA 950 video card with up to 256 MB of shared video RAM.\r\n\r\n",
                                                           'dimension': '17 x 7 x 13 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'hardrive': '60 GB hard drive',
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': ' <ul>\r\n<ul class="disc">\r\n<li>Processor: The Intel Core Duo T2080 processor is built with the Mobile Intel 945PM Express chipset, and it has a 1.73 GHz processor speed, fast 533 MHz front-side bus (FSB), and 1 MB L2 cache. (An L2, or secondary, cache temporarily stores data; and a larger L2 cache can help speed up your system\'s performance. The FSB carries data between the CPU and RAM, and a faster front-side bus will deliver better overall performance.)</li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'memory': '1 GB RAM',
                                                           'meta_description': 'Toshiba M285-E 14" Convertible Notebook PC (Intel Core Duo Processor T2300E, 1 GB RAM, 60',
                                                           'meta_keyword': 'Toshiba, notebook, laptop, intel, ',
                                                           'meta_title': 'Toshiba Satellite A135-S4527 155.4" Notebook PC (Intel Pentium Dual Core Processor T2080, 1 GB RAM, 120 GB Hard Drive, SuperMulti DVD Drive, Vista Premium)',
                                                           'minimal_price': '1599.9900',
                                                           'model': 'M285-E',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Toshiba M285-E 14"',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '1599.9900',
                                                           'processor': '1.66 GHz Intel Core Duo T2300E processor',
                                                           'product_id': '28',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'screensize': '14-inch screen ',
                                                           'set': '39',
                                                           'short_description': 'Get the competitive edge with the Gateway M285-E. This widescreen Convertible Notebook functions as both a conventional notebook and a tablet.',
                                                           'sku': 'M285-E',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:51:44',
                                                           'url_key': 'toshiba-satellite-a135-s4527-155-4-notebook-pc-intel-pentium-dual-core-processor-t2080-1-gb-ram-120-gb-hard-drive-supermulti-dvd-drive-vista-premium',
                                                           'url_path': 'toshiba-satellite-a135-s4527-155-4-notebook-pc-intel-pentium-dual-core-processor-t2080-1-gb-ram-120-gb-hard-drive-supermulti-dvd-drive-vista-premium.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '10.0000'},
        ('ol_catalog_product.info', (29, None, None, 'id')): {'categories': [],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '29',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '46',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_3',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:51:34',
                                                           'url_key': 'cn-clogs-beach-garden-clog-3',
                                                           'url_path': 'cn-clogs-beach-garden-clog-3.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (29, u'2', None, 'id')): {'categories': [],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '29',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '46',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_3',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:51:34',
                                                           'url_key': 'cn-clogs-beach-garden-clog-3',
                                                           'url_path': 'cn-clogs-beach-garden-clog-3.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (29, u'3', None, 'id')): {'categories': [],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '29',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '46',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_3',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:51:34',
                                                           'url_key': 'cn-clogs-beach-garden-clog-3',
                                                           'url_path': 'cn-clogs-beach-garden-clog-3.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (30, None, None, 'id')): {'categories': ['16'],
                                                           'color': '61',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:00:49',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. Solyte midsole material is lighter than standard EVA and SpEVA\xae combined with improved cushioning and durability. Impact Guidance System (I.G.S.\xae) uses linked componentry to encourage optimal gait while allowing for natural foot movement from heel strike to toe off. DuoMax\xae support system helps ensure that the shoe maintains proper support for the foot during the critical transition from heel strike to toe off. Space Trusstic\xae System creates a pocket between the Trusstic\xae System device and the midsole, allowing for greater midsole deformation and more efficient foot function. GEL\xae Cushioning System provides maximum rearfoot and forefoot shock attenuation. Wt. 12.6 oz.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '# I.G.S.?: Allows for natural foot movement from heel strike to toe-off\r\n# DuoMax? Support System: Maintains proper support for the foot during the critical transition from heel strike to toe-off\r\n# Space Trusstic System?: Allows for greater midsole deformation and more efficient foot function\r\n# GEL? Cushioning System: Provides maximum rearfoot/forefoot shock attenuation\r\n# Biomorphic Fit Upper: Provides enhanced upper fit and comfort while limiting irritation',
                                                           'is_recurring': None,
                                                           'manufacturer': '64',
                                                           'meta_description': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'meta_keyword': u"ASICS\xae Men's GEL-Kayano\xae XII ",
                                                           'meta_title': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'minimal_price': '134.9900',
                                                           'model': 'B000CP1M00',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '134.9900',
                                                           'product_id': '30',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '41',
                                                           'shoe_type': '49',
                                                           'short_description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. ',
                                                           'sku': 'asc_8',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-31 17:23:28',
                                                           'url_key': 'asics-men-s-gel-kayano-xii-8',
                                                           'url_path': 'asics-men-s-gel-kayano-xii-8.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '3.0000'},
        ('ol_catalog_product.info', (30, u'2', None, 'id')): {'categories': ['16'],
                                                           'color': '61',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:00:49',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. Solyte midsole material is lighter than standard EVA and SpEVA\xae combined with improved cushioning and durability. Impact Guidance System (I.G.S.\xae) uses linked componentry to encourage optimal gait while allowing for natural foot movement from heel strike to toe off. DuoMax\xae support system helps ensure that the shoe maintains proper support for the foot during the critical transition from heel strike to toe off. Space Trusstic\xae System creates a pocket between the Trusstic\xae System device and the midsole, allowing for greater midsole deformation and more efficient foot function. GEL\xae Cushioning System provides maximum rearfoot and forefoot shock attenuation. Wt. 12.6 oz.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '# I.G.S.?: Allows for natural foot movement from heel strike to toe-off\r\n# DuoMax? Support System: Maintains proper support for the foot during the critical transition from heel strike to toe-off\r\n# Space Trusstic System?: Allows for greater midsole deformation and more efficient foot function\r\n# GEL? Cushioning System: Provides maximum rearfoot/forefoot shock attenuation\r\n# Biomorphic Fit Upper: Provides enhanced upper fit and comfort while limiting irritation',
                                                           'is_recurring': None,
                                                           'manufacturer': '64',
                                                           'meta_description': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'meta_keyword': u"ASICS\xae Men's GEL-Kayano\xae XII ",
                                                           'meta_title': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'minimal_price': '134.9900',
                                                           'model': 'B000CP1M00',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '134.9900',
                                                           'product_id': '30',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '41',
                                                           'shoe_type': '49',
                                                           'short_description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. ',
                                                           'sku': 'asc_8',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-31 17:23:28',
                                                           'url_key': 'asics-men-s-gel-kayano-xii-8',
                                                           'url_path': 'asics-men-s-gel-kayano-xii-8.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '3.0000'},
        ('ol_catalog_product.info', (30, u'3', None, 'id')): {'categories': ['16'],
                                                           'color': '61',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:00:49',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. Solyte midsole material is lighter than standard EVA and SpEVA\xae combined with improved cushioning and durability. Impact Guidance System (I.G.S.\xae) uses linked componentry to encourage optimal gait while allowing for natural foot movement from heel strike to toe off. DuoMax\xae support system helps ensure that the shoe maintains proper support for the foot during the critical transition from heel strike to toe off. Space Trusstic\xae System creates a pocket between the Trusstic\xae System device and the midsole, allowing for greater midsole deformation and more efficient foot function. GEL\xae Cushioning System provides maximum rearfoot and forefoot shock attenuation. Wt. 12.6 oz.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '# I.G.S.?: Allows for natural foot movement from heel strike to toe-off\r\n# DuoMax? Support System: Maintains proper support for the foot during the critical transition from heel strike to toe-off\r\n# Space Trusstic System?: Allows for greater midsole deformation and more efficient foot function\r\n# GEL? Cushioning System: Provides maximum rearfoot/forefoot shock attenuation\r\n# Biomorphic Fit Upper: Provides enhanced upper fit and comfort while limiting irritation',
                                                           'is_recurring': None,
                                                           'manufacturer': '64',
                                                           'meta_description': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'meta_keyword': u"ASICS\xae Men's GEL-Kayano\xae XII ",
                                                           'meta_title': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'minimal_price': '134.9900',
                                                           'model': 'B000CP1M00',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '134.9900',
                                                           'product_id': '30',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '41',
                                                           'shoe_type': '49',
                                                           'short_description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. ',
                                                           'sku': 'asc_8',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-31 17:23:28',
                                                           'url_key': 'asics-men-s-gel-kayano-xii-8',
                                                           'url_path': 'asics-men-s-gel-kayano-xii-8.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '3.0000'},
        ('ol_catalog_product.info', (31, None, None, 'id')): {'categories': ['17'],
                                                           'color': '26',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:05:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe. It also features smooth linings, a fully cushioned insole, a sexy covered stiletto heel, and a lightly textured dress leather outsole. Any way you wear the Pryme, you're certain to catch a lot of attention.",
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'A prime example of chic style. Patent leather upper. Round toe. 3-1/2 inch covered heel. Flex leather sole. Imported. ',
                                                           'is_recurring': None,
                                                           'manufacturer': '62',
                                                           'meta_description': 'Steven by Steve Madden Pryme Pump',
                                                           'meta_keyword': 'Steven by Steve Madden Pryme Pump',
                                                           'meta_title': 'Steven by Steve Madden Pryme Pump',
                                                           'minimal_price': '69.9900',
                                                           'model': 'B000NOGIKY',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Steven by Steve Madden Pryme Pump',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '69.9900',
                                                           'product_id': '31',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '45',
                                                           'shoe_type': '51',
                                                           'short_description': 'Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe',
                                                           'sku': 'steve_4',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 01:02:40',
                                                           'url_key': 'steven-by-steve-madden-pryme-pump-4',
                                                           'url_path': 'steven-by-steve-madden-pryme-pump-4.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (31, u'2', None, 'id')): {'categories': ['17'],
                                                           'color': '26',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:05:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe. It also features smooth linings, a fully cushioned insole, a sexy covered stiletto heel, and a lightly textured dress leather outsole. Any way you wear the Pryme, you're certain to catch a lot of attention.",
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'A prime example of chic style. Patent leather upper. Round toe. 3-1/2 inch covered heel. Flex leather sole. Imported. ',
                                                           'is_recurring': None,
                                                           'manufacturer': '62',
                                                           'meta_description': 'Steven by Steve Madden Pryme Pump',
                                                           'meta_keyword': 'Steven by Steve Madden Pryme Pump',
                                                           'meta_title': 'Steven by Steve Madden Pryme Pump',
                                                           'minimal_price': '69.9900',
                                                           'model': 'B000NOGIKY',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Steven by Steve Madden Pryme Pump',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '69.9900',
                                                           'product_id': '31',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '45',
                                                           'shoe_type': '51',
                                                           'short_description': 'Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe',
                                                           'sku': 'steve_4',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 01:02:40',
                                                           'url_key': 'steven-by-steve-madden-pryme-pump-4',
                                                           'url_path': 'steven-by-steve-madden-pryme-pump-4.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (31, u'3', None, 'id')): {'categories': ['17'],
                                                           'color': '26',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:05:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe. It also features smooth linings, a fully cushioned insole, a sexy covered stiletto heel, and a lightly textured dress leather outsole. Any way you wear the Pryme, you're certain to catch a lot of attention.",
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'A prime example of chic style. Patent leather upper. Round toe. 3-1/2 inch covered heel. Flex leather sole. Imported. ',
                                                           'is_recurring': None,
                                                           'manufacturer': '62',
                                                           'meta_description': 'Steven by Steve Madden Pryme Pump',
                                                           'meta_keyword': 'Steven by Steve Madden Pryme Pump',
                                                           'meta_title': 'Steven by Steve Madden Pryme Pump',
                                                           'minimal_price': '69.9900',
                                                           'model': 'B000NOGIKY',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Steven by Steve Madden Pryme Pump',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '69.9900',
                                                           'product_id': '31',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '45',
                                                           'shoe_type': '51',
                                                           'short_description': 'Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe',
                                                           'sku': 'steve_4',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 01:02:40',
                                                           'url_key': 'steven-by-steve-madden-pryme-pump-4',
                                                           'url_path': 'steven-by-steve-madden-pryme-pump-4.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (32, None, None, 'id')): {'categories': ['17'],
                                                           'color': '26',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:12:54',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp, leather linings, and a cushioned insole for long-wearing comfort. The stiletto heel radiates a subtle hint of sensuality, so sass up your jean and t-shirt look or nighttime attire with this hot pump and you'll be absolutely unforgettable.",
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'The perfect pump will suit any ensemble. Leather upper. 3-3/4 inch stacked heel. Man-made sole. Imported. ',
                                                           'is_recurring': None,
                                                           'manufacturer': '105',
                                                           'meta_description': "Nine West Women's Lucero Pump",
                                                           'meta_keyword': "Nine West Women's Lucero Pump ",
                                                           'meta_title': "Nine West Women's Lucero Pump",
                                                           'minimal_price': '89.9900',
                                                           'model': 'B000LJQVF8',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': "Nine West Women's Lucero Pump",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '89.9900',
                                                           'product_id': '32',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '46',
                                                           'shoe_type': '51',
                                                           'short_description': 'The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp',
                                                           'sku': 'nine_3',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-31 18:06:25',
                                                           'url_key': 'nine-west-women-s-lucero-pump-3',
                                                           'url_path': 'nine-west-women-s-lucero-pump-3.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (32, u'2', None, 'id')): {'categories': ['17'],
                                                           'color': '26',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:12:54',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp, leather linings, and a cushioned insole for long-wearing comfort. The stiletto heel radiates a subtle hint of sensuality, so sass up your jean and t-shirt look or nighttime attire with this hot pump and you'll be absolutely unforgettable.",
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'The perfect pump will suit any ensemble. Leather upper. 3-3/4 inch stacked heel. Man-made sole. Imported. ',
                                                           'is_recurring': None,
                                                           'manufacturer': '105',
                                                           'meta_description': "Nine West Women's Lucero Pump",
                                                           'meta_keyword': "Nine West Women's Lucero Pump ",
                                                           'meta_title': "Nine West Women's Lucero Pump",
                                                           'minimal_price': '89.9900',
                                                           'model': 'B000LJQVF8',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': "Nine West Women's Lucero Pump",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '89.9900',
                                                           'product_id': '32',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '46',
                                                           'shoe_type': '51',
                                                           'short_description': 'The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp',
                                                           'sku': 'nine_3',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-31 18:06:25',
                                                           'url_key': 'nine-west-women-s-lucero-pump-3',
                                                           'url_path': 'nine-west-women-s-lucero-pump-3.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (32, u'3', None, 'id')): {'categories': ['17'],
                                                           'color': '26',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:12:54',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp, leather linings, and a cushioned insole for long-wearing comfort. The stiletto heel radiates a subtle hint of sensuality, so sass up your jean and t-shirt look or nighttime attire with this hot pump and you'll be absolutely unforgettable.",
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'The perfect pump will suit any ensemble. Leather upper. 3-3/4 inch stacked heel. Man-made sole. Imported. ',
                                                           'is_recurring': None,
                                                           'manufacturer': '105',
                                                           'meta_description': "Nine West Women's Lucero Pump",
                                                           'meta_keyword': "Nine West Women's Lucero Pump ",
                                                           'meta_title': "Nine West Women's Lucero Pump",
                                                           'minimal_price': '89.9900',
                                                           'model': 'B000LJQVF8',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': "Nine West Women's Lucero Pump",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '89.9900',
                                                           'product_id': '32',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '46',
                                                           'shoe_type': '51',
                                                           'short_description': 'The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp',
                                                           'sku': 'nine_3',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-31 18:06:25',
                                                           'url_key': 'nine-west-women-s-lucero-pump-3',
                                                           'url_path': 'nine-west-women-s-lucero-pump-3.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (33, None, None, 'id')): {'categories': ['17'],
                                                           'color': '59',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:21:42',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                           'is_recurring': None,
                                                           'manufacturer': '104',
                                                           'meta_description': 'ECCO Womens Golf Flexor Golf Shoe',
                                                           'meta_keyword': 'ECCO Womens Golf Flexor Golf Shoe',
                                                           'meta_title': 'ECCO Womens Golf Flexor Golf Shoe',
                                                           'minimal_price': '159.9900',
                                                           'model': 'B000NPOA1M',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'ECCO Womens Golf Flexor Golf Shoe',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '159.9900',
                                                           'product_id': '33',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '46',
                                                           'shoe_type': '47',
                                                           'short_description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links.",
                                                           'sku': 'ecco_3',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 01:04:49',
                                                           'url_key': 'ecco-womens-golf-flexor-golf-shoe-3',
                                                           'url_path': 'ecco-womens-golf-flexor-golf-shoe-3.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '4.0000'},
        ('ol_catalog_product.info', (33, u'2', None, 'id')): {'categories': ['17'],
                                                           'color': '59',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:21:42',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                           'is_recurring': None,
                                                           'manufacturer': '104',
                                                           'meta_description': 'ECCO Womens Golf Flexor Golf Shoe',
                                                           'meta_keyword': 'ECCO Womens Golf Flexor Golf Shoe',
                                                           'meta_title': 'ECCO Womens Golf Flexor Golf Shoe',
                                                           'minimal_price': '159.9900',
                                                           'model': 'B000NPOA1M',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'ECCO Womens Golf Flexor Golf Shoe',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '159.9900',
                                                           'product_id': '33',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '46',
                                                           'shoe_type': '47',
                                                           'short_description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links.",
                                                           'sku': 'ecco_3',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 01:04:49',
                                                           'url_key': 'ecco-womens-golf-flexor-golf-shoe-3',
                                                           'url_path': 'ecco-womens-golf-flexor-golf-shoe-3.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '4.0000'},
        ('ol_catalog_product.info', (33, u'3', None, 'id')): {'categories': ['17'],
                                                           'color': '59',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:21:42',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                           'is_recurring': None,
                                                           'manufacturer': '104',
                                                           'meta_description': 'ECCO Womens Golf Flexor Golf Shoe',
                                                           'meta_keyword': 'ECCO Womens Golf Flexor Golf Shoe',
                                                           'meta_title': 'ECCO Womens Golf Flexor Golf Shoe',
                                                           'minimal_price': '159.9900',
                                                           'model': 'B000NPOA1M',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'ECCO Womens Golf Flexor Golf Shoe',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '159.9900',
                                                           'product_id': '33',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '46',
                                                           'shoe_type': '47',
                                                           'short_description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links.",
                                                           'sku': 'ecco_3',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 01:04:49',
                                                           'url_key': 'ecco-womens-golf-flexor-golf-shoe-3',
                                                           'url_path': 'ecco-womens-golf-flexor-golf-shoe-3.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '4.0000'},
        ('ol_catalog_product.info', (34, None, None, 'id')): {'categories': ['16'],
                                                           'color': '24',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:27:04',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue with side elastic panels for a comfortable, secure fit. Smooth leather lining, cushioned leather topped insole. Dress midsole with a beveled edge, 1 inch capped dress heel. Flat traction outsole.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'The handsome style of the Con-Verge slip-on from Kenneth Cole New York is larger than life. This sharp shoe has a semi-polished smooth leather upper, a squared off stitched apron toe, and dual-goring for easy on/off accessibility. It also features soft leather linings, a cushioned insole, and a paneled rubber outsole for a sturdy step. The Con-Verge is a perfect companion to your business and special occasion wardrobes.',
                                                           'is_recurring': None,
                                                           'manufacturer': '103',
                                                           'meta_description': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'meta_keyword': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'meta_title': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'minimal_price': '160.9900',
                                                           'model': 'B000IKC6AY',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '160.9900',
                                                           'product_id': '34',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '41',
                                                           'shoe_type': '52',
                                                           'short_description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue',
                                                           'sku': 'ken_8',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:58:35',
                                                           'url_key': 'kenneth-cole-new-york-men-s-con-verge-slip-on-8',
                                                           'url_path': 'kenneth-cole-new-york-men-s-con-verge-slip-on-8.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (34, u'2', None, 'id')): {'categories': ['16'],
                                                           'color': '24',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:27:04',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue with side elastic panels for a comfortable, secure fit. Smooth leather lining, cushioned leather topped insole. Dress midsole with a beveled edge, 1 inch capped dress heel. Flat traction outsole.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'The handsome style of the Con-Verge slip-on from Kenneth Cole New York is larger than life. This sharp shoe has a semi-polished smooth leather upper, a squared off stitched apron toe, and dual-goring for easy on/off accessibility. It also features soft leather linings, a cushioned insole, and a paneled rubber outsole for a sturdy step. The Con-Verge is a perfect companion to your business and special occasion wardrobes.',
                                                           'is_recurring': None,
                                                           'manufacturer': '103',
                                                           'meta_description': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'meta_keyword': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'meta_title': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'minimal_price': '160.9900',
                                                           'model': 'B000IKC6AY',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '160.9900',
                                                           'product_id': '34',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '41',
                                                           'shoe_type': '52',
                                                           'short_description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue',
                                                           'sku': 'ken_8',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:58:35',
                                                           'url_key': 'kenneth-cole-new-york-men-s-con-verge-slip-on-8',
                                                           'url_path': 'kenneth-cole-new-york-men-s-con-verge-slip-on-8.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (34, u'3', None, 'id')): {'categories': ['16'],
                                                           'color': '24',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:27:04',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue with side elastic panels for a comfortable, secure fit. Smooth leather lining, cushioned leather topped insole. Dress midsole with a beveled edge, 1 inch capped dress heel. Flat traction outsole.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'The handsome style of the Con-Verge slip-on from Kenneth Cole New York is larger than life. This sharp shoe has a semi-polished smooth leather upper, a squared off stitched apron toe, and dual-goring for easy on/off accessibility. It also features soft leather linings, a cushioned insole, and a paneled rubber outsole for a sturdy step. The Con-Verge is a perfect companion to your business and special occasion wardrobes.',
                                                           'is_recurring': None,
                                                           'manufacturer': '103',
                                                           'meta_description': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'meta_keyword': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'meta_title': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'minimal_price': '160.9900',
                                                           'model': 'B000IKC6AY',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '160.9900',
                                                           'product_id': '34',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '41',
                                                           'shoe_type': '52',
                                                           'short_description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue',
                                                           'sku': 'ken_8',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:58:35',
                                                           'url_key': 'kenneth-cole-new-york-men-s-con-verge-slip-on-8',
                                                           'url_path': 'kenneth-cole-new-york-men-s-con-verge-slip-on-8.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (35, None, None, 'id')): {'categories': ['4'],
                                                           'color': '22',
                                                           'cost': '2.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:49:30',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'Coalesce: Functioning On Impatience T-Shirt',
                                                           'meta_keyword': 'Coalesce: Functioning On Impatience T-Shirt',
                                                           'meta_title': 'Coalesce: Functioning On Impatience T-Shirt',
                                                           'minimal_price': '15.0000',
                                                           'model': 'Impatience',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Coalesce: Functioning On Impatience T-Shirt',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.0000',
                                                           'product_id': '35',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '41',
                                                           'shirt_size': '100',
                                                           'short_description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                           'sku': 'coal_sm',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-31 17:36:42',
                                                           'url_key': 'coalesce-functioning-on-impatience-t-shirt-small',
                                                           'url_path': 'coalesce-functioning-on-impatience-t-shirt-small.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '0.5000'},
        ('ol_catalog_product.info', (35, u'2', None, 'id')): {'categories': ['4'],
                                                           'color': '22',
                                                           'cost': '2.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:49:30',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'Coalesce: Functioning On Impatience T-Shirt',
                                                           'meta_keyword': 'Coalesce: Functioning On Impatience T-Shirt',
                                                           'meta_title': 'Coalesce: Functioning On Impatience T-Shirt',
                                                           'minimal_price': '15.0000',
                                                           'model': 'Impatience',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Coalesce: Functioning On Impatience T-Shirt',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.0000',
                                                           'product_id': '35',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '41',
                                                           'shirt_size': '100',
                                                           'short_description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                           'sku': 'coal_sm',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-31 17:36:42',
                                                           'url_key': 'coalesce-functioning-on-impatience-t-shirt-small',
                                                           'url_path': 'coalesce-functioning-on-impatience-t-shirt-small.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '0.5000'},
        ('ol_catalog_product.info', (35, u'3', None, 'id')): {'categories': ['4'],
                                                           'color': '22',
                                                           'cost': '2.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:49:30',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'Coalesce: Functioning On Impatience T-Shirt',
                                                           'meta_keyword': 'Coalesce: Functioning On Impatience T-Shirt',
                                                           'meta_title': 'Coalesce: Functioning On Impatience T-Shirt',
                                                           'minimal_price': '15.0000',
                                                           'model': 'Impatience',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Coalesce: Functioning On Impatience T-Shirt',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.0000',
                                                           'product_id': '35',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '41',
                                                           'shirt_size': '100',
                                                           'short_description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                           'sku': 'coal_sm',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-31 17:36:42',
                                                           'url_key': 'coalesce-functioning-on-impatience-t-shirt-small',
                                                           'url_path': 'coalesce-functioning-on-impatience-t-shirt-small.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '0.5000'},
        ('ol_catalog_product.info', (36, None, None, 'id')): {'categories': ['4'],
                                                           'color': '60',
                                                           'cost': '2.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:53:06',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "We bought these with the intention of making shirts for our family reunion, only to come back the next day to find each and every one of them had been tagged by The Bear.  Oh well -- can't argue with art.  Now you can make your grandparents proud by wearing an original piece of graf work to YOUR family reunion!",
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                           'meta_keyword': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                           'meta_title': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                           'minimal_price': '22.0000',
                                                           'model': 'Ink Eater:',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '22.0000',
                                                           'product_id': '36',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '41',
                                                           'shirt_size': '100',
                                                           'short_description': "We bought these with the intention of making shirts for our family reunion, only to come back the next day to find each and every one of them had been tagged by The Bear.  Oh well -- can't argue with art.  Now you can make your grandparents proud by wearing an original piece of graf work to YOUR family reunion!",
                                                           'sku': 'ink_sm',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:49:48',
                                                           'url_key': 'ink-eater-krylon-bombear-destroyed-tee-sm',
                                                           'url_path': 'ink-eater-krylon-bombear-destroyed-tee-sm.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '0.5000'},
        ('ol_catalog_product.info', (36, u'2', None, 'id')): {'categories': ['4'],
                                                           'color': '60',
                                                           'cost': '2.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:53:06',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "We bought these with the intention of making shirts for our family reunion, only to come back the next day to find each and every one of them had been tagged by The Bear.  Oh well -- can't argue with art.  Now you can make your grandparents proud by wearing an original piece of graf work to YOUR family reunion!",
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                           'meta_keyword': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                           'meta_title': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                           'minimal_price': '22.0000',
                                                           'model': 'Ink Eater:',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '22.0000',
                                                           'product_id': '36',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '41',
                                                           'shirt_size': '100',
                                                           'short_description': "We bought these with the intention of making shirts for our family reunion, only to come back the next day to find each and every one of them had been tagged by The Bear.  Oh well -- can't argue with art.  Now you can make your grandparents proud by wearing an original piece of graf work to YOUR family reunion!",
                                                           'sku': 'ink_sm',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:49:48',
                                                           'url_key': 'ink-eater-krylon-bombear-destroyed-tee-sm',
                                                           'url_path': 'ink-eater-krylon-bombear-destroyed-tee-sm.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '0.5000'},
        ('ol_catalog_product.info', (36, u'3', None, 'id')): {'categories': ['4'],
                                                           'color': '60',
                                                           'cost': '2.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:53:06',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "We bought these with the intention of making shirts for our family reunion, only to come back the next day to find each and every one of them had been tagged by The Bear.  Oh well -- can't argue with art.  Now you can make your grandparents proud by wearing an original piece of graf work to YOUR family reunion!",
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                           'meta_keyword': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                           'meta_title': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                           'minimal_price': '22.0000',
                                                           'model': 'Ink Eater:',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '22.0000',
                                                           'product_id': '36',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '41',
                                                           'shirt_size': '100',
                                                           'short_description': "We bought these with the intention of making shirts for our family reunion, only to come back the next day to find each and every one of them had been tagged by The Bear.  Oh well -- can't argue with art.  Now you can make your grandparents proud by wearing an original piece of graf work to YOUR family reunion!",
                                                           'sku': 'ink_sm',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:49:48',
                                                           'url_key': 'ink-eater-krylon-bombear-destroyed-tee-sm',
                                                           'url_path': 'ink-eater-krylon-bombear-destroyed-tee-sm.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '0.5000'},
        ('ol_catalog_product.info', (37, None, None, 'id')): {'categories': ['4'],
                                                           'color': '60',
                                                           'cost': '2.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:59:39',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Double-needle sleeves and bottom hem',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'The Only Children: Paisley T-Shirt',
                                                           'meta_keyword': 'The Only Children: Paisley T-Shirt',
                                                           'meta_title': 'The Only Children: Paisley T-Shirt',
                                                           'minimal_price': '15.0000',
                                                           'model': 'The Only Children: Paisley T-Shirt',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'The Only Children: Paisley T-Shirt',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.0000',
                                                           'product_id': '37',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '41',
                                                           'shirt_size': '100',
                                                           'short_description': 'Printed on American Apparel Classic style 5495 California cotton T shirst.   ',
                                                           'sku': 'oc_sm',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:47:47',
                                                           'url_key': 'the-only-children-paisley-t-shirt-sm',
                                                           'url_path': 'the-only-children-paisley-t-shirt-sm.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '0.4400'},
        ('ol_catalog_product.info', (37, u'2', None, 'id')): {'categories': ['4'],
                                                           'color': '60',
                                                           'cost': '2.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:59:39',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Double-needle sleeves and bottom hem',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'The Only Children: Paisley T-Shirt',
                                                           'meta_keyword': 'The Only Children: Paisley T-Shirt',
                                                           'meta_title': 'The Only Children: Paisley T-Shirt',
                                                           'minimal_price': '15.0000',
                                                           'model': 'The Only Children: Paisley T-Shirt',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'The Only Children: Paisley T-Shirt',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.0000',
                                                           'product_id': '37',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '41',
                                                           'shirt_size': '100',
                                                           'short_description': 'Printed on American Apparel Classic style 5495 California cotton T shirst.   ',
                                                           'sku': 'oc_sm',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:47:47',
                                                           'url_key': 'the-only-children-paisley-t-shirt-sm',
                                                           'url_path': 'the-only-children-paisley-t-shirt-sm.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '0.4400'},
        ('ol_catalog_product.info', (37, u'3', None, 'id')): {'categories': ['4'],
                                                           'color': '60',
                                                           'cost': '2.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:59:39',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Double-needle sleeves and bottom hem',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'The Only Children: Paisley T-Shirt',
                                                           'meta_keyword': 'The Only Children: Paisley T-Shirt',
                                                           'meta_title': 'The Only Children: Paisley T-Shirt',
                                                           'minimal_price': '15.0000',
                                                           'model': 'The Only Children: Paisley T-Shirt',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'The Only Children: Paisley T-Shirt',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.0000',
                                                           'product_id': '37',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '41',
                                                           'shirt_size': '100',
                                                           'short_description': 'Printed on American Apparel Classic style 5495 California cotton T shirst.   ',
                                                           'sku': 'oc_sm',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:47:47',
                                                           'url_key': 'the-only-children-paisley-t-shirt-sm',
                                                           'url_path': 'the-only-children-paisley-t-shirt-sm.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '0.4400'},
        ('ol_catalog_product.info', (38, None, None, 'id')): {'categories': ['4'],
                                                           'color': '26',
                                                           'cost': '2.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 20:02:08',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                           'meta_keyword': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                           'meta_title': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                           'minimal_price': '13.5000',
                                                           'model': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '13.5000',
                                                           'product_id': '38',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '41',
                                                           'shirt_size': '100',
                                                           'short_description': 'Printed on American Apparel Classic style 5495 California t-shirts.  ',
                                                           'sku': 'zol_r_sm',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:39:57',
                                                           'url_key': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-r-sm',
                                                           'url_path': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-r-sm.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '0.4400'},
        ('ol_catalog_product.info', (38, u'2', None, 'id')): {'categories': ['4'],
                                                           'color': '26',
                                                           'cost': '2.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 20:02:08',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                           'meta_keyword': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                           'meta_title': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                           'minimal_price': '13.5000',
                                                           'model': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '13.5000',
                                                           'product_id': '38',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '41',
                                                           'shirt_size': '100',
                                                           'short_description': 'Printed on American Apparel Classic style 5495 California t-shirts.  ',
                                                           'sku': 'zol_r_sm',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:39:57',
                                                           'url_key': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-r-sm',
                                                           'url_path': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-r-sm.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '0.4400'},
        ('ol_catalog_product.info', (38, u'3', None, 'id')): {'categories': ['4'],
                                                           'color': '26',
                                                           'cost': '2.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 20:02:08',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                           'meta_keyword': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                           'meta_title': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                           'minimal_price': '13.5000',
                                                           'model': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '13.5000',
                                                           'product_id': '38',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '41',
                                                           'shirt_size': '100',
                                                           'short_description': 'Printed on American Apparel Classic style 5495 California t-shirts.  ',
                                                           'sku': 'zol_r_sm',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:39:57',
                                                           'url_key': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-r-sm',
                                                           'url_path': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-r-sm.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '0.4400'},
        ('ol_catalog_product.info', (39, None, None, 'id')): {'categories': ['19'],
                                                           'color': '22',
                                                           'cost': '5.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 20:07:02',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Printed on American Apparel Classic style 5495 California Fleece Pull-Over Hoodies.  Sizing info is available here. ',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'The Get Up Kids: Band Camp Pullover Hoodie',
                                                           'meta_keyword': 'The Get Up Kids: Band Camp Pullover Hoodie',
                                                           'meta_title': 'The Get Up Kids: Band Camp Pullover Hoodie',
                                                           'minimal_price': None,
                                                           'model': 'The Get Up Kids: Band Camp Pullover Hoodie',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'The Get Up Kids: Band Camp Pullover Hoodie',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '30.0000',
                                                           'product_id': '39',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '41',
                                                           'shirt_size': '99',
                                                           'short_description': 'Printed on American Apparel Classic style 5495 California Fleece Pull-Over Hoodies.  ',
                                                           'sku': '4fasd5f5',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-06-24 23:45:44',
                                                           'url_key': 'the-get-up-kids-band-camp-pullover-hoodie',
                                                           'url_path': 'the-get-up-kids-band-camp-pullover-hoodie.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '1.7500'},
        ('ol_catalog_product.info', (39, u'2', None, 'id')): {'categories': ['19'],
                                                           'color': '22',
                                                           'cost': '5.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 20:07:02',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Printed on American Apparel Classic style 5495 California Fleece Pull-Over Hoodies.  Sizing info is available here. ',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'The Get Up Kids: Band Camp Pullover Hoodie',
                                                           'meta_keyword': 'The Get Up Kids: Band Camp Pullover Hoodie',
                                                           'meta_title': 'The Get Up Kids: Band Camp Pullover Hoodie',
                                                           'minimal_price': None,
                                                           'model': 'The Get Up Kids: Band Camp Pullover Hoodie',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'The Get Up Kids: Band Camp Pullover Hoodie',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '30.0000',
                                                           'product_id': '39',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '41',
                                                           'shirt_size': '99',
                                                           'short_description': 'Printed on American Apparel Classic style 5495 California Fleece Pull-Over Hoodies.  ',
                                                           'sku': '4fasd5f5',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-06-24 23:45:44',
                                                           'url_key': 'the-get-up-kids-band-camp-pullover-hoodie',
                                                           'url_path': 'the-get-up-kids-band-camp-pullover-hoodie.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '1.7500'},
        ('ol_catalog_product.info', (39, u'3', None, 'id')): {'categories': ['19'],
                                                           'color': '22',
                                                           'cost': '5.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 20:07:02',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Printed on American Apparel Classic style 5495 California Fleece Pull-Over Hoodies.  Sizing info is available here. ',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'The Get Up Kids: Band Camp Pullover Hoodie',
                                                           'meta_keyword': 'The Get Up Kids: Band Camp Pullover Hoodie',
                                                           'meta_title': 'The Get Up Kids: Band Camp Pullover Hoodie',
                                                           'minimal_price': None,
                                                           'model': 'The Get Up Kids: Band Camp Pullover Hoodie',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'The Get Up Kids: Band Camp Pullover Hoodie',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '30.0000',
                                                           'product_id': '39',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '41',
                                                           'shirt_size': '99',
                                                           'short_description': 'Printed on American Apparel Classic style 5495 California Fleece Pull-Over Hoodies.  ',
                                                           'sku': '4fasd5f5',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-06-24 23:45:44',
                                                           'url_key': 'the-get-up-kids-band-camp-pullover-hoodie',
                                                           'url_path': 'the-get-up-kids-band-camp-pullover-hoodie.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '1.7500'},
        ('ol_catalog_product.info', (41, None, None, 'id')): {'categories': ['23'],
                                                           'color': '59',
                                                           'cost': '100.0000',
                                                           'country_of_manufacture': None,
                                                           'country_orgin': 'Thailand',
                                                           'created_at': '2007-08-27 10:43:59',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Features include inset panel sides and for spacious drawers and two wicker baskets. 41"Wx18"Dx36"H.',
                                                           'dimension': '21"W x 44"L x 35.5"H',
                                                           'enable_googlecheckout': None,
                                                           'finish': 'Asian Beechwood',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'Our Akio dresser has a solid hardwood frame.  Features include inset panel sides and for spacious drawers and two wicker baskets.',
                                                           'meta_keyword': 'Hardwood, drawers, wicker, asian, beechwood',
                                                           'meta_title': 'Akio Dresser',
                                                           'minimal_price': '399.9900',
                                                           'model': '384822',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Akio Dresser',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '399.9900',
                                                           'product_id': '41',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'room': '71',
                                                           'set': '42',
                                                           'short_description': 'Our Akio dresser has a solid hardwood frame.  ',
                                                           'sku': '384822',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-29 22:28:43',
                                                           'url_key': 'akio-dresser',
                                                           'url_path': 'akio-dresser.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '128.9700'},
        ('ol_catalog_product.info', (41, u'2', None, 'id')): {'categories': ['23'],
                                                           'color': '59',
                                                           'cost': '100.0000',
                                                           'country_of_manufacture': None,
                                                           'country_orgin': 'Thailand',
                                                           'created_at': '2007-08-27 10:43:59',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Features include inset panel sides and for spacious drawers and two wicker baskets. 41"Wx18"Dx36"H.',
                                                           'dimension': '21"W x 44"L x 35.5"H',
                                                           'enable_googlecheckout': None,
                                                           'finish': 'Asian Beechwood',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'Our Akio dresser has a solid hardwood frame.  Features include inset panel sides and for spacious drawers and two wicker baskets.',
                                                           'meta_keyword': 'Hardwood, drawers, wicker, asian, beechwood',
                                                           'meta_title': 'Akio Dresser',
                                                           'minimal_price': '399.9900',
                                                           'model': '384822',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Akio Dresser',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '399.9900',
                                                           'product_id': '41',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'room': '71',
                                                           'set': '42',
                                                           'short_description': 'Our Akio dresser has a solid hardwood frame.  ',
                                                           'sku': '384822',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-29 22:28:43',
                                                           'url_key': 'akio-dresser',
                                                           'url_path': 'akio-dresser.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '128.9700'},
        ('ol_catalog_product.info', (41, u'3', None, 'id')): {'categories': ['23'],
                                                           'color': '59',
                                                           'cost': '100.0000',
                                                           'country_of_manufacture': None,
                                                           'country_orgin': 'Thailand',
                                                           'created_at': '2007-08-27 10:43:59',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Features include inset panel sides and for spacious drawers and two wicker baskets. 41"Wx18"Dx36"H.',
                                                           'dimension': '21"W x 44"L x 35.5"H',
                                                           'enable_googlecheckout': None,
                                                           'finish': 'Asian Beechwood',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'Our Akio dresser has a solid hardwood frame.  Features include inset panel sides and for spacious drawers and two wicker baskets.',
                                                           'meta_keyword': 'Hardwood, drawers, wicker, asian, beechwood',
                                                           'meta_title': 'Akio Dresser',
                                                           'minimal_price': '399.9900',
                                                           'model': '384822',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Akio Dresser',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '399.9900',
                                                           'product_id': '41',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'room': '71',
                                                           'set': '42',
                                                           'short_description': 'Our Akio dresser has a solid hardwood frame.  ',
                                                           'sku': '384822',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-29 22:28:43',
                                                           'url_key': 'akio-dresser',
                                                           'url_path': 'akio-dresser.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '128.9700'},
        ('ol_catalog_product.info', (42, None, None, 'id')): {'categories': ['23'],
                                                           'color': '59',
                                                           'cost': '800.0000',
                                                           'country_of_manufacture': None,
                                                           'country_orgin': 'Thailand',
                                                           'created_at': '2007-08-27 10:50:01',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Entirely handcrafted of solid Bamboo. Designed for use with a mattress alone, it includes a sturdy, padded wood platform for comfort and proper mattress support.',
                                                           'dimension': '62"W x 84"L x 8"H',
                                                           'enable_googlecheckout': None,
                                                           'finish': 'Bamboo',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'Our Barcelona platform bed captures the spirit and drama of late 20th century design with a variety of subtle details.',
                                                           'meta_keyword': 'bamboo, barcelona, platform, bed',
                                                           'meta_title': 'Barcelona Bamboo Platform Bed',
                                                           'minimal_price': '2299.0000',
                                                           'model': 'bar1234',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Barcelona Bamboo Platform Bed',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '2299.0000',
                                                           'product_id': '42',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'room': '71',
                                                           'set': '42',
                                                           'short_description': 'Our Barcelona platform bed captures the spirit and drama of late 20th century design with a variety of subtle details.',
                                                           'sku': 'bar1234',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-06-24 23:59:46',
                                                           'url_key': 'barcelona-bamboo-platform-bed',
                                                           'url_path': 'barcelona-bamboo-platform-bed.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '150.0000'},
        ('ol_catalog_product.info', (42, u'2', None, 'id')): {'categories': ['23'],
                                                           'color': '59',
                                                           'cost': '800.0000',
                                                           'country_of_manufacture': None,
                                                           'country_orgin': 'Thailand',
                                                           'created_at': '2007-08-27 10:50:01',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Entirely handcrafted of solid Bamboo. Designed for use with a mattress alone, it includes a sturdy, padded wood platform for comfort and proper mattress support.',
                                                           'dimension': '62"W x 84"L x 8"H',
                                                           'enable_googlecheckout': None,
                                                           'finish': 'Bamboo',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'Our Barcelona platform bed captures the spirit and drama of late 20th century design with a variety of subtle details.',
                                                           'meta_keyword': 'bamboo, barcelona, platform, bed',
                                                           'meta_title': 'Barcelona Bamboo Platform Bed',
                                                           'minimal_price': '2299.0000',
                                                           'model': 'bar1234',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Barcelona Bamboo Platform Bed',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '2299.0000',
                                                           'product_id': '42',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'room': '71',
                                                           'set': '42',
                                                           'short_description': 'Our Barcelona platform bed captures the spirit and drama of late 20th century design with a variety of subtle details.',
                                                           'sku': 'bar1234',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-06-24 23:59:46',
                                                           'url_key': 'barcelona-bamboo-platform-bed',
                                                           'url_path': 'barcelona-bamboo-platform-bed.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '150.0000'},
        ('ol_catalog_product.info', (42, u'3', None, 'id')): {'categories': ['23'],
                                                           'color': '59',
                                                           'cost': '800.0000',
                                                           'country_of_manufacture': None,
                                                           'country_orgin': 'Thailand',
                                                           'created_at': '2007-08-27 10:50:01',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Entirely handcrafted of solid Bamboo. Designed for use with a mattress alone, it includes a sturdy, padded wood platform for comfort and proper mattress support.',
                                                           'dimension': '62"W x 84"L x 8"H',
                                                           'enable_googlecheckout': None,
                                                           'finish': 'Bamboo',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'Our Barcelona platform bed captures the spirit and drama of late 20th century design with a variety of subtle details.',
                                                           'meta_keyword': 'bamboo, barcelona, platform, bed',
                                                           'meta_title': 'Barcelona Bamboo Platform Bed',
                                                           'minimal_price': '2299.0000',
                                                           'model': 'bar1234',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Barcelona Bamboo Platform Bed',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '2299.0000',
                                                           'product_id': '42',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'room': '71',
                                                           'set': '42',
                                                           'short_description': 'Our Barcelona platform bed captures the spirit and drama of late 20th century design with a variety of subtle details.',
                                                           'sku': 'bar1234',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-06-24 23:59:46',
                                                           'url_key': 'barcelona-bamboo-platform-bed',
                                                           'url_path': 'barcelona-bamboo-platform-bed.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '150.0000'},
        ('ol_catalog_product.info', (44, None, None, 'id')): {'categories': ['26'],
                                                           'color': '24',
                                                           'cost': '200.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 13:06:05',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "The Canon EOS Digital Rebel camera now has a new, faster, even smaller big brother. Sibling rivalries aside, the 8.0-megapixel Canon EOS Digital Rebel XT SLR adds resolution, speed, extra creative control, and enhanced comfort in the hand to one of the smallest and lightest digital cameras in its class. Even with its advancements in ergonomic design and technology, this easy-to-use EOS digital camera is compatible with all of Canon's EF lenses, including the EF-S lenses.",
                                                           'dimension': '5 x 3.7 x 2.5 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class="disc"> \r\n\r\n<li>8.0-megapixel CMOS sensor captures enough detail for photo-quality 16 x 22-inch prints<br></li>\r\n<li>Includes Canon\'s EF-S 18-55mm, f3.5-5.6 zoom lens<br></li>\r\n<li>DIGIC II Image Processor provides fast, accurate image processing; captures images at a rate of up to 3 frames per second<br></li>\r\n<li>Fast start-up time--.2 seconds<br></li>\r\n<li>Powered by rechargeable Lithium-ion battery (included, with charger)</li>\r\n</ul>\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '34',
                                                           'megapixels': '90',
                                                           'meta_description': 'Canon Digital Rebel XT 8MP Digital SLR Camera with EF-S 18-55mm f3.5-5.6 Lens (Black)',
                                                           'meta_keyword': 'canon, slr, camera, 8, digital',
                                                           'meta_title': 'Canon Digital Rebel XT 8MP Digital SLR Camera with EF-S 18-55mm f3.5-5.6 Lens (Black)',
                                                           'minimal_price': '449.0000',
                                                           'model': 'Rebel XT ',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Canon Digital Rebel XT 8MP Digital SLR Camera',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '550.0000',
                                                           'product_id': '44',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '44',
                                                           'short_description': ' Canon EOS Digital Rebel XT SLR adds resolution, speed, extra creative control, and enhanced comfort in the hand to one of the smallest and lightest digital cameras in its class. ',
                                                           'sku': 'Rebel XT',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [{'all_groups': '1',
                                                                           'cust_group': 32000,
                                                                           'price': '449.0000',
                                                                           'price_id': '1',
                                                                           'price_qty': '2.0000',
                                                                           'website_id': '0',
                                                                           'website_price': '449.0000'}],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-06-24 22:50:46',
                                                           'url_key': 'canon-digital-rebel-xt-8mp-digital-slr-camera-with-ef-s-18-55mm-f3-5-5-6-lens-black',
                                                           'url_path': 'canon-digital-rebel-xt-8mp-digital-slr-camera-with-ef-s-18-55mm-f3-5-5-6-lens-black.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '4.0000'},
        ('ol_catalog_product.info', (44, u'2', None, 'id')): {'categories': ['26'],
                                                           'color': '24',
                                                           'cost': '200.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 13:06:05',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "The Canon EOS Digital Rebel camera now has a new, faster, even smaller big brother. Sibling rivalries aside, the 8.0-megapixel Canon EOS Digital Rebel XT SLR adds resolution, speed, extra creative control, and enhanced comfort in the hand to one of the smallest and lightest digital cameras in its class. Even with its advancements in ergonomic design and technology, this easy-to-use EOS digital camera is compatible with all of Canon's EF lenses, including the EF-S lenses.",
                                                           'dimension': '5 x 3.7 x 2.5 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class="disc"> \r\n\r\n<li>8.0-megapixel CMOS sensor captures enough detail for photo-quality 16 x 22-inch prints<br></li>\r\n<li>Includes Canon\'s EF-S 18-55mm, f3.5-5.6 zoom lens<br></li>\r\n<li>DIGIC II Image Processor provides fast, accurate image processing; captures images at a rate of up to 3 frames per second<br></li>\r\n<li>Fast start-up time--.2 seconds<br></li>\r\n<li>Powered by rechargeable Lithium-ion battery (included, with charger)</li>\r\n</ul>\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '34',
                                                           'megapixels': '90',
                                                           'meta_description': 'Canon Digital Rebel XT 8MP Digital SLR Camera with EF-S 18-55mm f3.5-5.6 Lens (Black)',
                                                           'meta_keyword': 'canon, slr, camera, 8, digital',
                                                           'meta_title': 'Canon Digital Rebel XT 8MP Digital SLR Camera with EF-S 18-55mm f3.5-5.6 Lens (Black)',
                                                           'minimal_price': '449.0000',
                                                           'model': 'Rebel XT ',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Canon Digital Rebel XT 8MP Digital SLR Camera',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '550.0000',
                                                           'product_id': '44',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '44',
                                                           'short_description': ' Canon EOS Digital Rebel XT SLR adds resolution, speed, extra creative control, and enhanced comfort in the hand to one of the smallest and lightest digital cameras in its class. ',
                                                           'sku': 'Rebel XT',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [{'all_groups': '1',
                                                                           'cust_group': 32000,
                                                                           'price': '449.0000',
                                                                           'price_id': '1',
                                                                           'price_qty': '2.0000',
                                                                           'website_id': '0',
                                                                           'website_price': '449.0000'}],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-06-24 22:50:46',
                                                           'url_key': 'canon-digital-rebel-xt-8mp-digital-slr-camera-with-ef-s-18-55mm-f3-5-5-6-lens-black',
                                                           'url_path': 'canon-digital-rebel-xt-8mp-digital-slr-camera-with-ef-s-18-55mm-f3-5-5-6-lens-black.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '4.0000'},
        ('ol_catalog_product.info', (44, u'3', None, 'id')): {'categories': ['26'],
                                                           'color': '24',
                                                           'cost': '200.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 13:06:05',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "The Canon EOS Digital Rebel camera now has a new, faster, even smaller big brother. Sibling rivalries aside, the 8.0-megapixel Canon EOS Digital Rebel XT SLR adds resolution, speed, extra creative control, and enhanced comfort in the hand to one of the smallest and lightest digital cameras in its class. Even with its advancements in ergonomic design and technology, this easy-to-use EOS digital camera is compatible with all of Canon's EF lenses, including the EF-S lenses.",
                                                           'dimension': '5 x 3.7 x 2.5 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class="disc"> \r\n\r\n<li>8.0-megapixel CMOS sensor captures enough detail for photo-quality 16 x 22-inch prints<br></li>\r\n<li>Includes Canon\'s EF-S 18-55mm, f3.5-5.6 zoom lens<br></li>\r\n<li>DIGIC II Image Processor provides fast, accurate image processing; captures images at a rate of up to 3 frames per second<br></li>\r\n<li>Fast start-up time--.2 seconds<br></li>\r\n<li>Powered by rechargeable Lithium-ion battery (included, with charger)</li>\r\n</ul>\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '34',
                                                           'megapixels': '90',
                                                           'meta_description': 'Canon Digital Rebel XT 8MP Digital SLR Camera with EF-S 18-55mm f3.5-5.6 Lens (Black)',
                                                           'meta_keyword': 'canon, slr, camera, 8, digital',
                                                           'meta_title': 'Canon Digital Rebel XT 8MP Digital SLR Camera with EF-S 18-55mm f3.5-5.6 Lens (Black)',
                                                           'minimal_price': '449.0000',
                                                           'model': 'Rebel XT ',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Canon Digital Rebel XT 8MP Digital SLR Camera',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '550.0000',
                                                           'product_id': '44',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '44',
                                                           'short_description': ' Canon EOS Digital Rebel XT SLR adds resolution, speed, extra creative control, and enhanced comfort in the hand to one of the smallest and lightest digital cameras in its class. ',
                                                           'sku': 'Rebel XT',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [{'all_groups': '1',
                                                                           'cust_group': 32000,
                                                                           'price': '449.0000',
                                                                           'price_id': '1',
                                                                           'price_qty': '2.0000',
                                                                           'website_id': '0',
                                                                           'website_price': '449.0000'}],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-06-24 22:50:46',
                                                           'url_key': 'canon-digital-rebel-xt-8mp-digital-slr-camera-with-ef-s-18-55mm-f3-5-5-6-lens-black',
                                                           'url_path': 'canon-digital-rebel-xt-8mp-digital-slr-camera-with-ef-s-18-55mm-f3-5-5-6-lens-black.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '4.0000'},
        ('ol_catalog_product.info', (45, None, None, 'id')): {'categories': ['26'],
                                                           'color': '23',
                                                           'cost': '20.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 13:18:56',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "The Argus QC-2185 Quick Click 5MP digital camera offers all the basic features you need in a compact and stylish digital camera. This unit is easy to use, and is perfect for those who want a completely portable option for taking good pictures, without having to empty their wallet.\r\n\r\nThe Argus QC-2185 features a clear and bright 1.1-inch CSTN (color super-twist nematic) LCD display that makes it easy to frame the perfect picture. Thanks to its USB 1.1 connection compatibility, this digital camera lets you quickly download pictures to your Mac or PC, and can also function as a handy web camera. The QC-2185 includes eight megabytes of internal SDRAM memory, with the ability to expand camera memory via a built-in SD (secure digital) storage card slot for easy storage and transfer of your pictures. This unit also includes a built-in auto flash with a three to seven foot range, and comes with ArcSoft PhotoImpression's photo editing software which makes it easy for you to edit, crop, adjust and improve all your best pictures to make them even better.\r\n",
                                                           'dimension': '2.75 inches x 1.5 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class="disc".  \r\n<li>5 megapixel digital camera with a 1600 x 1200 resolution and an f2.8 aperture</li>\r\n<li> Clear and bright 1.1-inch CSTN LCD display makes it easy to frame the perfect picture</li>\r\n<li>USB 1.1 connection compatibility lets you quickly download pictures to your Mac or PC, and function as a web camera</li>\r\n<li>Runs on 3 AAA batteries, and requires; Windows OS 98 or higher, at least 32 MB of RAM and 125 MB of hard disk space, and an available USB port</li>\r\n<li>Weighs 3.4 ounces, measures 3.6 x 2.4 x 1.1 inches (W x H x D), and is backed by a 1-year manufacturer\'s warranty</li>\r\n</ul>\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '32',
                                                           'megapixels': '93',
                                                           'meta_description': 'Argus QC-2185 Quick Click 2MP Digital Camera',
                                                           'meta_keyword': 'Argus, QC-2185, digital, camera, 2MP',
                                                           'meta_title': 'Argus QC-2185 Quick Click 2MP Digital Camera',
                                                           'minimal_price': '37.4900',
                                                           'model': 'QC-2185',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': ' Argus QC-2185 Quick Click 5MP Digital Camera',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '37.4900',
                                                           'product_id': '45',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '44',
                                                           'short_description': 'The Argus QC-2185 Quick Click 5MP digital camera offers all the basic features you need in a compact and stylish digital camera. This unit is easy to use, and is perfect for those who want a completely portable option for taking good pictures, without having to empty their wallet.',
                                                           'sku': 'QC-2185',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:52:48',
                                                           'url_key': 'argus-qc-2185-quick-click-5mp-digital-camera',
                                                           'url_path': 'argus-qc-2185-quick-click-5mp-digital-camera.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (45, u'2', None, 'id')): {'categories': ['26'],
                                                           'color': '23',
                                                           'cost': '20.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 13:18:56',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "The Argus QC-2185 Quick Click 5MP digital camera offers all the basic features you need in a compact and stylish digital camera. This unit is easy to use, and is perfect for those who want a completely portable option for taking good pictures, without having to empty their wallet.\r\n\r\nThe Argus QC-2185 features a clear and bright 1.1-inch CSTN (color super-twist nematic) LCD display that makes it easy to frame the perfect picture. Thanks to its USB 1.1 connection compatibility, this digital camera lets you quickly download pictures to your Mac or PC, and can also function as a handy web camera. The QC-2185 includes eight megabytes of internal SDRAM memory, with the ability to expand camera memory via a built-in SD (secure digital) storage card slot for easy storage and transfer of your pictures. This unit also includes a built-in auto flash with a three to seven foot range, and comes with ArcSoft PhotoImpression's photo editing software which makes it easy for you to edit, crop, adjust and improve all your best pictures to make them even better.\r\n",
                                                           'dimension': '2.75 inches x 1.5 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class="disc".  \r\n<li>5 megapixel digital camera with a 1600 x 1200 resolution and an f2.8 aperture</li>\r\n<li> Clear and bright 1.1-inch CSTN LCD display makes it easy to frame the perfect picture</li>\r\n<li>USB 1.1 connection compatibility lets you quickly download pictures to your Mac or PC, and function as a web camera</li>\r\n<li>Runs on 3 AAA batteries, and requires; Windows OS 98 or higher, at least 32 MB of RAM and 125 MB of hard disk space, and an available USB port</li>\r\n<li>Weighs 3.4 ounces, measures 3.6 x 2.4 x 1.1 inches (W x H x D), and is backed by a 1-year manufacturer\'s warranty</li>\r\n</ul>\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '32',
                                                           'megapixels': '93',
                                                           'meta_description': 'Argus QC-2185 Quick Click 2MP Digital Camera',
                                                           'meta_keyword': 'Argus, QC-2185, digital, camera, 2MP',
                                                           'meta_title': 'Argus QC-2185 Quick Click 2MP Digital Camera',
                                                           'minimal_price': '37.4900',
                                                           'model': 'QC-2185',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': ' Argus QC-2185 Quick Click 5MP Digital Camera',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '37.4900',
                                                           'product_id': '45',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '44',
                                                           'short_description': 'The Argus QC-2185 Quick Click 5MP digital camera offers all the basic features you need in a compact and stylish digital camera. This unit is easy to use, and is perfect for those who want a completely portable option for taking good pictures, without having to empty their wallet.',
                                                           'sku': 'QC-2185',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:52:48',
                                                           'url_key': 'argus-qc-2185-quick-click-5mp-digital-camera',
                                                           'url_path': 'argus-qc-2185-quick-click-5mp-digital-camera.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (45, u'3', None, 'id')): {'categories': ['26'],
                                                           'color': '23',
                                                           'cost': '20.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 13:18:56',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "The Argus QC-2185 Quick Click 5MP digital camera offers all the basic features you need in a compact and stylish digital camera. This unit is easy to use, and is perfect for those who want a completely portable option for taking good pictures, without having to empty their wallet.\r\n\r\nThe Argus QC-2185 features a clear and bright 1.1-inch CSTN (color super-twist nematic) LCD display that makes it easy to frame the perfect picture. Thanks to its USB 1.1 connection compatibility, this digital camera lets you quickly download pictures to your Mac or PC, and can also function as a handy web camera. The QC-2185 includes eight megabytes of internal SDRAM memory, with the ability to expand camera memory via a built-in SD (secure digital) storage card slot for easy storage and transfer of your pictures. This unit also includes a built-in auto flash with a three to seven foot range, and comes with ArcSoft PhotoImpression's photo editing software which makes it easy for you to edit, crop, adjust and improve all your best pictures to make them even better.\r\n",
                                                           'dimension': '2.75 inches x 1.5 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class="disc".  \r\n<li>5 megapixel digital camera with a 1600 x 1200 resolution and an f2.8 aperture</li>\r\n<li> Clear and bright 1.1-inch CSTN LCD display makes it easy to frame the perfect picture</li>\r\n<li>USB 1.1 connection compatibility lets you quickly download pictures to your Mac or PC, and function as a web camera</li>\r\n<li>Runs on 3 AAA batteries, and requires; Windows OS 98 or higher, at least 32 MB of RAM and 125 MB of hard disk space, and an available USB port</li>\r\n<li>Weighs 3.4 ounces, measures 3.6 x 2.4 x 1.1 inches (W x H x D), and is backed by a 1-year manufacturer\'s warranty</li>\r\n</ul>\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '32',
                                                           'megapixels': '93',
                                                           'meta_description': 'Argus QC-2185 Quick Click 2MP Digital Camera',
                                                           'meta_keyword': 'Argus, QC-2185, digital, camera, 2MP',
                                                           'meta_title': 'Argus QC-2185 Quick Click 2MP Digital Camera',
                                                           'minimal_price': '37.4900',
                                                           'model': 'QC-2185',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': ' Argus QC-2185 Quick Click 5MP Digital Camera',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '37.4900',
                                                           'product_id': '45',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '44',
                                                           'short_description': 'The Argus QC-2185 Quick Click 5MP digital camera offers all the basic features you need in a compact and stylish digital camera. This unit is easy to use, and is perfect for those who want a completely portable option for taking good pictures, without having to empty their wallet.',
                                                           'sku': 'QC-2185',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:52:48',
                                                           'url_key': 'argus-qc-2185-quick-click-5mp-digital-camera',
                                                           'url_path': 'argus-qc-2185-quick-click-5mp-digital-camera.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (46, None, None, 'id')): {'categories': ['12',
                                                                          '26'],
                                                           'color': '23',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 13:23:34',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "Olympus continues to innovate with the launch of the Stylus 750 digital camera, a technically sophisticated point-and-shoot camera offering a number of pioneering technologies such as Dual Image Stabilization, Bright Capture Technology, and TruePic Turbo, as well as a powerful 5x optical zoom that tucks away into a streamlined metal, all-weather body design. The camera is distinguished by a number of premium features, including:\r\n\r\n    * An advanced combination of the mechanical CCD-shift Image Stabilization and Digital Image Stabilization work together to ensure the clearest pictures possible in any situation;\r\n    * A 5x optical zoom lens with a newly developed lens element to maintain a small compact size;\r\n    * A 2.5-inch LCD and Bright Capture Technology dramatically improve composition, capture and review of images in low-light situations;\r\n    * Olympus' exclusive TruePic Turbo Image Processing engine is coupled with a 7.1-megapixel image sensor to produce crisp, high-quality p",
                                                           'dimension': '3.8 x 2.1 x 1 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class="disc">\r\n\r\n<li>7.1-megapixel CCD captures enough detail for photo-quality 15 x 20-inch prints<br></li>\r\n<li>5x image-stabilized optical zoom; 2.5-inch LCD display<br></li>\r\n<li>Compact, all-weather body measures 3.8 x 2.1 x 0.96 inches<br></li>\r\n<li>Bright Capture technology; 27 selectable shooting modes; built-in Help guide<br></li>\r\n<li>Stores images on xD Picture Cards; powered by Li-Ion battery (battery and charger included)</li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': '33',
                                                           'megapixels': '91',
                                                           'meta_description': 'Olympus Stylus 750 7.1MP Digital Camera with Digital Image Stabilized 5x Optical Zoom and CCD Shift Stabilization (Silver)',
                                                           'meta_keyword': 'Olympus, stylus, 750, 7MP, digital, camera, zoom',
                                                           'meta_title': 'Olympus Stylus 750 7.1MP Digital Camera with Digital Image Stabilized 5x Optical Zoom and CCD Shift Stabilization (Silver)',
                                                           'minimal_price': '161.9400',
                                                           'model': '750',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': ' Olympus Stylus 750 7.1MP Digital Camera',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '161.9400',
                                                           'product_id': '46',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '44',
                                                           'short_description': 'A technically sophisticated point-and-shoot camera offering a number of pioneering technologies such as Dual Image Stabilization, Bright Capture Technology, and TruePic Turbo, as well as a powerful 5x optical zoom.',
                                                           'sku': '750',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:57:57',
                                                           'url_key': 'olympus-stylus-750-7-1mp-digital-camera',
                                                           'url_path': 'olympus-stylus-750-7-1mp-digital-camera.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (46, u'2', None, 'id')): {'categories': ['12',
                                                                          '26'],
                                                           'color': '23',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 13:23:34',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "Olympus continues to innovate with the launch of the Stylus 750 digital camera, a technically sophisticated point-and-shoot camera offering a number of pioneering technologies such as Dual Image Stabilization, Bright Capture Technology, and TruePic Turbo, as well as a powerful 5x optical zoom that tucks away into a streamlined metal, all-weather body design. The camera is distinguished by a number of premium features, including:\r\n\r\n    * An advanced combination of the mechanical CCD-shift Image Stabilization and Digital Image Stabilization work together to ensure the clearest pictures possible in any situation;\r\n    * A 5x optical zoom lens with a newly developed lens element to maintain a small compact size;\r\n    * A 2.5-inch LCD and Bright Capture Technology dramatically improve composition, capture and review of images in low-light situations;\r\n    * Olympus' exclusive TruePic Turbo Image Processing engine is coupled with a 7.1-megapixel image sensor to produce crisp, high-quality p",
                                                           'dimension': '3.8 x 2.1 x 1 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class="disc">\r\n\r\n<li>7.1-megapixel CCD captures enough detail for photo-quality 15 x 20-inch prints<br></li>\r\n<li>5x image-stabilized optical zoom; 2.5-inch LCD display<br></li>\r\n<li>Compact, all-weather body measures 3.8 x 2.1 x 0.96 inches<br></li>\r\n<li>Bright Capture technology; 27 selectable shooting modes; built-in Help guide<br></li>\r\n<li>Stores images on xD Picture Cards; powered by Li-Ion battery (battery and charger included)</li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': '33',
                                                           'megapixels': '91',
                                                           'meta_description': 'Olympus Stylus 750 7.1MP Digital Camera with Digital Image Stabilized 5x Optical Zoom and CCD Shift Stabilization (Silver)',
                                                           'meta_keyword': 'Olympus, stylus, 750, 7MP, digital, camera, zoom',
                                                           'meta_title': 'Olympus Stylus 750 7.1MP Digital Camera with Digital Image Stabilized 5x Optical Zoom and CCD Shift Stabilization (Silver)',
                                                           'minimal_price': '161.9400',
                                                           'model': '750',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': ' Olympus Stylus 750 7.1MP Digital Camera',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '161.9400',
                                                           'product_id': '46',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '44',
                                                           'short_description': 'A technically sophisticated point-and-shoot camera offering a number of pioneering technologies such as Dual Image Stabilization, Bright Capture Technology, and TruePic Turbo, as well as a powerful 5x optical zoom.',
                                                           'sku': '750',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:57:57',
                                                           'url_key': 'olympus-stylus-750-7-1mp-digital-camera',
                                                           'url_path': 'olympus-stylus-750-7-1mp-digital-camera.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (46, u'3', None, 'id')): {'categories': ['12',
                                                                          '26'],
                                                           'color': '23',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 13:23:34',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "Olympus continues to innovate with the launch of the Stylus 750 digital camera, a technically sophisticated point-and-shoot camera offering a number of pioneering technologies such as Dual Image Stabilization, Bright Capture Technology, and TruePic Turbo, as well as a powerful 5x optical zoom that tucks away into a streamlined metal, all-weather body design. The camera is distinguished by a number of premium features, including:\r\n\r\n    * An advanced combination of the mechanical CCD-shift Image Stabilization and Digital Image Stabilization work together to ensure the clearest pictures possible in any situation;\r\n    * A 5x optical zoom lens with a newly developed lens element to maintain a small compact size;\r\n    * A 2.5-inch LCD and Bright Capture Technology dramatically improve composition, capture and review of images in low-light situations;\r\n    * Olympus' exclusive TruePic Turbo Image Processing engine is coupled with a 7.1-megapixel image sensor to produce crisp, high-quality p",
                                                           'dimension': '3.8 x 2.1 x 1 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class="disc">\r\n\r\n<li>7.1-megapixel CCD captures enough detail for photo-quality 15 x 20-inch prints<br></li>\r\n<li>5x image-stabilized optical zoom; 2.5-inch LCD display<br></li>\r\n<li>Compact, all-weather body measures 3.8 x 2.1 x 0.96 inches<br></li>\r\n<li>Bright Capture technology; 27 selectable shooting modes; built-in Help guide<br></li>\r\n<li>Stores images on xD Picture Cards; powered by Li-Ion battery (battery and charger included)</li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': '33',
                                                           'megapixels': '91',
                                                           'meta_description': 'Olympus Stylus 750 7.1MP Digital Camera with Digital Image Stabilized 5x Optical Zoom and CCD Shift Stabilization (Silver)',
                                                           'meta_keyword': 'Olympus, stylus, 750, 7MP, digital, camera, zoom',
                                                           'meta_title': 'Olympus Stylus 750 7.1MP Digital Camera with Digital Image Stabilized 5x Optical Zoom and CCD Shift Stabilization (Silver)',
                                                           'minimal_price': '161.9400',
                                                           'model': '750',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': ' Olympus Stylus 750 7.1MP Digital Camera',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '161.9400',
                                                           'product_id': '46',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '44',
                                                           'short_description': 'A technically sophisticated point-and-shoot camera offering a number of pioneering technologies such as Dual Image Stabilization, Bright Capture Technology, and TruePic Turbo, as well as a powerful 5x optical zoom.',
                                                           'sku': '750',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:57:57',
                                                           'url_key': 'olympus-stylus-750-7-1mp-digital-camera',
                                                           'url_path': 'olympus-stylus-750-7-1mp-digital-camera.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (47, None, None, 'id')): {'categories': ['26'],
                                                           'color': '23',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 13:27:14',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Replacing the highly popular PowerShot A620, the PowerShot A630 features a rotating 2.5-inch vari-angle LCD, 4x optical zoom lens, and a vast array of creative shooting modes.<br>\r\n\r\nThe PowerShot A630 packs a vast array of advanced features into a remarkably compact space<br><br>\r\n\r\n',
                                                           'dimension': '4.3 x 2.6 x 1.9 inches ',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class="disc">\r\n<li>8-megapixel CCD captures enough detail for photo-quality 16 x 22-inch prints<br></li>\r\n<li>4x optical zoom; 2.5-inch vari-angle LCD display<br></li>\r\n<li>ISO range up to ISO 800 for less blur in low light while hand-holding<br></li>\r\n<li>3:2 guide masks LCD to display 4 x 6-inch print size; 16:9 format option for still images<br></li>\r\n<li>Stores images on SD cards; powered by 4 AA-size batteries</li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': '34',
                                                           'megapixels': '90',
                                                           'meta_description': 'Canon PowerShot A630 8MP Digital Camera with 4x Optical Zoom',
                                                           'meta_keyword': 'canon, powershot, A630, digital, camera, optical, zoom',
                                                           'meta_title': 'Canon PowerShot A630 8MP Digital Camera with 4x Optical Zoom',
                                                           'minimal_price': '329.9900',
                                                           'model': 'A630 ',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Canon PowerShot A630 8MP Digital Camera with 4x Optical Zoom',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '329.9900',
                                                           'product_id': '47',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '44',
                                                           'short_description': 'Replacing the highly popular PowerShot A620, the PowerShot A630 features a rotating 2.5-inch vari-angle LCD, 4x optical zoom lens, and a vast array of creative shooting modes.',
                                                           'sku': 'A630',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:58:14',
                                                           'url_key': 'canon-powershot-a630-8mp-digital-camera-with-4x-optical-zoom',
                                                           'url_path': 'canon-powershot-a630-8mp-digital-camera-with-4x-optical-zoom.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '3.0000'},
        ('ol_catalog_product.info', (47, u'2', None, 'id')): {'categories': ['26'],
                                                           'color': '23',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 13:27:14',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Replacing the highly popular PowerShot A620, the PowerShot A630 features a rotating 2.5-inch vari-angle LCD, 4x optical zoom lens, and a vast array of creative shooting modes.<br>\r\n\r\nThe PowerShot A630 packs a vast array of advanced features into a remarkably compact space<br><br>\r\n\r\n',
                                                           'dimension': '4.3 x 2.6 x 1.9 inches ',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class="disc">\r\n<li>8-megapixel CCD captures enough detail for photo-quality 16 x 22-inch prints<br></li>\r\n<li>4x optical zoom; 2.5-inch vari-angle LCD display<br></li>\r\n<li>ISO range up to ISO 800 for less blur in low light while hand-holding<br></li>\r\n<li>3:2 guide masks LCD to display 4 x 6-inch print size; 16:9 format option for still images<br></li>\r\n<li>Stores images on SD cards; powered by 4 AA-size batteries</li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': '34',
                                                           'megapixels': '90',
                                                           'meta_description': 'Canon PowerShot A630 8MP Digital Camera with 4x Optical Zoom',
                                                           'meta_keyword': 'canon, powershot, A630, digital, camera, optical, zoom',
                                                           'meta_title': 'Canon PowerShot A630 8MP Digital Camera with 4x Optical Zoom',
                                                           'minimal_price': '329.9900',
                                                           'model': 'A630 ',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Canon PowerShot A630 8MP Digital Camera with 4x Optical Zoom',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '329.9900',
                                                           'product_id': '47',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '44',
                                                           'short_description': 'Replacing the highly popular PowerShot A620, the PowerShot A630 features a rotating 2.5-inch vari-angle LCD, 4x optical zoom lens, and a vast array of creative shooting modes.',
                                                           'sku': 'A630',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:58:14',
                                                           'url_key': 'canon-powershot-a630-8mp-digital-camera-with-4x-optical-zoom',
                                                           'url_path': 'canon-powershot-a630-8mp-digital-camera-with-4x-optical-zoom.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '3.0000'},
        ('ol_catalog_product.info', (47, u'3', None, 'id')): {'categories': ['26'],
                                                           'color': '23',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 13:27:14',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Replacing the highly popular PowerShot A620, the PowerShot A630 features a rotating 2.5-inch vari-angle LCD, 4x optical zoom lens, and a vast array of creative shooting modes.<br>\r\n\r\nThe PowerShot A630 packs a vast array of advanced features into a remarkably compact space<br><br>\r\n\r\n',
                                                           'dimension': '4.3 x 2.6 x 1.9 inches ',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class="disc">\r\n<li>8-megapixel CCD captures enough detail for photo-quality 16 x 22-inch prints<br></li>\r\n<li>4x optical zoom; 2.5-inch vari-angle LCD display<br></li>\r\n<li>ISO range up to ISO 800 for less blur in low light while hand-holding<br></li>\r\n<li>3:2 guide masks LCD to display 4 x 6-inch print size; 16:9 format option for still images<br></li>\r\n<li>Stores images on SD cards; powered by 4 AA-size batteries</li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': '34',
                                                           'megapixels': '90',
                                                           'meta_description': 'Canon PowerShot A630 8MP Digital Camera with 4x Optical Zoom',
                                                           'meta_keyword': 'canon, powershot, A630, digital, camera, optical, zoom',
                                                           'meta_title': 'Canon PowerShot A630 8MP Digital Camera with 4x Optical Zoom',
                                                           'minimal_price': '329.9900',
                                                           'model': 'A630 ',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Canon PowerShot A630 8MP Digital Camera with 4x Optical Zoom',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '329.9900',
                                                           'product_id': '47',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '44',
                                                           'short_description': 'Replacing the highly popular PowerShot A620, the PowerShot A630 features a rotating 2.5-inch vari-angle LCD, 4x optical zoom lens, and a vast array of creative shooting modes.',
                                                           'sku': 'A630',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:58:14',
                                                           'url_key': 'canon-powershot-a630-8mp-digital-camera-with-4x-optical-zoom',
                                                           'url_path': 'canon-powershot-a630-8mp-digital-camera-with-4x-optical-zoom.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '3.0000'},
        ('ol_catalog_product.info', (48, None, None, 'id')): {'categories': ['26'],
                                                           'color': '23',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 13:32:20',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "Small on size. Big on value. Kodak's newest C-Series digital camera, the C530, sports awesome features--such as 5.0-megapixel CCD resolution, on-camera image cropping, and an on-camera Share button--at a very affordable price.",
                                                           'dimension': ' 4 x 6 x 9 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class="disc">   \r\n\r\n<li>5.0-megapixel CCD captures enough detail for photo-quality 13 x 17-inch prints<br></li>\r\n<li>1.5-inch LCD display<br></li>\r\n<li>Continuous QVGA video<br></li>\r\n<li>Auto scene mode and three color modes; in-camera cropping<br></li>\r\n<li>Powered by AA size batteries; stores images on SD memory cards (includes 16 MB internal memory)</li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': '31',
                                                           'megapixels': '93',
                                                           'meta_description': 'Kodak EasyShare C530 5MP Digital Camera',
                                                           'meta_keyword': 'kodak, eayshare, c530, 5MP, digital, camera',
                                                           'meta_title': 'Kodak EasyShare C530 5MP Digital Camera',
                                                           'minimal_price': '199.9900',
                                                           'model': 'C530 ',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Kodak EasyShare C530 5MP Digital Camera',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '199.9900',
                                                           'product_id': '48',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '44',
                                                           'short_description': "Small on size. Big on value. Kodak's newest C-Series digital camera, the C530, sports awesome features",
                                                           'sku': 'C530',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:58:41',
                                                           'url_key': 'kodak-easyshare-c530-5mp-digital-camera',
                                                           'url_path': 'kodak-easyshare-c530-5mp-digital-camera.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (48, u'2', None, 'id')): {'categories': ['26'],
                                                           'color': '23',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 13:32:20',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "Small on size. Big on value. Kodak's newest C-Series digital camera, the C530, sports awesome features--such as 5.0-megapixel CCD resolution, on-camera image cropping, and an on-camera Share button--at a very affordable price.",
                                                           'dimension': ' 4 x 6 x 9 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class="disc">   \r\n\r\n<li>5.0-megapixel CCD captures enough detail for photo-quality 13 x 17-inch prints<br></li>\r\n<li>1.5-inch LCD display<br></li>\r\n<li>Continuous QVGA video<br></li>\r\n<li>Auto scene mode and three color modes; in-camera cropping<br></li>\r\n<li>Powered by AA size batteries; stores images on SD memory cards (includes 16 MB internal memory)</li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': '31',
                                                           'megapixels': '93',
                                                           'meta_description': 'Kodak EasyShare C530 5MP Digital Camera',
                                                           'meta_keyword': 'kodak, eayshare, c530, 5MP, digital, camera',
                                                           'meta_title': 'Kodak EasyShare C530 5MP Digital Camera',
                                                           'minimal_price': '199.9900',
                                                           'model': 'C530 ',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Kodak EasyShare C530 5MP Digital Camera',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '199.9900',
                                                           'product_id': '48',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '44',
                                                           'short_description': "Small on size. Big on value. Kodak's newest C-Series digital camera, the C530, sports awesome features",
                                                           'sku': 'C530',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:58:41',
                                                           'url_key': 'kodak-easyshare-c530-5mp-digital-camera',
                                                           'url_path': 'kodak-easyshare-c530-5mp-digital-camera.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (48, u'3', None, 'id')): {'categories': ['26'],
                                                           'color': '23',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 13:32:20',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "Small on size. Big on value. Kodak's newest C-Series digital camera, the C530, sports awesome features--such as 5.0-megapixel CCD resolution, on-camera image cropping, and an on-camera Share button--at a very affordable price.",
                                                           'dimension': ' 4 x 6 x 9 inches',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class="disc">   \r\n\r\n<li>5.0-megapixel CCD captures enough detail for photo-quality 13 x 17-inch prints<br></li>\r\n<li>1.5-inch LCD display<br></li>\r\n<li>Continuous QVGA video<br></li>\r\n<li>Auto scene mode and three color modes; in-camera cropping<br></li>\r\n<li>Powered by AA size batteries; stores images on SD memory cards (includes 16 MB internal memory)</li>\r\n</ul>',
                                                           'is_recurring': None,
                                                           'manufacturer': '31',
                                                           'megapixels': '93',
                                                           'meta_description': 'Kodak EasyShare C530 5MP Digital Camera',
                                                           'meta_keyword': 'kodak, eayshare, c530, 5MP, digital, camera',
                                                           'meta_title': 'Kodak EasyShare C530 5MP Digital Camera',
                                                           'minimal_price': '199.9900',
                                                           'model': 'C530 ',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Kodak EasyShare C530 5MP Digital Camera',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '199.9900',
                                                           'product_id': '48',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '44',
                                                           'short_description': "Small on size. Big on value. Kodak's newest C-Series digital camera, the C530, sports awesome features",
                                                           'sku': 'C530',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:58:41',
                                                           'url_key': 'kodak-easyshare-c530-5mp-digital-camera',
                                                           'url_path': 'kodak-easyshare-c530-5mp-digital-camera.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (49, None, None, 'id')): {'categories': ['17'],
                                                           'color': '59',
                                                           'cost': '10.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 15:09:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'Womens Premier Leather Single Layer Narrow Strap - ',
                                                           'is_recurring': None,
                                                           'manufacturer': '102',
                                                           'meta_description': 'Anashria Womens Premier Leather Sandal',
                                                           'meta_keyword': 'womens, sandal, leather, anashria, ',
                                                           'meta_title': 'Anashria Womens Premier Leather Sandal',
                                                           'minimal_price': '41.9500',
                                                           'model': 'B000KJ43SG',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Anashria Womens Premier Leather Sandal',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '41.9500',
                                                           'product_id': '49',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '40',
                                                           'shoe_type': '97',
                                                           'short_description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'sku': 'ana_9',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 01:07:50',
                                                           'url_key': 'anashria-womens-premier-leather-sandal-9',
                                                           'url_path': 'anashria-womens-premier-leather-sandal-9.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (49, u'2', None, 'id')): {'categories': ['17'],
                                                           'color': '59',
                                                           'cost': '10.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 15:09:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'Womens Premier Leather Single Layer Narrow Strap - ',
                                                           'is_recurring': None,
                                                           'manufacturer': '102',
                                                           'meta_description': 'Anashria Womens Premier Leather Sandal',
                                                           'meta_keyword': 'womens, sandal, leather, anashria, ',
                                                           'meta_title': 'Anashria Womens Premier Leather Sandal',
                                                           'minimal_price': '41.9500',
                                                           'model': 'B000KJ43SG',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Anashria Womens Premier Leather Sandal',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '41.9500',
                                                           'product_id': '49',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '40',
                                                           'shoe_type': '97',
                                                           'short_description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'sku': 'ana_9',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 01:07:50',
                                                           'url_key': 'anashria-womens-premier-leather-sandal-9',
                                                           'url_path': 'anashria-womens-premier-leather-sandal-9.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (49, u'3', None, 'id')): {'categories': ['17'],
                                                           'color': '59',
                                                           'cost': '10.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 15:09:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'Womens Premier Leather Single Layer Narrow Strap - ',
                                                           'is_recurring': None,
                                                           'manufacturer': '102',
                                                           'meta_description': 'Anashria Womens Premier Leather Sandal',
                                                           'meta_keyword': 'womens, sandal, leather, anashria, ',
                                                           'meta_title': 'Anashria Womens Premier Leather Sandal',
                                                           'minimal_price': '41.9500',
                                                           'model': 'B000KJ43SG',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Anashria Womens Premier Leather Sandal',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '41.9500',
                                                           'product_id': '49',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '40',
                                                           'shoe_type': '97',
                                                           'short_description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'sku': 'ana_9',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 01:07:50',
                                                           'url_key': 'anashria-womens-premier-leather-sandal-9',
                                                           'url_path': 'anashria-womens-premier-leather-sandal-9.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (51, None, None, 'id')): {'categories': ['22'],
                                                           'color': '26',
                                                           'cost': '50.0000',
                                                           'country_of_manufacture': None,
                                                           'country_orgin': 'Italy',
                                                           'created_at': '2007-08-28 16:25:46',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'The Magento ottoman will impress with its style while it delivers on quality. This piece of living room furniture is built to last with durable solid wood framing, generous padding and plush stain-resistant microfiber upholstery.',
                                                           'dimension': '',
                                                           'enable_googlecheckout': None,
                                                           'finish': 'Microfiber',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'Ottoman',
                                                           'meta_keyword': 'Ottoman',
                                                           'meta_title': 'Ottoman',
                                                           'minimal_price': '299.9900',
                                                           'model': 'magotto',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Ottoman',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '299.9900',
                                                           'product_id': '51',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'room': '72',
                                                           'set': '42',
                                                           'short_description': 'With durable solid wood framing, generous padding and plush stain-resistant microfiber upholstery.',
                                                           'sku': '1111',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:59:04',
                                                           'url_key': 'ottoman',
                                                           'url_path': 'ottoman.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '20.0000'},
        ('ol_catalog_product.info', (51, u'2', None, 'id')): {'categories': ['22'],
                                                           'color': '26',
                                                           'cost': '50.0000',
                                                           'country_of_manufacture': None,
                                                           'country_orgin': 'Italy',
                                                           'created_at': '2007-08-28 16:25:46',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'The Magento ottoman will impress with its style while it delivers on quality. This piece of living room furniture is built to last with durable solid wood framing, generous padding and plush stain-resistant microfiber upholstery.',
                                                           'dimension': '',
                                                           'enable_googlecheckout': None,
                                                           'finish': 'Microfiber',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'Ottoman',
                                                           'meta_keyword': 'Ottoman',
                                                           'meta_title': 'Ottoman',
                                                           'minimal_price': '299.9900',
                                                           'model': 'magotto',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Ottoman',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '299.9900',
                                                           'product_id': '51',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'room': '72',
                                                           'set': '42',
                                                           'short_description': 'With durable solid wood framing, generous padding and plush stain-resistant microfiber upholstery.',
                                                           'sku': '1111',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:59:04',
                                                           'url_key': 'ottoman',
                                                           'url_path': 'ottoman.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '20.0000'},
        ('ol_catalog_product.info', (51, u'3', None, 'id')): {'categories': ['22'],
                                                           'color': '26',
                                                           'cost': '50.0000',
                                                           'country_of_manufacture': None,
                                                           'country_orgin': 'Italy',
                                                           'created_at': '2007-08-28 16:25:46',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'The Magento ottoman will impress with its style while it delivers on quality. This piece of living room furniture is built to last with durable solid wood framing, generous padding and plush stain-resistant microfiber upholstery.',
                                                           'dimension': '',
                                                           'enable_googlecheckout': None,
                                                           'finish': 'Microfiber',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'Ottoman',
                                                           'meta_keyword': 'Ottoman',
                                                           'meta_title': 'Ottoman',
                                                           'minimal_price': '299.9900',
                                                           'model': 'magotto',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Ottoman',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '299.9900',
                                                           'product_id': '51',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'room': '72',
                                                           'set': '42',
                                                           'short_description': 'With durable solid wood framing, generous padding and plush stain-resistant microfiber upholstery.',
                                                           'sku': '1111',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:59:04',
                                                           'url_key': 'ottoman',
                                                           'url_path': 'ottoman.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '20.0000'},
        ('ol_catalog_product.info', (52, None, None, 'id')): {'categories': ['22'],
                                                           'color': '26',
                                                           'cost': '50.0000',
                                                           'country_of_manufacture': None,
                                                           'country_orgin': 'Italy',
                                                           'created_at': '2007-08-28 16:29:24',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'This Magento chair features a fun, futuristic design, with fluid curves and gentle angles that follow the shape of the body to enhance ultimate relaxation. It combines a hint of nostalgia with the up-to-date sensibility and function of modern chairs. It is in soft, velvety microfiber.',
                                                           'dimension': '',
                                                           'enable_googlecheckout': None,
                                                           'finish': 'Microfiber',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'Chair',
                                                           'meta_keyword': 'Chair',
                                                           'meta_title': 'Chair',
                                                           'minimal_price': '129.9900',
                                                           'model': '1112',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Chair',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '129.9900',
                                                           'product_id': '52',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'room': '72',
                                                           'set': '42',
                                                           'short_description': 'Combining a hint of nostalgia with the up-to-date sensibility and function of modern chairs. It is in soft, velvety microfiber.',
                                                           'sku': '1112',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:59:17',
                                                           'url_key': 'chair',
                                                           'url_path': 'chair.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '50.0000'},
        ('ol_catalog_product.info', (52, u'2', None, 'id')): {'categories': ['22'],
                                                           'color': '26',
                                                           'cost': '50.0000',
                                                           'country_of_manufacture': None,
                                                           'country_orgin': 'Italy',
                                                           'created_at': '2007-08-28 16:29:24',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'This Magento chair features a fun, futuristic design, with fluid curves and gentle angles that follow the shape of the body to enhance ultimate relaxation. It combines a hint of nostalgia with the up-to-date sensibility and function of modern chairs. It is in soft, velvety microfiber.',
                                                           'dimension': '',
                                                           'enable_googlecheckout': None,
                                                           'finish': 'Microfiber',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'Chair',
                                                           'meta_keyword': 'Chair',
                                                           'meta_title': 'Chair',
                                                           'minimal_price': '129.9900',
                                                           'model': '1112',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Chair',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '129.9900',
                                                           'product_id': '52',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'room': '72',
                                                           'set': '42',
                                                           'short_description': 'Combining a hint of nostalgia with the up-to-date sensibility and function of modern chairs. It is in soft, velvety microfiber.',
                                                           'sku': '1112',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:59:17',
                                                           'url_key': 'chair',
                                                           'url_path': 'chair.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '50.0000'},
        ('ol_catalog_product.info', (52, u'3', None, 'id')): {'categories': ['22'],
                                                           'color': '26',
                                                           'cost': '50.0000',
                                                           'country_of_manufacture': None,
                                                           'country_orgin': 'Italy',
                                                           'created_at': '2007-08-28 16:29:24',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'This Magento chair features a fun, futuristic design, with fluid curves and gentle angles that follow the shape of the body to enhance ultimate relaxation. It combines a hint of nostalgia with the up-to-date sensibility and function of modern chairs. It is in soft, velvety microfiber.',
                                                           'dimension': '',
                                                           'enable_googlecheckout': None,
                                                           'finish': 'Microfiber',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'Chair',
                                                           'meta_keyword': 'Chair',
                                                           'meta_title': 'Chair',
                                                           'minimal_price': '129.9900',
                                                           'model': '1112',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Chair',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '129.9900',
                                                           'product_id': '52',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'room': '72',
                                                           'set': '42',
                                                           'short_description': 'Combining a hint of nostalgia with the up-to-date sensibility and function of modern chairs. It is in soft, velvety microfiber.',
                                                           'sku': '1112',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:59:17',
                                                           'url_key': 'chair',
                                                           'url_path': 'chair.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '50.0000'},
        ('ol_catalog_product.info', (53, None, None, 'id')): {'categories': ['22'],
                                                           'color': '26',
                                                           'cost': '200.0000',
                                                           'country_of_manufacture': None,
                                                           'country_orgin': 'Italy',
                                                           'created_at': '2007-08-28 16:32:24',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Inspired by the classic camelback sofa, Magento offers comfort and style in a low maintenance package.  For a sleek, simple and stylish piece, look no further than the Magento sofa - or sofabed!',
                                                           'dimension': '',
                                                           'enable_googlecheckout': None,
                                                           'finish': 'Microfiber',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'Couch',
                                                           'meta_keyword': 'Couch',
                                                           'meta_title': 'Couch',
                                                           'minimal_price': '599.9900',
                                                           'model': '1113',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Couch',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '599.9900',
                                                           'product_id': '53',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'room': '72',
                                                           'set': '42',
                                                           'short_description': 'For a sleek, simple and stylish piece, look no further than the Magento sofa - or sofabed!',
                                                           'sku': '1113',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:59:40',
                                                           'url_key': 'couch',
                                                           'url_path': 'couch.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '200.0000'},
        ('ol_catalog_product.info', (53, u'2', None, 'id')): {'categories': ['22'],
                                                           'color': '26',
                                                           'cost': '200.0000',
                                                           'country_of_manufacture': None,
                                                           'country_orgin': 'Italy',
                                                           'created_at': '2007-08-28 16:32:24',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Inspired by the classic camelback sofa, Magento offers comfort and style in a low maintenance package.  For a sleek, simple and stylish piece, look no further than the Magento sofa - or sofabed!',
                                                           'dimension': '',
                                                           'enable_googlecheckout': None,
                                                           'finish': 'Microfiber',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'Couch',
                                                           'meta_keyword': 'Couch',
                                                           'meta_title': 'Couch',
                                                           'minimal_price': '599.9900',
                                                           'model': '1113',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Couch',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '599.9900',
                                                           'product_id': '53',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'room': '72',
                                                           'set': '42',
                                                           'short_description': 'For a sleek, simple and stylish piece, look no further than the Magento sofa - or sofabed!',
                                                           'sku': '1113',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:59:40',
                                                           'url_key': 'couch',
                                                           'url_path': 'couch.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '200.0000'},
        ('ol_catalog_product.info', (53, u'3', None, 'id')): {'categories': ['22'],
                                                           'color': '26',
                                                           'cost': '200.0000',
                                                           'country_of_manufacture': None,
                                                           'country_orgin': 'Italy',
                                                           'created_at': '2007-08-28 16:32:24',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Inspired by the classic camelback sofa, Magento offers comfort and style in a low maintenance package.  For a sleek, simple and stylish piece, look no further than the Magento sofa - or sofabed!',
                                                           'dimension': '',
                                                           'enable_googlecheckout': None,
                                                           'finish': 'Microfiber',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'is_recurring': None,
                                                           'manufacturer': None,
                                                           'meta_description': 'Couch',
                                                           'meta_keyword': 'Couch',
                                                           'meta_title': 'Couch',
                                                           'minimal_price': '599.9900',
                                                           'model': '1113',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Couch',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '599.9900',
                                                           'product_id': '53',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'room': '72',
                                                           'set': '42',
                                                           'short_description': 'For a sleek, simple and stylish piece, look no further than the Magento sofa - or sofabed!',
                                                           'sku': '1113',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 14:59:40',
                                                           'url_key': 'couch',
                                                           'url_path': 'couch.html',
                                                           'visibility': '4',
                                                           'websites': ['1'],
                                                           'weight': '200.0000'},
        ('ol_catalog_product.info', (54, None, None, 'id')): {'categories': ['22'],
                                                           'country_of_manufacture': None,
                                                           'country_orgin': 'Italy',
                                                           'created_at': '2007-08-28 16:38:54',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': "The perfect furniture set for the living room!  Love red?  You'll love these pieces of handmade modern furniture!",
                                                           'dimension': '',
                                                           'enable_googlecheckout': None,
                                                           'finish': 'Microfiber',
                                                           'gift_message_available': '',
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'meta_description': 'Magento Red Furniture Set',
                                                           'meta_keyword': 'Magento, Red, Furniture, Set, ottoman, couch, chair',
                                                           'meta_title': 'Magento Red Furniture Set',
                                                           'model': 'RFS',
                                                           'name': 'Magento Red Furniture Set',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'product_id': '54',
                                                           'required_options': '0',
                                                           'room': '72',
                                                           'set': '42',
                                                           'short_description': "Love red?  You'll love these pieces of handmade modern furniture!",
                                                           'sku': '1114',
                                                           'small_image_label': None,
                                                           'status': '1',
                                                           'thumbnail_label': None,
                                                           'type': 'grouped',
                                                           'type_id': 'grouped',
                                                           'updated_at': '2008-08-08 15:00:22',
                                                           'url_key': 'magento-red-furniture-set',
                                                           'url_path': 'magento-red-furniture-set.html',
                                                           'visibility': '4',
                                                           'websites': ['1']},
        ('ol_catalog_product.info', (74, None, None, 'id')): {'categories': ['17'],
                                                           'color': '59',
                                                           'cost': '10.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 15:09:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'Womens Premier Leather Single Layer Narrow Strap - ',
                                                           'is_recurring': None,
                                                           'manufacturer': '102',
                                                           'meta_description': 'Anashria Womens Premier Leather Sandal',
                                                           'meta_keyword': 'womens, sandal, leather, anashria, ',
                                                           'meta_title': 'Anashria Womens Premier Leather Sandal',
                                                           'minimal_price': '41.9500',
                                                           'model': 'B000KJ43SG',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Anashria Womens Premier Leather Sandal',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '41.9500',
                                                           'product_id': '74',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '46',
                                                           'shoe_type': '97',
                                                           'short_description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'sku': 'ana_3',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 13:19:48',
                                                           'url_key': 'anashria-womens-premier-leather-sandal-3',
                                                           'url_path': 'anashria-womens-premier-leather-sandal-3.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (74, u'2', None, 'id')): {'categories': ['17'],
                                                           'color': '59',
                                                           'cost': '10.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 15:09:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'Womens Premier Leather Single Layer Narrow Strap - ',
                                                           'is_recurring': None,
                                                           'manufacturer': '102',
                                                           'meta_description': 'Anashria Womens Premier Leather Sandal',
                                                           'meta_keyword': 'womens, sandal, leather, anashria, ',
                                                           'meta_title': 'Anashria Womens Premier Leather Sandal',
                                                           'minimal_price': '41.9500',
                                                           'model': 'B000KJ43SG',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Anashria Womens Premier Leather Sandal',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '41.9500',
                                                           'product_id': '74',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '46',
                                                           'shoe_type': '97',
                                                           'short_description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'sku': 'ana_3',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 13:19:48',
                                                           'url_key': 'anashria-womens-premier-leather-sandal-3',
                                                           'url_path': 'anashria-womens-premier-leather-sandal-3.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (74, u'3', None, 'id')): {'categories': ['17'],
                                                           'color': '59',
                                                           'cost': '10.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 15:09:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'Womens Premier Leather Single Layer Narrow Strap - ',
                                                           'is_recurring': None,
                                                           'manufacturer': '102',
                                                           'meta_description': 'Anashria Womens Premier Leather Sandal',
                                                           'meta_keyword': 'womens, sandal, leather, anashria, ',
                                                           'meta_title': 'Anashria Womens Premier Leather Sandal',
                                                           'minimal_price': '41.9500',
                                                           'model': 'B000KJ43SG',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Anashria Womens Premier Leather Sandal',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '41.9500',
                                                           'product_id': '74',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '46',
                                                           'shoe_type': '97',
                                                           'short_description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'sku': 'ana_3',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 13:19:48',
                                                           'url_key': 'anashria-womens-premier-leather-sandal-3',
                                                           'url_path': 'anashria-womens-premier-leather-sandal-3.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (75, None, None, 'id')): {'categories': ['17'],
                                                           'color': '59',
                                                           'cost': '10.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 15:09:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'Womens Premier Leather Single Layer Narrow Strap - ',
                                                           'is_recurring': None,
                                                           'manufacturer': '102',
                                                           'meta_description': 'Anashria Womens Premier Leather Sandal',
                                                           'meta_keyword': 'womens, sandal, leather, anashria, ',
                                                           'meta_title': 'Anashria Womens Premier Leather Sandal',
                                                           'minimal_price': '41.9500',
                                                           'model': 'B000KJ43SG',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Anashria Womens Premier Leather Sandal',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '41.9500',
                                                           'product_id': '75',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '45',
                                                           'shoe_type': '97',
                                                           'short_description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'sku': 'ana_4',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 01:07:18',
                                                           'url_key': 'anashria-womens-premier-leather-sandal-4',
                                                           'url_path': 'anashria-womens-premier-leather-sandal-4.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (75, u'2', None, 'id')): {'categories': ['17'],
                                                           'color': '59',
                                                           'cost': '10.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 15:09:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'Womens Premier Leather Single Layer Narrow Strap - ',
                                                           'is_recurring': None,
                                                           'manufacturer': '102',
                                                           'meta_description': 'Anashria Womens Premier Leather Sandal',
                                                           'meta_keyword': 'womens, sandal, leather, anashria, ',
                                                           'meta_title': 'Anashria Womens Premier Leather Sandal',
                                                           'minimal_price': '41.9500',
                                                           'model': 'B000KJ43SG',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Anashria Womens Premier Leather Sandal',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '41.9500',
                                                           'product_id': '75',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '45',
                                                           'shoe_type': '97',
                                                           'short_description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'sku': 'ana_4',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 01:07:18',
                                                           'url_key': 'anashria-womens-premier-leather-sandal-4',
                                                           'url_path': 'anashria-womens-premier-leather-sandal-4.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (75, u'3', None, 'id')): {'categories': ['17'],
                                                           'color': '59',
                                                           'cost': '10.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 15:09:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'Womens Premier Leather Single Layer Narrow Strap - ',
                                                           'is_recurring': None,
                                                           'manufacturer': '102',
                                                           'meta_description': 'Anashria Womens Premier Leather Sandal',
                                                           'meta_keyword': 'womens, sandal, leather, anashria, ',
                                                           'meta_title': 'Anashria Womens Premier Leather Sandal',
                                                           'minimal_price': '41.9500',
                                                           'model': 'B000KJ43SG',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Anashria Womens Premier Leather Sandal',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '41.9500',
                                                           'product_id': '75',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '45',
                                                           'shoe_type': '97',
                                                           'short_description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'sku': 'ana_4',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 01:07:18',
                                                           'url_key': 'anashria-womens-premier-leather-sandal-4',
                                                           'url_path': 'anashria-womens-premier-leather-sandal-4.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (79, None, None, 'id')): {'categories': ['17'],
                                                           'color': '59',
                                                           'cost': '10.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 15:09:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'Womens Premier Leather Single Layer Narrow Strap - ',
                                                           'is_recurring': None,
                                                           'manufacturer': '102',
                                                           'meta_description': 'Anashria Womens Premier Leather Sandal',
                                                           'meta_keyword': 'womens, sandal, leather, anashria, ',
                                                           'meta_title': 'Anashria Womens Premier Leather Sandal',
                                                           'minimal_price': '41.9500',
                                                           'model': 'B000KJ43SG',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Anashria Womens Premier Leather Sandal',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '41.9500',
                                                           'product_id': '79',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '44',
                                                           'shoe_type': '97',
                                                           'short_description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'sku': 'ana_5',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 01:07:11',
                                                           'url_key': 'anashria-womens-premier-leather-sandal-5',
                                                           'url_path': 'anashria-womens-premier-leather-sandal-5.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (79, u'2', None, 'id')): {'categories': ['17'],
                                                           'color': '59',
                                                           'cost': '10.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 15:09:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'Womens Premier Leather Single Layer Narrow Strap - ',
                                                           'is_recurring': None,
                                                           'manufacturer': '102',
                                                           'meta_description': 'Anashria Womens Premier Leather Sandal',
                                                           'meta_keyword': 'womens, sandal, leather, anashria, ',
                                                           'meta_title': 'Anashria Womens Premier Leather Sandal',
                                                           'minimal_price': '41.9500',
                                                           'model': 'B000KJ43SG',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Anashria Womens Premier Leather Sandal',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '41.9500',
                                                           'product_id': '79',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '44',
                                                           'shoe_type': '97',
                                                           'short_description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'sku': 'ana_5',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 01:07:11',
                                                           'url_key': 'anashria-womens-premier-leather-sandal-5',
                                                           'url_path': 'anashria-womens-premier-leather-sandal-5.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (79, u'3', None, 'id')): {'categories': ['17'],
                                                           'color': '59',
                                                           'cost': '10.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 15:09:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'Womens Premier Leather Single Layer Narrow Strap - ',
                                                           'is_recurring': None,
                                                           'manufacturer': '102',
                                                           'meta_description': 'Anashria Womens Premier Leather Sandal',
                                                           'meta_keyword': 'womens, sandal, leather, anashria, ',
                                                           'meta_title': 'Anashria Womens Premier Leather Sandal',
                                                           'minimal_price': '41.9500',
                                                           'model': 'B000KJ43SG',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Anashria Womens Premier Leather Sandal',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '41.9500',
                                                           'product_id': '79',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '44',
                                                           'shoe_type': '97',
                                                           'short_description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'sku': 'ana_5',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 01:07:11',
                                                           'url_key': 'anashria-womens-premier-leather-sandal-5',
                                                           'url_path': 'anashria-womens-premier-leather-sandal-5.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (80, None, None, 'id')): {'categories': ['17'],
                                                           'color': '59',
                                                           'cost': '10.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 15:09:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'Womens Premier Leather Single Layer Narrow Strap - ',
                                                           'is_recurring': None,
                                                           'manufacturer': '102',
                                                           'meta_description': 'Anashria Womens Premier Leather Sandal',
                                                           'meta_keyword': 'womens, sandal, leather, anashria, ',
                                                           'meta_title': 'Anashria Womens Premier Leather Sandal',
                                                           'minimal_price': '41.9500',
                                                           'model': 'B000KJ43SG',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Anashria Womens Premier Leather Sandal',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '41.9500',
                                                           'product_id': '80',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '43',
                                                           'shoe_type': '97',
                                                           'short_description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'sku': 'ana_6',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 01:07:25',
                                                           'url_key': 'anashria-womens-premier-leather-sandal-6',
                                                           'url_path': 'anashria-womens-premier-leather-sandal-6.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (80, u'2', None, 'id')): {'categories': ['17'],
                                                           'color': '59',
                                                           'cost': '10.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 15:09:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'Womens Premier Leather Single Layer Narrow Strap - ',
                                                           'is_recurring': None,
                                                           'manufacturer': '102',
                                                           'meta_description': 'Anashria Womens Premier Leather Sandal',
                                                           'meta_keyword': 'womens, sandal, leather, anashria, ',
                                                           'meta_title': 'Anashria Womens Premier Leather Sandal',
                                                           'minimal_price': '41.9500',
                                                           'model': 'B000KJ43SG',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Anashria Womens Premier Leather Sandal',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '41.9500',
                                                           'product_id': '80',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '43',
                                                           'shoe_type': '97',
                                                           'short_description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'sku': 'ana_6',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 01:07:25',
                                                           'url_key': 'anashria-womens-premier-leather-sandal-6',
                                                           'url_path': 'anashria-womens-premier-leather-sandal-6.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (80, u'3', None, 'id')): {'categories': ['17'],
                                                           'color': '59',
                                                           'cost': '10.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 15:09:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'Womens Premier Leather Single Layer Narrow Strap - ',
                                                           'is_recurring': None,
                                                           'manufacturer': '102',
                                                           'meta_description': 'Anashria Womens Premier Leather Sandal',
                                                           'meta_keyword': 'womens, sandal, leather, anashria, ',
                                                           'meta_title': 'Anashria Womens Premier Leather Sandal',
                                                           'minimal_price': '41.9500',
                                                           'model': 'B000KJ43SG',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Anashria Womens Premier Leather Sandal',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '41.9500',
                                                           'product_id': '80',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '43',
                                                           'shoe_type': '97',
                                                           'short_description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'sku': 'ana_6',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 01:07:25',
                                                           'url_key': 'anashria-womens-premier-leather-sandal-6',
                                                           'url_path': 'anashria-womens-premier-leather-sandal-6.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (81, None, None, 'id')): {'categories': ['17'],
                                                           'color': '59',
                                                           'cost': '10.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 15:09:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'Womens Premier Leather Single Layer Narrow Strap - ',
                                                           'is_recurring': None,
                                                           'manufacturer': '102',
                                                           'meta_description': 'Anashria Womens Premier Leather Sandal',
                                                           'meta_keyword': 'womens, sandal, leather, anashria, ',
                                                           'meta_title': 'Anashria Womens Premier Leather Sandal',
                                                           'minimal_price': '41.9500',
                                                           'model': 'B000KJ43SG',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Anashria Womens Premier Leather Sandal',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '41.9500',
                                                           'product_id': '81',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '42',
                                                           'shoe_type': '97',
                                                           'short_description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'sku': 'ana_7',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 01:07:32',
                                                           'url_key': 'anashria-womens-premier-leather-sandal-7',
                                                           'url_path': 'anashria-womens-premier-leather-sandal-7.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (81, u'2', None, 'id')): {'categories': ['17'],
                                                           'color': '59',
                                                           'cost': '10.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 15:09:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'Womens Premier Leather Single Layer Narrow Strap - ',
                                                           'is_recurring': None,
                                                           'manufacturer': '102',
                                                           'meta_description': 'Anashria Womens Premier Leather Sandal',
                                                           'meta_keyword': 'womens, sandal, leather, anashria, ',
                                                           'meta_title': 'Anashria Womens Premier Leather Sandal',
                                                           'minimal_price': '41.9500',
                                                           'model': 'B000KJ43SG',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Anashria Womens Premier Leather Sandal',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '41.9500',
                                                           'product_id': '81',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '42',
                                                           'shoe_type': '97',
                                                           'short_description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'sku': 'ana_7',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 01:07:32',
                                                           'url_key': 'anashria-womens-premier-leather-sandal-7',
                                                           'url_path': 'anashria-womens-premier-leather-sandal-7.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (81, u'3', None, 'id')): {'categories': ['17'],
                                                           'color': '59',
                                                           'cost': '10.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 15:09:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'Womens Premier Leather Single Layer Narrow Strap - ',
                                                           'is_recurring': None,
                                                           'manufacturer': '102',
                                                           'meta_description': 'Anashria Womens Premier Leather Sandal',
                                                           'meta_keyword': 'womens, sandal, leather, anashria, ',
                                                           'meta_title': 'Anashria Womens Premier Leather Sandal',
                                                           'minimal_price': '41.9500',
                                                           'model': 'B000KJ43SG',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Anashria Womens Premier Leather Sandal',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '41.9500',
                                                           'product_id': '81',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '42',
                                                           'shoe_type': '97',
                                                           'short_description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'sku': 'ana_7',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 01:07:32',
                                                           'url_key': 'anashria-womens-premier-leather-sandal-7',
                                                           'url_path': 'anashria-womens-premier-leather-sandal-7.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (82, None, None, 'id')): {'categories': ['17'],
                                                           'color': '59',
                                                           'cost': '10.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 15:09:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'Womens Premier Leather Single Layer Narrow Strap - ',
                                                           'is_recurring': None,
                                                           'manufacturer': '102',
                                                           'meta_description': 'Anashria Womens Premier Leather Sandal',
                                                           'meta_keyword': 'womens, sandal, leather, anashria, ',
                                                           'meta_title': 'Anashria Womens Premier Leather Sandal',
                                                           'minimal_price': '41.9500',
                                                           'model': 'B000KJ43SG',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Anashria Womens Premier Leather Sandal',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '41.9500',
                                                           'product_id': '82',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '41',
                                                           'shoe_type': '97',
                                                           'short_description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'sku': 'ana_8',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 01:07:44',
                                                           'url_key': 'anashria-womens-premier-leather-sandal-8',
                                                           'url_path': 'anashria-womens-premier-leather-sandal-8.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (82, u'2', None, 'id')): {'categories': ['17'],
                                                           'color': '59',
                                                           'cost': '10.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 15:09:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'Womens Premier Leather Single Layer Narrow Strap - ',
                                                           'is_recurring': None,
                                                           'manufacturer': '102',
                                                           'meta_description': 'Anashria Womens Premier Leather Sandal',
                                                           'meta_keyword': 'womens, sandal, leather, anashria, ',
                                                           'meta_title': 'Anashria Womens Premier Leather Sandal',
                                                           'minimal_price': '41.9500',
                                                           'model': 'B000KJ43SG',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Anashria Womens Premier Leather Sandal',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '41.9500',
                                                           'product_id': '82',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '41',
                                                           'shoe_type': '97',
                                                           'short_description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'sku': 'ana_8',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 01:07:44',
                                                           'url_key': 'anashria-womens-premier-leather-sandal-8',
                                                           'url_path': 'anashria-womens-premier-leather-sandal-8.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (82, u'3', None, 'id')): {'categories': ['17'],
                                                           'color': '59',
                                                           'cost': '10.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-28 15:09:50',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'Womens Premier Leather Single Layer Narrow Strap - ',
                                                           'is_recurring': None,
                                                           'manufacturer': '102',
                                                           'meta_description': 'Anashria Womens Premier Leather Sandal',
                                                           'meta_keyword': 'womens, sandal, leather, anashria, ',
                                                           'meta_title': 'Anashria Womens Premier Leather Sandal',
                                                           'minimal_price': '41.9500',
                                                           'model': 'B000KJ43SG',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'Anashria Womens Premier Leather Sandal',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '41.9500',
                                                           'product_id': '82',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '41',
                                                           'shoe_type': '97',
                                                           'short_description': 'Womens Premier Leather Single Layer Narrow Strap - NEW Colors Available - Womens Style - Genuine Top Grain Premier Leather - Rich Color Tones - Straps lined with 2000 lb test nylon - Guaranteed for the Life of the Sole - Non-slip sole - Note: Rainbow is in the process of unveiling a new toe post tag that is much smaller than the original tag.',
                                                           'sku': 'ana_8',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 01:07:44',
                                                           'url_key': 'anashria-womens-premier-leather-sandal-8',
                                                           'url_path': 'anashria-womens-premier-leather-sandal-8.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (83, None, None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-29 10:32:52',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '1',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class="disc">\r\n<li>Made of EVA foam<br></li>\r\n<li>Heel strap keeps shoe on foot<br></li>\r\n<li>Non-marking, slip-resistant outsole<br></li>\r\n<li> Weigh just 6-10 ounces<br></li>\r\n',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'cn, clogs, outdoor, shoes, sandals, comfortable',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '13.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container1',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '83',
                                                           'required_options': '1',
                                                           'set': '40',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'configurable',
                                                           'type_id': 'configurable',
                                                           'updated_at': '2008-08-08 15:00:07',
                                                           'url_key': 'cn-clogs-beach-garden-clog',
                                                           'url_path': 'cn-clogs-beach-garden-clog.html',
                                                           'visibility': '4',
                                                           'websites': ['1']},
        ('ol_catalog_product.info', (84, None, None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '84',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '45',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_4',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:53:37',
                                                           'url_key': 'cn-clogs-beach-garden-clog-4',
                                                           'url_path': 'cn-clogs-beach-garden-clog-4.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (84, u'2', None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '84',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '45',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_4',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:53:37',
                                                           'url_key': 'cn-clogs-beach-garden-clog-4',
                                                           'url_path': 'cn-clogs-beach-garden-clog-4.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (84, u'3', None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '84',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '45',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_4',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:53:37',
                                                           'url_key': 'cn-clogs-beach-garden-clog-4',
                                                           'url_path': 'cn-clogs-beach-garden-clog-4.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (85, None, None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '85',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '44',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_5',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:53:55',
                                                           'url_key': 'cn-clogs-beach-garden-clog-5',
                                                           'url_path': 'cn-clogs-beach-garden-clog-5.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (85, u'2', None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '85',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '44',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_5',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:53:55',
                                                           'url_key': 'cn-clogs-beach-garden-clog-5',
                                                           'url_path': 'cn-clogs-beach-garden-clog-5.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (85, u'3', None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '85',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '44',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_5',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:53:55',
                                                           'url_key': 'cn-clogs-beach-garden-clog-5',
                                                           'url_path': 'cn-clogs-beach-garden-clog-5.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (86, None, None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '86',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '43',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_6',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:53:50',
                                                           'url_key': 'cn-clogs-beach-garden-clog-6',
                                                           'url_path': 'cn-clogs-beach-garden-clog-6.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (86, u'2', None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '86',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '43',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_6',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:53:50',
                                                           'url_key': 'cn-clogs-beach-garden-clog-6',
                                                           'url_path': 'cn-clogs-beach-garden-clog-6.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (86, u'3', None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '86',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '43',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_6',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:53:50',
                                                           'url_key': 'cn-clogs-beach-garden-clog-6',
                                                           'url_path': 'cn-clogs-beach-garden-clog-6.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (87, None, None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '87',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '42',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_7',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:54:00',
                                                           'url_key': 'cn-clogs-beach-garden-clog-7',
                                                           'url_path': 'cn-clogs-beach-garden-clog-7.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (87, u'2', None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '87',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '42',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_7',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:54:00',
                                                           'url_key': 'cn-clogs-beach-garden-clog-7',
                                                           'url_path': 'cn-clogs-beach-garden-clog-7.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (87, u'3', None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '35',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '87',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '42',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_7',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:54:00',
                                                           'url_key': 'cn-clogs-beach-garden-clog-7',
                                                           'url_path': 'cn-clogs-beach-garden-clog-7.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (88, None, None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '88',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '41',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_m8',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:54:10',
                                                           'url_key': 'cn-clogs-beach-garden-clog-8',
                                                           'url_path': 'cn-clogs-beach-garden-clog-8.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (88, u'2', None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '88',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '41',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_m8',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:54:10',
                                                           'url_key': 'cn-clogs-beach-garden-clog-8',
                                                           'url_path': 'cn-clogs-beach-garden-clog-8.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (88, u'3', None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '88',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '41',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_m8',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:54:10',
                                                           'url_key': 'cn-clogs-beach-garden-clog-8',
                                                           'url_path': 'cn-clogs-beach-garden-clog-8.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (89, None, None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '89',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '40',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_m9',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:54:27',
                                                           'url_key': 'cn-clogs-beach-garden-clog-9',
                                                           'url_path': 'cn-clogs-beach-garden-clog-9.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (89, u'2', None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '89',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '40',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_m9',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:54:27',
                                                           'url_key': 'cn-clogs-beach-garden-clog-9',
                                                           'url_path': 'cn-clogs-beach-garden-clog-9.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (89, u'3', None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '89',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '40',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_m9',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:54:27',
                                                           'url_key': 'cn-clogs-beach-garden-clog-9',
                                                           'url_path': 'cn-clogs-beach-garden-clog-9.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (90, None, None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '90',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '39',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_m10',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:54:36',
                                                           'url_key': 'cn-clogs-beach-garden-clog-10',
                                                           'url_path': 'cn-clogs-beach-garden-clog-10.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (90, u'2', None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '90',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '39',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_m10',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:54:36',
                                                           'url_key': 'cn-clogs-beach-garden-clog-10',
                                                           'url_path': 'cn-clogs-beach-garden-clog-10.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (90, u'3', None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '90',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '39',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_m10',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:54:36',
                                                           'url_key': 'cn-clogs-beach-garden-clog-10',
                                                           'url_path': 'cn-clogs-beach-garden-clog-10.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (91, None, None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '91',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '38',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_m11',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:54:40',
                                                           'url_key': 'cn-clogs-beach-garden-clog-11',
                                                           'url_path': 'cn-clogs-beach-garden-clog-11.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (91, u'2', None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '91',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '38',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_m11',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:54:40',
                                                           'url_key': 'cn-clogs-beach-garden-clog-11',
                                                           'url_path': 'cn-clogs-beach-garden-clog-11.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (91, u'3', None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '91',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '38',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_m11',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:54:40',
                                                           'url_key': 'cn-clogs-beach-garden-clog-11',
                                                           'url_path': 'cn-clogs-beach-garden-clog-11.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (92, None, None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '92',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '37',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_m12',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:54:45',
                                                           'url_key': 'cn-clogs-beach-garden-clog-12',
                                                           'url_path': 'cn-clogs-beach-garden-clog-12.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (92, u'2', None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '92',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '37',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_m12',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:54:45',
                                                           'url_key': 'cn-clogs-beach-garden-clog-12',
                                                           'url_path': 'cn-clogs-beach-garden-clog-12.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (92, u'3', None, 'id')): {'categories': ['16',
                                                                          '17'],
                                                           'color': '25',
                                                           'cost': '1.0000',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 18:53:19',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear. Wear them either at the beach, in your garden, at the mall or just about anywhere you would want to be comfortable.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '    * Made of EVA foam\r\n    * Heel strap keeps shoe on foot\r\n    * Non-marking, slip-resistant outsole\r\n    * Weigh just 6-10 ounces\r\n\r\n',
                                                           'is_recurring': None,
                                                           'manufacturer': '63',
                                                           'meta_description': 'CN Clogs Beach/Garden Clog',
                                                           'meta_keyword': 'CN Clogs Beach/Garden Clog ',
                                                           'meta_title': 'CN Clogs Beach/Garden Clog',
                                                           'minimal_price': '15.9900',
                                                           'model': 'B000JI2N0I',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': 'CN Clogs Beach/Garden Clog',
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '15.9900',
                                                           'product_id': '92',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '37',
                                                           'shoe_type': '97',
                                                           'short_description': 'Comfortable and fun to wear these clogs are the latest trend in fashion footwear',
                                                           'sku': 'cn_m12',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:54:45',
                                                           'url_key': 'cn-clogs-beach-garden-clog-12',
                                                           'url_path': 'cn-clogs-beach-garden-clog-12.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '1.0000'},
        ('ol_catalog_product.info', (93, None, None, 'id')): {'categories': ['16'],
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-29 11:46:47',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': u'Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. Solyte midsole material is lighter than standard EVA and SpEVA\xae combined with improved cushioning and durability. Impact Guidance System (I.G.S.\xae) uses linked componentry to encourage optimal gait while allowing for natural foot movement from heel strike to toe off. DuoMax\xae support system helps ensure that the shoe maintains proper support for the foot during the critical transition from heel strike to toe off. Space Trusstic\xae System creates a pocket between the Trusstic\xae System device and the midsole, allowing for greater midsole deformation and more efficient foot function. GEL\xae Cushioning System provides maximum rearfoot and forefoot shock attenuation. Wt. 12.6 oz.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '1',
                                                           'image_label': None,
                                                           'in_depth': '<ul>\r\n<ul class="disc">\r\n<li> I.G.S.: Allows for natural foot movement from heel strike to toe-off<br></li>\r\n<li>DuoMax Support System: Maintains proper support for the foot during the critical transition from heel strike to toe-off<br></li>\r\n<li> Space Trusstic System: Allows for greater midsole deformation and more efficient foot function<br></li>\r\n<li>GEL Cushioning System: Provides maximum rearfoot/forefoot shock attenuation<br></li>\r\n<li>Biomorphic Fit Upper: Provides enhanced upper fit and comfort while limiting irritation</li>\r\n\r\n</ul>',
                                                           'meta_description': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'meta_keyword': 'asics, gel, kayano',
                                                           'meta_title': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'minimal_price': '134.9900',
                                                           'model': 'B000CP1M00',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container1',
                                                           'page_layout': None,
                                                           'price': '134.9900',
                                                           'product_id': '93',
                                                           'required_options': '1',
                                                           'set': '40',
                                                           'shoe_type': '53',
                                                           'short_description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. ',
                                                           'sku': 'asc',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'configurable',
                                                           'type_id': 'configurable',
                                                           'updated_at': '2008-08-08 15:00:35',
                                                           'url_key': 'asics-men-s-gel-kayano-xii',
                                                           'url_path': 'asics-men-s-gel-kayano-xii.html',
                                                           'visibility': '4',
                                                           'websites': ['1']},
        ('ol_catalog_product.info', (94, None, None, 'id')): {'categories': ['16'],
                                                           'color': '61',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:00:49',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. Solyte midsole material is lighter than standard EVA and SpEVA\xae combined with improved cushioning and durability. Impact Guidance System (I.G.S.\xae) uses linked componentry to encourage optimal gait while allowing for natural foot movement from heel strike to toe off. DuoMax\xae support system helps ensure that the shoe maintains proper support for the foot during the critical transition from heel strike to toe off. Space Trusstic\xae System creates a pocket between the Trusstic\xae System device and the midsole, allowing for greater midsole deformation and more efficient foot function. GEL\xae Cushioning System provides maximum rearfoot and forefoot shock attenuation. Wt. 12.6 oz.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '# I.G.S.?: Allows for natural foot movement from heel strike to toe-off\r\n# DuoMax? Support System: Maintains proper support for the foot during the critical transition from heel strike to toe-off\r\n# Space Trusstic System?: Allows for greater midsole deformation and more efficient foot function\r\n# GEL? Cushioning System: Provides maximum rearfoot/forefoot shock attenuation\r\n# Biomorphic Fit Upper: Provides enhanced upper fit and comfort while limiting irritation',
                                                           'is_recurring': None,
                                                           'manufacturer': '64',
                                                           'meta_description': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'meta_keyword': u"ASICS\xae Men's GEL-Kayano\xae XII ",
                                                           'meta_title': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'minimal_price': '134.9900',
                                                           'model': 'B000CP1M00',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '134.9900',
                                                           'product_id': '94',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '40',
                                                           'shoe_type': '49',
                                                           'short_description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. ',
                                                           'sku': 'asc_9',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-31 17:23:18',
                                                           'url_key': 'asics-men-s-gel-kayano-xii-9',
                                                           'url_path': 'asics-men-s-gel-kayano-xii-9.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '3.0000'},
        ('ol_catalog_product.info', (94, u'2', None, 'id')): {'categories': ['16'],
                                                           'color': '61',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:00:49',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. Solyte midsole material is lighter than standard EVA and SpEVA\xae combined with improved cushioning and durability. Impact Guidance System (I.G.S.\xae) uses linked componentry to encourage optimal gait while allowing for natural foot movement from heel strike to toe off. DuoMax\xae support system helps ensure that the shoe maintains proper support for the foot during the critical transition from heel strike to toe off. Space Trusstic\xae System creates a pocket between the Trusstic\xae System device and the midsole, allowing for greater midsole deformation and more efficient foot function. GEL\xae Cushioning System provides maximum rearfoot and forefoot shock attenuation. Wt. 12.6 oz.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '# I.G.S.?: Allows for natural foot movement from heel strike to toe-off\r\n# DuoMax? Support System: Maintains proper support for the foot during the critical transition from heel strike to toe-off\r\n# Space Trusstic System?: Allows for greater midsole deformation and more efficient foot function\r\n# GEL? Cushioning System: Provides maximum rearfoot/forefoot shock attenuation\r\n# Biomorphic Fit Upper: Provides enhanced upper fit and comfort while limiting irritation',
                                                           'is_recurring': None,
                                                           'manufacturer': '64',
                                                           'meta_description': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'meta_keyword': u"ASICS\xae Men's GEL-Kayano\xae XII ",
                                                           'meta_title': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'minimal_price': '134.9900',
                                                           'model': 'B000CP1M00',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '134.9900',
                                                           'product_id': '94',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '40',
                                                           'shoe_type': '49',
                                                           'short_description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. ',
                                                           'sku': 'asc_9',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-31 17:23:18',
                                                           'url_key': 'asics-men-s-gel-kayano-xii-9',
                                                           'url_path': 'asics-men-s-gel-kayano-xii-9.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '3.0000'},
        ('ol_catalog_product.info', (94, u'3', None, 'id')): {'categories': ['16'],
                                                           'color': '61',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:00:49',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. Solyte midsole material is lighter than standard EVA and SpEVA\xae combined with improved cushioning and durability. Impact Guidance System (I.G.S.\xae) uses linked componentry to encourage optimal gait while allowing for natural foot movement from heel strike to toe off. DuoMax\xae support system helps ensure that the shoe maintains proper support for the foot during the critical transition from heel strike to toe off. Space Trusstic\xae System creates a pocket between the Trusstic\xae System device and the midsole, allowing for greater midsole deformation and more efficient foot function. GEL\xae Cushioning System provides maximum rearfoot and forefoot shock attenuation. Wt. 12.6 oz.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '# I.G.S.?: Allows for natural foot movement from heel strike to toe-off\r\n# DuoMax? Support System: Maintains proper support for the foot during the critical transition from heel strike to toe-off\r\n# Space Trusstic System?: Allows for greater midsole deformation and more efficient foot function\r\n# GEL? Cushioning System: Provides maximum rearfoot/forefoot shock attenuation\r\n# Biomorphic Fit Upper: Provides enhanced upper fit and comfort while limiting irritation',
                                                           'is_recurring': None,
                                                           'manufacturer': '64',
                                                           'meta_description': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'meta_keyword': u"ASICS\xae Men's GEL-Kayano\xae XII ",
                                                           'meta_title': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'minimal_price': '134.9900',
                                                           'model': 'B000CP1M00',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '134.9900',
                                                           'product_id': '94',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '40',
                                                           'shoe_type': '49',
                                                           'short_description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. ',
                                                           'sku': 'asc_9',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-31 17:23:18',
                                                           'url_key': 'asics-men-s-gel-kayano-xii-9',
                                                           'url_path': 'asics-men-s-gel-kayano-xii-9.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '3.0000'},
        ('ol_catalog_product.info', (95, None, None, 'id')): {'categories': ['16'],
                                                           'color': '61',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:00:49',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. Solyte midsole material is lighter than standard EVA and SpEVA\xae combined with improved cushioning and durability. Impact Guidance System (I.G.S.\xae) uses linked componentry to encourage optimal gait while allowing for natural foot movement from heel strike to toe off. DuoMax\xae support system helps ensure that the shoe maintains proper support for the foot during the critical transition from heel strike to toe off. Space Trusstic\xae System creates a pocket between the Trusstic\xae System device and the midsole, allowing for greater midsole deformation and more efficient foot function. GEL\xae Cushioning System provides maximum rearfoot and forefoot shock attenuation. Wt. 12.6 oz.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '# I.G.S.?: Allows for natural foot movement from heel strike to toe-off\r\n# DuoMax? Support System: Maintains proper support for the foot during the critical transition from heel strike to toe-off\r\n# Space Trusstic System?: Allows for greater midsole deformation and more efficient foot function\r\n# GEL? Cushioning System: Provides maximum rearfoot/forefoot shock attenuation\r\n# Biomorphic Fit Upper: Provides enhanced upper fit and comfort while limiting irritation',
                                                           'is_recurring': None,
                                                           'manufacturer': '64',
                                                           'meta_description': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'meta_keyword': u"ASICS\xae Men's GEL-Kayano\xae XII ",
                                                           'meta_title': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'minimal_price': '134.9900',
                                                           'model': 'B000CP1M00',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '134.9900',
                                                           'product_id': '95',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '39',
                                                           'shoe_type': '49',
                                                           'short_description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. ',
                                                           'sku': 'asc_10',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-31 17:23:37',
                                                           'url_key': 'asics-men-s-gel-kayano-xii-10',
                                                           'url_path': 'asics-men-s-gel-kayano-xii-10.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '3.0000'},
        ('ol_catalog_product.info', (95, u'2', None, 'id')): {'categories': ['16'],
                                                           'color': '61',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:00:49',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. Solyte midsole material is lighter than standard EVA and SpEVA\xae combined with improved cushioning and durability. Impact Guidance System (I.G.S.\xae) uses linked componentry to encourage optimal gait while allowing for natural foot movement from heel strike to toe off. DuoMax\xae support system helps ensure that the shoe maintains proper support for the foot during the critical transition from heel strike to toe off. Space Trusstic\xae System creates a pocket between the Trusstic\xae System device and the midsole, allowing for greater midsole deformation and more efficient foot function. GEL\xae Cushioning System provides maximum rearfoot and forefoot shock attenuation. Wt. 12.6 oz.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '# I.G.S.?: Allows for natural foot movement from heel strike to toe-off\r\n# DuoMax? Support System: Maintains proper support for the foot during the critical transition from heel strike to toe-off\r\n# Space Trusstic System?: Allows for greater midsole deformation and more efficient foot function\r\n# GEL? Cushioning System: Provides maximum rearfoot/forefoot shock attenuation\r\n# Biomorphic Fit Upper: Provides enhanced upper fit and comfort while limiting irritation',
                                                           'is_recurring': None,
                                                           'manufacturer': '64',
                                                           'meta_description': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'meta_keyword': u"ASICS\xae Men's GEL-Kayano\xae XII ",
                                                           'meta_title': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'minimal_price': '134.9900',
                                                           'model': 'B000CP1M00',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '134.9900',
                                                           'product_id': '95',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '39',
                                                           'shoe_type': '49',
                                                           'short_description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. ',
                                                           'sku': 'asc_10',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-31 17:23:37',
                                                           'url_key': 'asics-men-s-gel-kayano-xii-10',
                                                           'url_path': 'asics-men-s-gel-kayano-xii-10.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '3.0000'},
        ('ol_catalog_product.info', (95, u'3', None, 'id')): {'categories': ['16'],
                                                           'color': '61',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:00:49',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. Solyte midsole material is lighter than standard EVA and SpEVA\xae combined with improved cushioning and durability. Impact Guidance System (I.G.S.\xae) uses linked componentry to encourage optimal gait while allowing for natural foot movement from heel strike to toe off. DuoMax\xae support system helps ensure that the shoe maintains proper support for the foot during the critical transition from heel strike to toe off. Space Trusstic\xae System creates a pocket between the Trusstic\xae System device and the midsole, allowing for greater midsole deformation and more efficient foot function. GEL\xae Cushioning System provides maximum rearfoot and forefoot shock attenuation. Wt. 12.6 oz.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '# I.G.S.?: Allows for natural foot movement from heel strike to toe-off\r\n# DuoMax? Support System: Maintains proper support for the foot during the critical transition from heel strike to toe-off\r\n# Space Trusstic System?: Allows for greater midsole deformation and more efficient foot function\r\n# GEL? Cushioning System: Provides maximum rearfoot/forefoot shock attenuation\r\n# Biomorphic Fit Upper: Provides enhanced upper fit and comfort while limiting irritation',
                                                           'is_recurring': None,
                                                           'manufacturer': '64',
                                                           'meta_description': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'meta_keyword': u"ASICS\xae Men's GEL-Kayano\xae XII ",
                                                           'meta_title': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'minimal_price': '134.9900',
                                                           'model': 'B000CP1M00',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '134.9900',
                                                           'product_id': '95',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '39',
                                                           'shoe_type': '49',
                                                           'short_description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. ',
                                                           'sku': 'asc_10',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-31 17:23:37',
                                                           'url_key': 'asics-men-s-gel-kayano-xii-10',
                                                           'url_path': 'asics-men-s-gel-kayano-xii-10.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '3.0000'},
        ('ol_catalog_product.info', (96, None, None, 'id')): {'categories': ['16'],
                                                           'color': '61',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:00:49',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. Solyte midsole material is lighter than standard EVA and SpEVA\xae combined with improved cushioning and durability. Impact Guidance System (I.G.S.\xae) uses linked componentry to encourage optimal gait while allowing for natural foot movement from heel strike to toe off. DuoMax\xae support system helps ensure that the shoe maintains proper support for the foot during the critical transition from heel strike to toe off. Space Trusstic\xae System creates a pocket between the Trusstic\xae System device and the midsole, allowing for greater midsole deformation and more efficient foot function. GEL\xae Cushioning System provides maximum rearfoot and forefoot shock attenuation. Wt. 12.6 oz.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '# I.G.S.?: Allows for natural foot movement from heel strike to toe-off\r\n# DuoMax? Support System: Maintains proper support for the foot during the critical transition from heel strike to toe-off\r\n# Space Trusstic System?: Allows for greater midsole deformation and more efficient foot function\r\n# GEL? Cushioning System: Provides maximum rearfoot/forefoot shock attenuation\r\n# Biomorphic Fit Upper: Provides enhanced upper fit and comfort while limiting irritation',
                                                           'is_recurring': None,
                                                           'manufacturer': '64',
                                                           'meta_description': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'meta_keyword': u"ASICS\xae Men's GEL-Kayano\xae XII ",
                                                           'meta_title': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'minimal_price': '134.9900',
                                                           'model': 'B000CP1M00',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '134.9900',
                                                           'product_id': '96',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '38',
                                                           'shoe_type': '49',
                                                           'short_description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. ',
                                                           'sku': 'asc_11',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-31 17:23:47',
                                                           'url_key': 'asics-men-s-gel-kayano-xii-11',
                                                           'url_path': 'asics-men-s-gel-kayano-xii-11.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '3.0000'},
        ('ol_catalog_product.info', (96, u'2', None, 'id')): {'categories': ['16'],
                                                           'color': '61',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:00:49',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. Solyte midsole material is lighter than standard EVA and SpEVA\xae combined with improved cushioning and durability. Impact Guidance System (I.G.S.\xae) uses linked componentry to encourage optimal gait while allowing for natural foot movement from heel strike to toe off. DuoMax\xae support system helps ensure that the shoe maintains proper support for the foot during the critical transition from heel strike to toe off. Space Trusstic\xae System creates a pocket between the Trusstic\xae System device and the midsole, allowing for greater midsole deformation and more efficient foot function. GEL\xae Cushioning System provides maximum rearfoot and forefoot shock attenuation. Wt. 12.6 oz.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '# I.G.S.?: Allows for natural foot movement from heel strike to toe-off\r\n# DuoMax? Support System: Maintains proper support for the foot during the critical transition from heel strike to toe-off\r\n# Space Trusstic System?: Allows for greater midsole deformation and more efficient foot function\r\n# GEL? Cushioning System: Provides maximum rearfoot/forefoot shock attenuation\r\n# Biomorphic Fit Upper: Provides enhanced upper fit and comfort while limiting irritation',
                                                           'is_recurring': None,
                                                           'manufacturer': '64',
                                                           'meta_description': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'meta_keyword': u"ASICS\xae Men's GEL-Kayano\xae XII ",
                                                           'meta_title': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'minimal_price': '134.9900',
                                                           'model': 'B000CP1M00',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '134.9900',
                                                           'product_id': '96',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '38',
                                                           'shoe_type': '49',
                                                           'short_description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. ',
                                                           'sku': 'asc_11',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-31 17:23:47',
                                                           'url_key': 'asics-men-s-gel-kayano-xii-11',
                                                           'url_path': 'asics-men-s-gel-kayano-xii-11.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '3.0000'},
        ('ol_catalog_product.info', (96, u'3', None, 'id')): {'categories': ['16'],
                                                           'color': '61',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:00:49',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. Solyte midsole material is lighter than standard EVA and SpEVA\xae combined with improved cushioning and durability. Impact Guidance System (I.G.S.\xae) uses linked componentry to encourage optimal gait while allowing for natural foot movement from heel strike to toe off. DuoMax\xae support system helps ensure that the shoe maintains proper support for the foot during the critical transition from heel strike to toe off. Space Trusstic\xae System creates a pocket between the Trusstic\xae System device and the midsole, allowing for greater midsole deformation and more efficient foot function. GEL\xae Cushioning System provides maximum rearfoot and forefoot shock attenuation. Wt. 12.6 oz.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '# I.G.S.?: Allows for natural foot movement from heel strike to toe-off\r\n# DuoMax? Support System: Maintains proper support for the foot during the critical transition from heel strike to toe-off\r\n# Space Trusstic System?: Allows for greater midsole deformation and more efficient foot function\r\n# GEL? Cushioning System: Provides maximum rearfoot/forefoot shock attenuation\r\n# Biomorphic Fit Upper: Provides enhanced upper fit and comfort while limiting irritation',
                                                           'is_recurring': None,
                                                           'manufacturer': '64',
                                                           'meta_description': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'meta_keyword': u"ASICS\xae Men's GEL-Kayano\xae XII ",
                                                           'meta_title': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'minimal_price': '134.9900',
                                                           'model': 'B000CP1M00',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '134.9900',
                                                           'product_id': '96',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '38',
                                                           'shoe_type': '49',
                                                           'short_description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. ',
                                                           'sku': 'asc_11',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-31 17:23:47',
                                                           'url_key': 'asics-men-s-gel-kayano-xii-11',
                                                           'url_path': 'asics-men-s-gel-kayano-xii-11.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '3.0000'},
        ('ol_catalog_product.info', (97, None, None, 'id')): {'categories': ['16'],
                                                           'color': '61',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:00:49',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. Solyte midsole material is lighter than standard EVA and SpEVA\xae combined with improved cushioning and durability. Impact Guidance System (I.G.S.\xae) uses linked componentry to encourage optimal gait while allowing for natural foot movement from heel strike to toe off. DuoMax\xae support system helps ensure that the shoe maintains proper support for the foot during the critical transition from heel strike to toe off. Space Trusstic\xae System creates a pocket between the Trusstic\xae System device and the midsole, allowing for greater midsole deformation and more efficient foot function. GEL\xae Cushioning System provides maximum rearfoot and forefoot shock attenuation. Wt. 12.6 oz.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '# I.G.S.?: Allows for natural foot movement from heel strike to toe-off\r\n# DuoMax? Support System: Maintains proper support for the foot during the critical transition from heel strike to toe-off\r\n# Space Trusstic System?: Allows for greater midsole deformation and more efficient foot function\r\n# GEL? Cushioning System: Provides maximum rearfoot/forefoot shock attenuation\r\n# Biomorphic Fit Upper: Provides enhanced upper fit and comfort while limiting irritation',
                                                           'is_recurring': None,
                                                           'manufacturer': '64',
                                                           'meta_description': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'meta_keyword': u"ASICS\xae Men's GEL-Kayano\xae XII ",
                                                           'meta_title': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'minimal_price': '134.9900',
                                                           'model': 'B000CP1M00',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '134.9900',
                                                           'product_id': '97',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '37',
                                                           'shoe_type': '49',
                                                           'short_description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. ',
                                                           'sku': 'asc_12',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-31 17:23:58',
                                                           'url_key': 'asics-men-s-gel-kayano-xii-12',
                                                           'url_path': 'asics-men-s-gel-kayano-xii-12.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '3.0000'},
        ('ol_catalog_product.info', (97, u'2', None, 'id')): {'categories': ['16'],
                                                           'color': '61',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:00:49',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. Solyte midsole material is lighter than standard EVA and SpEVA\xae combined with improved cushioning and durability. Impact Guidance System (I.G.S.\xae) uses linked componentry to encourage optimal gait while allowing for natural foot movement from heel strike to toe off. DuoMax\xae support system helps ensure that the shoe maintains proper support for the foot during the critical transition from heel strike to toe off. Space Trusstic\xae System creates a pocket between the Trusstic\xae System device and the midsole, allowing for greater midsole deformation and more efficient foot function. GEL\xae Cushioning System provides maximum rearfoot and forefoot shock attenuation. Wt. 12.6 oz.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '# I.G.S.?: Allows for natural foot movement from heel strike to toe-off\r\n# DuoMax? Support System: Maintains proper support for the foot during the critical transition from heel strike to toe-off\r\n# Space Trusstic System?: Allows for greater midsole deformation and more efficient foot function\r\n# GEL? Cushioning System: Provides maximum rearfoot/forefoot shock attenuation\r\n# Biomorphic Fit Upper: Provides enhanced upper fit and comfort while limiting irritation',
                                                           'is_recurring': None,
                                                           'manufacturer': '64',
                                                           'meta_description': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'meta_keyword': u"ASICS\xae Men's GEL-Kayano\xae XII ",
                                                           'meta_title': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'minimal_price': '134.9900',
                                                           'model': 'B000CP1M00',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '134.9900',
                                                           'product_id': '97',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '37',
                                                           'shoe_type': '49',
                                                           'short_description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. ',
                                                           'sku': 'asc_12',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-31 17:23:58',
                                                           'url_key': 'asics-men-s-gel-kayano-xii-12',
                                                           'url_path': 'asics-men-s-gel-kayano-xii-12.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '3.0000'},
        ('ol_catalog_product.info', (97, u'3', None, 'id')): {'categories': ['16'],
                                                           'color': '61',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:00:49',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. Solyte midsole material is lighter than standard EVA and SpEVA\xae combined with improved cushioning and durability. Impact Guidance System (I.G.S.\xae) uses linked componentry to encourage optimal gait while allowing for natural foot movement from heel strike to toe off. DuoMax\xae support system helps ensure that the shoe maintains proper support for the foot during the critical transition from heel strike to toe off. Space Trusstic\xae System creates a pocket between the Trusstic\xae System device and the midsole, allowing for greater midsole deformation and more efficient foot function. GEL\xae Cushioning System provides maximum rearfoot and forefoot shock attenuation. Wt. 12.6 oz.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': '# I.G.S.?: Allows for natural foot movement from heel strike to toe-off\r\n# DuoMax? Support System: Maintains proper support for the foot during the critical transition from heel strike to toe-off\r\n# Space Trusstic System?: Allows for greater midsole deformation and more efficient foot function\r\n# GEL? Cushioning System: Provides maximum rearfoot/forefoot shock attenuation\r\n# Biomorphic Fit Upper: Provides enhanced upper fit and comfort while limiting irritation',
                                                           'is_recurring': None,
                                                           'manufacturer': '64',
                                                           'meta_description': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'meta_keyword': u"ASICS\xae Men's GEL-Kayano\xae XII ",
                                                           'meta_title': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'minimal_price': '134.9900',
                                                           'model': 'B000CP1M00',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '134.9900',
                                                           'product_id': '97',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '37',
                                                           'shoe_type': '49',
                                                           'short_description': u'The ASICS\xae GEL-Kayano\xae XII running shoe delivers the ultimate blend of cushioning and support. Biomorphic Fit\u2122 upper offers enhanced upper fit and comfort while decreasing the potential for irritation. ',
                                                           'sku': 'asc_12',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-07-31 17:23:58',
                                                           'url_key': 'asics-men-s-gel-kayano-xii-12',
                                                           'url_path': 'asics-men-s-gel-kayano-xii-12.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '3.0000'},
        ('ol_catalog_product.info', (98, None, None, 'id')): {'categories': ['16'],
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-29 12:09:17',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue with side elastic panels for a comfortable, secure fit. Smooth leather lining, cushioned leather topped insole. Dress midsole with a beveled edge, 1 inch capped dress heel. Flat traction outsole.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '1',
                                                           'image_label': None,
                                                           'in_depth': 'The handsome style of the Con-Verge slip-on from Kenneth Cole New York is larger than life. This sharp shoe has a semi-polished smooth leather upper, a squared off stitched apron toe, and dual-goring for easy on/off accessibility. It also features soft leather linings, a cushioned insole, and a paneled rubber outsole for a sturdy step. The Con-Verge is a perfect companion to your business and special occasion wardrobes.',
                                                           'meta_description': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'meta_keyword': "Kenneth Cole, New York, Men's, Con-verge, Slip-on",
                                                           'meta_title': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'minimal_price': '160.9900',
                                                           'model': 'B000IKC6AY',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container1',
                                                           'page_layout': None,
                                                           'price': '160.9900',
                                                           'product_id': '98',
                                                           'required_options': '1',
                                                           'set': '40',
                                                           'shoe_type': '52',
                                                           'short_description': 'Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe.',
                                                           'sku': 'ken',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'configurable',
                                                           'type_id': 'configurable',
                                                           'updated_at': '2008-08-08 14:29:46',
                                                           'url_key': 'kenneth-cole-new-york-men-s-con-verge-slip-on',
                                                           'url_path': 'kenneth-cole-new-york-men-s-con-verge-slip-on.html',
                                                           'visibility': '4',
                                                           'websites': ['1']},
        ('ol_catalog_product.info', (99, None, None, 'id')): {'categories': ['16'],
                                                           'color': '24',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:27:04',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue with side elastic panels for a comfortable, secure fit. Smooth leather lining, cushioned leather topped insole. Dress midsole with a beveled edge, 1 inch capped dress heel. Flat traction outsole.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'The handsome style of the Con-Verge slip-on from Kenneth Cole New York is larger than life. This sharp shoe has a semi-polished smooth leather upper, a squared off stitched apron toe, and dual-goring for easy on/off accessibility. It also features soft leather linings, a cushioned insole, and a paneled rubber outsole for a sturdy step. The Con-Verge is a perfect companion to your business and special occasion wardrobes.',
                                                           'is_recurring': None,
                                                           'manufacturer': '103',
                                                           'meta_description': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'meta_keyword': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'meta_title': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'minimal_price': '160.9900',
                                                           'model': 'B000IKC6AY',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '160.9900',
                                                           'product_id': '99',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '40',
                                                           'shoe_type': '52',
                                                           'short_description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue',
                                                           'sku': 'ken_9',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:57:45',
                                                           'url_key': 'kenneth-cole-new-york-men-s-con-verge-slip-on-9',
                                                           'url_path': 'kenneth-cole-new-york-men-s-con-verge-slip-on-9.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (99, u'2', None, 'id')): {'categories': ['16'],
                                                           'color': '24',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:27:04',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue with side elastic panels for a comfortable, secure fit. Smooth leather lining, cushioned leather topped insole. Dress midsole with a beveled edge, 1 inch capped dress heel. Flat traction outsole.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'The handsome style of the Con-Verge slip-on from Kenneth Cole New York is larger than life. This sharp shoe has a semi-polished smooth leather upper, a squared off stitched apron toe, and dual-goring for easy on/off accessibility. It also features soft leather linings, a cushioned insole, and a paneled rubber outsole for a sturdy step. The Con-Verge is a perfect companion to your business and special occasion wardrobes.',
                                                           'is_recurring': None,
                                                           'manufacturer': '103',
                                                           'meta_description': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'meta_keyword': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'meta_title': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'minimal_price': '160.9900',
                                                           'model': 'B000IKC6AY',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '160.9900',
                                                           'product_id': '99',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '40',
                                                           'shoe_type': '52',
                                                           'short_description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue',
                                                           'sku': 'ken_9',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:57:45',
                                                           'url_key': 'kenneth-cole-new-york-men-s-con-verge-slip-on-9',
                                                           'url_path': 'kenneth-cole-new-york-men-s-con-verge-slip-on-9.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (99, u'3', None, 'id')): {'categories': ['16'],
                                                           'color': '24',
                                                           'cost': '29.9900',
                                                           'country_of_manufacture': None,
                                                           'created_at': '2007-08-24 19:27:04',
                                                           'custom_design': '',
                                                           'custom_design_from': None,
                                                           'custom_design_to': None,
                                                           'custom_layout_update': '',
                                                           'description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue with side elastic panels for a comfortable, secure fit. Smooth leather lining, cushioned leather topped insole. Dress midsole with a beveled edge, 1 inch capped dress heel. Flat traction outsole.',
                                                           'enable_googlecheckout': None,
                                                           'gender': '36',
                                                           'gift_message_available': '',
                                                           'group_price': [],
                                                           'has_options': '0',
                                                           'image_label': None,
                                                           'in_depth': 'The handsome style of the Con-Verge slip-on from Kenneth Cole New York is larger than life. This sharp shoe has a semi-polished smooth leather upper, a squared off stitched apron toe, and dual-goring for easy on/off accessibility. It also features soft leather linings, a cushioned insole, and a paneled rubber outsole for a sturdy step. The Con-Verge is a perfect companion to your business and special occasion wardrobes.',
                                                           'is_recurring': None,
                                                           'manufacturer': '103',
                                                           'meta_description': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'meta_keyword': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'meta_title': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'minimal_price': '160.9900',
                                                           'model': 'B000IKC6AY',
                                                           'msrp': None,
                                                           'msrp_display_actual_price_type': None,
                                                           'msrp_enabled': None,
                                                           'name': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                           'news_from_date': None,
                                                           'news_to_date': None,
                                                           'old_id': None,
                                                           'options_container': 'container2',
                                                           'page_layout': None,
                                                           'price': '160.9900',
                                                           'product_id': '99',
                                                           'recurring_profile': None,
                                                           'required_options': '0',
                                                           'set': '40',
                                                           'shoe_size': '40',
                                                           'shoe_type': '52',
                                                           'short_description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue',
                                                           'sku': 'ken_9',
                                                           'small_image_label': None,
                                                           'special_from_date': None,
                                                           'special_price': None,
                                                           'special_to_date': None,
                                                           'status': '1',
                                                           'tax_class_id': '2',
                                                           'thumbnail_label': None,
                                                           'tier_price': [],
                                                           'type': 'simple',
                                                           'type_id': 'simple',
                                                           'updated_at': '2008-08-08 00:57:45',
                                                           'url_key': 'kenneth-cole-new-york-men-s-con-verge-slip-on-9',
                                                           'url_path': 'kenneth-cole-new-york-men-s-con-verge-slip-on-9.html',
                                                           'visibility': '1',
                                                           'websites': ['1'],
                                                           'weight': '2.0000'},
        ('ol_catalog_product.info', (100, None, None, 'id')): {'categories': ['16'],
                                                            'color': '24',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:27:04',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue with side elastic panels for a comfortable, secure fit. Smooth leather lining, cushioned leather topped insole. Dress midsole with a beveled edge, 1 inch capped dress heel. Flat traction outsole.',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'The handsome style of the Con-Verge slip-on from Kenneth Cole New York is larger than life. This sharp shoe has a semi-polished smooth leather upper, a squared off stitched apron toe, and dual-goring for easy on/off accessibility. It also features soft leather linings, a cushioned insole, and a paneled rubber outsole for a sturdy step. The Con-Verge is a perfect companion to your business and special occasion wardrobes.',
                                                            'is_recurring': None,
                                                            'manufacturer': '103',
                                                            'meta_description': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'meta_keyword': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'meta_title': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'minimal_price': '160.9900',
                                                            'model': 'B000IKC6AY',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '160.9900',
                                                            'product_id': '100',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '39',
                                                            'shoe_type': '52',
                                                            'short_description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue',
                                                            'sku': 'ken_10',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:56:05',
                                                            'url_key': 'kenneth-cole-new-york-men-s-con-verge-slip-on-10',
                                                            'url_path': 'kenneth-cole-new-york-men-s-con-verge-slip-on-10.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (100, u'2', None, 'id')): {'categories': ['16'],
                                                            'color': '24',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:27:04',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue with side elastic panels for a comfortable, secure fit. Smooth leather lining, cushioned leather topped insole. Dress midsole with a beveled edge, 1 inch capped dress heel. Flat traction outsole.',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'The handsome style of the Con-Verge slip-on from Kenneth Cole New York is larger than life. This sharp shoe has a semi-polished smooth leather upper, a squared off stitched apron toe, and dual-goring for easy on/off accessibility. It also features soft leather linings, a cushioned insole, and a paneled rubber outsole for a sturdy step. The Con-Verge is a perfect companion to your business and special occasion wardrobes.',
                                                            'is_recurring': None,
                                                            'manufacturer': '103',
                                                            'meta_description': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'meta_keyword': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'meta_title': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'minimal_price': '160.9900',
                                                            'model': 'B000IKC6AY',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '160.9900',
                                                            'product_id': '100',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '39',
                                                            'shoe_type': '52',
                                                            'short_description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue',
                                                            'sku': 'ken_10',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:56:05',
                                                            'url_key': 'kenneth-cole-new-york-men-s-con-verge-slip-on-10',
                                                            'url_path': 'kenneth-cole-new-york-men-s-con-verge-slip-on-10.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (100, u'3', None, 'id')): {'categories': ['16'],
                                                            'color': '24',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:27:04',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue with side elastic panels for a comfortable, secure fit. Smooth leather lining, cushioned leather topped insole. Dress midsole with a beveled edge, 1 inch capped dress heel. Flat traction outsole.',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'The handsome style of the Con-Verge slip-on from Kenneth Cole New York is larger than life. This sharp shoe has a semi-polished smooth leather upper, a squared off stitched apron toe, and dual-goring for easy on/off accessibility. It also features soft leather linings, a cushioned insole, and a paneled rubber outsole for a sturdy step. The Con-Verge is a perfect companion to your business and special occasion wardrobes.',
                                                            'is_recurring': None,
                                                            'manufacturer': '103',
                                                            'meta_description': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'meta_keyword': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'meta_title': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'minimal_price': '160.9900',
                                                            'model': 'B000IKC6AY',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '160.9900',
                                                            'product_id': '100',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '39',
                                                            'shoe_type': '52',
                                                            'short_description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue',
                                                            'sku': 'ken_10',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:56:05',
                                                            'url_key': 'kenneth-cole-new-york-men-s-con-verge-slip-on-10',
                                                            'url_path': 'kenneth-cole-new-york-men-s-con-verge-slip-on-10.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (101, None, None, 'id')): {'categories': ['16'],
                                                            'color': '24',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:27:04',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue with side elastic panels for a comfortable, secure fit. Smooth leather lining, cushioned leather topped insole. Dress midsole with a beveled edge, 1 inch capped dress heel. Flat traction outsole.',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'The handsome style of the Con-Verge slip-on from Kenneth Cole New York is larger than life. This sharp shoe has a semi-polished smooth leather upper, a squared off stitched apron toe, and dual-goring for easy on/off accessibility. It also features soft leather linings, a cushioned insole, and a paneled rubber outsole for a sturdy step. The Con-Verge is a perfect companion to your business and special occasion wardrobes.',
                                                            'is_recurring': None,
                                                            'manufacturer': '103',
                                                            'meta_description': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'meta_keyword': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'meta_title': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'minimal_price': '160.9900',
                                                            'model': 'B000IKC6AY',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '160.9900',
                                                            'product_id': '101',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '38',
                                                            'shoe_type': '52',
                                                            'short_description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue',
                                                            'sku': 'ken_11',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:57:03',
                                                            'url_key': 'kenneth-cole-new-york-men-s-con-verge-slip-on-11',
                                                            'url_path': 'kenneth-cole-new-york-men-s-con-verge-slip-on-11.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (101, u'2', None, 'id')): {'categories': ['16'],
                                                            'color': '24',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:27:04',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue with side elastic panels for a comfortable, secure fit. Smooth leather lining, cushioned leather topped insole. Dress midsole with a beveled edge, 1 inch capped dress heel. Flat traction outsole.',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'The handsome style of the Con-Verge slip-on from Kenneth Cole New York is larger than life. This sharp shoe has a semi-polished smooth leather upper, a squared off stitched apron toe, and dual-goring for easy on/off accessibility. It also features soft leather linings, a cushioned insole, and a paneled rubber outsole for a sturdy step. The Con-Verge is a perfect companion to your business and special occasion wardrobes.',
                                                            'is_recurring': None,
                                                            'manufacturer': '103',
                                                            'meta_description': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'meta_keyword': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'meta_title': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'minimal_price': '160.9900',
                                                            'model': 'B000IKC6AY',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '160.9900',
                                                            'product_id': '101',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '38',
                                                            'shoe_type': '52',
                                                            'short_description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue',
                                                            'sku': 'ken_11',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:57:03',
                                                            'url_key': 'kenneth-cole-new-york-men-s-con-verge-slip-on-11',
                                                            'url_path': 'kenneth-cole-new-york-men-s-con-verge-slip-on-11.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (101, u'3', None, 'id')): {'categories': ['16'],
                                                            'color': '24',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:27:04',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue with side elastic panels for a comfortable, secure fit. Smooth leather lining, cushioned leather topped insole. Dress midsole with a beveled edge, 1 inch capped dress heel. Flat traction outsole.',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'The handsome style of the Con-Verge slip-on from Kenneth Cole New York is larger than life. This sharp shoe has a semi-polished smooth leather upper, a squared off stitched apron toe, and dual-goring for easy on/off accessibility. It also features soft leather linings, a cushioned insole, and a paneled rubber outsole for a sturdy step. The Con-Verge is a perfect companion to your business and special occasion wardrobes.',
                                                            'is_recurring': None,
                                                            'manufacturer': '103',
                                                            'meta_description': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'meta_keyword': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'meta_title': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'minimal_price': '160.9900',
                                                            'model': 'B000IKC6AY',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '160.9900',
                                                            'product_id': '101',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '38',
                                                            'shoe_type': '52',
                                                            'short_description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue',
                                                            'sku': 'ken_11',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:57:03',
                                                            'url_key': 'kenneth-cole-new-york-men-s-con-verge-slip-on-11',
                                                            'url_path': 'kenneth-cole-new-york-men-s-con-verge-slip-on-11.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (102, None, None, 'id')): {'categories': ['16'],
                                                            'color': '24',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:27:04',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue with side elastic panels for a comfortable, secure fit. Smooth leather lining, cushioned leather topped insole. Dress midsole with a beveled edge, 1 inch capped dress heel. Flat traction outsole.',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'The handsome style of the Con-Verge slip-on from Kenneth Cole New York is larger than life. This sharp shoe has a semi-polished smooth leather upper, a squared off stitched apron toe, and dual-goring for easy on/off accessibility. It also features soft leather linings, a cushioned insole, and a paneled rubber outsole for a sturdy step. The Con-Verge is a perfect companion to your business and special occasion wardrobes.',
                                                            'is_recurring': None,
                                                            'manufacturer': '103',
                                                            'meta_description': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'meta_keyword': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'meta_title': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'minimal_price': '160.9900',
                                                            'model': 'B000IKC6AY',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '160.9900',
                                                            'product_id': '102',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '37',
                                                            'shoe_type': '52',
                                                            'short_description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue',
                                                            'sku': 'ken_12',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:57:40',
                                                            'url_key': 'kenneth-cole-new-york-men-s-con-verge-slip-on-12',
                                                            'url_path': 'kenneth-cole-new-york-men-s-con-verge-slip-on-12.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (102, u'2', None, 'id')): {'categories': ['16'],
                                                            'color': '24',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:27:04',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue with side elastic panels for a comfortable, secure fit. Smooth leather lining, cushioned leather topped insole. Dress midsole with a beveled edge, 1 inch capped dress heel. Flat traction outsole.',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'The handsome style of the Con-Verge slip-on from Kenneth Cole New York is larger than life. This sharp shoe has a semi-polished smooth leather upper, a squared off stitched apron toe, and dual-goring for easy on/off accessibility. It also features soft leather linings, a cushioned insole, and a paneled rubber outsole for a sturdy step. The Con-Verge is a perfect companion to your business and special occasion wardrobes.',
                                                            'is_recurring': None,
                                                            'manufacturer': '103',
                                                            'meta_description': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'meta_keyword': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'meta_title': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'minimal_price': '160.9900',
                                                            'model': 'B000IKC6AY',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '160.9900',
                                                            'product_id': '102',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '37',
                                                            'shoe_type': '52',
                                                            'short_description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue',
                                                            'sku': 'ken_12',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:57:40',
                                                            'url_key': 'kenneth-cole-new-york-men-s-con-verge-slip-on-12',
                                                            'url_path': 'kenneth-cole-new-york-men-s-con-verge-slip-on-12.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (102, u'3', None, 'id')): {'categories': ['16'],
                                                            'color': '24',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:27:04',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue with side elastic panels for a comfortable, secure fit. Smooth leather lining, cushioned leather topped insole. Dress midsole with a beveled edge, 1 inch capped dress heel. Flat traction outsole.',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'The handsome style of the Con-Verge slip-on from Kenneth Cole New York is larger than life. This sharp shoe has a semi-polished smooth leather upper, a squared off stitched apron toe, and dual-goring for easy on/off accessibility. It also features soft leather linings, a cushioned insole, and a paneled rubber outsole for a sturdy step. The Con-Verge is a perfect companion to your business and special occasion wardrobes.',
                                                            'is_recurring': None,
                                                            'manufacturer': '103',
                                                            'meta_description': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'meta_keyword': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'meta_title': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'minimal_price': '160.9900',
                                                            'model': 'B000IKC6AY',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '160.9900',
                                                            'product_id': '102',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '37',
                                                            'shoe_type': '52',
                                                            'short_description': 'High fashion and classic good looks converge in this suave slip on from Kenneth Cole. Smooth leather upper in a dress slip on style, with a stitched and covered seam moc-inspired square toe, quarter panel curved overlays and flared tongue',
                                                            'sku': 'ken_12',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:57:40',
                                                            'url_key': 'kenneth-cole-new-york-men-s-con-verge-slip-on-12',
                                                            'url_path': 'kenneth-cole-new-york-men-s-con-verge-slip-on-12.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (103, None, None, 'id')): {'categories': ['17'],
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-29 12:29:46',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe. It also features smooth linings, a fully cushioned insole, a sexy covered stiletto heel, and a lightly textured dress leather outsole. Any way you wear the Pryme, you're certain to catch a lot of attention.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '1',
                                                            'image_label': None,
                                                            'in_depth': 'A prime example of chic style. Patent leather upper. Round toe. 3-1/2 inch covered heel. Flex leather sole. Imported. ',
                                                            'meta_description': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_keyword': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_title': 'Steven by Steve Madden Pryme Pump',
                                                            'minimal_price': '69.9900',
                                                            'model': 'B000NOGIKY',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Steven by Steve Madden Pryme Pump',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container1',
                                                            'page_layout': None,
                                                            'price': '69.9900',
                                                            'product_id': '103',
                                                            'required_options': '1',
                                                            'set': '40',
                                                            'shoe_type': '52',
                                                            'short_description': ' This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe',
                                                            'sku': 'steve',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'configurable',
                                                            'type_id': 'configurable',
                                                            'updated_at': '2008-08-08 15:02:24',
                                                            'url_key': 'steven-by-steve-madden-pryme-pump',
                                                            'url_path': 'steven-by-steve-madden-pryme-pump.html',
                                                            'visibility': '4',
                                                            'websites': ['1']},
        ('ol_catalog_product.info', (104, None, None, 'id')): {'categories': ['17'],
                                                            'color': '26',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:05:50',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe. It also features smooth linings, a fully cushioned insole, a sexy covered stiletto heel, and a lightly textured dress leather outsole. Any way you wear the Pryme, you're certain to catch a lot of attention.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'A prime example of chic style. Patent leather upper. Round toe. 3-1/2 inch covered heel. Flex leather sole. Imported. ',
                                                            'is_recurring': None,
                                                            'manufacturer': '62',
                                                            'meta_description': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_keyword': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_title': 'Steven by Steve Madden Pryme Pump',
                                                            'minimal_price': '69.9900',
                                                            'model': 'B000NOGIKY',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Steven by Steve Madden Pryme Pump',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '69.9900',
                                                            'product_id': '104',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '44',
                                                            'shoe_type': '51',
                                                            'short_description': 'Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe',
                                                            'sku': 'steve_5',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 01:02:34',
                                                            'url_key': 'steven-by-steve-madden-pryme-pump-5',
                                                            'url_path': 'steven-by-steve-madden-pryme-pump-5.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (104, u'2', None, 'id')): {'categories': ['17'],
                                                            'color': '26',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:05:50',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe. It also features smooth linings, a fully cushioned insole, a sexy covered stiletto heel, and a lightly textured dress leather outsole. Any way you wear the Pryme, you're certain to catch a lot of attention.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'A prime example of chic style. Patent leather upper. Round toe. 3-1/2 inch covered heel. Flex leather sole. Imported. ',
                                                            'is_recurring': None,
                                                            'manufacturer': '62',
                                                            'meta_description': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_keyword': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_title': 'Steven by Steve Madden Pryme Pump',
                                                            'minimal_price': '69.9900',
                                                            'model': 'B000NOGIKY',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Steven by Steve Madden Pryme Pump',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '69.9900',
                                                            'product_id': '104',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '44',
                                                            'shoe_type': '51',
                                                            'short_description': 'Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe',
                                                            'sku': 'steve_5',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 01:02:34',
                                                            'url_key': 'steven-by-steve-madden-pryme-pump-5',
                                                            'url_path': 'steven-by-steve-madden-pryme-pump-5.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (104, u'3', None, 'id')): {'categories': ['17'],
                                                            'color': '26',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:05:50',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe. It also features smooth linings, a fully cushioned insole, a sexy covered stiletto heel, and a lightly textured dress leather outsole. Any way you wear the Pryme, you're certain to catch a lot of attention.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'A prime example of chic style. Patent leather upper. Round toe. 3-1/2 inch covered heel. Flex leather sole. Imported. ',
                                                            'is_recurring': None,
                                                            'manufacturer': '62',
                                                            'meta_description': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_keyword': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_title': 'Steven by Steve Madden Pryme Pump',
                                                            'minimal_price': '69.9900',
                                                            'model': 'B000NOGIKY',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Steven by Steve Madden Pryme Pump',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '69.9900',
                                                            'product_id': '104',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '44',
                                                            'shoe_type': '51',
                                                            'short_description': 'Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe',
                                                            'sku': 'steve_5',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 01:02:34',
                                                            'url_key': 'steven-by-steve-madden-pryme-pump-5',
                                                            'url_path': 'steven-by-steve-madden-pryme-pump-5.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (105, None, None, 'id')): {'categories': ['17'],
                                                            'color': '26',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:05:50',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe. It also features smooth linings, a fully cushioned insole, a sexy covered stiletto heel, and a lightly textured dress leather outsole. Any way you wear the Pryme, you're certain to catch a lot of attention.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'A prime example of chic style. Patent leather upper. Round toe. 3-1/2 inch covered heel. Flex leather sole. Imported. ',
                                                            'is_recurring': None,
                                                            'manufacturer': '62',
                                                            'meta_description': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_keyword': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_title': 'Steven by Steve Madden Pryme Pump',
                                                            'minimal_price': '69.9900',
                                                            'model': 'B000NOGIKY',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Steven by Steve Madden Pryme Pump',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '69.9900',
                                                            'product_id': '105',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '43',
                                                            'shoe_type': '51',
                                                            'short_description': 'Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe',
                                                            'sku': 'steve_6',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 01:02:56',
                                                            'url_key': 'steven-by-steve-madden-pryme-pump-6',
                                                            'url_path': 'steven-by-steve-madden-pryme-pump-6.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (105, u'2', None, 'id')): {'categories': ['17'],
                                                            'color': '26',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:05:50',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe. It also features smooth linings, a fully cushioned insole, a sexy covered stiletto heel, and a lightly textured dress leather outsole. Any way you wear the Pryme, you're certain to catch a lot of attention.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'A prime example of chic style. Patent leather upper. Round toe. 3-1/2 inch covered heel. Flex leather sole. Imported. ',
                                                            'is_recurring': None,
                                                            'manufacturer': '62',
                                                            'meta_description': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_keyword': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_title': 'Steven by Steve Madden Pryme Pump',
                                                            'minimal_price': '69.9900',
                                                            'model': 'B000NOGIKY',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Steven by Steve Madden Pryme Pump',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '69.9900',
                                                            'product_id': '105',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '43',
                                                            'shoe_type': '51',
                                                            'short_description': 'Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe',
                                                            'sku': 'steve_6',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 01:02:56',
                                                            'url_key': 'steven-by-steve-madden-pryme-pump-6',
                                                            'url_path': 'steven-by-steve-madden-pryme-pump-6.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (105, u'3', None, 'id')): {'categories': ['17'],
                                                            'color': '26',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:05:50',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe. It also features smooth linings, a fully cushioned insole, a sexy covered stiletto heel, and a lightly textured dress leather outsole. Any way you wear the Pryme, you're certain to catch a lot of attention.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'A prime example of chic style. Patent leather upper. Round toe. 3-1/2 inch covered heel. Flex leather sole. Imported. ',
                                                            'is_recurring': None,
                                                            'manufacturer': '62',
                                                            'meta_description': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_keyword': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_title': 'Steven by Steve Madden Pryme Pump',
                                                            'minimal_price': '69.9900',
                                                            'model': 'B000NOGIKY',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Steven by Steve Madden Pryme Pump',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '69.9900',
                                                            'product_id': '105',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '43',
                                                            'shoe_type': '51',
                                                            'short_description': 'Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe',
                                                            'sku': 'steve_6',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 01:02:56',
                                                            'url_key': 'steven-by-steve-madden-pryme-pump-6',
                                                            'url_path': 'steven-by-steve-madden-pryme-pump-6.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (106, None, None, 'id')): {'categories': ['17'],
                                                            'color': '26',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:05:50',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe. It also features smooth linings, a fully cushioned insole, a sexy covered stiletto heel, and a lightly textured dress leather outsole. Any way you wear the Pryme, you're certain to catch a lot of attention.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'A prime example of chic style. Patent leather upper. Round toe. 3-1/2 inch covered heel. Flex leather sole. Imported. ',
                                                            'is_recurring': None,
                                                            'manufacturer': '62',
                                                            'meta_description': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_keyword': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_title': 'Steven by Steve Madden Pryme Pump',
                                                            'minimal_price': '69.9900',
                                                            'model': 'B000NOGIKY',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Steven by Steve Madden Pryme Pump',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '69.9900',
                                                            'product_id': '106',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '42',
                                                            'shoe_type': '51',
                                                            'short_description': 'Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe',
                                                            'sku': 'steve_7',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 01:03:00',
                                                            'url_key': 'steven-by-steve-madden-pryme-pump-7',
                                                            'url_path': 'steven-by-steve-madden-pryme-pump-7.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (106, u'2', None, 'id')): {'categories': ['17'],
                                                            'color': '26',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:05:50',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe. It also features smooth linings, a fully cushioned insole, a sexy covered stiletto heel, and a lightly textured dress leather outsole. Any way you wear the Pryme, you're certain to catch a lot of attention.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'A prime example of chic style. Patent leather upper. Round toe. 3-1/2 inch covered heel. Flex leather sole. Imported. ',
                                                            'is_recurring': None,
                                                            'manufacturer': '62',
                                                            'meta_description': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_keyword': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_title': 'Steven by Steve Madden Pryme Pump',
                                                            'minimal_price': '69.9900',
                                                            'model': 'B000NOGIKY',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Steven by Steve Madden Pryme Pump',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '69.9900',
                                                            'product_id': '106',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '42',
                                                            'shoe_type': '51',
                                                            'short_description': 'Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe',
                                                            'sku': 'steve_7',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 01:03:00',
                                                            'url_key': 'steven-by-steve-madden-pryme-pump-7',
                                                            'url_path': 'steven-by-steve-madden-pryme-pump-7.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (106, u'3', None, 'id')): {'categories': ['17'],
                                                            'color': '26',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:05:50',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe. It also features smooth linings, a fully cushioned insole, a sexy covered stiletto heel, and a lightly textured dress leather outsole. Any way you wear the Pryme, you're certain to catch a lot of attention.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'A prime example of chic style. Patent leather upper. Round toe. 3-1/2 inch covered heel. Flex leather sole. Imported. ',
                                                            'is_recurring': None,
                                                            'manufacturer': '62',
                                                            'meta_description': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_keyword': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_title': 'Steven by Steve Madden Pryme Pump',
                                                            'minimal_price': '69.9900',
                                                            'model': 'B000NOGIKY',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Steven by Steve Madden Pryme Pump',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '69.9900',
                                                            'product_id': '106',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '42',
                                                            'shoe_type': '51',
                                                            'short_description': 'Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe',
                                                            'sku': 'steve_7',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 01:03:00',
                                                            'url_key': 'steven-by-steve-madden-pryme-pump-7',
                                                            'url_path': 'steven-by-steve-madden-pryme-pump-7.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (107, None, None, 'id')): {'categories': ['17'],
                                                            'color': '26',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:05:50',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe. It also features smooth linings, a fully cushioned insole, a sexy covered stiletto heel, and a lightly textured dress leather outsole. Any way you wear the Pryme, you're certain to catch a lot of attention.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'A prime example of chic style. Patent leather upper. Round toe. 3-1/2 inch covered heel. Flex leather sole. Imported. ',
                                                            'is_recurring': None,
                                                            'manufacturer': '62',
                                                            'meta_description': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_keyword': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_title': 'Steven by Steve Madden Pryme Pump',
                                                            'minimal_price': '69.9900',
                                                            'model': 'B000NOGIKY',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Steven by Steve Madden Pryme Pump',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '69.9900',
                                                            'product_id': '107',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '41',
                                                            'shoe_type': '51',
                                                            'short_description': 'Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe',
                                                            'sku': 'steve_8',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 01:03:06',
                                                            'url_key': 'steven-by-steve-madden-pryme-pump-8',
                                                            'url_path': 'steven-by-steve-madden-pryme-pump-8.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (107, u'2', None, 'id')): {'categories': ['17'],
                                                            'color': '26',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:05:50',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe. It also features smooth linings, a fully cushioned insole, a sexy covered stiletto heel, and a lightly textured dress leather outsole. Any way you wear the Pryme, you're certain to catch a lot of attention.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'A prime example of chic style. Patent leather upper. Round toe. 3-1/2 inch covered heel. Flex leather sole. Imported. ',
                                                            'is_recurring': None,
                                                            'manufacturer': '62',
                                                            'meta_description': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_keyword': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_title': 'Steven by Steve Madden Pryme Pump',
                                                            'minimal_price': '69.9900',
                                                            'model': 'B000NOGIKY',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Steven by Steve Madden Pryme Pump',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '69.9900',
                                                            'product_id': '107',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '41',
                                                            'shoe_type': '51',
                                                            'short_description': 'Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe',
                                                            'sku': 'steve_8',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 01:03:06',
                                                            'url_key': 'steven-by-steve-madden-pryme-pump-8',
                                                            'url_path': 'steven-by-steve-madden-pryme-pump-8.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (107, u'3', None, 'id')): {'categories': ['17'],
                                                            'color': '26',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:05:50',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe. It also features smooth linings, a fully cushioned insole, a sexy covered stiletto heel, and a lightly textured dress leather outsole. Any way you wear the Pryme, you're certain to catch a lot of attention.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'A prime example of chic style. Patent leather upper. Round toe. 3-1/2 inch covered heel. Flex leather sole. Imported. ',
                                                            'is_recurring': None,
                                                            'manufacturer': '62',
                                                            'meta_description': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_keyword': 'Steven by Steve Madden Pryme Pump',
                                                            'meta_title': 'Steven by Steve Madden Pryme Pump',
                                                            'minimal_price': '69.9900',
                                                            'model': 'B000NOGIKY',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Steven by Steve Madden Pryme Pump',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '69.9900',
                                                            'product_id': '107',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '41',
                                                            'shoe_type': '51',
                                                            'short_description': 'Nothing will turn his head faster than you wearing the sexy Pryme pump from Steven by Steve Madden. This daring pump has a pretty patent leather upper with light shirring, a double stitch detail surrounding the collar, and a vampy almond shaped toe',
                                                            'sku': 'steve_8',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 01:03:06',
                                                            'url_key': 'steven-by-steve-madden-pryme-pump-8',
                                                            'url_path': 'steven-by-steve-madden-pryme-pump-8.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (108, None, None, 'id')): {'categories': ['17'],
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-29 12:52:39',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp, leather linings, and a cushioned insole for long-wearing comfort. The stiletto heel radiates a subtle hint of sensuality, so sass up your jean and t-shirt look or nighttime attire with this hot pump and you'll be absolutely unforgettable.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '1',
                                                            'image_label': None,
                                                            'in_depth': 'The perfect pump will suit any ensemble. Leather upper. 3-3/4 inch stacked heel. Man-made sole. Imported. ',
                                                            'meta_description': "Nine West Women's Lucero Pump",
                                                            'meta_keyword': 'Nine West, Women, Lucero, Pump',
                                                            'meta_title': "Nine West Women's Lucero Pump",
                                                            'minimal_price': '89.9900',
                                                            'model': 'B000LJQVF8',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': "Nine West Women's Lucero Pump",
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container1',
                                                            'page_layout': None,
                                                            'price': '89.9900',
                                                            'product_id': '108',
                                                            'required_options': '1',
                                                            'set': '40',
                                                            'shoe_type': '51',
                                                            'short_description': 'This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp',
                                                            'sku': 'nine',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'configurable',
                                                            'type_id': 'configurable',
                                                            'updated_at': '2008-08-08 15:02:34',
                                                            'url_key': 'nine-west-women-s-lucero-pump',
                                                            'url_path': 'nine-west-women-s-lucero-pump.html',
                                                            'visibility': '4',
                                                            'websites': ['1']},
        ('ol_catalog_product.info', (109, None, None, 'id')): {'categories': ['17'],
                                                            'color': '26',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:12:54',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp, leather linings, and a cushioned insole for long-wearing comfort. The stiletto heel radiates a subtle hint of sensuality, so sass up your jean and t-shirt look or nighttime attire with this hot pump and you'll be absolutely unforgettable.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'The perfect pump will suit any ensemble. Leather upper. 3-3/4 inch stacked heel. Man-made sole. Imported. ',
                                                            'is_recurring': None,
                                                            'manufacturer': '105',
                                                            'meta_description': "Nine West Women's Lucero Pump",
                                                            'meta_keyword': "Nine West Women's Lucero Pump ",
                                                            'meta_title': "Nine West Women's Lucero Pump",
                                                            'minimal_price': '89.9900',
                                                            'model': 'B000LJQVF8',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': "Nine West Women's Lucero Pump",
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '89.9900',
                                                            'product_id': '109',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '45',
                                                            'shoe_type': '51',
                                                            'short_description': 'The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp',
                                                            'sku': 'nine_4',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-31 18:06:49',
                                                            'url_key': 'nine-west-women-s-lucero-pump-4',
                                                            'url_path': 'nine-west-women-s-lucero-pump-4.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (109, u'2', None, 'id')): {'categories': ['17'],
                                                            'color': '26',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:12:54',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp, leather linings, and a cushioned insole for long-wearing comfort. The stiletto heel radiates a subtle hint of sensuality, so sass up your jean and t-shirt look or nighttime attire with this hot pump and you'll be absolutely unforgettable.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'The perfect pump will suit any ensemble. Leather upper. 3-3/4 inch stacked heel. Man-made sole. Imported. ',
                                                            'is_recurring': None,
                                                            'manufacturer': '105',
                                                            'meta_description': "Nine West Women's Lucero Pump",
                                                            'meta_keyword': "Nine West Women's Lucero Pump ",
                                                            'meta_title': "Nine West Women's Lucero Pump",
                                                            'minimal_price': '89.9900',
                                                            'model': 'B000LJQVF8',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': "Nine West Women's Lucero Pump",
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '89.9900',
                                                            'product_id': '109',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '45',
                                                            'shoe_type': '51',
                                                            'short_description': 'The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp',
                                                            'sku': 'nine_4',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-31 18:06:49',
                                                            'url_key': 'nine-west-women-s-lucero-pump-4',
                                                            'url_path': 'nine-west-women-s-lucero-pump-4.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (109, u'3', None, 'id')): {'categories': ['17'],
                                                            'color': '26',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:12:54',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp, leather linings, and a cushioned insole for long-wearing comfort. The stiletto heel radiates a subtle hint of sensuality, so sass up your jean and t-shirt look or nighttime attire with this hot pump and you'll be absolutely unforgettable.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'The perfect pump will suit any ensemble. Leather upper. 3-3/4 inch stacked heel. Man-made sole. Imported. ',
                                                            'is_recurring': None,
                                                            'manufacturer': '105',
                                                            'meta_description': "Nine West Women's Lucero Pump",
                                                            'meta_keyword': "Nine West Women's Lucero Pump ",
                                                            'meta_title': "Nine West Women's Lucero Pump",
                                                            'minimal_price': '89.9900',
                                                            'model': 'B000LJQVF8',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': "Nine West Women's Lucero Pump",
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '89.9900',
                                                            'product_id': '109',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '45',
                                                            'shoe_type': '51',
                                                            'short_description': 'The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp',
                                                            'sku': 'nine_4',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-31 18:06:49',
                                                            'url_key': 'nine-west-women-s-lucero-pump-4',
                                                            'url_path': 'nine-west-women-s-lucero-pump-4.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (110, None, None, 'id')): {'categories': ['17'],
                                                            'color': '26',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:12:54',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp, leather linings, and a cushioned insole for long-wearing comfort. The stiletto heel radiates a subtle hint of sensuality, so sass up your jean and t-shirt look or nighttime attire with this hot pump and you'll be absolutely unforgettable.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'The perfect pump will suit any ensemble. Leather upper. 3-3/4 inch stacked heel. Man-made sole. Imported. ',
                                                            'is_recurring': None,
                                                            'manufacturer': '105',
                                                            'meta_description': "Nine West Women's Lucero Pump",
                                                            'meta_keyword': "Nine West Women's Lucero Pump ",
                                                            'meta_title': "Nine West Women's Lucero Pump",
                                                            'minimal_price': '89.9900',
                                                            'model': 'B000LJQVF8',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': "Nine West Women's Lucero Pump",
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '89.9900',
                                                            'product_id': '110',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '44',
                                                            'shoe_type': '51',
                                                            'short_description': 'The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp',
                                                            'sku': 'nine_5',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-31 18:06:42',
                                                            'url_key': 'nine-west-women-s-lucero-pump-5',
                                                            'url_path': 'nine-west-women-s-lucero-pump-5.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (110, u'2', None, 'id')): {'categories': ['17'],
                                                            'color': '26',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:12:54',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp, leather linings, and a cushioned insole for long-wearing comfort. The stiletto heel radiates a subtle hint of sensuality, so sass up your jean and t-shirt look or nighttime attire with this hot pump and you'll be absolutely unforgettable.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'The perfect pump will suit any ensemble. Leather upper. 3-3/4 inch stacked heel. Man-made sole. Imported. ',
                                                            'is_recurring': None,
                                                            'manufacturer': '105',
                                                            'meta_description': "Nine West Women's Lucero Pump",
                                                            'meta_keyword': "Nine West Women's Lucero Pump ",
                                                            'meta_title': "Nine West Women's Lucero Pump",
                                                            'minimal_price': '89.9900',
                                                            'model': 'B000LJQVF8',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': "Nine West Women's Lucero Pump",
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '89.9900',
                                                            'product_id': '110',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '44',
                                                            'shoe_type': '51',
                                                            'short_description': 'The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp',
                                                            'sku': 'nine_5',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-31 18:06:42',
                                                            'url_key': 'nine-west-women-s-lucero-pump-5',
                                                            'url_path': 'nine-west-women-s-lucero-pump-5.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (110, u'3', None, 'id')): {'categories': ['17'],
                                                            'color': '26',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:12:54',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp, leather linings, and a cushioned insole for long-wearing comfort. The stiletto heel radiates a subtle hint of sensuality, so sass up your jean and t-shirt look or nighttime attire with this hot pump and you'll be absolutely unforgettable.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'The perfect pump will suit any ensemble. Leather upper. 3-3/4 inch stacked heel. Man-made sole. Imported. ',
                                                            'is_recurring': None,
                                                            'manufacturer': '105',
                                                            'meta_description': "Nine West Women's Lucero Pump",
                                                            'meta_keyword': "Nine West Women's Lucero Pump ",
                                                            'meta_title': "Nine West Women's Lucero Pump",
                                                            'minimal_price': '89.9900',
                                                            'model': 'B000LJQVF8',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': "Nine West Women's Lucero Pump",
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '89.9900',
                                                            'product_id': '110',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '44',
                                                            'shoe_type': '51',
                                                            'short_description': 'The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp',
                                                            'sku': 'nine_5',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-31 18:06:42',
                                                            'url_key': 'nine-west-women-s-lucero-pump-5',
                                                            'url_path': 'nine-west-women-s-lucero-pump-5.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (111, None, None, 'id')): {'categories': ['17'],
                                                            'color': '26',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:12:54',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp, leather linings, and a cushioned insole for long-wearing comfort. The stiletto heel radiates a subtle hint of sensuality, so sass up your jean and t-shirt look or nighttime attire with this hot pump and you'll be absolutely unforgettable.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'The perfect pump will suit any ensemble. Leather upper. 3-3/4 inch stacked heel. Man-made sole. Imported. ',
                                                            'is_recurring': None,
                                                            'manufacturer': '105',
                                                            'meta_description': "Nine West Women's Lucero Pump",
                                                            'meta_keyword': "Nine West Women's Lucero Pump ",
                                                            'meta_title': "Nine West Women's Lucero Pump",
                                                            'minimal_price': '89.9900',
                                                            'model': 'B000LJQVF8',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': "Nine West Women's Lucero Pump",
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '89.9900',
                                                            'product_id': '111',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '43',
                                                            'shoe_type': '51',
                                                            'short_description': 'The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp',
                                                            'sku': 'nine_6',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-31 18:07:09',
                                                            'url_key': 'nine-west-women-s-lucero-pump-6',
                                                            'url_path': 'nine-west-women-s-lucero-pump-6.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (111, u'2', None, 'id')): {'categories': ['17'],
                                                            'color': '26',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:12:54',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp, leather linings, and a cushioned insole for long-wearing comfort. The stiletto heel radiates a subtle hint of sensuality, so sass up your jean and t-shirt look or nighttime attire with this hot pump and you'll be absolutely unforgettable.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'The perfect pump will suit any ensemble. Leather upper. 3-3/4 inch stacked heel. Man-made sole. Imported. ',
                                                            'is_recurring': None,
                                                            'manufacturer': '105',
                                                            'meta_description': "Nine West Women's Lucero Pump",
                                                            'meta_keyword': "Nine West Women's Lucero Pump ",
                                                            'meta_title': "Nine West Women's Lucero Pump",
                                                            'minimal_price': '89.9900',
                                                            'model': 'B000LJQVF8',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': "Nine West Women's Lucero Pump",
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '89.9900',
                                                            'product_id': '111',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '43',
                                                            'shoe_type': '51',
                                                            'short_description': 'The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp',
                                                            'sku': 'nine_6',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-31 18:07:09',
                                                            'url_key': 'nine-west-women-s-lucero-pump-6',
                                                            'url_path': 'nine-west-women-s-lucero-pump-6.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (111, u'3', None, 'id')): {'categories': ['17'],
                                                            'color': '26',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:12:54',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp, leather linings, and a cushioned insole for long-wearing comfort. The stiletto heel radiates a subtle hint of sensuality, so sass up your jean and t-shirt look or nighttime attire with this hot pump and you'll be absolutely unforgettable.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': 'The perfect pump will suit any ensemble. Leather upper. 3-3/4 inch stacked heel. Man-made sole. Imported. ',
                                                            'is_recurring': None,
                                                            'manufacturer': '105',
                                                            'meta_description': "Nine West Women's Lucero Pump",
                                                            'meta_keyword': "Nine West Women's Lucero Pump ",
                                                            'meta_title': "Nine West Women's Lucero Pump",
                                                            'minimal_price': '89.9900',
                                                            'model': 'B000LJQVF8',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': "Nine West Women's Lucero Pump",
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '89.9900',
                                                            'product_id': '111',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '43',
                                                            'shoe_type': '51',
                                                            'short_description': 'The Lucero pump from Nine West may just leave him at a loss for words. This flirty pump has a leather upper, a pretty almond-shaped toe with a slight V-cut vamp',
                                                            'sku': 'nine_6',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-31 18:07:09',
                                                            'url_key': 'nine-west-women-s-lucero-pump-6',
                                                            'url_path': 'nine-west-women-s-lucero-pump-6.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '2.0000'},
        ('ol_catalog_product.info', (112, None, None, 'id')): {'categories': ['17'],
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-29 13:17:43',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '1',
                                                            'image_label': None,
                                                            'in_depth': '<ul>\r\n<ul class="disc">\r\n<li>Breathable mesh fabric lining<br></li>\r\n<li>Cushioned Comfort Fibre System(R) <br></li>\r\n<li>Moisture absorbent<br></li>\r\n<li>Anti-bacterial insole<br></li>\r\n</ul>',
                                                            'meta_description': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'meta_keyword': 'ECCO, Womens, Golf, Flexor, Shoe',
                                                            'meta_title': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'minimal_price': '159.9900',
                                                            'model': 'B000NPOA1M',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container1',
                                                            'page_layout': None,
                                                            'price': '159.9900',
                                                            'product_id': '112',
                                                            'required_options': '1',
                                                            'set': '40',
                                                            'shoe_type': '47',
                                                            'short_description': "With a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links.",
                                                            'sku': 'ecco',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'configurable',
                                                            'type_id': 'configurable',
                                                            'updated_at': '2008-08-08 15:02:49',
                                                            'url_key': 'ecco-womens-golf-flexor-golf-shoe',
                                                            'url_path': 'ecco-womens-golf-flexor-golf-shoe.html',
                                                            'visibility': '4',
                                                            'websites': ['1']},
        ('ol_catalog_product.info', (113, None, None, 'id')): {'categories': ['17'],
                                                            'color': '59',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:21:42',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                            'is_recurring': None,
                                                            'manufacturer': '104',
                                                            'meta_description': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'meta_keyword': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'meta_title': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'minimal_price': '159.9900',
                                                            'model': 'B000NPOA1M',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '159.9900',
                                                            'product_id': '113',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '45',
                                                            'shoe_type': '47',
                                                            'short_description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links.",
                                                            'sku': 'ecco_4',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 01:04:28',
                                                            'url_key': 'ecco-womens-golf-flexor-golf-shoe-4',
                                                            'url_path': 'ecco-womens-golf-flexor-golf-shoe-4.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '4.0000'},
        ('ol_catalog_product.info', (113, u'2', None, 'id')): {'categories': ['17'],
                                                            'color': '59',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:21:42',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                            'is_recurring': None,
                                                            'manufacturer': '104',
                                                            'meta_description': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'meta_keyword': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'meta_title': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'minimal_price': '159.9900',
                                                            'model': 'B000NPOA1M',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '159.9900',
                                                            'product_id': '113',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '45',
                                                            'shoe_type': '47',
                                                            'short_description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links.",
                                                            'sku': 'ecco_4',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 01:04:28',
                                                            'url_key': 'ecco-womens-golf-flexor-golf-shoe-4',
                                                            'url_path': 'ecco-womens-golf-flexor-golf-shoe-4.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '4.0000'},
        ('ol_catalog_product.info', (113, u'3', None, 'id')): {'categories': ['17'],
                                                            'color': '59',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:21:42',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                            'is_recurring': None,
                                                            'manufacturer': '104',
                                                            'meta_description': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'meta_keyword': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'meta_title': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'minimal_price': '159.9900',
                                                            'model': 'B000NPOA1M',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '159.9900',
                                                            'product_id': '113',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '45',
                                                            'shoe_type': '47',
                                                            'short_description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links.",
                                                            'sku': 'ecco_4',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 01:04:28',
                                                            'url_key': 'ecco-womens-golf-flexor-golf-shoe-4',
                                                            'url_path': 'ecco-womens-golf-flexor-golf-shoe-4.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '4.0000'},
        ('ol_catalog_product.info', (114, None, None, 'id')): {'categories': ['17'],
                                                            'color': '59',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:21:42',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                            'is_recurring': None,
                                                            'manufacturer': '104',
                                                            'meta_description': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'meta_keyword': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'meta_title': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'minimal_price': '159.9900',
                                                            'model': 'B000NPOA1M',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '159.9900',
                                                            'product_id': '114',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '44',
                                                            'shoe_type': '47',
                                                            'short_description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links.",
                                                            'sku': 'ecco_5',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 01:04:37',
                                                            'url_key': 'ecco-womens-golf-flexor-golf-shoe-5',
                                                            'url_path': 'ecco-womens-golf-flexor-golf-shoe-5.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '4.0000'},
        ('ol_catalog_product.info', (114, u'2', None, 'id')): {'categories': ['17'],
                                                            'color': '59',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:21:42',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                            'is_recurring': None,
                                                            'manufacturer': '104',
                                                            'meta_description': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'meta_keyword': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'meta_title': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'minimal_price': '159.9900',
                                                            'model': 'B000NPOA1M',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '159.9900',
                                                            'product_id': '114',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '44',
                                                            'shoe_type': '47',
                                                            'short_description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links.",
                                                            'sku': 'ecco_5',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 01:04:37',
                                                            'url_key': 'ecco-womens-golf-flexor-golf-shoe-5',
                                                            'url_path': 'ecco-womens-golf-flexor-golf-shoe-5.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '4.0000'},
        ('ol_catalog_product.info', (114, u'3', None, 'id')): {'categories': ['17'],
                                                            'color': '59',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:21:42',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                            'is_recurring': None,
                                                            'manufacturer': '104',
                                                            'meta_description': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'meta_keyword': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'meta_title': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'minimal_price': '159.9900',
                                                            'model': 'B000NPOA1M',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '159.9900',
                                                            'product_id': '114',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '44',
                                                            'shoe_type': '47',
                                                            'short_description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links.",
                                                            'sku': 'ecco_5',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 01:04:37',
                                                            'url_key': 'ecco-womens-golf-flexor-golf-shoe-5',
                                                            'url_path': 'ecco-womens-golf-flexor-golf-shoe-5.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '4.0000'},
        ('ol_catalog_product.info', (115, None, None, 'id')): {'categories': ['17'],
                                                            'color': '59',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:21:42',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                            'is_recurring': None,
                                                            'manufacturer': '104',
                                                            'meta_description': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'meta_keyword': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'meta_title': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'minimal_price': '159.9900',
                                                            'model': 'B000NPOA1M',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '159.9900',
                                                            'product_id': '115',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '43',
                                                            'shoe_type': '47',
                                                            'short_description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links.",
                                                            'sku': 'ecco_6',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 01:04:44',
                                                            'url_key': 'ecco-womens-golf-flexor-golf-shoe-6',
                                                            'url_path': 'ecco-womens-golf-flexor-golf-shoe-6.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '4.0000'},
        ('ol_catalog_product.info', (115, u'2', None, 'id')): {'categories': ['17'],
                                                            'color': '59',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:21:42',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                            'is_recurring': None,
                                                            'manufacturer': '104',
                                                            'meta_description': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'meta_keyword': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'meta_title': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'minimal_price': '159.9900',
                                                            'model': 'B000NPOA1M',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '159.9900',
                                                            'product_id': '115',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '43',
                                                            'shoe_type': '47',
                                                            'short_description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links.",
                                                            'sku': 'ecco_6',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 01:04:44',
                                                            'url_key': 'ecco-womens-golf-flexor-golf-shoe-6',
                                                            'url_path': 'ecco-womens-golf-flexor-golf-shoe-6.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '4.0000'},
        ('ol_catalog_product.info', (115, u'3', None, 'id')): {'categories': ['17'],
                                                            'color': '59',
                                                            'cost': '29.9900',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:21:42',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links. The contrasting embossed snakeskin panels attract interest, while the laid back lace-up style keeps things simple. And thanks to the one-year waterproof guarantee, you can trust these shoes to keep you in the game, even when conditions are less than perfect.",
                                                            'is_recurring': None,
                                                            'manufacturer': '104',
                                                            'meta_description': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'meta_keyword': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'meta_title': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'minimal_price': '159.9900',
                                                            'model': 'B000NPOA1M',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'ECCO Womens Golf Flexor Golf Shoe',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '159.9900',
                                                            'product_id': '115',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '40',
                                                            'shoe_size': '43',
                                                            'shoe_type': '47',
                                                            'short_description': "Featuring a wide toe box and delivering optimum support, the sporty Golf Flexor golf shoe is a stylish cleat that you'll love wearing on and off the links.",
                                                            'sku': 'ecco_6',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 01:04:44',
                                                            'url_key': 'ecco-womens-golf-flexor-golf-shoe-6',
                                                            'url_path': 'ecco-womens-golf-flexor-golf-shoe-6.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '4.0000'},
        ('ol_catalog_product.info', (117, None, None, 'id')): {'categories': ['4'],
                                                            'color': '22',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:49:30',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'meta_keyword': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'meta_title': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'minimal_price': '15.0000',
                                                            'model': 'Impatience',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '15.0000',
                                                            'product_id': '117',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '99',
                                                            'short_description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'sku': 'coal_md',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-31 17:37:23',
                                                            'url_key': 'coalesce-functioning-on-impatience-t-shirt-medium',
                                                            'url_path': 'coalesce-functioning-on-impatience-t-shirt-medium.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.5000'},
        ('ol_catalog_product.info', (117, u'2', None, 'id')): {'categories': ['4'],
                                                            'color': '22',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:49:30',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'meta_keyword': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'meta_title': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'minimal_price': '15.0000',
                                                            'model': 'Impatience',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '15.0000',
                                                            'product_id': '117',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '99',
                                                            'short_description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'sku': 'coal_md',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-31 17:37:23',
                                                            'url_key': 'coalesce-functioning-on-impatience-t-shirt-medium',
                                                            'url_path': 'coalesce-functioning-on-impatience-t-shirt-medium.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.5000'},
        ('ol_catalog_product.info', (117, u'3', None, 'id')): {'categories': ['4'],
                                                            'color': '22',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:49:30',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'meta_keyword': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'meta_title': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'minimal_price': '15.0000',
                                                            'model': 'Impatience',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '15.0000',
                                                            'product_id': '117',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '99',
                                                            'short_description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'sku': 'coal_md',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-31 17:37:23',
                                                            'url_key': 'coalesce-functioning-on-impatience-t-shirt-medium',
                                                            'url_path': 'coalesce-functioning-on-impatience-t-shirt-medium.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.5000'},
        ('ol_catalog_product.info', (118, None, None, 'id')): {'categories': ['4'],
                                                            'color': '22',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:49:30',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'meta_keyword': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'meta_title': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'minimal_price': '15.0000',
                                                            'model': 'Impatience',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '15.0000',
                                                            'product_id': '118',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '98',
                                                            'short_description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'sku': 'coal_lrg',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-31 17:38:30',
                                                            'url_key': 'coalesce-functioning-on-impatience-t-shirt-large',
                                                            'url_path': 'coalesce-functioning-on-impatience-t-shirt-large.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.5000'},
        ('ol_catalog_product.info', (118, u'2', None, 'id')): {'categories': ['4'],
                                                            'color': '22',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:49:30',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'meta_keyword': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'meta_title': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'minimal_price': '15.0000',
                                                            'model': 'Impatience',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '15.0000',
                                                            'product_id': '118',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '98',
                                                            'short_description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'sku': 'coal_lrg',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-31 17:38:30',
                                                            'url_key': 'coalesce-functioning-on-impatience-t-shirt-large',
                                                            'url_path': 'coalesce-functioning-on-impatience-t-shirt-large.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.5000'},
        ('ol_catalog_product.info', (118, u'3', None, 'id')): {'categories': ['4'],
                                                            'color': '22',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:49:30',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'meta_keyword': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'meta_title': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'minimal_price': '15.0000',
                                                            'model': 'Impatience',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '15.0000',
                                                            'product_id': '118',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '98',
                                                            'short_description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'sku': 'coal_lrg',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-31 17:38:30',
                                                            'url_key': 'coalesce-functioning-on-impatience-t-shirt-large',
                                                            'url_path': 'coalesce-functioning-on-impatience-t-shirt-large.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.5000'},
        ('ol_catalog_product.info', (119, None, None, 'id')): {'categories': ['4'],
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-29 15:00:05',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'Comfortable preshrunk shirts.  Highest Quality Printing.<br><br>\r\n<ul>\r\n<ul class="disc">\r\n<li>6.1 oz. 100% preshrunk heavyweight cotton<br></li>\r\n<li>Shoulder-to-shoulder taping<br></li>\r\n<li>Double-needle sleeves and bottom hem<br></li>',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '1',
                                                            'image_label': None,
                                                            'meta_description': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'meta_keyword': 'Coalesce, T-Shirt',
                                                            'meta_title': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'minimal_price': '10.0000',
                                                            'model': 'Impatience',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Coalesce: Functioning On Impatience T-Shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container1',
                                                            'page_layout': None,
                                                            'price': '15.0000',
                                                            'product_id': '119',
                                                            'required_options': '1',
                                                            'set': '41',
                                                            'short_description': '<ul>\r\n<ul class="disc">\r\n\r\n<li>6.1 oz. 100% preshrunk heavyweight cotton<br></li>\r\n<li>Shoulder-to-shoulder taping<br></li>\r\n<li>Double-needle sleeves and bottom hem<br></li>\r\n</ul>',
                                                            'sku': 'coal_1',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'configurable',
                                                            'type_id': 'configurable',
                                                            'updated_at': '2008-08-08 13:26:35',
                                                            'url_key': 'coalesce-functioning-on-impatience-t-shirt',
                                                            'url_path': 'coalesce-functioning-on-impatience-t-shirt.html',
                                                            'visibility': '4',
                                                            'websites': ['1']},
        ('ol_catalog_product.info', (120, None, None, 'id')): {'categories': ['4'],
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-29 15:06:16',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "We bought these with the intention of making shirts for our family reunion, only to come back the next day to find each and every one of them had been tagged by The Bear.  Oh well -- can't argue with art.  Now you can make your grandparents proud by wearing an original piece of graf work to YOUR family reunion!",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '1',
                                                            'image_label': None,
                                                            'meta_description': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'meta_keyword': 'Ink Eater, Krylon, Bombear , Destroyed, Tee, t shirt',
                                                            'meta_title': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'minimal_price': '18.0000',
                                                            'model': 'Ink Eater:',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container1',
                                                            'page_layout': None,
                                                            'price': '22.0000',
                                                            'product_id': '120',
                                                            'required_options': '1',
                                                            'set': '41',
                                                            'short_description': 'Now you can make your grandparents proud by wearing an original piece of graf work to YOUR family reunion!',
                                                            'sku': 'ink',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [{'all_groups': '1',
                                                                            'cust_group': 32000,
                                                                            'price': '21.0000',
                                                                            'price_id': '5',
                                                                            'price_qty': '5.0000',
                                                                            'website_id': '0',
                                                                            'website_price': '21.0000'},
                                                                           {'all_groups': '1',
                                                                            'cust_group': 32000,
                                                                            'price': '20.0000',
                                                                            'price_id': '6',
                                                                            'price_qty': '10.0000',
                                                                            'website_id': '0',
                                                                            'website_price': '20.0000'},
                                                                           {'all_groups': '1',
                                                                            'cust_group': 32000,
                                                                            'price': '18.0000',
                                                                            'price_id': '7',
                                                                            'price_qty': '20.0000',
                                                                            'website_id': '0',
                                                                            'website_price': '18.0000'}],
                                                            'type': 'configurable',
                                                            'type_id': 'configurable',
                                                            'updated_at': '2008-08-08 15:05:04',
                                                            'url_key': 'ink-eater-krylon-bombear-destroyed-tee',
                                                            'url_path': 'ink-eater-krylon-bombear-destroyed-tee.html',
                                                            'visibility': '4',
                                                            'websites': ['1']},
        ('ol_catalog_product.info', (121, None, None, 'id')): {'categories': ['4'],
                                                            'color': '60',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:53:06',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "We bought these with the intention of making shirts for our family reunion, only to come back the next day to find each and every one of them had been tagged by The Bear.  Oh well -- can't argue with art.  Now you can make your grandparents proud by wearing an original piece of graf work to YOUR family reunion!",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'meta_keyword': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'meta_title': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'minimal_price': '22.0000',
                                                            'model': 'Ink Eater:',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '22.0000',
                                                            'product_id': '121',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '99',
                                                            'short_description': "We bought these with the intention of making shirts for our family reunion, only to come back the next day to find each and every one of them had been tagged by The Bear.  Oh well -- can't argue with art.  Now you can make your grandparents proud by wearing an original piece of graf work to YOUR family reunion!",
                                                            'sku': 'ink_med',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:49:36',
                                                            'url_key': 'ink-eater-krylon-bombear-destroyed-tee-med',
                                                            'url_path': 'ink-eater-krylon-bombear-destroyed-tee-med.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.5000'},
        ('ol_catalog_product.info', (121, u'2', None, 'id')): {'categories': ['4'],
                                                            'color': '60',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:53:06',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "We bought these with the intention of making shirts for our family reunion, only to come back the next day to find each and every one of them had been tagged by The Bear.  Oh well -- can't argue with art.  Now you can make your grandparents proud by wearing an original piece of graf work to YOUR family reunion!",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'meta_keyword': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'meta_title': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'minimal_price': '22.0000',
                                                            'model': 'Ink Eater:',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '22.0000',
                                                            'product_id': '121',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '99',
                                                            'short_description': "We bought these with the intention of making shirts for our family reunion, only to come back the next day to find each and every one of them had been tagged by The Bear.  Oh well -- can't argue with art.  Now you can make your grandparents proud by wearing an original piece of graf work to YOUR family reunion!",
                                                            'sku': 'ink_med',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:49:36',
                                                            'url_key': 'ink-eater-krylon-bombear-destroyed-tee-med',
                                                            'url_path': 'ink-eater-krylon-bombear-destroyed-tee-med.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.5000'},
        ('ol_catalog_product.info', (121, u'3', None, 'id')): {'categories': ['4'],
                                                            'color': '60',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:53:06',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "We bought these with the intention of making shirts for our family reunion, only to come back the next day to find each and every one of them had been tagged by The Bear.  Oh well -- can't argue with art.  Now you can make your grandparents proud by wearing an original piece of graf work to YOUR family reunion!",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'meta_keyword': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'meta_title': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'minimal_price': '22.0000',
                                                            'model': 'Ink Eater:',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '22.0000',
                                                            'product_id': '121',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '99',
                                                            'short_description': "We bought these with the intention of making shirts for our family reunion, only to come back the next day to find each and every one of them had been tagged by The Bear.  Oh well -- can't argue with art.  Now you can make your grandparents proud by wearing an original piece of graf work to YOUR family reunion!",
                                                            'sku': 'ink_med',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:49:36',
                                                            'url_key': 'ink-eater-krylon-bombear-destroyed-tee-med',
                                                            'url_path': 'ink-eater-krylon-bombear-destroyed-tee-med.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.5000'},
        ('ol_catalog_product.info', (122, None, None, 'id')): {'categories': ['4'],
                                                            'color': '60',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:53:06',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "We bought these with the intention of making shirts for our family reunion, only to come back the next day to find each and every one of them had been tagged by The Bear.  Oh well -- can't argue with art.  Now you can make your grandparents proud by wearing an original piece of graf work to YOUR family reunion!",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'meta_keyword': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'meta_title': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'minimal_price': '22.0000',
                                                            'model': 'Ink Eater:',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '22.0000',
                                                            'product_id': '122',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '98',
                                                            'short_description': "We bought these with the intention of making shirts for our family reunion, only to come back the next day to find each and every one of them had been tagged by The Bear.  Oh well -- can't argue with art.  Now you can make your grandparents proud by wearing an original piece of graf work to YOUR family reunion!",
                                                            'sku': 'ink_lrg',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:49:19',
                                                            'url_key': 'ink-eater-krylon-bombear-destroyed-tee-lrg',
                                                            'url_path': 'ink-eater-krylon-bombear-destroyed-tee-lrg.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.5000'},
        ('ol_catalog_product.info', (122, u'2', None, 'id')): {'categories': ['4'],
                                                            'color': '60',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:53:06',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "We bought these with the intention of making shirts for our family reunion, only to come back the next day to find each and every one of them had been tagged by The Bear.  Oh well -- can't argue with art.  Now you can make your grandparents proud by wearing an original piece of graf work to YOUR family reunion!",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'meta_keyword': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'meta_title': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'minimal_price': '22.0000',
                                                            'model': 'Ink Eater:',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '22.0000',
                                                            'product_id': '122',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '98',
                                                            'short_description': "We bought these with the intention of making shirts for our family reunion, only to come back the next day to find each and every one of them had been tagged by The Bear.  Oh well -- can't argue with art.  Now you can make your grandparents proud by wearing an original piece of graf work to YOUR family reunion!",
                                                            'sku': 'ink_lrg',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:49:19',
                                                            'url_key': 'ink-eater-krylon-bombear-destroyed-tee-lrg',
                                                            'url_path': 'ink-eater-krylon-bombear-destroyed-tee-lrg.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.5000'},
        ('ol_catalog_product.info', (122, u'3', None, 'id')): {'categories': ['4'],
                                                            'color': '60',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:53:06',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "We bought these with the intention of making shirts for our family reunion, only to come back the next day to find each and every one of them had been tagged by The Bear.  Oh well -- can't argue with art.  Now you can make your grandparents proud by wearing an original piece of graf work to YOUR family reunion!",
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'meta_keyword': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'meta_title': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'minimal_price': '22.0000',
                                                            'model': 'Ink Eater:',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '22.0000',
                                                            'product_id': '122',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '98',
                                                            'short_description': "We bought these with the intention of making shirts for our family reunion, only to come back the next day to find each and every one of them had been tagged by The Bear.  Oh well -- can't argue with art.  Now you can make your grandparents proud by wearing an original piece of graf work to YOUR family reunion!",
                                                            'sku': 'ink_lrg',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:49:19',
                                                            'url_key': 'ink-eater-krylon-bombear-destroyed-tee-lrg',
                                                            'url_path': 'ink-eater-krylon-bombear-destroyed-tee-lrg.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.5000'},
        ('ol_catalog_product.info', (123, None, None, 'id')): {'categories': ['4'],
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-29 15:14:29',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '<ul>\r\n<ul class="disc">\r\n<li>6.1 oz. 100% preshrunk heavyweight cotton <br></li>\r\n<li>Double-needle sleeves and bottom hem</li>\r\n</ul>',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '1',
                                                            'image_label': None,
                                                            'meta_description': 'The Only Children: Paisley T-Shirt',
                                                            'meta_keyword': 'The Only Children: Paisley T-Shirt',
                                                            'meta_title': 'The Only Children: Paisley T-Shirt',
                                                            'minimal_price': '10.0000',
                                                            'model': 'paisley',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'The Only Children: Paisley T-Shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container1',
                                                            'page_layout': None,
                                                            'price': '100.0000',
                                                            'product_id': '123',
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California cotton T shirt.   ',
                                                            'sku': 'oc',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [{'all_groups': '1',
                                                                            'cust_group': 32000,
                                                                            'price': '90.0000',
                                                                            'price_id': '2',
                                                                            'price_qty': '5.0000',
                                                                            'website_id': '0',
                                                                            'website_price': '90.0000'},
                                                                           {'all_groups': '1',
                                                                            'cust_group': 32000,
                                                                            'price': '80.0000',
                                                                            'price_id': '3',
                                                                            'price_qty': '10.0000',
                                                                            'website_id': '0',
                                                                            'website_price': '80.0000'},
                                                                           {'all_groups': '1',
                                                                            'cust_group': 32000,
                                                                            'price': '70.0000',
                                                                            'price_id': '4',
                                                                            'price_qty': '20.0000',
                                                                            'website_id': '0',
                                                                            'website_price': '70.0000'}],
                                                            'type': 'configurable',
                                                            'type_id': 'configurable',
                                                            'updated_at': '2008-06-24 22:59:14',
                                                            'url_key': 'the-only-children-paisley-t-shirt',
                                                            'url_path': 'the-only-children-paisley-t-shirt.html',
                                                            'visibility': '4',
                                                            'websites': ['1']},
        ('ol_catalog_product.info', (124, None, None, 'id')): {'categories': ['4'],
                                                            'color': '60',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:59:39',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'The Only Children: Paisley T-Shirt',
                                                            'meta_keyword': 'The Only Children: Paisley T-Shirt',
                                                            'meta_title': 'The Only Children: Paisley T-Shirt',
                                                            'minimal_price': '15.0000',
                                                            'model': 'The Only Children: Paisley T-Shirt',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'The Only Children: Paisley T-Shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '15.0000',
                                                            'product_id': '124',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '99',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California cotton T shirst.   ',
                                                            'sku': 'oc_med',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:47:56',
                                                            'url_key': 'the-only-children-paisley-t-shirt-med',
                                                            'url_path': 'the-only-children-paisley-t-shirt-med.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.4400'},
        ('ol_catalog_product.info', (124, u'2', None, 'id')): {'categories': ['4'],
                                                            'color': '60',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:59:39',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'The Only Children: Paisley T-Shirt',
                                                            'meta_keyword': 'The Only Children: Paisley T-Shirt',
                                                            'meta_title': 'The Only Children: Paisley T-Shirt',
                                                            'minimal_price': '15.0000',
                                                            'model': 'The Only Children: Paisley T-Shirt',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'The Only Children: Paisley T-Shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '15.0000',
                                                            'product_id': '124',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '99',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California cotton T shirst.   ',
                                                            'sku': 'oc_med',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:47:56',
                                                            'url_key': 'the-only-children-paisley-t-shirt-med',
                                                            'url_path': 'the-only-children-paisley-t-shirt-med.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.4400'},
        ('ol_catalog_product.info', (124, u'3', None, 'id')): {'categories': ['4'],
                                                            'color': '60',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:59:39',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'The Only Children: Paisley T-Shirt',
                                                            'meta_keyword': 'The Only Children: Paisley T-Shirt',
                                                            'meta_title': 'The Only Children: Paisley T-Shirt',
                                                            'minimal_price': '15.0000',
                                                            'model': 'The Only Children: Paisley T-Shirt',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'The Only Children: Paisley T-Shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '15.0000',
                                                            'product_id': '124',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '99',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California cotton T shirst.   ',
                                                            'sku': 'oc_med',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:47:56',
                                                            'url_key': 'the-only-children-paisley-t-shirt-med',
                                                            'url_path': 'the-only-children-paisley-t-shirt-med.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.4400'},
        ('ol_catalog_product.info', (125, None, None, 'id')): {'categories': ['4'],
                                                            'color': '60',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:59:39',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'The Only Children: Paisley T-Shirt',
                                                            'meta_keyword': 'The Only Children: Paisley T-Shirt',
                                                            'meta_title': 'The Only Children: Paisley T-Shirt',
                                                            'minimal_price': '15.0000',
                                                            'model': 'The Only Children: Paisley T-Shirt',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'The Only Children: Paisley T-Shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '15.0000',
                                                            'product_id': '125',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '98',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California cotton T shirst.   ',
                                                            'sku': 'oc_lrg',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:48:14',
                                                            'url_key': 'the-only-children-paisley-t-shirt-lrg',
                                                            'url_path': 'the-only-children-paisley-t-shirt-lrg.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.4400'},
        ('ol_catalog_product.info', (125, u'2', None, 'id')): {'categories': ['4'],
                                                            'color': '60',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:59:39',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'The Only Children: Paisley T-Shirt',
                                                            'meta_keyword': 'The Only Children: Paisley T-Shirt',
                                                            'meta_title': 'The Only Children: Paisley T-Shirt',
                                                            'minimal_price': '15.0000',
                                                            'model': 'The Only Children: Paisley T-Shirt',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'The Only Children: Paisley T-Shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '15.0000',
                                                            'product_id': '125',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '98',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California cotton T shirst.   ',
                                                            'sku': 'oc_lrg',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:48:14',
                                                            'url_key': 'the-only-children-paisley-t-shirt-lrg',
                                                            'url_path': 'the-only-children-paisley-t-shirt-lrg.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.4400'},
        ('ol_catalog_product.info', (125, u'3', None, 'id')): {'categories': ['4'],
                                                            'color': '60',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 19:59:39',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'The Only Children: Paisley T-Shirt',
                                                            'meta_keyword': 'The Only Children: Paisley T-Shirt',
                                                            'meta_title': 'The Only Children: Paisley T-Shirt',
                                                            'minimal_price': '15.0000',
                                                            'model': 'The Only Children: Paisley T-Shirt',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'The Only Children: Paisley T-Shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '15.0000',
                                                            'product_id': '125',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '98',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California cotton T shirst.   ',
                                                            'sku': 'oc_lrg',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:48:14',
                                                            'url_key': 'the-only-children-paisley-t-shirt-lrg',
                                                            'url_path': 'the-only-children-paisley-t-shirt-lrg.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.4400'},
        ('ol_catalog_product.info', (126, None, None, 'id')): {'categories': ['4'],
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-29 15:31:56',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '<ul>\r\n<ul class="disc")\r\n<li> 6.1 oz. 100% preshrunk heavyweight cotton <br></li>\r\n<li> Shoulder-to-shoulder taping<br></li>\r\n<li>Double-needle sleeves and bottom hem<br></li>\r\n</ul>',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '1',
                                                            'image_label': None,
                                                            'meta_description': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_keyword': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_title': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'minimal_price': '9.5000',
                                                            'model': 'zolof',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container1',
                                                            'page_layout': None,
                                                            'price': '13.5000',
                                                            'product_id': '126',
                                                            'required_options': '1',
                                                            'set': '41',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California t-shirts.  ',
                                                            'sku': 'zol',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [{'all_groups': '1',
                                                                            'cust_group': 32000,
                                                                            'price': '12.5000',
                                                                            'price_id': '8',
                                                                            'price_qty': '5.0000',
                                                                            'website_id': '0',
                                                                            'website_price': '12.5000'},
                                                                           {'all_groups': '1',
                                                                            'cust_group': 32000,
                                                                            'price': '11.5000',
                                                                            'price_id': '9',
                                                                            'price_qty': '10.0000',
                                                                            'website_id': '0',
                                                                            'website_price': '11.5000'},
                                                                           {'all_groups': '1',
                                                                            'cust_group': 32000,
                                                                            'price': '9.5000',
                                                                            'price_id': '10',
                                                                            'price_qty': '20.0000',
                                                                            'website_id': '0',
                                                                            'website_price': '9.5000'}],
                                                            'type': 'configurable',
                                                            'type_id': 'configurable',
                                                            'updated_at': '2008-08-08 15:05:22',
                                                            'url_key': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt',
                                                            'url_path': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt.html',
                                                            'visibility': '4',
                                                            'websites': ['1']},
        ('ol_catalog_product.info', (127, None, None, 'id')): {'categories': ['4'],
                                                            'color': '22',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 20:02:08',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_keyword': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_title': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'minimal_price': '13.5000',
                                                            'model': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '13.5000',
                                                            'product_id': '127',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '100',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California t-shirts.  ',
                                                            'sku': 'zol_g_sm',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:40:33',
                                                            'url_key': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-g-sm',
                                                            'url_path': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-g-sm.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.4400'},
        ('ol_catalog_product.info', (127, u'2', None, 'id')): {'categories': ['4'],
                                                            'color': '22',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 20:02:08',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_keyword': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_title': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'minimal_price': '13.5000',
                                                            'model': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '13.5000',
                                                            'product_id': '127',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '100',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California t-shirts.  ',
                                                            'sku': 'zol_g_sm',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:40:33',
                                                            'url_key': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-g-sm',
                                                            'url_path': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-g-sm.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.4400'},
        ('ol_catalog_product.info', (127, u'3', None, 'id')): {'categories': ['4'],
                                                            'color': '22',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 20:02:08',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_keyword': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_title': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'minimal_price': '13.5000',
                                                            'model': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '13.5000',
                                                            'product_id': '127',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '100',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California t-shirts.  ',
                                                            'sku': 'zol_g_sm',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:40:33',
                                                            'url_key': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-g-sm',
                                                            'url_path': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-g-sm.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.4400'},
        ('ol_catalog_product.info', (128, None, None, 'id')): {'categories': ['4'],
                                                            'color': '26',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 20:02:08',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_keyword': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_title': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'minimal_price': '13.5000',
                                                            'model': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '13.5000',
                                                            'product_id': '128',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '99',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California t-shirts.  ',
                                                            'sku': 'zol_r_med',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:41:39',
                                                            'url_key': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-r-med',
                                                            'url_path': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-r-med.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.4400'},
        ('ol_catalog_product.info', (128, u'2', None, 'id')): {'categories': ['4'],
                                                            'color': '26',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 20:02:08',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_keyword': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_title': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'minimal_price': '13.5000',
                                                            'model': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '13.5000',
                                                            'product_id': '128',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '99',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California t-shirts.  ',
                                                            'sku': 'zol_r_med',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:41:39',
                                                            'url_key': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-r-med',
                                                            'url_path': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-r-med.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.4400'},
        ('ol_catalog_product.info', (128, u'3', None, 'id')): {'categories': ['4'],
                                                            'color': '26',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 20:02:08',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_keyword': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_title': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'minimal_price': '13.5000',
                                                            'model': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '13.5000',
                                                            'product_id': '128',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '99',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California t-shirts.  ',
                                                            'sku': 'zol_r_med',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:41:39',
                                                            'url_key': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-r-med',
                                                            'url_path': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-r-med.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.4400'},
        ('ol_catalog_product.info', (129, None, None, 'id')): {'categories': ['4'],
                                                            'color': '22',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 20:02:08',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_keyword': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_title': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'minimal_price': '13.5000',
                                                            'model': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '13.5000',
                                                            'product_id': '129',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '99',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California t-shirts.  ',
                                                            'sku': 'zol_g_med',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:40:59',
                                                            'url_key': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-g-med',
                                                            'url_path': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-g-med.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.4400'},
        ('ol_catalog_product.info', (129, u'2', None, 'id')): {'categories': ['4'],
                                                            'color': '22',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 20:02:08',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_keyword': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_title': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'minimal_price': '13.5000',
                                                            'model': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '13.5000',
                                                            'product_id': '129',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '99',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California t-shirts.  ',
                                                            'sku': 'zol_g_med',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:40:59',
                                                            'url_key': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-g-med',
                                                            'url_path': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-g-med.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.4400'},
        ('ol_catalog_product.info', (129, u'3', None, 'id')): {'categories': ['4'],
                                                            'color': '22',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 20:02:08',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_keyword': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_title': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'minimal_price': '13.5000',
                                                            'model': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '13.5000',
                                                            'product_id': '129',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '99',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California t-shirts.  ',
                                                            'sku': 'zol_g_med',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:40:59',
                                                            'url_key': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-g-med',
                                                            'url_path': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-g-med.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.4400'},
        ('ol_catalog_product.info', (130, None, None, 'id')): {'categories': ['4'],
                                                            'color': '26',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 20:02:08',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_keyword': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_title': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'minimal_price': '13.5000',
                                                            'model': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '13.5000',
                                                            'product_id': '130',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '98',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California t-shirts.  ',
                                                            'sku': 'zol_r_lrg',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:40:28',
                                                            'url_key': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-r-lrg',
                                                            'url_path': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-r-lrg.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.4400'},
        ('ol_catalog_product.info', (130, u'2', None, 'id')): {'categories': ['4'],
                                                            'color': '26',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 20:02:08',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_keyword': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_title': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'minimal_price': '13.5000',
                                                            'model': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '13.5000',
                                                            'product_id': '130',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '98',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California t-shirts.  ',
                                                            'sku': 'zol_r_lrg',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:40:28',
                                                            'url_key': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-r-lrg',
                                                            'url_path': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-r-lrg.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.4400'},
        ('ol_catalog_product.info', (130, u'3', None, 'id')): {'categories': ['4'],
                                                            'color': '26',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 20:02:08',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_keyword': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_title': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'minimal_price': '13.5000',
                                                            'model': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '13.5000',
                                                            'product_id': '130',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '98',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California t-shirts.  ',
                                                            'sku': 'zol_r_lrg',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:40:28',
                                                            'url_key': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-r-lrg',
                                                            'url_path': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-r-lrg.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.4400'},
        ('ol_catalog_product.info', (131, None, None, 'id')): {'categories': ['4'],
                                                            'color': '22',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 20:02:08',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_keyword': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_title': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'minimal_price': '13.5000',
                                                            'model': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '13.5000',
                                                            'product_id': '131',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '98',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California t-shirts.  ',
                                                            'sku': 'zol_g_lrg',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:41:10',
                                                            'url_key': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-g-lrg',
                                                            'url_path': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-g-lrg.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.4400'},
        ('ol_catalog_product.info', (131, u'2', None, 'id')): {'categories': ['4'],
                                                            'color': '22',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 20:02:08',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_keyword': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_title': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'minimal_price': '13.5000',
                                                            'model': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '13.5000',
                                                            'product_id': '131',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '98',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California t-shirts.  ',
                                                            'sku': 'zol_g_lrg',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:41:10',
                                                            'url_key': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-g-lrg',
                                                            'url_path': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-g-lrg.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.4400'},
        ('ol_catalog_product.info', (131, u'3', None, 'id')): {'categories': ['4'],
                                                            'color': '22',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-24 20:02:08',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_keyword': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_title': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'minimal_price': '13.5000',
                                                            'model': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '13.5000',
                                                            'product_id': '131',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '98',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California t-shirts.  ',
                                                            'sku': 'zol_g_lrg',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:41:10',
                                                            'url_key': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-g-lrg',
                                                            'url_path': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-g-lrg.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.4400'},
        ('ol_catalog_product.info', (132, None, None, 'id')): {'categories': ['25'],
                                                            'color': None,
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-29 19:53:55',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'Sturdy, lightweight tripods are designed to meet the needs of amateur and professional photographers and videographers.',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': '99.0000',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'SLR Camera Tripod',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '99.0000',
                                                            'product_id': '132',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': 'Sturdy, lightweight tripods are designed to meet the needs of amateur and professional photographers and videographers.',
                                                            'sku': 'ac674',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:05:45',
                                                            'url_key': 'slr-camera-tripod',
                                                            'url_path': 'slr-camera-tripod.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '42.0000'},
        ('ol_catalog_product.info', (132, u'2', None, 'id')): {'categories': ['25'],
                                                            'color': None,
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-29 19:53:55',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'Sturdy, lightweight tripods are designed to meet the needs of amateur and professional photographers and videographers.',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': '99.0000',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'SLR Camera Tripod',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '99.0000',
                                                            'product_id': '132',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': 'Sturdy, lightweight tripods are designed to meet the needs of amateur and professional photographers and videographers.',
                                                            'sku': 'ac674',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:05:45',
                                                            'url_key': 'slr-camera-tripod',
                                                            'url_path': 'slr-camera-tripod.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '42.0000'},
        ('ol_catalog_product.info', (132, u'3', None, 'id')): {'categories': ['25'],
                                                            'color': None,
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-29 19:53:55',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'Sturdy, lightweight tripods are designed to meet the needs of amateur and professional photographers and videographers.',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': '99.0000',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'SLR Camera Tripod',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '99.0000',
                                                            'product_id': '132',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': 'Sturdy, lightweight tripods are designed to meet the needs of amateur and professional photographers and videographers.',
                                                            'sku': 'ac674',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:05:45',
                                                            'url_key': 'slr-camera-tripod',
                                                            'url_path': 'slr-camera-tripod.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '42.0000'},
        ('ol_catalog_product.info', (133, None, None, 'id')): {'categories': ['25'],
                                                            'color': None,
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-29 19:56:27',
                                                            'custom_design': None,
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': None,
                                                            'description': 'A stylish digital camera demands stylish protection. This leather carrying case will defend your camera from the dings and scratches of travel and everyday use while looking smart all the time.',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': None,
                                                            'meta_keyword': None,
                                                            'meta_title': None,
                                                            'minimal_price': '34.0000',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Universal Camera Case',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '34.0000',
                                                            'product_id': '133',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': 'A stylish digital camera demands stylish protection. This leather carrying case will defend your camera from the dings and scratches of travel and everyday use while looking smart all the time.',
                                                            'sku': 'ac9003',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-06-28 01:57:22',
                                                            'url_key': 'universal-camera-case',
                                                            'url_path': 'universal-camera-case.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': None},
        ('ol_catalog_product.info', (133, u'2', None, 'id')): {'categories': ['25'],
                                                            'color': None,
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-29 19:56:27',
                                                            'custom_design': None,
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': None,
                                                            'description': 'A stylish digital camera demands stylish protection. This leather carrying case will defend your camera from the dings and scratches of travel and everyday use while looking smart all the time.',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': None,
                                                            'meta_keyword': None,
                                                            'meta_title': None,
                                                            'minimal_price': '34.0000',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Universal Camera Case',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '34.0000',
                                                            'product_id': '133',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': 'A stylish digital camera demands stylish protection. This leather carrying case will defend your camera from the dings and scratches of travel and everyday use while looking smart all the time.',
                                                            'sku': 'ac9003',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-06-28 01:57:22',
                                                            'url_key': 'universal-camera-case',
                                                            'url_path': 'universal-camera-case.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': None},
        ('ol_catalog_product.info', (133, u'3', None, 'id')): {'categories': ['25'],
                                                            'color': None,
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-29 19:56:27',
                                                            'custom_design': None,
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': None,
                                                            'description': 'A stylish digital camera demands stylish protection. This leather carrying case will defend your camera from the dings and scratches of travel and everyday use while looking smart all the time.',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': None,
                                                            'meta_keyword': None,
                                                            'meta_title': None,
                                                            'minimal_price': '34.0000',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Universal Camera Case',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '34.0000',
                                                            'product_id': '133',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': 'A stylish digital camera demands stylish protection. This leather carrying case will defend your camera from the dings and scratches of travel and everyday use while looking smart all the time.',
                                                            'sku': 'ac9003',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-06-28 01:57:22',
                                                            'url_key': 'universal-camera-case',
                                                            'url_path': 'universal-camera-case.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': None},
        ('ol_catalog_product.info', (134, None, None, 'id')): {'categories': ['25'],
                                                            'color': None,
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-29 19:59:29',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'Features foldable Flat Pin for Easy Storage/ Slim/ Lightweight Design and Smart Charging LED Indicator.',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': '19.0000',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Universal Camera Charger',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '19.0000',
                                                            'product_id': '134',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': 'Features foldable Flat Pin for Easy Storage/ Slim/ Lightweight Design and Smart Charging LED Indicator.',
                                                            'sku': 'ac-66332',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-06-28 01:57:16',
                                                            'url_key': 'universal-camera-charger',
                                                            'url_path': 'universal-camera-charger.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '5.0000'},
        ('ol_catalog_product.info', (134, u'2', None, 'id')): {'categories': ['25'],
                                                            'color': None,
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-29 19:59:29',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'Features foldable Flat Pin for Easy Storage/ Slim/ Lightweight Design and Smart Charging LED Indicator.',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': '19.0000',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Universal Camera Charger',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '19.0000',
                                                            'product_id': '134',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': 'Features foldable Flat Pin for Easy Storage/ Slim/ Lightweight Design and Smart Charging LED Indicator.',
                                                            'sku': 'ac-66332',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-06-28 01:57:16',
                                                            'url_key': 'universal-camera-charger',
                                                            'url_path': 'universal-camera-charger.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '5.0000'},
        ('ol_catalog_product.info', (134, u'3', None, 'id')): {'categories': ['25'],
                                                            'color': None,
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-29 19:59:29',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'Features foldable Flat Pin for Easy Storage/ Slim/ Lightweight Design and Smart Charging LED Indicator.',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': '19.0000',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Universal Camera Charger',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '19.0000',
                                                            'product_id': '134',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': 'Features foldable Flat Pin for Easy Storage/ Slim/ Lightweight Design and Smart Charging LED Indicator.',
                                                            'sku': 'ac-66332',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-06-28 01:57:16',
                                                            'url_key': 'universal-camera-charger',
                                                            'url_path': 'universal-camera-charger.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '5.0000'},
        ('ol_catalog_product.info', (135, None, None, 'id')): {'categories': ['17'],
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-08-30 11:22:53',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'Smooth kidskin upper in a dress platform wedge t-strap sandal style, with a round open toe, front and ankle adjustable buckles and tonal stitching accents. Ankle buckle features elastic panel. Smooth faux leather lining, cushioning faux leather and fabric topped insole. 1 inch matching leather and fabric wrapped midsole.',
                                                            'enable_googlecheckout': None,
                                                            'gender': '35',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '1',
                                                            'image_label': None,
                                                            'in_depth': '<ul>\r\n<ul class="disc">\r\n<li>Womens Style <br></li>\r\n<li>Genuine Top Grain Premier Leather <br></li>\r\n<li>Rich Color Tones <br></li>\r\n<li>Straps lined with 2000 lb test nylon <br></li>\r\n<li>Guaranteed for the Life of the Sole - Non-slip sole<br></li>\r\n</ul>',
                                                            'meta_description': 'Anashria Womens Premier Leather Sandal',
                                                            'meta_keyword': 'womens, sandal, leather, anashria, ',
                                                            'meta_title': 'Anashria Womens Premier Leather Sandal',
                                                            'minimal_price': '41.9500',
                                                            'model': 'B000KJ43SG!',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Anashria Womens Premier Leather Sandal',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container1',
                                                            'page_layout': None,
                                                            'price': '41.9500',
                                                            'product_id': '135',
                                                            'required_options': '1',
                                                            'set': '40',
                                                            'shoe_type': '97',
                                                            'short_description': 'Buckle embellished contrasting straps adorn both the heel and canvas covered wedge of this t-strap sandal to make it a truly unique addition to your wardrobe',
                                                            'sku': 'ana',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'configurable',
                                                            'type_id': 'configurable',
                                                            'updated_at': '2008-08-08 15:06:02',
                                                            'url_key': 'anashria-womens-premier-leather-sandal',
                                                            'url_path': 'anashria-womens-premier-leather-sandal.html',
                                                            'visibility': '4',
                                                            'websites': ['1']},
        ('ol_catalog_product.info', (137, None, None, 'id')): {'categories': [],
                                                            'color': '24',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-10-04 07:46:58',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_keyword': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_title': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'minimal_price': '13.5000',
                                                            'model': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '13.5000',
                                                            'product_id': '137',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '99',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California t-shirts.  ',
                                                            'sku': 'zol_b_med',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '2',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:41:29',
                                                            'url_key': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-b-med',
                                                            'url_path': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-b-med.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.4400'},
        ('ol_catalog_product.info', (137, u'2', None, 'id')): {'categories': [],
                                                            'color': '24',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-10-04 07:46:58',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_keyword': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_title': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'minimal_price': '13.5000',
                                                            'model': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '13.5000',
                                                            'product_id': '137',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '99',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California t-shirts.  ',
                                                            'sku': 'zol_b_med',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '2',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:41:29',
                                                            'url_key': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-b-med',
                                                            'url_path': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-b-med.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.4400'},
        ('ol_catalog_product.info', (137, u'3', None, 'id')): {'categories': [],
                                                            'color': '24',
                                                            'cost': '2.0000',
                                                            'country_of_manufacture': None,
                                                            'created_at': '2007-10-04 07:46:58',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '# 6.1 oz. 100% preshrunk heavyweight cotton \r\n# Shoulder-to-shoulder taping\r\n# Double-needle sleeves and bottom hem',
                                                            'enable_googlecheckout': None,
                                                            'gender': '36',
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_keyword': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'meta_title': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'minimal_price': '13.5000',
                                                            'model': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '13.5000',
                                                            'product_id': '137',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '41',
                                                            'shirt_size': '99',
                                                            'short_description': 'Printed on American Apparel Classic style 5495 California t-shirts.  ',
                                                            'sku': 'zol_b_med',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '2',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 00:41:29',
                                                            'url_key': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-b-med',
                                                            'url_path': 'zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-b-med.html',
                                                            'visibility': '1',
                                                            'websites': ['1'],
                                                            'weight': '0.4400'},
        ('ol_catalog_product.info', (138, None, None, 'id')): {'categories': ['32'],
                                                            'color': '24',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 00:52:03',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "This superb, multi-functional Aspire X-Cruiser mid tower case is designed to follow Intel's recommendations to achieve the highest level of thermal performance. This gorgeous case outperforms most of the expensive chassis in the market, boasts an abundance of innovative features, yet carries a very affordable price tag. The Aspire X-Cruiser is fully loaded with everything you could possibly imagine that a great gaming case could have. With a built-in air duct on the side panel to funnel cool air towards the CPU, the fan-less X-Cruiser is specially designed to bring out the best performance in systems based on high-end processors.",
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Apevia Black X-Cruiser Case ATX Mid-Tower Case (Default)',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '150.0000',
                                                            'product_id': '138',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': 'This magnificent new case features 2 x 80mm built-in fans with space for 2 optional fans. The Aspire X-Cruiser features front temperature gauge, front fan speed controller and gauge, and front volume controller and gauge. It also features USB2.0, Firewire and audio ports. The superior cooling solution that X-Cruiser delivers can only be found in very few of the expensive chassis in the market.',
                                                            'sku': 'apevia-black',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 13:36:29',
                                                            'url_key': 'apevia-black-x-cruiser-case-atx-mid-tower-case',
                                                            'url_path': 'apevia-black-x-cruiser-case-atx-mid-tower-case.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '10.0000'},
        ('ol_catalog_product.info', (138, u'2', None, 'id')): {'categories': ['32'],
                                                            'color': '24',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 00:52:03',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "This superb, multi-functional Aspire X-Cruiser mid tower case is designed to follow Intel's recommendations to achieve the highest level of thermal performance. This gorgeous case outperforms most of the expensive chassis in the market, boasts an abundance of innovative features, yet carries a very affordable price tag. The Aspire X-Cruiser is fully loaded with everything you could possibly imagine that a great gaming case could have. With a built-in air duct on the side panel to funnel cool air towards the CPU, the fan-less X-Cruiser is specially designed to bring out the best performance in systems based on high-end processors.",
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Apevia Black X-Cruiser Case ATX Mid-Tower Case (Default)',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '150.0000',
                                                            'product_id': '138',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': 'This magnificent new case features 2 x 80mm built-in fans with space for 2 optional fans. The Aspire X-Cruiser features front temperature gauge, front fan speed controller and gauge, and front volume controller and gauge. It also features USB2.0, Firewire and audio ports. The superior cooling solution that X-Cruiser delivers can only be found in very few of the expensive chassis in the market.',
                                                            'sku': 'apevia-black',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 13:36:29',
                                                            'url_key': 'apevia-black-x-cruiser-case-atx-mid-tower-case',
                                                            'url_path': 'apevia-black-x-cruiser-case-atx-mid-tower-case.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '10.0000'},
        ('ol_catalog_product.info', (138, u'3', None, 'id')): {'categories': ['32'],
                                                            'color': '24',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 00:52:03',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "This superb, multi-functional Aspire X-Cruiser mid tower case is designed to follow Intel's recommendations to achieve the highest level of thermal performance. This gorgeous case outperforms most of the expensive chassis in the market, boasts an abundance of innovative features, yet carries a very affordable price tag. The Aspire X-Cruiser is fully loaded with everything you could possibly imagine that a great gaming case could have. With a built-in air duct on the side panel to funnel cool air towards the CPU, the fan-less X-Cruiser is specially designed to bring out the best performance in systems based on high-end processors.",
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Apevia Black X-Cruiser Case ATX Mid-Tower Case (Default)',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '150.0000',
                                                            'product_id': '138',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': 'This magnificent new case features 2 x 80mm built-in fans with space for 2 optional fans. The Aspire X-Cruiser features front temperature gauge, front fan speed controller and gauge, and front volume controller and gauge. It also features USB2.0, Firewire and audio ports. The superior cooling solution that X-Cruiser delivers can only be found in very few of the expensive chassis in the market.',
                                                            'sku': 'apevia-black',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 13:36:29',
                                                            'url_key': 'apevia-black-x-cruiser-case-atx-mid-tower-case',
                                                            'url_path': 'apevia-black-x-cruiser-case-atx-mid-tower-case.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '10.0000'},
        ('ol_catalog_product.info', (139, None, None, 'id')): {'categories': ['32'],
                                                            'color': '23',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 00:54:41',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Introducing the next advancement in case design and technology, the Lexa. Designed from ground up to be symmetrical, the Lexa is representative of the modern lifestyle design cues of today. The Lexa's minimalist and classy design fits perfectly under the NZXT Classic Series line.",
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'NZXT Lexa Silver Aluminum ATX Mid-Tower Case (Default)',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '199.9900',
                                                            'product_id': '139',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': "The Lexa boasts a ridgid, but light weight aluminum chassis. The Lexa's high-air-flow design, while quiet, ensures cooling options for the more ambitious computing enthusiasts. Three thermal probes provide temperature readings to the illuminated LCD display for monitoring your systems core components. The Lexa ships with a rugged carrying strap with protective window cover for easy single-handed transportation.",
                                                            'sku': 'nzxtlexa',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 00:54:41',
                                                            'url_key': 'nzxt-lexa-silver-aluminum-atx-mid-tower-case',
                                                            'url_path': 'nzxt-lexa-silver-aluminum-atx-mid-tower-case.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '10.0000'},
        ('ol_catalog_product.info', (139, u'2', None, 'id')): {'categories': ['32'],
                                                            'color': '23',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 00:54:41',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Introducing the next advancement in case design and technology, the Lexa. Designed from ground up to be symmetrical, the Lexa is representative of the modern lifestyle design cues of today. The Lexa's minimalist and classy design fits perfectly under the NZXT Classic Series line.",
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'NZXT Lexa Silver Aluminum ATX Mid-Tower Case (Default)',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '199.9900',
                                                            'product_id': '139',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': "The Lexa boasts a ridgid, but light weight aluminum chassis. The Lexa's high-air-flow design, while quiet, ensures cooling options for the more ambitious computing enthusiasts. Three thermal probes provide temperature readings to the illuminated LCD display for monitoring your systems core components. The Lexa ships with a rugged carrying strap with protective window cover for easy single-handed transportation.",
                                                            'sku': 'nzxtlexa',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 00:54:41',
                                                            'url_key': 'nzxt-lexa-silver-aluminum-atx-mid-tower-case',
                                                            'url_path': 'nzxt-lexa-silver-aluminum-atx-mid-tower-case.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '10.0000'},
        ('ol_catalog_product.info', (139, u'3', None, 'id')): {'categories': ['32'],
                                                            'color': '23',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 00:54:41',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Introducing the next advancement in case design and technology, the Lexa. Designed from ground up to be symmetrical, the Lexa is representative of the modern lifestyle design cues of today. The Lexa's minimalist and classy design fits perfectly under the NZXT Classic Series line.",
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': None,
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'NZXT Lexa Silver Aluminum ATX Mid-Tower Case (Default)',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '199.9900',
                                                            'product_id': '139',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': "The Lexa boasts a ridgid, but light weight aluminum chassis. The Lexa's high-air-flow design, while quiet, ensures cooling options for the more ambitious computing enthusiasts. Three thermal probes provide temperature readings to the illuminated LCD display for monitoring your systems core components. The Lexa ships with a rugged carrying strap with protective window cover for easy single-handed transportation.",
                                                            'sku': 'nzxtlexa',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 00:54:41',
                                                            'url_key': 'nzxt-lexa-silver-aluminum-atx-mid-tower-case',
                                                            'url_path': 'nzxt-lexa-silver-aluminum-atx-mid-tower-case.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '10.0000'},
        ('ol_catalog_product.info', (140, None, None, 'id')): {'categories': ['15',
                                                                           '31'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 00:59:55',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'Crucial 2GB PC4200 DDR2 533MHz Memory\r\nCrucial Technologies is part of Micron, the largest DRAM manufacturer in the U.S. and one of the largest in the world. Because they actually manufacture memory, they have unparalleled expertise in the upgrade industry. Crucial is the only consumer memory upgrade supplier that is part of a major DRAM manufacturer.\r\n\r\nEvery single Crucial memory module is tested before it goes out their doors. Crucial chips are individually tested under varying temperatures, voltages, and operational conditions for performance and functionality. ',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '111',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Crucial 2GB PC4200 DDR2 533MHz Memory',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '199.9900',
                                                            'product_id': '140',
                                                            'ram_size': '2GB',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '58',
                                                            'short_description': 'Crucial 2GB PC4200 DDR2 533MHz Memory\r\nCrucial Technologies is part of Micron, the largest DRAM manufacturer in the U.S. and one of the largest in the world. Because they actually manufacture memory, they have unparalleled expertise in the upgrade industry. Crucial is the only consumer memory upgrade supplier that is part of a major DRAM manufacturer.\r\n\r\nEvery single Crucial memory module is tested before it goes out their doors. Crucial chips are individually tested under varying temperatures, voltages, and operational conditions for performance and functionality. ',
                                                            'sku': '2gbdimm',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 02:14:23',
                                                            'url_key': 'crucial-2gb-pc4200-ddr2-533mhz-memory',
                                                            'url_path': 'crucial-2gb-pc4200-ddr2-533mhz-memory.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (140, u'2', None, 'id')): {'categories': ['15',
                                                                           '31'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 00:59:55',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'Crucial 2GB PC4200 DDR2 533MHz Memory\r\nCrucial Technologies is part of Micron, the largest DRAM manufacturer in the U.S. and one of the largest in the world. Because they actually manufacture memory, they have unparalleled expertise in the upgrade industry. Crucial is the only consumer memory upgrade supplier that is part of a major DRAM manufacturer.\r\n\r\nEvery single Crucial memory module is tested before it goes out their doors. Crucial chips are individually tested under varying temperatures, voltages, and operational conditions for performance and functionality. ',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '111',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Crucial 2GB PC4200 DDR2 533MHz Memory',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '199.9900',
                                                            'product_id': '140',
                                                            'ram_size': '2GB',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '58',
                                                            'short_description': 'Crucial 2GB PC4200 DDR2 533MHz Memory\r\nCrucial Technologies is part of Micron, the largest DRAM manufacturer in the U.S. and one of the largest in the world. Because they actually manufacture memory, they have unparalleled expertise in the upgrade industry. Crucial is the only consumer memory upgrade supplier that is part of a major DRAM manufacturer.\r\n\r\nEvery single Crucial memory module is tested before it goes out their doors. Crucial chips are individually tested under varying temperatures, voltages, and operational conditions for performance and functionality. ',
                                                            'sku': '2gbdimm',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 02:14:23',
                                                            'url_key': 'crucial-2gb-pc4200-ddr2-533mhz-memory',
                                                            'url_path': 'crucial-2gb-pc4200-ddr2-533mhz-memory.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (140, u'3', None, 'id')): {'categories': ['15',
                                                                           '31'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 00:59:55',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'Crucial 2GB PC4200 DDR2 533MHz Memory\r\nCrucial Technologies is part of Micron, the largest DRAM manufacturer in the U.S. and one of the largest in the world. Because they actually manufacture memory, they have unparalleled expertise in the upgrade industry. Crucial is the only consumer memory upgrade supplier that is part of a major DRAM manufacturer.\r\n\r\nEvery single Crucial memory module is tested before it goes out their doors. Crucial chips are individually tested under varying temperatures, voltages, and operational conditions for performance and functionality. ',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '111',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Crucial 2GB PC4200 DDR2 533MHz Memory',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '199.9900',
                                                            'product_id': '140',
                                                            'ram_size': '2GB',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '58',
                                                            'short_description': 'Crucial 2GB PC4200 DDR2 533MHz Memory\r\nCrucial Technologies is part of Micron, the largest DRAM manufacturer in the U.S. and one of the largest in the world. Because they actually manufacture memory, they have unparalleled expertise in the upgrade industry. Crucial is the only consumer memory upgrade supplier that is part of a major DRAM manufacturer.\r\n\r\nEvery single Crucial memory module is tested before it goes out their doors. Crucial chips are individually tested under varying temperatures, voltages, and operational conditions for performance and functionality. ',
                                                            'sku': '2gbdimm',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 02:14:23',
                                                            'url_key': 'crucial-2gb-pc4200-ddr2-533mhz-memory',
                                                            'url_path': 'crucial-2gb-pc4200-ddr2-533mhz-memory.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (141, None, None, 'id')): {'categories': ['15',
                                                                           '31'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:02:21',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'Crucial 1024MB PC4200 DDR2 533MHz Memory\r\nCrucial Technologies is part of Micron, the largest DRAM manufacturer in the U.S. and one of the largest in the world. Because they actually manufacture memory, they have unparalleled expertise in the upgrade industry. Crucial is the only consumer memory upgrade supplier that is part of a major DRAM manufacturer.\r\n\r\nEvery single Crucial memory module is tested before it goes out their doors. Crucial chips are individually tested under varying temperatures, voltages, and operational conditions for performance and functionality. ',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '111',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Crucial 1GB PC4200 DDR2 533MHz Memory',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '150.9900',
                                                            'product_id': '141',
                                                            'ram_size': '1GB',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '58',
                                                            'short_description': 'Crucial 1024MB PC4200 DDR2 533MHz Memory\r\nCrucial Technologies is part of Micron, the largest DRAM manufacturer in the U.S. and one of the largest in the world. Because they actually manufacture memory, they have unparalleled expertise in the upgrade industry. Crucial is the only consumer memory upgrade supplier that is part of a major DRAM manufacturer.\r\n\r\nEvery single Crucial memory module is tested before it goes out their doors. Crucial chips are individually tested under varying temperatures, voltages, and operational conditions for performance and functionality. ',
                                                            'sku': '1gbdimm',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 02:13:04',
                                                            'url_key': 'crucial-1gb-pc4200-ddr2-533mhz-memory',
                                                            'url_path': 'crucial-1gb-pc4200-ddr2-533mhz-memory.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (141, u'2', None, 'id')): {'categories': ['15',
                                                                           '31'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:02:21',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'Crucial 1024MB PC4200 DDR2 533MHz Memory\r\nCrucial Technologies is part of Micron, the largest DRAM manufacturer in the U.S. and one of the largest in the world. Because they actually manufacture memory, they have unparalleled expertise in the upgrade industry. Crucial is the only consumer memory upgrade supplier that is part of a major DRAM manufacturer.\r\n\r\nEvery single Crucial memory module is tested before it goes out their doors. Crucial chips are individually tested under varying temperatures, voltages, and operational conditions for performance and functionality. ',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '111',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Crucial 1GB PC4200 DDR2 533MHz Memory',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '150.9900',
                                                            'product_id': '141',
                                                            'ram_size': '1GB',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '58',
                                                            'short_description': 'Crucial 1024MB PC4200 DDR2 533MHz Memory\r\nCrucial Technologies is part of Micron, the largest DRAM manufacturer in the U.S. and one of the largest in the world. Because they actually manufacture memory, they have unparalleled expertise in the upgrade industry. Crucial is the only consumer memory upgrade supplier that is part of a major DRAM manufacturer.\r\n\r\nEvery single Crucial memory module is tested before it goes out their doors. Crucial chips are individually tested under varying temperatures, voltages, and operational conditions for performance and functionality. ',
                                                            'sku': '1gbdimm',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 02:13:04',
                                                            'url_key': 'crucial-1gb-pc4200-ddr2-533mhz-memory',
                                                            'url_path': 'crucial-1gb-pc4200-ddr2-533mhz-memory.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (141, u'3', None, 'id')): {'categories': ['15',
                                                                           '31'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:02:21',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'Crucial 1024MB PC4200 DDR2 533MHz Memory\r\nCrucial Technologies is part of Micron, the largest DRAM manufacturer in the U.S. and one of the largest in the world. Because they actually manufacture memory, they have unparalleled expertise in the upgrade industry. Crucial is the only consumer memory upgrade supplier that is part of a major DRAM manufacturer.\r\n\r\nEvery single Crucial memory module is tested before it goes out their doors. Crucial chips are individually tested under varying temperatures, voltages, and operational conditions for performance and functionality. ',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '111',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Crucial 1GB PC4200 DDR2 533MHz Memory',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '150.9900',
                                                            'product_id': '141',
                                                            'ram_size': '1GB',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '58',
                                                            'short_description': 'Crucial 1024MB PC4200 DDR2 533MHz Memory\r\nCrucial Technologies is part of Micron, the largest DRAM manufacturer in the U.S. and one of the largest in the world. Because they actually manufacture memory, they have unparalleled expertise in the upgrade industry. Crucial is the only consumer memory upgrade supplier that is part of a major DRAM manufacturer.\r\n\r\nEvery single Crucial memory module is tested before it goes out their doors. Crucial chips are individually tested under varying temperatures, voltages, and operational conditions for performance and functionality. ',
                                                            'sku': '1gbdimm',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 02:13:04',
                                                            'url_key': 'crucial-1gb-pc4200-ddr2-533mhz-memory',
                                                            'url_path': 'crucial-1gb-pc4200-ddr2-533mhz-memory.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (142, None, None, 'id')): {'categories': [],
                                                            'cost': None,
                                                            'created_at': '2008-07-25 01:02:54',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '1 Year Extended Warranty - Parts and Labor',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': None,
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'meta_description': '1 Year Warranty - Parts and Labor',
                                                            'meta_keyword': '1 Year Warranty - Parts and Labor',
                                                            'meta_title': '1 Year Warranty - Parts and Labor',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'One Year Extended Warranty - Parts and Labor',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '150.0000',
                                                            'product_id': '142',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '59',
                                                            'short_description': '1 Year Extended Warranty - Parts and Labor',
                                                            'sku': '1yr_p_l',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '0',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'virtual',
                                                            'type_id': 'virtual',
                                                            'updated_at': '2008-07-25 01:02:54',
                                                            'url_key': '1-year-extended-warranty-parts-and-labor',
                                                            'url_path': '1-year-extended-warranty-parts-and-labor.html',
                                                            'visibility': '1',
                                                            'websites': ['1']},
        ('ol_catalog_product.info', (143, None, None, 'id')): {'categories': ['15',
                                                                           '31'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:05:00',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'Crucial 512MB PC4200 DDR2 533MHz Memory\r\nCrucial Technologies is part of Micron, the largest DRAM manufacturer in the U.S. and one of the largest in the world. Because they actually manufacture memory, they have unparalleled expertise in the upgrade industry. Crucial is the only consumer memory upgrade supplier that is part of a major DRAM manufacturer.\r\n\r\nEvery single Crucial memory module is tested before it goes out their doors. Crucial chips are individually tested under varying temperatures, voltages, and operational conditions for performance and functionality. ',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '111',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Crucial 512MB PC4200 DDR2 533MHz Memory',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '99.9900',
                                                            'product_id': '143',
                                                            'ram_size': '512MB',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '58',
                                                            'short_description': 'Crucial 512MB PC4200 DDR2 533MHz Memory\r\nCrucial Technologies is part of Micron, the largest DRAM manufacturer in the U.S. and one of the largest in the world. Because they actually manufacture memory, they have unparalleled expertise in the upgrade industry. Crucial is the only consumer memory upgrade supplier that is part of a major DRAM manufacturer.\r\n\r\nEvery single Crucial memory module is tested before it goes out their doors. Crucial chips are individually tested under varying temperatures, voltages, and operational conditions for performance and functionality. ',
                                                            'sku': '512dimm',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 02:12:45',
                                                            'url_key': 'crucial-512mb-pc4200-ddr2-533mhz-memory',
                                                            'url_path': 'crucial-512mb-pc4200-ddr2-533mhz-memory.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (143, u'2', None, 'id')): {'categories': ['15',
                                                                           '31'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:05:00',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'Crucial 512MB PC4200 DDR2 533MHz Memory\r\nCrucial Technologies is part of Micron, the largest DRAM manufacturer in the U.S. and one of the largest in the world. Because they actually manufacture memory, they have unparalleled expertise in the upgrade industry. Crucial is the only consumer memory upgrade supplier that is part of a major DRAM manufacturer.\r\n\r\nEvery single Crucial memory module is tested before it goes out their doors. Crucial chips are individually tested under varying temperatures, voltages, and operational conditions for performance and functionality. ',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '111',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Crucial 512MB PC4200 DDR2 533MHz Memory',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '99.9900',
                                                            'product_id': '143',
                                                            'ram_size': '512MB',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '58',
                                                            'short_description': 'Crucial 512MB PC4200 DDR2 533MHz Memory\r\nCrucial Technologies is part of Micron, the largest DRAM manufacturer in the U.S. and one of the largest in the world. Because they actually manufacture memory, they have unparalleled expertise in the upgrade industry. Crucial is the only consumer memory upgrade supplier that is part of a major DRAM manufacturer.\r\n\r\nEvery single Crucial memory module is tested before it goes out their doors. Crucial chips are individually tested under varying temperatures, voltages, and operational conditions for performance and functionality. ',
                                                            'sku': '512dimm',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 02:12:45',
                                                            'url_key': 'crucial-512mb-pc4200-ddr2-533mhz-memory',
                                                            'url_path': 'crucial-512mb-pc4200-ddr2-533mhz-memory.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (143, u'3', None, 'id')): {'categories': ['15',
                                                                           '31'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:05:00',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'Crucial 512MB PC4200 DDR2 533MHz Memory\r\nCrucial Technologies is part of Micron, the largest DRAM manufacturer in the U.S. and one of the largest in the world. Because they actually manufacture memory, they have unparalleled expertise in the upgrade industry. Crucial is the only consumer memory upgrade supplier that is part of a major DRAM manufacturer.\r\n\r\nEvery single Crucial memory module is tested before it goes out their doors. Crucial chips are individually tested under varying temperatures, voltages, and operational conditions for performance and functionality. ',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '111',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Crucial 512MB PC4200 DDR2 533MHz Memory',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '99.9900',
                                                            'product_id': '143',
                                                            'ram_size': '512MB',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '58',
                                                            'short_description': 'Crucial 512MB PC4200 DDR2 533MHz Memory\r\nCrucial Technologies is part of Micron, the largest DRAM manufacturer in the U.S. and one of the largest in the world. Because they actually manufacture memory, they have unparalleled expertise in the upgrade industry. Crucial is the only consumer memory upgrade supplier that is part of a major DRAM manufacturer.\r\n\r\nEvery single Crucial memory module is tested before it goes out their doors. Crucial chips are individually tested under varying temperatures, voltages, and operational conditions for performance and functionality. ',
                                                            'sku': '512dimm',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 02:12:45',
                                                            'url_key': 'crucial-512mb-pc4200-ddr2-533mhz-memory',
                                                            'url_path': 'crucial-512mb-pc4200-ddr2-533mhz-memory.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (144, None, None, 'id')): {'categories': [],
                                                            'cost': None,
                                                            'created_at': '2008-07-25 01:06:02',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '2 Year Extended Warranty - Parts and Labor',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': None,
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'meta_description': '2 Year Warranty - Parts and Labor',
                                                            'meta_keyword': '2 Year Warranty - Parts and Labor',
                                                            'meta_title': '2 Year Warranty - Parts and Labor',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Two Year Extended Warranty - Parts and Labor',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '250.0000',
                                                            'product_id': '144',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '59',
                                                            'short_description': '2 Year Extended Warranty - Parts and Labor',
                                                            'sku': '2yr_p_l',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '0',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'virtual',
                                                            'type_id': 'virtual',
                                                            'updated_at': '2008-07-25 01:06:02',
                                                            'url_key': '1-year-extended-warranty-parts-and-labor',
                                                            'url_path': '1-year-extended-warranty-parts-and-labor-144.html',
                                                            'visibility': '1',
                                                            'websites': ['1']},
        ('ol_catalog_product.info', (145, None, None, 'id')): {'categories': ['33'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'cpu_speed': '113',
                                                            'created_at': '2008-07-25 01:07:37',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u"Overclocker\u2019s dream! Deliver more sophisticated solutions with the leading-edge technology of AMD Phenom\u2122 9000 Series processor. Built from the ground up for true quad-core performance, AMD Phenom 9000 Series processors incorporate a unified high-speed L3 cache and high-speed DDR2 memory. Speed through complex multitasking, critical business productivity, advanced visual design and modeling and visually stunning digital media and entertainment. Whether it's a single solution or an enterprise system, AMD Phenom processors have the power to perform.",
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '117',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'AMD Phenom X4 9850 Black Ed. 2.50GHz Retail',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '335.9900',
                                                            'product_id': '145',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '60',
                                                            'short_description': u'Deliver more sophisticated solutions with the leading-edge technology of AMD Phenom\u2122 9000 Series processor.',
                                                            'sku': 'amdphenom',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:10:32',
                                                            'url_key': 'amd-phenom-x4-9850-black-ed-2-50ghz-retail',
                                                            'url_path': 'amd-phenom-x4-9850-black-ed-2-50ghz-retail.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (145, u'2', None, 'id')): {'categories': ['33'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'cpu_speed': '113',
                                                            'created_at': '2008-07-25 01:07:37',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u"Overclocker\u2019s dream! Deliver more sophisticated solutions with the leading-edge technology of AMD Phenom\u2122 9000 Series processor. Built from the ground up for true quad-core performance, AMD Phenom 9000 Series processors incorporate a unified high-speed L3 cache and high-speed DDR2 memory. Speed through complex multitasking, critical business productivity, advanced visual design and modeling and visually stunning digital media and entertainment. Whether it's a single solution or an enterprise system, AMD Phenom processors have the power to perform.",
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '117',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'AMD Phenom X4 9850 Black Ed. 2.50GHz Retail',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '335.9900',
                                                            'product_id': '145',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '60',
                                                            'short_description': u'Deliver more sophisticated solutions with the leading-edge technology of AMD Phenom\u2122 9000 Series processor.',
                                                            'sku': 'amdphenom',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:10:32',
                                                            'url_key': 'amd-phenom-x4-9850-black-ed-2-50ghz-retail',
                                                            'url_path': 'amd-phenom-x4-9850-black-ed-2-50ghz-retail.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (145, u'3', None, 'id')): {'categories': ['33'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'cpu_speed': '113',
                                                            'created_at': '2008-07-25 01:07:37',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u"Overclocker\u2019s dream! Deliver more sophisticated solutions with the leading-edge technology of AMD Phenom\u2122 9000 Series processor. Built from the ground up for true quad-core performance, AMD Phenom 9000 Series processors incorporate a unified high-speed L3 cache and high-speed DDR2 memory. Speed through complex multitasking, critical business productivity, advanced visual design and modeling and visually stunning digital media and entertainment. Whether it's a single solution or an enterprise system, AMD Phenom processors have the power to perform.",
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '117',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'AMD Phenom X4 9850 Black Ed. 2.50GHz Retail',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '335.9900',
                                                            'product_id': '145',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '60',
                                                            'short_description': u'Deliver more sophisticated solutions with the leading-edge technology of AMD Phenom\u2122 9000 Series processor.',
                                                            'sku': 'amdphenom',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:10:32',
                                                            'url_key': 'amd-phenom-x4-9850-black-ed-2-50ghz-retail',
                                                            'url_path': 'amd-phenom-x4-9850-black-ed-2-50ghz-retail.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (146, None, None, 'id')): {'categories': [],
                                                            'cost': None,
                                                            'created_at': '2008-07-25 01:07:50',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '3 Year Extended Warranty - Parts and Labor',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': None,
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'meta_description': '3 Year Warranty - Parts and Labor',
                                                            'meta_keyword': '3 Year Warranty - Parts and Labor',
                                                            'meta_title': '3 Year Warranty - Parts and Labor',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Three Year Extended Warranty - Parts and Labor',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '325.0000',
                                                            'product_id': '146',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '59',
                                                            'short_description': '3 Year Extended Warranty - Parts and Labor',
                                                            'sku': '3yr_p_l',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '0',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'virtual',
                                                            'type_id': 'virtual',
                                                            'updated_at': '2008-07-25 01:07:50',
                                                            'url_key': '1-year-extended-warranty-parts-and-labor',
                                                            'url_path': '1-year-extended-warranty-parts-and-labor-146.html',
                                                            'visibility': '1',
                                                            'websites': ['1']},
        ('ol_catalog_product.info', (147, None, None, 'id')): {'categories': ['30'],
                                                            'contrast_ratio': '110',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:10:17',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u"The wide, 16:10 format of SAMSUNG's 226BW digital/Analog widescreen LCD monitor gives you plenty of room for all your computer applications and multiple images. DC 3000:1 contrast ratio creates crisp, easy-to-view images and gaming graphics, without ghosting or blurring. Complete with Microsoft\xae Vista\xae Premium certification and advanced dual interface for both analog digital video signals, the 226BW monitor is future-ready.",
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '3',
                                                            'max_resolution': '1680 x 1050',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': '22" Syncmaster LCD Monitor',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '399.9900',
                                                            'product_id': '147',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'response_time': '2ms',
                                                            'screensize': '22"',
                                                            'set': '61',
                                                            'short_description': u"The wide, 16:10 format of SAMSUNG's 226BW digital/Analog widescreen LCD monitor gives you plenty of room for all your computer applications and multiple images. DC 3000:1 contrast ratio creates crisp, easy-to-view images and gaming graphics, without ghosting or blurring. Complete with Microsoft\xae Vista\xae Premium certification and advanced dual interface for both analog digital video signals, the 226BW monitor is future-ready.",
                                                            'sku': '226bw',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '0',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:33:30',
                                                            'url_key': '22-syncmaster-lcd-monitor',
                                                            'url_path': '22-syncmaster-lcd-monitor.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (147, u'2', None, 'id')): {'categories': ['30'],
                                                            'contrast_ratio': '110',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:10:17',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u"The wide, 16:10 format of SAMSUNG's 226BW digital/Analog widescreen LCD monitor gives you plenty of room for all your computer applications and multiple images. DC 3000:1 contrast ratio creates crisp, easy-to-view images and gaming graphics, without ghosting or blurring. Complete with Microsoft\xae Vista\xae Premium certification and advanced dual interface for both analog digital video signals, the 226BW monitor is future-ready.",
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '3',
                                                            'max_resolution': '1680 x 1050',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': '22" Syncmaster LCD Monitor',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '399.9900',
                                                            'product_id': '147',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'response_time': '2ms',
                                                            'screensize': '22"',
                                                            'set': '61',
                                                            'short_description': u"The wide, 16:10 format of SAMSUNG's 226BW digital/Analog widescreen LCD monitor gives you plenty of room for all your computer applications and multiple images. DC 3000:1 contrast ratio creates crisp, easy-to-view images and gaming graphics, without ghosting or blurring. Complete with Microsoft\xae Vista\xae Premium certification and advanced dual interface for both analog digital video signals, the 226BW monitor is future-ready.",
                                                            'sku': '226bw',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '0',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:33:30',
                                                            'url_key': '22-syncmaster-lcd-monitor',
                                                            'url_path': '22-syncmaster-lcd-monitor.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (147, u'3', None, 'id')): {'categories': ['30'],
                                                            'contrast_ratio': '110',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:10:17',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u"The wide, 16:10 format of SAMSUNG's 226BW digital/Analog widescreen LCD monitor gives you plenty of room for all your computer applications and multiple images. DC 3000:1 contrast ratio creates crisp, easy-to-view images and gaming graphics, without ghosting or blurring. Complete with Microsoft\xae Vista\xae Premium certification and advanced dual interface for both analog digital video signals, the 226BW monitor is future-ready.",
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '3',
                                                            'max_resolution': '1680 x 1050',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': '22" Syncmaster LCD Monitor',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '399.9900',
                                                            'product_id': '147',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'response_time': '2ms',
                                                            'screensize': '22"',
                                                            'set': '61',
                                                            'short_description': u"The wide, 16:10 format of SAMSUNG's 226BW digital/Analog widescreen LCD monitor gives you plenty of room for all your computer applications and multiple images. DC 3000:1 contrast ratio creates crisp, easy-to-view images and gaming graphics, without ghosting or blurring. Complete with Microsoft\xae Vista\xae Premium certification and advanced dual interface for both analog digital video signals, the 226BW monitor is future-ready.",
                                                            'sku': '226bw',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '0',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:33:30',
                                                            'url_key': '22-syncmaster-lcd-monitor',
                                                            'url_path': '22-syncmaster-lcd-monitor.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (148, None, None, 'id')): {'categories': ['33'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'cpu_speed': '115',
                                                            'created_at': '2008-07-25 01:10:21',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u'Frustrated by staring at the hourglass icon as soon as you try to work on more than three programs at once, especially when you\u2019re working with digital media? Increase your performance with the AMD Athlon\u2122 64 X2 dual core processor. Work or play with multiple programs without any stalling or waiting. Dual-core technology is like having two processors, and two working together is better and faster than one working alone. Do more in less time with the AMD Athlon 64 X2 dual-core processor.',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '117',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'AMD A64 X2 3800+ 2.0GHz OEM',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '98.9900',
                                                            'product_id': '148',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '60',
                                                            'short_description': 'AMD Athlon 64 X2 3800+ Processor ADO3800IAA5CZ - 2.0GHz, 2 x 512KB Cache, 1000MHz (2000 MT/s) FSB, Windsor, Dual Core, OEM, Socket AM2, Processor',
                                                            'sku': 'amda64',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:11:01',
                                                            'url_key': 'amd-a64-x2-3800-2-0ghz-oem',
                                                            'url_path': 'amd-a64-x2-3800-2-0ghz-oem.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (148, u'2', None, 'id')): {'categories': ['33'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'cpu_speed': '115',
                                                            'created_at': '2008-07-25 01:10:21',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u'Frustrated by staring at the hourglass icon as soon as you try to work on more than three programs at once, especially when you\u2019re working with digital media? Increase your performance with the AMD Athlon\u2122 64 X2 dual core processor. Work or play with multiple programs without any stalling or waiting. Dual-core technology is like having two processors, and two working together is better and faster than one working alone. Do more in less time with the AMD Athlon 64 X2 dual-core processor.',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '117',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'AMD A64 X2 3800+ 2.0GHz OEM',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '98.9900',
                                                            'product_id': '148',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '60',
                                                            'short_description': 'AMD Athlon 64 X2 3800+ Processor ADO3800IAA5CZ - 2.0GHz, 2 x 512KB Cache, 1000MHz (2000 MT/s) FSB, Windsor, Dual Core, OEM, Socket AM2, Processor',
                                                            'sku': 'amda64',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:11:01',
                                                            'url_key': 'amd-a64-x2-3800-2-0ghz-oem',
                                                            'url_path': 'amd-a64-x2-3800-2-0ghz-oem.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (148, u'3', None, 'id')): {'categories': ['33'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'cpu_speed': '115',
                                                            'created_at': '2008-07-25 01:10:21',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u'Frustrated by staring at the hourglass icon as soon as you try to work on more than three programs at once, especially when you\u2019re working with digital media? Increase your performance with the AMD Athlon\u2122 64 X2 dual core processor. Work or play with multiple programs without any stalling or waiting. Dual-core technology is like having two processors, and two working together is better and faster than one working alone. Do more in less time with the AMD Athlon 64 X2 dual-core processor.',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '117',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'AMD A64 X2 3800+ 2.0GHz OEM',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '98.9900',
                                                            'product_id': '148',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '60',
                                                            'short_description': 'AMD Athlon 64 X2 3800+ Processor ADO3800IAA5CZ - 2.0GHz, 2 x 512KB Cache, 1000MHz (2000 MT/s) FSB, Windsor, Dual Core, OEM, Socket AM2, Processor',
                                                            'sku': 'amda64',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:11:01',
                                                            'url_key': 'amd-a64-x2-3800-2-0ghz-oem',
                                                            'url_path': 'amd-a64-x2-3800-2-0ghz-oem.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (149, None, None, 'id')): {'categories': ['29'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:12:44',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '1 TB - 7200RPM, SATA 3.0Gb/s, 32MB Cache',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'harddrive_speed': '7200 rpm',
                                                            'hardrive': '1 TB',
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '118',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Western Digital - 1TB HD - 7200RPM',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '399.0000',
                                                            'product_id': '149',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '62',
                                                            'short_description': '1 TB - 7200RPM, SATA 3.0Gb/s, 32MB Cache',
                                                            'sku': '1tb7200',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 02:10:08',
                                                            'url_key': '1tb-7200rpm',
                                                            'url_path': '1tb-7200rpm.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (149, u'2', None, 'id')): {'categories': ['29'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:12:44',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '1 TB - 7200RPM, SATA 3.0Gb/s, 32MB Cache',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'harddrive_speed': '7200 rpm',
                                                            'hardrive': '1 TB',
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '118',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Western Digital - 1TB HD - 7200RPM',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '399.0000',
                                                            'product_id': '149',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '62',
                                                            'short_description': '1 TB - 7200RPM, SATA 3.0Gb/s, 32MB Cache',
                                                            'sku': '1tb7200',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 02:10:08',
                                                            'url_key': '1tb-7200rpm',
                                                            'url_path': '1tb-7200rpm.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (149, u'3', None, 'id')): {'categories': ['29'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:12:44',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '1 TB - 7200RPM, SATA 3.0Gb/s, 32MB Cache',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'harddrive_speed': '7200 rpm',
                                                            'hardrive': '1 TB',
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '118',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Western Digital - 1TB HD - 7200RPM',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '399.0000',
                                                            'product_id': '149',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '62',
                                                            'short_description': '1 TB - 7200RPM, SATA 3.0Gb/s, 32MB Cache',
                                                            'sku': '1tb7200',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 02:10:08',
                                                            'url_key': '1tb-7200rpm',
                                                            'url_path': '1tb-7200rpm.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (150, None, None, 'id')): {'categories': ['29'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:12:44',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '500GB- 7200RPM, SATA 3.0Gb/s, 32MB Cache',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'harddrive_speed': '7200 rpm',
                                                            'hardrive': '500 GB',
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '118',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Western Digital 500GB HD - 7200RPM',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '299.0000',
                                                            'product_id': '150',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '62',
                                                            'short_description': '500GB - 7200RPM, SATA 3.0Gb/s, 32MB Cache',
                                                            'sku': '500gb7200',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 02:09:26',
                                                            'url_key': '500gb-7200rpm',
                                                            'url_path': '500gb-7200rpm.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (150, u'2', None, 'id')): {'categories': ['29'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:12:44',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '500GB- 7200RPM, SATA 3.0Gb/s, 32MB Cache',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'harddrive_speed': '7200 rpm',
                                                            'hardrive': '500 GB',
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '118',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Western Digital 500GB HD - 7200RPM',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '299.0000',
                                                            'product_id': '150',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '62',
                                                            'short_description': '500GB - 7200RPM, SATA 3.0Gb/s, 32MB Cache',
                                                            'sku': '500gb7200',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 02:09:26',
                                                            'url_key': '500gb-7200rpm',
                                                            'url_path': '500gb-7200rpm.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (150, u'3', None, 'id')): {'categories': ['29'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:12:44',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '500GB- 7200RPM, SATA 3.0Gb/s, 32MB Cache',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'harddrive_speed': '7200 rpm',
                                                            'hardrive': '500 GB',
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '118',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Western Digital 500GB HD - 7200RPM',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '299.0000',
                                                            'product_id': '150',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '62',
                                                            'short_description': '500GB - 7200RPM, SATA 3.0Gb/s, 32MB Cache',
                                                            'sku': '500gb7200',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 02:09:26',
                                                            'url_key': '500gb-7200rpm',
                                                            'url_path': '500gb-7200rpm.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (151, None, None, 'id')): {'categories': ['33'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'cpu_speed': '112',
                                                            'created_at': '2008-07-25 01:13:21',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u"Intel\xae Core\u21222 Duo processor is the new brand name for our next-generation energy-efficient performance desktop and mobile processors. Formerly known by their codenames Conroe and Merom, the Intel\xae Core\u21222 processors for desktop and mobile computers are based on the Intel\xae Core\u2122 microarchitecture, Intel's new industry-leading foundation for all mobile, desktop and server platforms moving forward.",
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '116',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Intel C2D E8400 3.0GHz Retail',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '98.9900',
                                                            'product_id': '151',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '60',
                                                            'short_description': u'Intel\xae Core\u21222 Duo processor is the new brand name for our next-generation energy-efficient performance desktop and mobile processors.',
                                                            'sku': 'intelc2d',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:33:10',
                                                            'url_key': 'intel-c2d-e8400-3-0ghz-retail',
                                                            'url_path': 'intel-c2d-e8400-3-0ghz-retail.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (151, u'2', None, 'id')): {'categories': ['33'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'cpu_speed': '112',
                                                            'created_at': '2008-07-25 01:13:21',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u"Intel\xae Core\u21222 Duo processor is the new brand name for our next-generation energy-efficient performance desktop and mobile processors. Formerly known by their codenames Conroe and Merom, the Intel\xae Core\u21222 processors for desktop and mobile computers are based on the Intel\xae Core\u2122 microarchitecture, Intel's new industry-leading foundation for all mobile, desktop and server platforms moving forward.",
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '116',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Intel C2D E8400 3.0GHz Retail',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '98.9900',
                                                            'product_id': '151',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '60',
                                                            'short_description': u'Intel\xae Core\u21222 Duo processor is the new brand name for our next-generation energy-efficient performance desktop and mobile processors.',
                                                            'sku': 'intelc2d',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:33:10',
                                                            'url_key': 'intel-c2d-e8400-3-0ghz-retail',
                                                            'url_path': 'intel-c2d-e8400-3-0ghz-retail.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (151, u'3', None, 'id')): {'categories': ['33'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'cpu_speed': '112',
                                                            'created_at': '2008-07-25 01:13:21',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u"Intel\xae Core\u21222 Duo processor is the new brand name for our next-generation energy-efficient performance desktop and mobile processors. Formerly known by their codenames Conroe and Merom, the Intel\xae Core\u21222 processors for desktop and mobile computers are based on the Intel\xae Core\u2122 microarchitecture, Intel's new industry-leading foundation for all mobile, desktop and server platforms moving forward.",
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '116',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Intel C2D E8400 3.0GHz Retail',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '98.9900',
                                                            'product_id': '151',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '60',
                                                            'short_description': u'Intel\xae Core\u21222 Duo processor is the new brand name for our next-generation energy-efficient performance desktop and mobile processors.',
                                                            'sku': 'intelc2d',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:33:10',
                                                            'url_key': 'intel-c2d-e8400-3-0ghz-retail',
                                                            'url_path': 'intel-c2d-e8400-3-0ghz-retail.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (152, None, None, 'id')): {'categories': ['30'],
                                                            'contrast_ratio': '106',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:14:11',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u'With ultrafine 10,000:1 contrast and wide 170\xb0 viewing angles, this 24" widescreen LCD monitor delivers crystal-clear high-definition visuals for gaming and work projects. The DVI-D input lets you connect a DVD player or other digital video device.\r\n\r\nProduct Features:\r\n    * Ultrafast 5 ms response time\r\n    * Digital Fine 10,000:1 contrast ratio; 400 cd/m\xb2 brightness\r\n    * 1920 x 1200 maximum resolution; wide 170\xb0 horizontal and vertical viewing angles\r\n',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '1',
                                                            'max_resolution': '1920x1200',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': '24" Widescreen Flat-Panel LCD Monitor',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '699.9900',
                                                            'product_id': '152',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'response_time': '5ms',
                                                            'screensize': '24"',
                                                            'set': '61',
                                                            'short_description': u'5 ms response time; 10,000:1 contrast ratio; 400 cd/m\xb2 brightness; 1920 x 1200 maximum resolution; DVI-D and 15-pin D-sub inputs',
                                                            'sku': 'W2452T-TF',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:33:00',
                                                            'url_key': '24-widescreen-flat-panel-lcd-monitor',
                                                            'url_path': '24-widescreen-flat-panel-lcd-monitor.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (152, u'2', None, 'id')): {'categories': ['30'],
                                                            'contrast_ratio': '106',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:14:11',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u'With ultrafine 10,000:1 contrast and wide 170\xb0 viewing angles, this 24" widescreen LCD monitor delivers crystal-clear high-definition visuals for gaming and work projects. The DVI-D input lets you connect a DVD player or other digital video device.\r\n\r\nProduct Features:\r\n    * Ultrafast 5 ms response time\r\n    * Digital Fine 10,000:1 contrast ratio; 400 cd/m\xb2 brightness\r\n    * 1920 x 1200 maximum resolution; wide 170\xb0 horizontal and vertical viewing angles\r\n',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '1',
                                                            'max_resolution': '1920x1200',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': '24" Widescreen Flat-Panel LCD Monitor',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '699.9900',
                                                            'product_id': '152',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'response_time': '5ms',
                                                            'screensize': '24"',
                                                            'set': '61',
                                                            'short_description': u'5 ms response time; 10,000:1 contrast ratio; 400 cd/m\xb2 brightness; 1920 x 1200 maximum resolution; DVI-D and 15-pin D-sub inputs',
                                                            'sku': 'W2452T-TF',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:33:00',
                                                            'url_key': '24-widescreen-flat-panel-lcd-monitor',
                                                            'url_path': '24-widescreen-flat-panel-lcd-monitor.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (152, u'3', None, 'id')): {'categories': ['30'],
                                                            'contrast_ratio': '106',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:14:11',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u'With ultrafine 10,000:1 contrast and wide 170\xb0 viewing angles, this 24" widescreen LCD monitor delivers crystal-clear high-definition visuals for gaming and work projects. The DVI-D input lets you connect a DVD player or other digital video device.\r\n\r\nProduct Features:\r\n    * Ultrafast 5 ms response time\r\n    * Digital Fine 10,000:1 contrast ratio; 400 cd/m\xb2 brightness\r\n    * 1920 x 1200 maximum resolution; wide 170\xb0 horizontal and vertical viewing angles\r\n',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '1',
                                                            'max_resolution': '1920x1200',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': '24" Widescreen Flat-Panel LCD Monitor',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '699.9900',
                                                            'product_id': '152',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'response_time': '5ms',
                                                            'screensize': '24"',
                                                            'set': '61',
                                                            'short_description': u'5 ms response time; 10,000:1 contrast ratio; 400 cd/m\xb2 brightness; 1920 x 1200 maximum resolution; DVI-D and 15-pin D-sub inputs',
                                                            'sku': 'W2452T-TF',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:33:00',
                                                            'url_key': '24-widescreen-flat-panel-lcd-monitor',
                                                            'url_path': '24-widescreen-flat-panel-lcd-monitor.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (153, None, None, 'id')): {'categories': ['33'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'cpu_speed': '114',
                                                            'created_at': '2008-07-25 01:15:29',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u'The new Intel\xae Core\u21222 Extreme processor QX9775 with hafnium-infused chip design delivers unrivaled gaming performance1 with four independent processing cores, 12 MB of cache, 1600 MHz Front Side Bus, and clock speeds of 3.2 GHz.The Intel\xae Core\u21222 Extreme processor is the world\u2019s first quad core desktop processor, delivering the latest in cutting-edge processor technology and unprecedented performance across a wide range of applications and benchmarks. All Intel Core 2 Extreme processor QX9000 series are based on the industry-leading 45nm manufacturing technology, providing another giant leap forward on the road to multi-core and parallel computing.',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '116',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Intel Core 2 Extreme QX9775 3.20GHz Retail',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '2049.9900',
                                                            'product_id': '153',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '60',
                                                            'short_description': 'Intel Core 2 Extreme QX9775 Processor BX80574QX9775 - 45nm, 3.20GHz, 12MB Cache, 1600MHz FSB, Yorkfield XE, Quad-Core, Retail, Socket 771, Processor',
                                                            'sku': 'intelcore2extreme',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:32:36',
                                                            'url_key': 'intel-core-2-extreme-qx9775-3-20ghz-retail',
                                                            'url_path': 'intel-core-2-extreme-qx9775-3-20ghz-retail.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (153, u'2', None, 'id')): {'categories': ['33'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'cpu_speed': '114',
                                                            'created_at': '2008-07-25 01:15:29',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u'The new Intel\xae Core\u21222 Extreme processor QX9775 with hafnium-infused chip design delivers unrivaled gaming performance1 with four independent processing cores, 12 MB of cache, 1600 MHz Front Side Bus, and clock speeds of 3.2 GHz.The Intel\xae Core\u21222 Extreme processor is the world\u2019s first quad core desktop processor, delivering the latest in cutting-edge processor technology and unprecedented performance across a wide range of applications and benchmarks. All Intel Core 2 Extreme processor QX9000 series are based on the industry-leading 45nm manufacturing technology, providing another giant leap forward on the road to multi-core and parallel computing.',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '116',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Intel Core 2 Extreme QX9775 3.20GHz Retail',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '2049.9900',
                                                            'product_id': '153',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '60',
                                                            'short_description': 'Intel Core 2 Extreme QX9775 Processor BX80574QX9775 - 45nm, 3.20GHz, 12MB Cache, 1600MHz FSB, Yorkfield XE, Quad-Core, Retail, Socket 771, Processor',
                                                            'sku': 'intelcore2extreme',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:32:36',
                                                            'url_key': 'intel-core-2-extreme-qx9775-3-20ghz-retail',
                                                            'url_path': 'intel-core-2-extreme-qx9775-3-20ghz-retail.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (153, u'3', None, 'id')): {'categories': ['33'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'cpu_speed': '114',
                                                            'created_at': '2008-07-25 01:15:29',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u'The new Intel\xae Core\u21222 Extreme processor QX9775 with hafnium-infused chip design delivers unrivaled gaming performance1 with four independent processing cores, 12 MB of cache, 1600 MHz Front Side Bus, and clock speeds of 3.2 GHz.The Intel\xae Core\u21222 Extreme processor is the world\u2019s first quad core desktop processor, delivering the latest in cutting-edge processor technology and unprecedented performance across a wide range of applications and benchmarks. All Intel Core 2 Extreme processor QX9000 series are based on the industry-leading 45nm manufacturing technology, providing another giant leap forward on the road to multi-core and parallel computing.',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '116',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Intel Core 2 Extreme QX9775 3.20GHz Retail',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '2049.9900',
                                                            'product_id': '153',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '60',
                                                            'short_description': 'Intel Core 2 Extreme QX9775 Processor BX80574QX9775 - 45nm, 3.20GHz, 12MB Cache, 1600MHz FSB, Yorkfield XE, Quad-Core, Retail, Socket 771, Processor',
                                                            'sku': 'intelcore2extreme',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:32:36',
                                                            'url_key': 'intel-core-2-extreme-qx9775-3-20ghz-retail',
                                                            'url_path': 'intel-core-2-extreme-qx9775-3-20ghz-retail.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (154, None, None, 'id')): {'categories': ['29'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:16:03',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '1 TB - 7200RPM, SATA 3.0Gb/s, 32MB Cache',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'harddrive_speed': '500 GB',
                                                            'hardrive': '5400 rpm',
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '119',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Seagate 500GB HD - 5400RPM',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '299.0000',
                                                            'product_id': '154',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '62',
                                                            'short_description': '1 TB - 7200RPM, SATA 3.0Gb/s, 32MB Cache',
                                                            'sku': '500gb5400',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 02:08:37',
                                                            'url_key': '500gb-5400rpm',
                                                            'url_path': '500gb-5400rpm.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (154, u'2', None, 'id')): {'categories': ['29'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:16:03',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '1 TB - 7200RPM, SATA 3.0Gb/s, 32MB Cache',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'harddrive_speed': '500 GB',
                                                            'hardrive': '5400 rpm',
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '119',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Seagate 500GB HD - 5400RPM',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '299.0000',
                                                            'product_id': '154',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '62',
                                                            'short_description': '1 TB - 7200RPM, SATA 3.0Gb/s, 32MB Cache',
                                                            'sku': '500gb5400',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 02:08:37',
                                                            'url_key': '500gb-5400rpm',
                                                            'url_path': '500gb-5400rpm.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (154, u'3', None, 'id')): {'categories': ['29'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:16:03',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '1 TB - 7200RPM, SATA 3.0Gb/s, 32MB Cache',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'harddrive_speed': '500 GB',
                                                            'hardrive': '5400 rpm',
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '119',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Seagate 500GB HD - 5400RPM',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '299.0000',
                                                            'product_id': '154',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '62',
                                                            'short_description': '1 TB - 7200RPM, SATA 3.0Gb/s, 32MB Cache',
                                                            'sku': '500gb5400',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 02:08:37',
                                                            'url_key': '500gb-5400rpm',
                                                            'url_path': '500gb-5400rpm.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (155, None, None, 'id')): {'categories': ['29'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:16:03',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '1 TB - 7200RPM, SATA 3.0Gb/s, 32MB Cache',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'harddrive_speed': '250 GB',
                                                            'hardrive': '5400 rpm',
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '119',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Seagate 250GB HD - 5400RPM',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '99.0000',
                                                            'product_id': '155',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '62',
                                                            'short_description': '1 TB - 7200RPM, SATA 3.0Gb/s, 32MB Cache',
                                                            'sku': '250gb5400',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 02:07:40',
                                                            'url_key': '250gb-5400rpm',
                                                            'url_path': '250gb-5400rpm.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (155, u'2', None, 'id')): {'categories': ['29'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:16:03',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '1 TB - 7200RPM, SATA 3.0Gb/s, 32MB Cache',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'harddrive_speed': '250 GB',
                                                            'hardrive': '5400 rpm',
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '119',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Seagate 250GB HD - 5400RPM',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '99.0000',
                                                            'product_id': '155',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '62',
                                                            'short_description': '1 TB - 7200RPM, SATA 3.0Gb/s, 32MB Cache',
                                                            'sku': '250gb5400',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 02:07:40',
                                                            'url_key': '250gb-5400rpm',
                                                            'url_path': '250gb-5400rpm.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (155, u'3', None, 'id')): {'categories': ['29'],
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:16:03',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '1 TB - 7200RPM, SATA 3.0Gb/s, 32MB Cache',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'harddrive_speed': '250 GB',
                                                            'hardrive': '5400 rpm',
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '119',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Seagate 250GB HD - 5400RPM',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '99.0000',
                                                            'product_id': '155',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '62',
                                                            'short_description': '1 TB - 7200RPM, SATA 3.0Gb/s, 32MB Cache',
                                                            'sku': '250gb5400',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 02:07:40',
                                                            'url_key': '250gb-5400rpm',
                                                            'url_path': '250gb-5400rpm.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (156, None, None, 'id')): {'categories': ['30'],
                                                            'contrast_ratio': '106',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:16:51',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u'Experience smooth gaming visuals and crystal-clear video with this 19" flat-panel LCD monitor that features an ultrafast 2 ms response time and sharp 10,000:1 contrast. The DVI-D with HDCP input lets you connect a DVD player or other digital video device.\r\nProduct Features\r\n\r\n    * Ultrafast 2 ms response time\r\n    * Digital Fine 10,000:1 contrast ratio; 300 cd/m\xb2 brightness\r\n    * 1440 x 900 maximum resolution; wide 170\xb0 horizontal and vertical viewing angles\r\n',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '1',
                                                            'max_resolution': '1440x900',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': '19" Widescreen Flat-Panel LCD Monitor',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '399.9900',
                                                            'product_id': '156',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'response_time': '2ms',
                                                            'screensize': '19"',
                                                            'set': '61',
                                                            'short_description': u'2 ms response time; 10,000:1 contrast ratio; 300 cd/m\xb2 brightness; 1440 x 900 maximum resolution; DVI-D and 15-pin D-sub inputs',
                                                            'sku': 'W1952TQ-TF',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '0',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:33:26',
                                                            'url_key': '19-widescreen-flat-panel-lcd-monitor',
                                                            'url_path': '19-widescreen-flat-panel-lcd-monitor.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (156, u'2', None, 'id')): {'categories': ['30'],
                                                            'contrast_ratio': '106',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:16:51',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u'Experience smooth gaming visuals and crystal-clear video with this 19" flat-panel LCD monitor that features an ultrafast 2 ms response time and sharp 10,000:1 contrast. The DVI-D with HDCP input lets you connect a DVD player or other digital video device.\r\nProduct Features\r\n\r\n    * Ultrafast 2 ms response time\r\n    * Digital Fine 10,000:1 contrast ratio; 300 cd/m\xb2 brightness\r\n    * 1440 x 900 maximum resolution; wide 170\xb0 horizontal and vertical viewing angles\r\n',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '1',
                                                            'max_resolution': '1440x900',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': '19" Widescreen Flat-Panel LCD Monitor',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '399.9900',
                                                            'product_id': '156',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'response_time': '2ms',
                                                            'screensize': '19"',
                                                            'set': '61',
                                                            'short_description': u'2 ms response time; 10,000:1 contrast ratio; 300 cd/m\xb2 brightness; 1440 x 900 maximum resolution; DVI-D and 15-pin D-sub inputs',
                                                            'sku': 'W1952TQ-TF',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '0',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:33:26',
                                                            'url_key': '19-widescreen-flat-panel-lcd-monitor',
                                                            'url_path': '19-widescreen-flat-panel-lcd-monitor.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (156, u'3', None, 'id')): {'categories': ['30'],
                                                            'contrast_ratio': '106',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:16:51',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u'Experience smooth gaming visuals and crystal-clear video with this 19" flat-panel LCD monitor that features an ultrafast 2 ms response time and sharp 10,000:1 contrast. The DVI-D with HDCP input lets you connect a DVD player or other digital video device.\r\nProduct Features\r\n\r\n    * Ultrafast 2 ms response time\r\n    * Digital Fine 10,000:1 contrast ratio; 300 cd/m\xb2 brightness\r\n    * 1440 x 900 maximum resolution; wide 170\xb0 horizontal and vertical viewing angles\r\n',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '1',
                                                            'max_resolution': '1440x900',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': '19" Widescreen Flat-Panel LCD Monitor',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '399.9900',
                                                            'product_id': '156',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'response_time': '2ms',
                                                            'screensize': '19"',
                                                            'set': '61',
                                                            'short_description': u'2 ms response time; 10,000:1 contrast ratio; 300 cd/m\xb2 brightness; 1440 x 900 maximum resolution; DVI-D and 15-pin D-sub inputs',
                                                            'sku': 'W1952TQ-TF',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '0',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:33:26',
                                                            'url_key': '19-widescreen-flat-panel-lcd-monitor',
                                                            'url_path': '19-widescreen-flat-panel-lcd-monitor.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (157, None, None, 'id')): {'categories': ['30'],
                                                            'contrast_ratio': '107',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:19:30',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '    * Digital (DVI), USB 2.0 and FireWire 400 inputs\r\n    * Cinema HD delivers up to 16.7 million colors across a wide gamut for a breathtaking, vivid picture\r\n    * ColorSync technology lets you create a custom profile to maintain consistent colors on the screen and in print\r\n    * Single cable with breakout for DVI, USB and FireWire ports provides a tidy look while reducing clutter\r\n    * Built-in, 2-port USB 2.0 hub to easily connect peripheral devices\r\n    * User controls allow you to monitor display power, system sleep/wake, brightness and monitor tilt\r\n    * Antiglare, hard-coat screen treatment\r\n    * Wall-mountable with optional mounting kit (not included)\r\n    * ENERGY STAR compliance assures a high standard of energy efficiency\r\n',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '29',
                                                            'max_resolution': '1920x1200',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': '30" Flat-Panel TFT-LCD Cinema HD Monitor',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '699.9900',
                                                            'product_id': '157',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'response_time': '15ms',
                                                            'screensize': '30"',
                                                            'set': '61',
                                                            'short_description': 'Computer games, digital photo editing and graphic applications will astound you on this huge 30" flat-panel monitor. Cinema HD and ColorSync technology let you enjoy 16.7 million breathtaking colors and custom profiling for color consistency.',
                                                            'sku': 'M9179LL',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '0',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:32:12',
                                                            'url_key': '30-flat-panel-tft-lcd-cinema-hd-monitor',
                                                            'url_path': '30-flat-panel-tft-lcd-cinema-hd-monitor.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (157, u'2', None, 'id')): {'categories': ['30'],
                                                            'contrast_ratio': '107',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:19:30',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '    * Digital (DVI), USB 2.0 and FireWire 400 inputs\r\n    * Cinema HD delivers up to 16.7 million colors across a wide gamut for a breathtaking, vivid picture\r\n    * ColorSync technology lets you create a custom profile to maintain consistent colors on the screen and in print\r\n    * Single cable with breakout for DVI, USB and FireWire ports provides a tidy look while reducing clutter\r\n    * Built-in, 2-port USB 2.0 hub to easily connect peripheral devices\r\n    * User controls allow you to monitor display power, system sleep/wake, brightness and monitor tilt\r\n    * Antiglare, hard-coat screen treatment\r\n    * Wall-mountable with optional mounting kit (not included)\r\n    * ENERGY STAR compliance assures a high standard of energy efficiency\r\n',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '29',
                                                            'max_resolution': '1920x1200',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': '30" Flat-Panel TFT-LCD Cinema HD Monitor',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '699.9900',
                                                            'product_id': '157',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'response_time': '15ms',
                                                            'screensize': '30"',
                                                            'set': '61',
                                                            'short_description': 'Computer games, digital photo editing and graphic applications will astound you on this huge 30" flat-panel monitor. Cinema HD and ColorSync technology let you enjoy 16.7 million breathtaking colors and custom profiling for color consistency.',
                                                            'sku': 'M9179LL',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '0',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:32:12',
                                                            'url_key': '30-flat-panel-tft-lcd-cinema-hd-monitor',
                                                            'url_path': '30-flat-panel-tft-lcd-cinema-hd-monitor.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (157, u'3', None, 'id')): {'categories': ['30'],
                                                            'contrast_ratio': '107',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:19:30',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': '    * Digital (DVI), USB 2.0 and FireWire 400 inputs\r\n    * Cinema HD delivers up to 16.7 million colors across a wide gamut for a breathtaking, vivid picture\r\n    * ColorSync technology lets you create a custom profile to maintain consistent colors on the screen and in print\r\n    * Single cable with breakout for DVI, USB and FireWire ports provides a tidy look while reducing clutter\r\n    * Built-in, 2-port USB 2.0 hub to easily connect peripheral devices\r\n    * User controls allow you to monitor display power, system sleep/wake, brightness and monitor tilt\r\n    * Antiglare, hard-coat screen treatment\r\n    * Wall-mountable with optional mounting kit (not included)\r\n    * ENERGY STAR compliance assures a high standard of energy efficiency\r\n',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '29',
                                                            'max_resolution': '1920x1200',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': '30" Flat-Panel TFT-LCD Cinema HD Monitor',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '699.9900',
                                                            'product_id': '157',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'response_time': '15ms',
                                                            'screensize': '30"',
                                                            'set': '61',
                                                            'short_description': 'Computer games, digital photo editing and graphic applications will astound you on this huge 30" flat-panel monitor. Cinema HD and ColorSync technology let you enjoy 16.7 million breathtaking colors and custom profiling for color consistency.',
                                                            'sku': 'M9179LL',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '0',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:32:12',
                                                            'url_key': '30-flat-panel-tft-lcd-cinema-hd-monitor',
                                                            'url_path': '30-flat-panel-tft-lcd-cinema-hd-monitor.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (158, None, None, 'id')): {'_bundle_data': {'options': []},
                                                            'categories': ['28'],
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:21:23',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': ' <ul>\r\n<ul class="disc">\r\n<li>Processor: The Ultra Low Voltage Intel Core Solo U1500 processor offers a 1.33 GHz speed paired with a fast 533 MHz front-side bus and large 2 MB L2 cache. (An L2, or secondary, cache temporarily stores data; and a larger L2 cache can help speed up your system\'s performance. The FSB carries data between the CPU and RAM, and a faster front-side bus will deliver better overall performance.) The Core Solo processor delivers enhanced performance for today\'s demanding applications such as CAD tools, 3-D and 2-D modeling, video editing, digital music, digital photography and gaming. And Intel\'s Smart Cache technology enables smarter, more efficient cache and bus design for enhanced performance, responsiveness and power savings.</li>\r\n</ul>\r\n',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': None,
                                                            'group_price': [],
                                                            'has_options': '1',
                                                            'image_label': None,
                                                            'meta_description': u'Sony VAIO VGN-TXN27N/B 11.1" Notebook PC (Intel Core Solo Processor U1500, 2 GB RAM, 100 GB Hard Drive, DVD\xb1RW Drive, Vista Business) Charcoal Black',
                                                            'meta_keyword': 'Sony, VAIO, VGN-TXN27N/B , Notebook, PC, Intel, 2 GB RAM, ',
                                                            'meta_title': u'Sony VAIO VGN-TXN27N/B 11.1" Notebook PC (Intel Core Solo Processor U1500, 2 GB RAM, 100 GB Hard Drive, DVD\xb1RW Drive, Vista Business) Charcoal Black',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Sony VAIO 11.1" Notebook PC',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': None,
                                                            'price_type': '0',
                                                            'price_view': '1',
                                                            'product_id': '158',
                                                            'required_options': '1',
                                                            'set': '39',
                                                            'shipment_type': '0',
                                                            'short_description': 'Weighing in at just an amazing 2.84 pounds and offering a sleek, durable carbon-fiber case in charcoal black. And with 4 to 10 hours of standard battery life, it has the stamina to power you through your most demanding applications. With the integrated wireless WAN, you can access the national Sprint Mobile Broadband service to extend your wireless coverage beyond LAN access networks and hotspots, giving you the freedom to go farther, do more, and stay connected.\r\n\r\n',
                                                            'sku': 'VGN-TXN27N/BW',
                                                            'sku_type': '1',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '0',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'bundle',
                                                            'type_id': 'bundle',
                                                            'updated_at': '2008-07-25 02:05:56',
                                                            'url_key': 'sony-vaio-vgn-txn27n-b-11-1-notebook-pc',
                                                            'url_path': 'sony-vaio-vgn-txn27n-b-11-1-notebook-pc-158.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': None,
                                                            'weight_type': '0'},
        ('ol_catalog_product.info', (159, None, None, 'id')): {'categories': ['34'],
                                                            'color': None,
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:22:14',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u'The most comfortable ergonomic keyboard on the market! We just made a great deal for this Microsoft Natural ergonomic keyboard. And we know you\u2019re going to love it. This newest addition to the world\u2019s best selling line of ergonomic keyboards features a natural wrist alignment that will make your day! Just one touch allows you to perform a wealth of common but important tasks such as opening documents and replying to e-mail. The Microsoft Natural Model 4000 ergonomic keyboard also features an improved number pad with easy-to-reach symbols such left and right, equal sign and back space placed just above the number pad. Easy-access to the Internet. Multimedia keys. Lockable F keys and much more (see complete list of additional features below). Don\u2019t you think it\u2019s time to go natural? Microsoft\u2019s Natural Ergonomic Model 4000 Keyboard. Available right here, for the best price!',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '120',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Microsoft Natural Ergonomic Keyboard 4000',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '99.9900',
                                                            'product_id': '159',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': 'The most comfortable ergonomic keyboard on the market! We just made a great deal for this Microsoft Natural ergonomic keyboard.',
                                                            'sku': 'microsoftnatural',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '0',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:31:54',
                                                            'url_key': 'microsoft-natural-ergonomic-keyboard-4000',
                                                            'url_path': 'microsoft-natural-ergonomic-keyboard-4000.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (159, u'2', None, 'id')): {'categories': ['34'],
                                                            'color': None,
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:22:14',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u'The most comfortable ergonomic keyboard on the market! We just made a great deal for this Microsoft Natural ergonomic keyboard. And we know you\u2019re going to love it. This newest addition to the world\u2019s best selling line of ergonomic keyboards features a natural wrist alignment that will make your day! Just one touch allows you to perform a wealth of common but important tasks such as opening documents and replying to e-mail. The Microsoft Natural Model 4000 ergonomic keyboard also features an improved number pad with easy-to-reach symbols such left and right, equal sign and back space placed just above the number pad. Easy-access to the Internet. Multimedia keys. Lockable F keys and much more (see complete list of additional features below). Don\u2019t you think it\u2019s time to go natural? Microsoft\u2019s Natural Ergonomic Model 4000 Keyboard. Available right here, for the best price!',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '120',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Microsoft Natural Ergonomic Keyboard 4000',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '99.9900',
                                                            'product_id': '159',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': 'The most comfortable ergonomic keyboard on the market! We just made a great deal for this Microsoft Natural ergonomic keyboard.',
                                                            'sku': 'microsoftnatural',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '0',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:31:54',
                                                            'url_key': 'microsoft-natural-ergonomic-keyboard-4000',
                                                            'url_path': 'microsoft-natural-ergonomic-keyboard-4000.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (159, u'3', None, 'id')): {'categories': ['34'],
                                                            'color': None,
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:22:14',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u'The most comfortable ergonomic keyboard on the market! We just made a great deal for this Microsoft Natural ergonomic keyboard. And we know you\u2019re going to love it. This newest addition to the world\u2019s best selling line of ergonomic keyboards features a natural wrist alignment that will make your day! Just one touch allows you to perform a wealth of common but important tasks such as opening documents and replying to e-mail. The Microsoft Natural Model 4000 ergonomic keyboard also features an improved number pad with easy-to-reach symbols such left and right, equal sign and back space placed just above the number pad. Easy-access to the Internet. Multimedia keys. Lockable F keys and much more (see complete list of additional features below). Don\u2019t you think it\u2019s time to go natural? Microsoft\u2019s Natural Ergonomic Model 4000 Keyboard. Available right here, for the best price!',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '120',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Microsoft Natural Ergonomic Keyboard 4000',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '99.9900',
                                                            'product_id': '159',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': 'The most comfortable ergonomic keyboard on the market! We just made a great deal for this Microsoft Natural ergonomic keyboard.',
                                                            'sku': 'microsoftnatural',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '0',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:31:54',
                                                            'url_key': 'microsoft-natural-ergonomic-keyboard-4000',
                                                            'url_path': 'microsoft-natural-ergonomic-keyboard-4000.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (160, None, None, 'id')): {'categories': ['34'],
                                                            'color': '59',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:24:15',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Our most advanced trackball yet: a comfortable, cordless, finger-operated trackball that works where you need it. Save space and eliminate desktop clutter. Take advantage of extra buttons that help you navigate around Windows and the web more easily. And with Logitech's patented optical technology, you get virtually maintenance-free precision and smooth tracking.",
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '121',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Logitech Cordless Optical Trackman',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '79.9900',
                                                            'product_id': '160',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': "Our most advanced trackball yet. It's comfortable, cordless, finger-operated and works where you need it. Save space and eliminate desktop clutter.",
                                                            'sku': 'logitechcord',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:31:33',
                                                            'url_key': 'microsoft-wireless-optical-mouse-5000',
                                                            'url_path': 'microsoft-wireless-optical-mouse-5000.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (160, u'2', None, 'id')): {'categories': ['34'],
                                                            'color': '59',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:24:15',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Our most advanced trackball yet: a comfortable, cordless, finger-operated trackball that works where you need it. Save space and eliminate desktop clutter. Take advantage of extra buttons that help you navigate around Windows and the web more easily. And with Logitech's patented optical technology, you get virtually maintenance-free precision and smooth tracking.",
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '121',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Logitech Cordless Optical Trackman',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '79.9900',
                                                            'product_id': '160',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': "Our most advanced trackball yet. It's comfortable, cordless, finger-operated and works where you need it. Save space and eliminate desktop clutter.",
                                                            'sku': 'logitechcord',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:31:33',
                                                            'url_key': 'microsoft-wireless-optical-mouse-5000',
                                                            'url_path': 'microsoft-wireless-optical-mouse-5000.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (160, u'3', None, 'id')): {'categories': ['34'],
                                                            'color': '59',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:24:15',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "Our most advanced trackball yet: a comfortable, cordless, finger-operated trackball that works where you need it. Save space and eliminate desktop clutter. Take advantage of extra buttons that help you navigate around Windows and the web more easily. And with Logitech's patented optical technology, you get virtually maintenance-free precision and smooth tracking.",
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '121',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Logitech Cordless Optical Trackman',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '79.9900',
                                                            'product_id': '160',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': "Our most advanced trackball yet. It's comfortable, cordless, finger-operated and works where you need it. Save space and eliminate desktop clutter.",
                                                            'sku': 'logitechcord',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:31:33',
                                                            'url_key': 'microsoft-wireless-optical-mouse-5000',
                                                            'url_path': 'microsoft-wireless-optical-mouse-5000.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (161, None, None, 'id')): {'categories': ['34'],
                                                            'color': None,
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:25:09',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "PerfectStroke key system for the ultimate keyboard feel. Bluetooth wireless and Li-Ion powered. Stylishly sleek with its elegant charging base and backlit controls, the diNovo Edge makes a bold statement.\r\n\r\nAn ideal partner for any high-end computer, the ultra-slim Logitech diNovo Edge delivers the ultimate in feel and response. The revolutionary TouchDisc with hyper-speed scrolling and pixel-perfect control makes trackpads obsolete. A slim recharging base doubles as a keyboard stand. Work longer thanks to the longer-lasting Li-Ion batteries, and more securely via Bluetooth wireless technology. Combine it with the world's most advanced mouse, the Logitech MX Revolution, for a premium desktop experience!",
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '121',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Logitech diNovo Edge Keyboard',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '239.9900',
                                                            'product_id': '161',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': 'PerfectStroke key system for the ultimate keyboard feel. Bluetooth wireless and Li-Ion powered.',
                                                            'sku': 'logidinovo',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '0',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:31:22',
                                                            'url_key': 'logitech-dinovo-edge-keyboard',
                                                            'url_path': 'logitech-dinovo-edge-keyboard.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (161, u'2', None, 'id')): {'categories': ['34'],
                                                            'color': None,
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:25:09',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "PerfectStroke key system for the ultimate keyboard feel. Bluetooth wireless and Li-Ion powered. Stylishly sleek with its elegant charging base and backlit controls, the diNovo Edge makes a bold statement.\r\n\r\nAn ideal partner for any high-end computer, the ultra-slim Logitech diNovo Edge delivers the ultimate in feel and response. The revolutionary TouchDisc with hyper-speed scrolling and pixel-perfect control makes trackpads obsolete. A slim recharging base doubles as a keyboard stand. Work longer thanks to the longer-lasting Li-Ion batteries, and more securely via Bluetooth wireless technology. Combine it with the world's most advanced mouse, the Logitech MX Revolution, for a premium desktop experience!",
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '121',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Logitech diNovo Edge Keyboard',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '239.9900',
                                                            'product_id': '161',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': 'PerfectStroke key system for the ultimate keyboard feel. Bluetooth wireless and Li-Ion powered.',
                                                            'sku': 'logidinovo',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '0',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:31:22',
                                                            'url_key': 'logitech-dinovo-edge-keyboard',
                                                            'url_path': 'logitech-dinovo-edge-keyboard.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (161, u'3', None, 'id')): {'categories': ['34'],
                                                            'color': None,
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:25:09',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': "PerfectStroke key system for the ultimate keyboard feel. Bluetooth wireless and Li-Ion powered. Stylishly sleek with its elegant charging base and backlit controls, the diNovo Edge makes a bold statement.\r\n\r\nAn ideal partner for any high-end computer, the ultra-slim Logitech diNovo Edge delivers the ultimate in feel and response. The revolutionary TouchDisc with hyper-speed scrolling and pixel-perfect control makes trackpads obsolete. A slim recharging base doubles as a keyboard stand. Work longer thanks to the longer-lasting Li-Ion batteries, and more securely via Bluetooth wireless technology. Combine it with the world's most advanced mouse, the Logitech MX Revolution, for a premium desktop experience!",
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '121',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Logitech diNovo Edge Keyboard',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '239.9900',
                                                            'product_id': '161',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': 'PerfectStroke key system for the ultimate keyboard feel. Bluetooth wireless and Li-Ion powered.',
                                                            'sku': 'logidinovo',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '0',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:31:22',
                                                            'url_key': 'logitech-dinovo-edge-keyboard',
                                                            'url_path': 'logitech-dinovo-edge-keyboard.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (162, None, None, 'id')): {'categories': ['34'],
                                                            'color': '24',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:25:11',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'Experience smoother tracking and wireless freedom. Navigate with enhanced precision with this ergonomic High Definition Optical mouse. Easily enlarge and edit detail with the new Magnifier and enjoy more than six months of battery life. ',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '120',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Microsoft Wireless Optical Mouse 5000',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '59.9900',
                                                            'product_id': '162',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': 'Experience smoother tracking and wireless freedom. Navigate with enhanced precision with this ergonomic High Definition Optical mouse.',
                                                            'sku': 'micronmouse5000',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:31:01',
                                                            'url_key': 'microsoft-wireless-optical-mouse-5000',
                                                            'url_path': 'microsoft-wireless-optical-mouse-5000-162.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (162, u'2', None, 'id')): {'categories': ['34'],
                                                            'color': '24',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:25:11',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'Experience smoother tracking and wireless freedom. Navigate with enhanced precision with this ergonomic High Definition Optical mouse. Easily enlarge and edit detail with the new Magnifier and enjoy more than six months of battery life. ',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '120',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Microsoft Wireless Optical Mouse 5000',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '59.9900',
                                                            'product_id': '162',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': 'Experience smoother tracking and wireless freedom. Navigate with enhanced precision with this ergonomic High Definition Optical mouse.',
                                                            'sku': 'micronmouse5000',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:31:01',
                                                            'url_key': 'microsoft-wireless-optical-mouse-5000',
                                                            'url_path': 'microsoft-wireless-optical-mouse-5000-162.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (162, u'3', None, 'id')): {'categories': ['34'],
                                                            'color': '24',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:25:11',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'Experience smoother tracking and wireless freedom. Navigate with enhanced precision with this ergonomic High Definition Optical mouse. Easily enlarge and edit detail with the new Magnifier and enjoy more than six months of battery life. ',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'is_recurring': None,
                                                            'manufacturer': '120',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Microsoft Wireless Optical Mouse 5000',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '59.9900',
                                                            'product_id': '162',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '9',
                                                            'short_description': 'Experience smoother tracking and wireless freedom. Navigate with enhanced precision with this ergonomic High Definition Optical mouse.',
                                                            'sku': 'micronmouse5000',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-08-08 15:31:01',
                                                            'url_key': 'microsoft-wireless-optical-mouse-5000',
                                                            'url_path': 'microsoft-wireless-optical-mouse-5000-162.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '1.0000'},
        ('ol_catalog_product.info', (163, None, None, 'id')): {'_bundle_data': {'options': []},
                                                            'categories': ['15', '27'],
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:34:24',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'Make a computer',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': None,
                                                            'group_price': [],
                                                            'has_options': '1',
                                                            'image_label': None,
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Computer',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': None,
                                                            'price_type': '0',
                                                            'price_view': '0',
                                                            'product_id': '163',
                                                            'required_options': '1',
                                                            'set': '9',
                                                            'shipment_type': '0',
                                                            'short_description': 'Make a computer',
                                                            'sku': 'computer',
                                                            'sku_type': '0',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '0',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'bundle',
                                                            'type_id': 'bundle',
                                                            'updated_at': '2008-07-29 01:33:10',
                                                            'url_key': 'computer',
                                                            'url_path': 'computer.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': None,
                                                            'weight_type': '0'},
        ('ol_catalog_product.info', (164, None, None, 'id')): {'_bundle_data': {'options': []},
                                                            'categories': ['27'],
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:36:33',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'Make a computer',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '1',
                                                            'image_label': None,
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'Gaming Computer',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '4999.9500',
                                                            'price_type': '1',
                                                            'price_view': '0',
                                                            'product_id': '164',
                                                            'required_options': '1',
                                                            'set': '9',
                                                            'shipment_type': '1',
                                                            'short_description': 'Make a computer',
                                                            'sku': 'computer_fixed',
                                                            'sku_type': '1',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '1',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'bundle',
                                                            'type_id': 'bundle',
                                                            'updated_at': '2008-07-31 09:30:37',
                                                            'url_key': 'gaming-computer',
                                                            'url_path': 'gaming-computer.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '20.0000',
                                                            'weight_type': '1'},
        ('ol_catalog_product.info', (165, None, None, 'id')): {'_bundle_data': {'options': []},
                                                            'categories': ['27'],
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 01:40:27',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': 'test description',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': None,
                                                            'group_price': [],
                                                            'has_options': '1',
                                                            'image_label': None,
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'My Computer',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': None,
                                                            'price_type': '0',
                                                            'price_view': '0',
                                                            'product_id': '165',
                                                            'required_options': '1',
                                                            'set': '39',
                                                            'shipment_type': '0',
                                                            'short_description': 'test description',
                                                            'sku': 'mycomputer',
                                                            'sku_type': '1',
                                                            'small_image_label': None,
                                                            'special_from_date': '2008-07-30 00:00:00',
                                                            'special_price': '75.0000',
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '0',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'bundle',
                                                            'type_id': 'bundle',
                                                            'updated_at': '2008-07-31 16:19:40',
                                                            'url_key': 'my-computer',
                                                            'url_path': 'my-computer.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '10.0000',
                                                            'weight_type': '1'},
        ('ol_catalog_product.info', (166, None, None, 'id')): {'activation_information': '',
                                                            'categories': ['8'],
                                                            'color': '24',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 02:22:13',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u'Re-defining the perception of advanced mobile phones\u2026 the HTC Touch Diamond\u2122 signals a giant leap forward in combining hi-tech prowess with intuitive usability and exhilarating design.\r\n\r\nFeaturing a sharp 2.8-inch touch screen housed within a stunning formation of brushed metal and flawless faceted edges, the HTC Touch Diamond is as beautiful to behold as it is to use.\r\n\r\nWith HTC\u2019s vibrant touch-responsive user interface, TouchFLO\u2122 3D, and ultra-fast HSDPA internet connectivity\u2026 the HTC Touch Diamond offers a rich online experience to rival a notebook computer, allowing you to interact with Google, YouTube, and Wikipedia as freely as you would with a broadband connection.\r\n\r\nYour contacts, favourite music, videos and photos are no longer an uninspired line of text. With TouchFLO 3D, album artwork, video stills and snapshots of your friends\u2019 and family\u2019s faces are brought to life for you to interact, play and launch at your fingertips.\r\n\r\nA 3.2 megapixel auto-focus camera will help you capture the perfect moment in style and with a massive 4GB of internal storage you can keep all the files you need. The integrated ultra-sensitive GPS will help you find your destination as quickly and efficiently as a dedicated satellite navigation unit.\r\n\r\nStyle and substance in a phone are no longer mutually exclusive. The HTC Touch Diamond has arrived.',
                                                            'dimension': '102 mm (L) X 51 mm (W) X 11.35 mm (T)',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': u'Re-defining the perception of advanced mobile phones\u2026 the HTC Touch Diamond\u2122 signals a giant leap forward in combining hi-tech prowess with intuitive usability and exhilarating design.\r\n\r\nFeaturing a sharp 2.8-inch touch screen housed within a stunning formation of brushed metal and flawless faceted edges, the HTC Touch Diamond is as beautiful to behold as it is to use.\r\n\r\nWith HTC\u2019s vibrant touch-responsive user interface, TouchFLO\u2122 3D, and ultra-fast HSDPA internet connectivity\u2026 the HTC Touch Diamond offers a rich online experience to rival a notebook computer, allowing you to interact with Google, YouTube, and Wikipedia as freely as you would with a broadband connection.\r\n\r\nYour contacts, favourite music, videos and photos are no longer an uninspired line of text. With TouchFLO 3D, album artwork, video stills and snapshots of your friends\u2019 and family\u2019s faces are brought to life for you to interact, play and launch at your fingertips.\r\n\r\nA 3.2 megapixel auto-focus camera will help you capture the perfect moment in style and with a massive 4GB of internal storage you can keep all the files you need. The integrated ultra-sensitive GPS will help you find your destination as quickly and efficiently as a dedicated satellite navigation unit.\r\n\r\nStyle and substance in a phone are no longer mutually exclusive. The HTC Touch Diamond has arrived.',
                                                            'is_recurring': None,
                                                            'manufacturer': '122',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'model': 'HTC Touch Diamond',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'HTC Touch Diamond',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '750.0000',
                                                            'product_id': '166',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '38',
                                                            'short_description': u'Re-defining the perception of advanced mobile phones\u2026 the HTC Touch Diamond\u2122 signals a giant leap forward in combining hi-tech prowess with intuitive usability and exhilarating design.',
                                                            'sku': 'HTC Touch Diamond',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 02:22:44',
                                                            'url_key': 'htc-touch-diamond',
                                                            'url_path': 'htc-touch-diamond.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '0.3000'},
        ('ol_catalog_product.info', (166, u'2', None, 'id')): {'activation_information': '',
                                                            'categories': ['8'],
                                                            'color': '24',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 02:22:13',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u'Re-defining the perception of advanced mobile phones\u2026 the HTC Touch Diamond\u2122 signals a giant leap forward in combining hi-tech prowess with intuitive usability and exhilarating design.\r\n\r\nFeaturing a sharp 2.8-inch touch screen housed within a stunning formation of brushed metal and flawless faceted edges, the HTC Touch Diamond is as beautiful to behold as it is to use.\r\n\r\nWith HTC\u2019s vibrant touch-responsive user interface, TouchFLO\u2122 3D, and ultra-fast HSDPA internet connectivity\u2026 the HTC Touch Diamond offers a rich online experience to rival a notebook computer, allowing you to interact with Google, YouTube, and Wikipedia as freely as you would with a broadband connection.\r\n\r\nYour contacts, favourite music, videos and photos are no longer an uninspired line of text. With TouchFLO 3D, album artwork, video stills and snapshots of your friends\u2019 and family\u2019s faces are brought to life for you to interact, play and launch at your fingertips.\r\n\r\nA 3.2 megapixel auto-focus camera will help you capture the perfect moment in style and with a massive 4GB of internal storage you can keep all the files you need. The integrated ultra-sensitive GPS will help you find your destination as quickly and efficiently as a dedicated satellite navigation unit.\r\n\r\nStyle and substance in a phone are no longer mutually exclusive. The HTC Touch Diamond has arrived.',
                                                            'dimension': '102 mm (L) X 51 mm (W) X 11.35 mm (T)',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': u'Re-defining the perception of advanced mobile phones\u2026 the HTC Touch Diamond\u2122 signals a giant leap forward in combining hi-tech prowess with intuitive usability and exhilarating design.\r\n\r\nFeaturing a sharp 2.8-inch touch screen housed within a stunning formation of brushed metal and flawless faceted edges, the HTC Touch Diamond is as beautiful to behold as it is to use.\r\n\r\nWith HTC\u2019s vibrant touch-responsive user interface, TouchFLO\u2122 3D, and ultra-fast HSDPA internet connectivity\u2026 the HTC Touch Diamond offers a rich online experience to rival a notebook computer, allowing you to interact with Google, YouTube, and Wikipedia as freely as you would with a broadband connection.\r\n\r\nYour contacts, favourite music, videos and photos are no longer an uninspired line of text. With TouchFLO 3D, album artwork, video stills and snapshots of your friends\u2019 and family\u2019s faces are brought to life for you to interact, play and launch at your fingertips.\r\n\r\nA 3.2 megapixel auto-focus camera will help you capture the perfect moment in style and with a massive 4GB of internal storage you can keep all the files you need. The integrated ultra-sensitive GPS will help you find your destination as quickly and efficiently as a dedicated satellite navigation unit.\r\n\r\nStyle and substance in a phone are no longer mutually exclusive. The HTC Touch Diamond has arrived.',
                                                            'is_recurring': None,
                                                            'manufacturer': '122',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'model': 'HTC Touch Diamond',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'HTC Touch Diamond',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '750.0000',
                                                            'product_id': '166',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '38',
                                                            'short_description': u'Re-defining the perception of advanced mobile phones\u2026 the HTC Touch Diamond\u2122 signals a giant leap forward in combining hi-tech prowess with intuitive usability and exhilarating design.',
                                                            'sku': 'HTC Touch Diamond',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 02:22:44',
                                                            'url_key': 'htc-touch-diamond',
                                                            'url_path': 'htc-touch-diamond.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '0.3000'},
        ('ol_catalog_product.info', (166, u'3', None, 'id')): {'activation_information': '',
                                                            'categories': ['8'],
                                                            'color': '24',
                                                            'cost': None,
                                                            'country_of_manufacture': None,
                                                            'created_at': '2008-07-25 02:22:13',
                                                            'custom_design': '',
                                                            'custom_design_from': None,
                                                            'custom_design_to': None,
                                                            'custom_layout_update': '',
                                                            'description': u'Re-defining the perception of advanced mobile phones\u2026 the HTC Touch Diamond\u2122 signals a giant leap forward in combining hi-tech prowess with intuitive usability and exhilarating design.\r\n\r\nFeaturing a sharp 2.8-inch touch screen housed within a stunning formation of brushed metal and flawless faceted edges, the HTC Touch Diamond is as beautiful to behold as it is to use.\r\n\r\nWith HTC\u2019s vibrant touch-responsive user interface, TouchFLO\u2122 3D, and ultra-fast HSDPA internet connectivity\u2026 the HTC Touch Diamond offers a rich online experience to rival a notebook computer, allowing you to interact with Google, YouTube, and Wikipedia as freely as you would with a broadband connection.\r\n\r\nYour contacts, favourite music, videos and photos are no longer an uninspired line of text. With TouchFLO 3D, album artwork, video stills and snapshots of your friends\u2019 and family\u2019s faces are brought to life for you to interact, play and launch at your fingertips.\r\n\r\nA 3.2 megapixel auto-focus camera will help you capture the perfect moment in style and with a massive 4GB of internal storage you can keep all the files you need. The integrated ultra-sensitive GPS will help you find your destination as quickly and efficiently as a dedicated satellite navigation unit.\r\n\r\nStyle and substance in a phone are no longer mutually exclusive. The HTC Touch Diamond has arrived.',
                                                            'dimension': '102 mm (L) X 51 mm (W) X 11.35 mm (T)',
                                                            'enable_googlecheckout': None,
                                                            'gift_message_available': '',
                                                            'group_price': [],
                                                            'has_options': '0',
                                                            'image_label': None,
                                                            'in_depth': u'Re-defining the perception of advanced mobile phones\u2026 the HTC Touch Diamond\u2122 signals a giant leap forward in combining hi-tech prowess with intuitive usability and exhilarating design.\r\n\r\nFeaturing a sharp 2.8-inch touch screen housed within a stunning formation of brushed metal and flawless faceted edges, the HTC Touch Diamond is as beautiful to behold as it is to use.\r\n\r\nWith HTC\u2019s vibrant touch-responsive user interface, TouchFLO\u2122 3D, and ultra-fast HSDPA internet connectivity\u2026 the HTC Touch Diamond offers a rich online experience to rival a notebook computer, allowing you to interact with Google, YouTube, and Wikipedia as freely as you would with a broadband connection.\r\n\r\nYour contacts, favourite music, videos and photos are no longer an uninspired line of text. With TouchFLO 3D, album artwork, video stills and snapshots of your friends\u2019 and family\u2019s faces are brought to life for you to interact, play and launch at your fingertips.\r\n\r\nA 3.2 megapixel auto-focus camera will help you capture the perfect moment in style and with a massive 4GB of internal storage you can keep all the files you need. The integrated ultra-sensitive GPS will help you find your destination as quickly and efficiently as a dedicated satellite navigation unit.\r\n\r\nStyle and substance in a phone are no longer mutually exclusive. The HTC Touch Diamond has arrived.',
                                                            'is_recurring': None,
                                                            'manufacturer': '122',
                                                            'meta_description': '',
                                                            'meta_keyword': '',
                                                            'meta_title': '',
                                                            'minimal_price': None,
                                                            'model': 'HTC Touch Diamond',
                                                            'msrp': None,
                                                            'msrp_display_actual_price_type': None,
                                                            'msrp_enabled': None,
                                                            'name': 'HTC Touch Diamond',
                                                            'news_from_date': None,
                                                            'news_to_date': None,
                                                            'old_id': None,
                                                            'options_container': 'container2',
                                                            'page_layout': None,
                                                            'price': '750.0000',
                                                            'product_id': '166',
                                                            'recurring_profile': None,
                                                            'required_options': '0',
                                                            'set': '38',
                                                            'short_description': u'Re-defining the perception of advanced mobile phones\u2026 the HTC Touch Diamond\u2122 signals a giant leap forward in combining hi-tech prowess with intuitive usability and exhilarating design.',
                                                            'sku': 'HTC Touch Diamond',
                                                            'small_image_label': None,
                                                            'special_from_date': None,
                                                            'special_price': None,
                                                            'special_to_date': None,
                                                            'status': '1',
                                                            'tax_class_id': '2',
                                                            'thumbnail_label': None,
                                                            'tier_price': [],
                                                            'type': 'simple',
                                                            'type_id': 'simple',
                                                            'updated_at': '2008-07-25 02:22:44',
                                                            'url_key': 'htc-touch-diamond',
                                                            'url_path': 'htc-touch-diamond.html',
                                                            'visibility': '4',
                                                            'websites': ['1'],
                                                            'weight': '0.3000'},
        ('catalog_product.list', (frozenset([]),)): [{'category_ids': ['8'],
                                                      'name': 'Nokia 2610 Phone',
                                                      'product_id': '16',
                                                      'set': '38',
                                                      'sku': 'n2610',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['8'],
                                                      'name': 'BlackBerry 8100 Pearl',
                                                      'product_id': '17',
                                                      'set': '38',
                                                      'sku': 'bb8100',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['8'],
                                                      'name': 'Sony Ericsson W810i',
                                                      'product_id': '18',
                                                      'set': '38',
                                                      'sku': 'sw810i',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['8'],
                                                      'name': 'AT&T 8525 PDA',
                                                      'product_id': '19',
                                                      'set': '38',
                                                      'sku': '8525PDA',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['8'],
                                                      'name': 'Samsung MM-A900M Ace',
                                                      'product_id': '20',
                                                      'set': '38',
                                                      'sku': 'MM-A900M',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['15', '28'],
                                                      'name': 'Apple MacBook Pro MA464LL/A 15.4" Notebook PC',
                                                      'product_id': '25',
                                                      'set': '39',
                                                      'sku': 'MA464LL/A',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['15', '28'],
                                                      'name': 'Acer Ferrari 3200 Notebook Computer PC',
                                                      'product_id': '26',
                                                      'set': '39',
                                                      'sku': 'LX.FR206.001',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': [],
                                                      'name': 'Sony VAIO VGN-TXN27N/B 11.1" Notebook PC',
                                                      'product_id': '27',
                                                      'set': '39',
                                                      'sku': 'VGN-TXN27N/B',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['15', '28'],
                                                      'name': 'Toshiba M285-E 14"',
                                                      'product_id': '28',
                                                      'set': '39',
                                                      'sku': 'M285-E',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': [],
                                                      'name': 'CN Clogs Beach/Garden Clog',
                                                      'product_id': '29',
                                                      'set': '40',
                                                      'sku': 'cn_3',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['16'],
                                                      'name': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                      'product_id': '30',
                                                      'set': '40',
                                                      'sku': 'asc_8',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['17'],
                                                      'name': 'Steven by Steve Madden Pryme Pump',
                                                      'product_id': '31',
                                                      'set': '40',
                                                      'sku': 'steve_4',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['17'],
                                                      'name': "Nine West Women's Lucero Pump",
                                                      'product_id': '32',
                                                      'set': '40',
                                                      'sku': 'nine_3',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['17'],
                                                      'name': 'ECCO Womens Golf Flexor Golf Shoe',
                                                      'product_id': '33',
                                                      'set': '40',
                                                      'sku': 'ecco_3',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['16'],
                                                      'name': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                      'product_id': '34',
                                                      'set': '40',
                                                      'sku': 'ken_8',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['4'],
                                                      'name': 'Coalesce: Functioning On Impatience T-Shirt',
                                                      'product_id': '35',
                                                      'set': '41',
                                                      'sku': 'coal_sm',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['4'],
                                                      'name': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                      'product_id': '36',
                                                      'set': '41',
                                                      'sku': 'ink_sm',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['4'],
                                                      'name': 'The Only Children: Paisley T-Shirt',
                                                      'product_id': '37',
                                                      'set': '41',
                                                      'sku': 'oc_sm',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['4'],
                                                      'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                      'product_id': '38',
                                                      'set': '41',
                                                      'sku': 'zol_r_sm',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['19'],
                                                      'name': 'The Get Up Kids: Band Camp Pullover Hoodie',
                                                      'product_id': '39',
                                                      'set': '41',
                                                      'sku': '4fasd5f5',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['23'],
                                                      'name': 'Akio Dresser',
                                                      'product_id': '41',
                                                      'set': '42',
                                                      'sku': '384822',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['23'],
                                                      'name': 'Barcelona Bamboo Platform Bed',
                                                      'product_id': '42',
                                                      'set': '42',
                                                      'sku': 'bar1234',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['26'],
                                                      'name': 'Canon Digital Rebel XT 8MP Digital SLR Camera',
                                                      'product_id': '44',
                                                      'set': '44',
                                                      'sku': 'Rebel XT',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['26'],
                                                      'name': ' Argus QC-2185 Quick Click 5MP Digital Camera',
                                                      'product_id': '45',
                                                      'set': '44',
                                                      'sku': 'QC-2185',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['12', '26'],
                                                      'name': ' Olympus Stylus 750 7.1MP Digital Camera',
                                                      'product_id': '46',
                                                      'set': '44',
                                                      'sku': '750',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['26'],
                                                      'name': 'Canon PowerShot A630 8MP Digital Camera with 4x Optical Zoom',
                                                      'product_id': '47',
                                                      'set': '44',
                                                      'sku': 'A630',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['26'],
                                                      'name': 'Kodak EasyShare C530 5MP Digital Camera',
                                                      'product_id': '48',
                                                      'set': '44',
                                                      'sku': 'C530',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['17'],
                                                      'name': 'Anashria Womens Premier Leather Sandal',
                                                      'product_id': '49',
                                                      'set': '40',
                                                      'sku': 'ana_9',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['22'],
                                                      'name': 'Ottoman',
                                                      'product_id': '51',
                                                      'set': '42',
                                                      'sku': '1111',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['22'],
                                                      'name': 'Chair',
                                                      'product_id': '52',
                                                      'set': '42',
                                                      'sku': '1112',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['22'],
                                                      'name': 'Couch',
                                                      'product_id': '53',
                                                      'set': '42',
                                                      'sku': '1113',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['22'],
                                                      'name': 'Magento Red Furniture Set',
                                                      'product_id': '54',
                                                      'set': '42',
                                                      'sku': '1114',
                                                      'type': 'grouped',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['17'],
                                                      'name': 'Anashria Womens Premier Leather Sandal',
                                                      'product_id': '74',
                                                      'set': '40',
                                                      'sku': 'ana_3',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['17'],
                                                      'name': 'Anashria Womens Premier Leather Sandal',
                                                      'product_id': '75',
                                                      'set': '40',
                                                      'sku': 'ana_4',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['17'],
                                                      'name': 'Anashria Womens Premier Leather Sandal',
                                                      'product_id': '79',
                                                      'set': '40',
                                                      'sku': 'ana_5',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['17'],
                                                      'name': 'Anashria Womens Premier Leather Sandal',
                                                      'product_id': '80',
                                                      'set': '40',
                                                      'sku': 'ana_6',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['17'],
                                                      'name': 'Anashria Womens Premier Leather Sandal',
                                                      'product_id': '81',
                                                      'set': '40',
                                                      'sku': 'ana_7',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['17'],
                                                      'name': 'Anashria Womens Premier Leather Sandal',
                                                      'product_id': '82',
                                                      'set': '40',
                                                      'sku': 'ana_8',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['16', '17'],
                                                      'name': 'CN Clogs Beach/Garden Clog',
                                                      'product_id': '83',
                                                      'set': '40',
                                                      'sku': 'cn',
                                                      'type': 'configurable',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['16', '17'],
                                                      'name': 'CN Clogs Beach/Garden Clog',
                                                      'product_id': '84',
                                                      'set': '40',
                                                      'sku': 'cn_4',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['16', '17'],
                                                      'name': 'CN Clogs Beach/Garden Clog',
                                                      'product_id': '85',
                                                      'set': '40',
                                                      'sku': 'cn_5',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['16', '17'],
                                                      'name': 'CN Clogs Beach/Garden Clog',
                                                      'product_id': '86',
                                                      'set': '40',
                                                      'sku': 'cn_6',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['16', '17'],
                                                      'name': 'CN Clogs Beach/Garden Clog',
                                                      'product_id': '87',
                                                      'set': '40',
                                                      'sku': 'cn_7',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['16', '17'],
                                                      'name': 'CN Clogs Beach/Garden Clog',
                                                      'product_id': '88',
                                                      'set': '40',
                                                      'sku': 'cn_m8',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['16', '17'],
                                                      'name': 'CN Clogs Beach/Garden Clog',
                                                      'product_id': '89',
                                                      'set': '40',
                                                      'sku': 'cn_m9',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['16', '17'],
                                                      'name': 'CN Clogs Beach/Garden Clog',
                                                      'product_id': '90',
                                                      'set': '40',
                                                      'sku': 'cn_m10',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['16', '17'],
                                                      'name': 'CN Clogs Beach/Garden Clog',
                                                      'product_id': '91',
                                                      'set': '40',
                                                      'sku': 'cn_m11',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['16', '17'],
                                                      'name': 'CN Clogs Beach/Garden Clog',
                                                      'product_id': '92',
                                                      'set': '40',
                                                      'sku': 'cn_m12',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['16'],
                                                      'name': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                      'product_id': '93',
                                                      'set': '40',
                                                      'sku': 'asc',
                                                      'type': 'configurable',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['16'],
                                                      'name': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                      'product_id': '94',
                                                      'set': '40',
                                                      'sku': 'asc_9',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['16'],
                                                      'name': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                      'product_id': '95',
                                                      'set': '40',
                                                      'sku': 'asc_10',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['16'],
                                                      'name': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                      'product_id': '96',
                                                      'set': '40',
                                                      'sku': 'asc_11',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['16'],
                                                      'name': u"ASICS\xae Men's GEL-Kayano\xae XII",
                                                      'product_id': '97',
                                                      'set': '40',
                                                      'sku': 'asc_12',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['16'],
                                                      'name': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                      'product_id': '98',
                                                      'set': '40',
                                                      'sku': 'ken',
                                                      'type': 'configurable',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['16'],
                                                      'name': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                      'product_id': '99',
                                                      'set': '40',
                                                      'sku': 'ken_9',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['16'],
                                                      'name': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                      'product_id': '100',
                                                      'set': '40',
                                                      'sku': 'ken_10',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['16'],
                                                      'name': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                      'product_id': '101',
                                                      'set': '40',
                                                      'sku': 'ken_11',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['16'],
                                                      'name': "Kenneth Cole New York Men's Con-verge Slip-on",
                                                      'product_id': '102',
                                                      'set': '40',
                                                      'sku': 'ken_12',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['17'],
                                                      'name': 'Steven by Steve Madden Pryme Pump',
                                                      'product_id': '103',
                                                      'set': '40',
                                                      'sku': 'steve',
                                                      'type': 'configurable',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['17'],
                                                      'name': 'Steven by Steve Madden Pryme Pump',
                                                      'product_id': '104',
                                                      'set': '40',
                                                      'sku': 'steve_5',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['17'],
                                                      'name': 'Steven by Steve Madden Pryme Pump',
                                                      'product_id': '105',
                                                      'set': '40',
                                                      'sku': 'steve_6',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['17'],
                                                      'name': 'Steven by Steve Madden Pryme Pump',
                                                      'product_id': '106',
                                                      'set': '40',
                                                      'sku': 'steve_7',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['17'],
                                                      'name': 'Steven by Steve Madden Pryme Pump',
                                                      'product_id': '107',
                                                      'set': '40',
                                                      'sku': 'steve_8',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['17'],
                                                      'name': "Nine West Women's Lucero Pump",
                                                      'product_id': '108',
                                                      'set': '40',
                                                      'sku': 'nine',
                                                      'type': 'configurable',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['17'],
                                                      'name': "Nine West Women's Lucero Pump",
                                                      'product_id': '109',
                                                      'set': '40',
                                                      'sku': 'nine_4',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['17'],
                                                      'name': "Nine West Women's Lucero Pump",
                                                      'product_id': '110',
                                                      'set': '40',
                                                      'sku': 'nine_5',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['17'],
                                                      'name': "Nine West Women's Lucero Pump",
                                                      'product_id': '111',
                                                      'set': '40',
                                                      'sku': 'nine_6',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['17'],
                                                      'name': 'ECCO Womens Golf Flexor Golf Shoe',
                                                      'product_id': '112',
                                                      'set': '40',
                                                      'sku': 'ecco',
                                                      'type': 'configurable',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['17'],
                                                      'name': 'ECCO Womens Golf Flexor Golf Shoe',
                                                      'product_id': '113',
                                                      'set': '40',
                                                      'sku': 'ecco_4',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['17'],
                                                      'name': 'ECCO Womens Golf Flexor Golf Shoe',
                                                      'product_id': '114',
                                                      'set': '40',
                                                      'sku': 'ecco_5',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['17'],
                                                      'name': 'ECCO Womens Golf Flexor Golf Shoe',
                                                      'product_id': '115',
                                                      'set': '40',
                                                      'sku': 'ecco_6',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['4'],
                                                      'name': 'Coalesce: Functioning On Impatience T-Shirt',
                                                      'product_id': '117',
                                                      'set': '41',
                                                      'sku': 'coal_md',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['4'],
                                                      'name': 'Coalesce: Functioning On Impatience T-Shirt',
                                                      'product_id': '118',
                                                      'set': '41',
                                                      'sku': 'coal_lrg',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['4'],
                                                      'name': 'Coalesce: Functioning On Impatience T-Shirt',
                                                      'product_id': '119',
                                                      'set': '41',
                                                      'sku': 'coal_1',
                                                      'type': 'configurable',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['4'],
                                                      'name': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                      'product_id': '120',
                                                      'set': '41',
                                                      'sku': 'ink',
                                                      'type': 'configurable',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['4'],
                                                      'name': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                      'product_id': '121',
                                                      'set': '41',
                                                      'sku': 'ink_med',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['4'],
                                                      'name': 'Ink Eater: Krylon Bombear Destroyed Tee',
                                                      'product_id': '122',
                                                      'set': '41',
                                                      'sku': 'ink_lrg',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['4'],
                                                      'name': 'The Only Children: Paisley T-Shirt',
                                                      'product_id': '123',
                                                      'set': '41',
                                                      'sku': 'oc',
                                                      'type': 'configurable',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['4'],
                                                      'name': 'The Only Children: Paisley T-Shirt',
                                                      'product_id': '124',
                                                      'set': '41',
                                                      'sku': 'oc_med',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['4'],
                                                      'name': 'The Only Children: Paisley T-Shirt',
                                                      'product_id': '125',
                                                      'set': '41',
                                                      'sku': 'oc_lrg',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['4'],
                                                      'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                      'product_id': '126',
                                                      'set': '41',
                                                      'sku': 'zol',
                                                      'type': 'configurable',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['4'],
                                                      'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                      'product_id': '127',
                                                      'set': '41',
                                                      'sku': 'zol_g_sm',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['4'],
                                                      'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                      'product_id': '128',
                                                      'set': '41',
                                                      'sku': 'zol_r_med',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['4'],
                                                      'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                      'product_id': '129',
                                                      'set': '41',
                                                      'sku': 'zol_g_med',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['4'],
                                                      'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                      'product_id': '130',
                                                      'set': '41',
                                                      'sku': 'zol_r_lrg',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['4'],
                                                      'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                      'product_id': '131',
                                                      'set': '41',
                                                      'sku': 'zol_g_lrg',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['25'],
                                                      'name': 'SLR Camera Tripod',
                                                      'product_id': '132',
                                                      'set': '9',
                                                      'sku': 'ac674',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['25'],
                                                      'name': 'Universal Camera Case',
                                                      'product_id': '133',
                                                      'set': '9',
                                                      'sku': 'ac9003',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['25'],
                                                      'name': 'Universal Camera Charger',
                                                      'product_id': '134',
                                                      'set': '9',
                                                      'sku': 'ac-66332',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['17'],
                                                      'name': 'Anashria Womens Premier Leather Sandal',
                                                      'product_id': '135',
                                                      'set': '40',
                                                      'sku': 'ana',
                                                      'type': 'configurable',
                                                      'website_ids': ['1']},
                                                     {'category_ids': [],
                                                      'name': 'Zolof The Rock And Roll Destroyer: LOL Cat T-shirt',
                                                      'product_id': '137',
                                                      'set': '41',
                                                      'sku': 'zol_b_med',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['32'],
                                                      'name': 'Apevia Black X-Cruiser Case ATX Mid-Tower Case (Default)',
                                                      'product_id': '138',
                                                      'set': '9',
                                                      'sku': 'apevia-black',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['32'],
                                                      'name': 'NZXT Lexa Silver Aluminum ATX Mid-Tower Case (Default)',
                                                      'product_id': '139',
                                                      'set': '9',
                                                      'sku': 'nzxtlexa',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['15', '31'],
                                                      'name': 'Crucial 2GB PC4200 DDR2 533MHz Memory',
                                                      'product_id': '140',
                                                      'set': '58',
                                                      'sku': '2gbdimm',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['15', '31'],
                                                      'name': 'Crucial 1GB PC4200 DDR2 533MHz Memory',
                                                      'product_id': '141',
                                                      'set': '58',
                                                      'sku': '1gbdimm',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': [],
                                                      'name': 'One Year Extended Warranty - Parts and Labor',
                                                      'product_id': '142',
                                                      'set': '59',
                                                      'sku': '1yr_p_l',
                                                      'type': 'virtual',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['15', '31'],
                                                      'name': 'Crucial 512MB PC4200 DDR2 533MHz Memory',
                                                      'product_id': '143',
                                                      'set': '58',
                                                      'sku': '512dimm',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': [],
                                                      'name': 'Two Year Extended Warranty - Parts and Labor',
                                                      'product_id': '144',
                                                      'set': '59',
                                                      'sku': '2yr_p_l',
                                                      'type': 'virtual',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['33'],
                                                      'name': 'AMD Phenom X4 9850 Black Ed. 2.50GHz Retail',
                                                      'product_id': '145',
                                                      'set': '60',
                                                      'sku': 'amdphenom',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': [],
                                                      'name': 'Three Year Extended Warranty - Parts and Labor',
                                                      'product_id': '146',
                                                      'set': '59',
                                                      'sku': '3yr_p_l',
                                                      'type': 'virtual',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['30'],
                                                      'name': '22" Syncmaster LCD Monitor',
                                                      'product_id': '147',
                                                      'set': '61',
                                                      'sku': '226bw',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['33'],
                                                      'name': 'AMD A64 X2 3800+ 2.0GHz OEM',
                                                      'product_id': '148',
                                                      'set': '60',
                                                      'sku': 'amda64',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['29'],
                                                      'name': 'Western Digital - 1TB HD - 7200RPM',
                                                      'product_id': '149',
                                                      'set': '62',
                                                      'sku': '1tb7200',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['29'],
                                                      'name': 'Western Digital 500GB HD - 7200RPM',
                                                      'product_id': '150',
                                                      'set': '62',
                                                      'sku': '500gb7200',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['33'],
                                                      'name': 'Intel C2D E8400 3.0GHz Retail',
                                                      'product_id': '151',
                                                      'set': '60',
                                                      'sku': 'intelc2d',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['30'],
                                                      'name': '24" Widescreen Flat-Panel LCD Monitor',
                                                      'product_id': '152',
                                                      'set': '61',
                                                      'sku': 'W2452T-TF',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['33'],
                                                      'name': 'Intel Core 2 Extreme QX9775 3.20GHz Retail',
                                                      'product_id': '153',
                                                      'set': '60',
                                                      'sku': 'intelcore2extreme',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['29'],
                                                      'name': 'Seagate 500GB HD - 5400RPM',
                                                      'product_id': '154',
                                                      'set': '62',
                                                      'sku': '500gb5400',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['29'],
                                                      'name': 'Seagate 250GB HD - 5400RPM',
                                                      'product_id': '155',
                                                      'set': '62',
                                                      'sku': '250gb5400',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['30'],
                                                      'name': '19" Widescreen Flat-Panel LCD Monitor',
                                                      'product_id': '156',
                                                      'set': '61',
                                                      'sku': 'W1952TQ-TF',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['30'],
                                                      'name': '30" Flat-Panel TFT-LCD Cinema HD Monitor',
                                                      'product_id': '157',
                                                      'set': '61',
                                                      'sku': 'M9179LL',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['28'],
                                                      'name': 'Sony VAIO 11.1" Notebook PC',
                                                      'product_id': '158',
                                                      'set': '39',
                                                      'sku': 'VGN-TXN27N/BW',
                                                      'type': 'bundle',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['34'],
                                                      'name': 'Microsoft Natural Ergonomic Keyboard 4000',
                                                      'product_id': '159',
                                                      'set': '9',
                                                      'sku': 'microsoftnatural',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['34'],
                                                      'name': 'Logitech Cordless Optical Trackman',
                                                      'product_id': '160',
                                                      'set': '9',
                                                      'sku': 'logitechcord',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['34'],
                                                      'name': 'Logitech diNovo Edge Keyboard',
                                                      'product_id': '161',
                                                      'set': '9',
                                                      'sku': 'logidinovo',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['34'],
                                                      'name': 'Microsoft Wireless Optical Mouse 5000',
                                                      'product_id': '162',
                                                      'set': '9',
                                                      'sku': 'micronmouse5000',
                                                      'type': 'simple',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['15', '27'],
                                                      'name': 'Computer',
                                                      'product_id': '163',
                                                      'set': '9',
                                                      'sku': 'computer',
                                                      'type': 'bundle',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['27'],
                                                      'name': 'Gaming Computer',
                                                      'product_id': '164',
                                                      'set': '9',
                                                      'sku': 'computer_fixed',
                                                      'type': 'bundle',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['27'],
                                                      'name': 'My Computer',
                                                      'product_id': '165',
                                                      'set': '39',
                                                      'sku': 'mycomputer',
                                                      'type': 'bundle',
                                                      'website_ids': ['1']},
                                                     {'category_ids': ['8'],
                                                      'name': 'HTC Touch Diamond',
                                                      'product_id': '166',
                                                      'set': '38',
                                                      'sku': 'HTC Touch Diamond',
                                                      'type': 'simple',
                                                      'website_ids': ['1']}],
        ('customer.info', (1,)): {'confirmation': None,
                                  'created_at': '2007-08-30 23:23:13',
                                  'created_in': None,
                                  'customer_id': '1',
                                  'default_billing': None,
                                  'default_shipping': None,
                                  'disable_auto_group_change': '0',
                                  'dob': None,
                                  'email': 'john.doe@example.com',
                                  'firstname': 'John',
                                  'gender': None,
                                  'group_id': '1',
                                  'increment_id': '000000001',
                                  'lastname': 'Doe',
                                  'middlename': '',
                                  'password_hash': '22f1f46a5a1d7032b306109e69b21a9a:NR',
                                  'prefix': '',
                                  'rp_token': None,
                                  'rp_token_created_at': None,
                                  'store_id': '1',
                                  'suffix': '',
                                  'taxvat': '',
                                  'updated_at': '2013-04-09 16:06:11',
                                  'website_id': '1'},
        ('customer_address.list', (frozenset([('customer_id', frozenset([('eq', '1')]))]),)): [],
        ('ol_customer.search', (frozenset([('website_id', frozenset([('in', (u'0',))]))]),)): [],
        ('ol_customer.search', (frozenset([('website_id', frozenset([('in', (u'1',))]))]),)): ['1'],
        ('ol_customer_groups.info', (0,)): {'customer_group_code': 'NOT LOGGED IN',
                                            'customer_group_id': '0',
                                            'tax_class_id': '3'},
        ('ol_customer_groups.info', (1,)): {'customer_group_code': 'General',
                                            'customer_group_id': '1',
                                            'tax_class_id': '3'},
        ('ol_customer_groups.info', (2,)): {'customer_group_code': 'Wholesale',
                                            'customer_group_id': '2',
                                            'tax_class_id': '3'},
        ('ol_customer_groups.info', (3,)): {'customer_group_code': 'Retailer',
                                            'customer_group_id': '3',
                                            'tax_class_id': '3'},
        ('ol_customer_groups.info', (4,)): {'customer_group_code': 'QAAAA',
                                            'customer_group_id': '4',
                                            'tax_class_id': '3'},
        ('ol_customer_groups.list', (frozenset([]),)): [{'customer_group_code': 'NOT LOGGED IN',
                                                         'customer_group_id': '0',
                                                         'tax_class_id': '3'},
                                                        {'customer_group_code': 'General',
                                                         'customer_group_id': '1',
                                                         'tax_class_id': '3'},
                                                        {'customer_group_code': 'Wholesale',
                                                         'customer_group_id': '2',
                                                         'tax_class_id': '3'},
                                                        {'customer_group_code': 'Retailer',
                                                         'customer_group_id': '3',
                                                         'tax_class_id': '3'},
                                                        {'customer_group_code': 'QAAAA',
                                                         'customer_group_id': '4',
                                                         'tax_class_id': '3'}],
        ('ol_groups.info', (0,)): {'default_store_id': '0',
                                   'group_id': '0',
                                   'name': 'Default',
                                   'root_category_id': '0',
                                   'website_id': '0'},
        ('ol_groups.info', (1,)): {'default_store_id': '1',
                                   'group_id': '1',
                                   'name': 'Main Store',
                                   'root_category_id': '3',
                                   'website_id': '1'},
        ('ol_groups.search', (frozenset([]),)): ['0', '1'],
        ('ol_storeviews.info', (0,)): {'code': 'admin',
                                       'group_id': '0',
                                       'is_active': '1',
                                       'name': 'Admin',
                                       'sort_order': '0',
                                       'store_id': '0',
                                       'website_id': '0'},
        ('ol_storeviews.info', (1,)): {'code': 'default',
                                       'group_id': '1',
                                       'is_active': '1',
                                       'name': 'English',
                                       'sort_order': '0',
                                       'store_id': '1',
                                       'website_id': '1'},
        ('ol_storeviews.info', (2,)): {'code': 'german',
                                       'group_id': '1',
                                       'is_active': '1',
                                       'name': 'German',
                                       'sort_order': '0',
                                       'store_id': '2',
                                       'website_id': '1'},
        ('ol_storeviews.info', (3,)): {'code': 'french',
                                       'group_id': '1',
                                       'is_active': '1',
                                       'name': 'French',
                                       'sort_order': '0',
                                       'store_id': '3',
                                       'website_id': '1'},
        ('ol_storeviews.search', (frozenset([]),)): ['0', '1', '2', '3'],
        ('ol_websites.info', (0,)): {'code': 'admin',
                                     'default_group_id': '0',
                                     'is_default': '0',
                                     'name': 'Admin',
                                     'sort_order': '0',
                                     'website_id': '0'},
        ('ol_websites.info', (1,)): {'code': 'base',
                                     'default_group_id': '1',
                                     'is_default': '1',
                                     'name': 'Main Website',
                                     'sort_order': '0',
                                     'website_id': '1'},
        ('ol_websites.search', (frozenset([]),)): ['0', '1'],
        ('product_media.list', (16, None, 'id')): [{'exclude': '1',
                                                    'file': '/n/o/nokia-2610-phone-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail',
                                                              'small_image',
                                                              'image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/n/o/nokia-2610-phone-2.jpg'},
                                                   {'exclude': '0',
                                                    'file': '/n/o/nokia-2610-phone-1.jpg',
                                                    'label': '',
                                                    'position': '1',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/n/o/nokia-2610-phone-1.jpg'},
                                                   {'exclude': '0',
                                                    'file': '/n/o/nokia-2610-phone.jpg',
                                                    'label': '',
                                                    'position': '2',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/n/o/nokia-2610-phone.jpg'}],
        ('product_media.list', (17, None, 'id')): [{'exclude': '1',
                                                    'file': '/b/l/blackberry-8100-pearl-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail',
                                                              'small_image',
                                                              'image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/b/l/blackberry-8100-pearl-2.jpg'},
                                                   {'exclude': '0',
                                                    'file': '/b/l/blackberry-8100-pearl-1.jpg',
                                                    'label': '',
                                                    'position': '1',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/b/l/blackberry-8100-pearl-1.jpg'},
                                                   {'exclude': '0',
                                                    'file': '/b/l/blackberry-8100-pearl.jpg',
                                                    'label': '',
                                                    'position': '2',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/b/l/blackberry-8100-pearl.jpg'}],
        ('product_media.list', (18, None, 'id')): [{'exclude': '0',
                                                    'file': '/s/o/sony-ericsson-w810i.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/o/sony-ericsson-w810i.jpg'},
                                                   {'exclude': '0',
                                                    'file': '/s/o/sony-ericsson-w810i-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/o/sony-ericsson-w810i-1.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/s/o/sony-ericsson-w810i-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail',
                                                              'small_image',
                                                              'image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/o/sony-ericsson-w810i-2.jpg'}],
        ('product_media.list', (19, None, 'id')): [{'exclude': '0',
                                                    'file': '/a/t/at-t-8525-pda.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/t/at-t-8525-pda.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/a/t/at-t-8525-pda-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail',
                                                              'small_image',
                                                              'image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/t/at-t-8525-pda-1.jpg'}],
        ('product_media.list', (20, None, 'id')): [{'exclude': '1',
                                                    'file': '/s/a/samsung-mm-a900m-ace.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail',
                                                              'small_image',
                                                              'image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/a/samsung-mm-a900m-ace.jpg'}],
        ('product_media.list', (25, None, 'id')): [{'exclude': '1',
                                                    'file': '/a/p/apple-macbook-pro-ma464ll-a-15-4-notebook-pc.jpg',
                                                    'label': '',
                                                    'position': '1',
                                                    'types': ['thumbnail',
                                                              'small_image',
                                                              'image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/p/apple-macbook-pro-ma464ll-a-15-4-notebook-pc.jpg'}],
        ('product_media.list', (26, None, 'id')): [{'exclude': '1',
                                                    'file': '/a/c/acer-ferrari-3200-notebook-computer-pc.jpg',
                                                    'label': '',
                                                    'position': '1',
                                                    'types': ['thumbnail',
                                                              'small_image',
                                                              'image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/c/acer-ferrari-3200-notebook-computer-pc.jpg'}],
        ('product_media.list', (27, None, 'id')): [{'exclude': '1',
                                                    'file': '/s/o/sony-vaio-vgn-txn27n-b-11-1-notebook-pc.jpg',
                                                    'label': '',
                                                    'position': '1',
                                                    'types': ['thumbnail',
                                                              'small_image',
                                                              'image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/o/sony-vaio-vgn-txn27n-b-11-1-notebook-pc.jpg'}],
        ('product_media.list', (28, None, 'id')): [{'exclude': '1',
                                                    'file': '/t/o/toshiba-m285-e-14.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail',
                                                              'small_image',
                                                              'image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/t/o/toshiba-m285-e-14.jpg'}],
        ('product_media.list', (29, None, 'id')): [{'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog-1.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog-3.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['small_image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog-3.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog-4.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog-4.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog-2.jpg'}],
        ('product_media.list', (30, None, 'id')): [{'exclude': '0',
                                                    'file': '/a/s/asics-men-s-gel-kayano-xii.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/s/asics-men-s-gel-kayano-xii.jpg'},
                                                   {'exclude': '0',
                                                    'file': '/a/s/asics-men-s-gel-kayano-xii-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/s/asics-men-s-gel-kayano-xii-1.jpg'}],
        ('product_media.list', (31, None, 'id')): [{'exclude': '1',
                                                    'file': '/s/t/steven-by-steve-madden-pryme-pump.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/t/steven-by-steve-madden-pryme-pump.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/s/t/steven-by-steve-madden-pryme-pump-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/t/steven-by-steve-madden-pryme-pump-1.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/s/t/steven-by-steve-madden-pryme-pump-3.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['small_image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/t/steven-by-steve-madden-pryme-pump-3.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/s/t/steven-by-steve-madden-pryme-pump-4.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/t/steven-by-steve-madden-pryme-pump-4.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/s/t/steven-by-steve-madden-pryme-pump-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/t/steven-by-steve-madden-pryme-pump-2.jpg'}],
        ('product_media.list', (32, None, 'id')): [{'exclude': '0',
                                                    'file': '/n/i/nine-west-women-s-lucero-pump.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/n/i/nine-west-women-s-lucero-pump.jpg'},
                                                   {'exclude': '0',
                                                    'file': '/n/i/nine-west-women-s-lucero-pump-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/n/i/nine-west-women-s-lucero-pump-1.jpg'}],
        ('product_media.list', (33, None, 'id')): [{'exclude': '1',
                                                    'file': '/e/c/ecco-womens-golf-flexor-golf-shoe.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/e/c/ecco-womens-golf-flexor-golf-shoe.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/e/c/ecco-womens-golf-flexor-golf-shoe-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/e/c/ecco-womens-golf-flexor-golf-shoe-1.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/e/c/ecco-womens-golf-flexor-golf-shoe-3.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['small_image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/e/c/ecco-womens-golf-flexor-golf-shoe-3.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/e/c/ecco-womens-golf-flexor-golf-shoe-4.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/e/c/ecco-womens-golf-flexor-golf-shoe-4.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/e/c/ecco-womens-golf-flexor-golf-shoe-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/e/c/ecco-womens-golf-flexor-golf-shoe-2.jpg'}],
        ('product_media.list', (34, None, 'id')): [{'exclude': '1',
                                                    'file': '/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on-1.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on-2.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on-3.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['small_image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on-3.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on-4.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on-4.jpg'}],
        ('product_media.list', (35, None, 'id')): [{'exclude': '0',
                                                    'file': '/c/o/coalesce-functioning-on-impatience-t-shirt.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/o/coalesce-functioning-on-impatience-t-shirt.jpg'}],
        ('product_media.list', (36, None, 'id')): [{'exclude': '0',
                                                    'file': '/i/n/ink-eater-krylon-bombear-destroyed-tee.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/i/n/ink-eater-krylon-bombear-destroyed-tee.jpg'}],
        ('product_media.list', (37, None, 'id')): [{'exclude': '0',
                                                    'file': '/t/h/the-only-children-paisley-t-shirt.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/t/h/the-only-children-paisley-t-shirt.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/t/h/the-only-children-paisley-t-shirt-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/t/h/the-only-children-paisley-t-shirt-1.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/t/h/the-only-children-paisley-t-shirt-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['small_image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/t/h/the-only-children-paisley-t-shirt-2.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/t/h/the-only-children-paisley-t-shirt-3.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/t/h/the-only-children-paisley-t-shirt-3.jpg'}],
        ('product_media.list', (38, None, 'id')): [{'exclude': '0',
                                                    'file': '/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-3.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-3.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-1.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['small_image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-2.jpg'}],
        ('product_media.list', (39, None, 'id')): [{'exclude': '0',
                                                    'file': '/t/h/the-get-up-kids-band-camp-pullover-hoodie.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/t/h/the-get-up-kids-band-camp-pullover-hoodie.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/t/h/the-get-up-kids-band-camp-pullover-hoodie-1.jpg',
                                                    'label': '',
                                                    'position': '1',
                                                    'types': ['thumbnail',
                                                              'small_image',
                                                              'image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/t/h/the-get-up-kids-band-camp-pullover-hoodie-1.jpg'}],
        ('product_media.list', (41, None, 'id')): [{'exclude': '1',
                                                    'file': '/a/k/akio-dresser.jpg',
                                                    'label': '',
                                                    'position': '1',
                                                    'types': ['thumbnail',
                                                              'small_image',
                                                              'image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/k/akio-dresser.jpg'}],
        ('product_media.list', (42, None, 'id')): [{'exclude': '1',
                                                    'file': '/b/a/barcelona-bamboo-platform-bed.jpg',
                                                    'label': '',
                                                    'position': '1',
                                                    'types': ['thumbnail',
                                                              'small_image',
                                                              'image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/b/a/barcelona-bamboo-platform-bed.jpg'}],
        ('product_media.list', (44, None, 'id')): [{'exclude': '0',
                                                    'file': '/c/a/canon-digital-rebel-xt-8mp-digital-slr-camera.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/a/canon-digital-rebel-xt-8mp-digital-slr-camera.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/c/a/canon-digital-rebel-xt-8mp-digital-slr-camera-1.jpg',
                                                    'label': '',
                                                    'position': '1',
                                                    'types': ['thumbnail',
                                                              'small_image',
                                                              'image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/a/canon-digital-rebel-xt-8mp-digital-slr-camera-1.jpg'}],
        ('product_media.list', (45, None, 'id')): [{'exclude': '1',
                                                    'file': '/a/r/argus-qc-2185-quick-click-5mp-digital-camera-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail',
                                                              'small_image',
                                                              'image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/r/argus-qc-2185-quick-click-5mp-digital-camera-2.jpg'},
                                                   {'exclude': '0',
                                                    'file': '/a/r/argus-qc-2185-quick-click-5mp-digital-camera.jpg',
                                                    'label': '',
                                                    'position': '1',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/r/argus-qc-2185-quick-click-5mp-digital-camera.jpg'},
                                                   {'exclude': '0',
                                                    'file': '/a/r/argus-qc-2185-quick-click-5mp-digital-camera-1.jpg',
                                                    'label': '',
                                                    'position': '2',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/r/argus-qc-2185-quick-click-5mp-digital-camera-1.jpg'}],
        ('product_media.list', (46, None, 'id')): [{'exclude': '0',
                                                    'file': '/o/l/olympus-stylus-750-7-1mp-digital-camera.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/o/l/olympus-stylus-750-7-1mp-digital-camera.jpg'},
                                                   {'exclude': '0',
                                                    'file': '/o/l/olympus-stylus-750-7-1mp-digital-camera-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/o/l/olympus-stylus-750-7-1mp-digital-camera-1.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/o/l/olympus-stylus-750-7-1mp-digital-camera-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail',
                                                              'small_image',
                                                              'image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/o/l/olympus-stylus-750-7-1mp-digital-camera-2.jpg'}],
        ('product_media.list', (47, None, 'id')): [{'exclude': '1',
                                                    'file': '/c/a/canon-powershot-a630-8mp-digital-camera-with-4x-optical-zoom-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail',
                                                              'small_image',
                                                              'image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/a/canon-powershot-a630-8mp-digital-camera-with-4x-optical-zoom-2.jpg'},
                                                   {'exclude': '0',
                                                    'file': '/c/a/canon-powershot-a630-8mp-digital-camera-with-4x-optical-zoom.jpg',
                                                    'label': '',
                                                    'position': '1',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/a/canon-powershot-a630-8mp-digital-camera-with-4x-optical-zoom.jpg'},
                                                   {'exclude': '0',
                                                    'file': '/c/a/canon-powershot-a630-8mp-digital-camera-with-4x-optical-zoom-1.jpg',
                                                    'label': '',
                                                    'position': '2',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/a/canon-powershot-a630-8mp-digital-camera-with-4x-optical-zoom-1.jpg'}],
        ('product_media.list', (48, None, 'id')): [{'exclude': '0',
                                                    'file': '/k/o/kodak-easyshare-c530-5mp-digital-camera.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/k/o/kodak-easyshare-c530-5mp-digital-camera.jpg'},
                                                   {'exclude': '0',
                                                    'file': '/k/o/kodak-easyshare-c530-5mp-digital-camera-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/k/o/kodak-easyshare-c530-5mp-digital-camera-1.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/k/o/kodak-easyshare-c530-5mp-digital-camera-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail',
                                                              'small_image',
                                                              'image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/k/o/kodak-easyshare-c530-5mp-digital-camera-2.jpg'}],
        ('product_media.list', (49, None, 'id')): [{'exclude': '1',
                                                    'file': '/a/n/anashria-womens-premier-leather-sandal.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/n/anashria-womens-premier-leather-sandal.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/a/n/anashria-womens-premier-leather-sandal-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/n/anashria-womens-premier-leather-sandal-1.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/a/n/anashria-womens-premier-leather-sandal-3.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['small_image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/n/anashria-womens-premier-leather-sandal-3.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/a/n/anashria-womens-premier-leather-sandal-4.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/n/anashria-womens-premier-leather-sandal-4.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/a/n/anashria-womens-premier-leather-sandal-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/n/anashria-womens-premier-leather-sandal-2.jpg'}],
        ('product_media.list', (51, None, 'id')): [{'exclude': '1',
                                                    'file': '/o/t/ottoman.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail',
                                                              'small_image',
                                                              'image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/o/t/ottoman.jpg'}],
        ('product_media.list', (52, None, 'id')): [{'exclude': '1',
                                                    'file': '/c/h/chair.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail',
                                                              'small_image',
                                                              'image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/h/chair.jpg'}],
        ('product_media.list', (53, None, 'id')): [{'exclude': '1',
                                                    'file': '/c/o/couch.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail',
                                                              'small_image',
                                                              'image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/o/couch.jpg'}],
        ('product_media.list', (74, None, 'id')): [{'exclude': '1',
                                                    'file': '/a/n/anashria-womens-premier-leather-sandal.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail',
                                                              'small_image',
                                                              'image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/n/anashria-womens-premier-leather-sandal.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/a/n/anashria-womens-premier-leather-sandal-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/n/anashria-womens-premier-leather-sandal-1.jpg'}],
        ('product_media.list', (75, None, 'id')): [{'exclude': '1',
                                                    'file': '/a/n/anashria-womens-premier-leather-sandal.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/n/anashria-womens-premier-leather-sandal.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/a/n/anashria-womens-premier-leather-sandal-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': [],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/n/anashria-womens-premier-leather-sandal-1.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/a/n/anashria-womens-premier-leather-sandal-3.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['small_image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/n/anashria-womens-premier-leather-sandal-3.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/a/n/anashria-womens-premier-leather-sandal-4.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/n/anashria-womens-premier-leather-sandal-4.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/a/n/anashria-womens-premier-leather-sandal-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/n/anashria-womens-premier-leather-sandal-2.jpg'}],
        ('product_media.list', (79, None, 'id')): [{'exclude': '1',
                                                    'file': '/a/n/anashria-womens-premier-leather-sandal.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/n/anashria-womens-premier-leather-sandal.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/a/n/anashria-womens-premier-leather-sandal-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['small_image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/n/anashria-womens-premier-leather-sandal-1.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/a/n/anashria-womens-premier-leather-sandal-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/n/anashria-womens-premier-leather-sandal-2.jpg'}],
        ('product_media.list', (80, None, 'id')): [{'exclude': '1',
                                                    'file': '/a/n/anashria-womens-premier-leather-sandal.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/n/anashria-womens-premier-leather-sandal.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/a/n/anashria-womens-premier-leather-sandal-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['small_image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/n/anashria-womens-premier-leather-sandal-1.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/a/n/anashria-womens-premier-leather-sandal-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/n/anashria-womens-premier-leather-sandal-2.jpg'}],
        ('product_media.list', (81, None, 'id')): [{'exclude': '1',
                                                    'file': '/a/n/anashria-womens-premier-leather-sandal.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/n/anashria-womens-premier-leather-sandal.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/a/n/anashria-womens-premier-leather-sandal-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['small_image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/n/anashria-womens-premier-leather-sandal-1.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/a/n/anashria-womens-premier-leather-sandal-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/n/anashria-womens-premier-leather-sandal-2.jpg'}],
        ('product_media.list', (82, None, 'id')): [{'exclude': '1',
                                                    'file': '/a/n/anashria-womens-premier-leather-sandal.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/n/anashria-womens-premier-leather-sandal.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/a/n/anashria-womens-premier-leather-sandal-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['small_image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/n/anashria-womens-premier-leather-sandal-1.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/a/n/anashria-womens-premier-leather-sandal-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/n/anashria-womens-premier-leather-sandal-2.jpg'}],
        ('product_media.list', (84, None, 'id')): [{'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog-2.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['small_image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog-1.jpg'}],
        ('product_media.list', (85, None, 'id')): [{'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog-2.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['small_image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog-1.jpg'}],
        ('product_media.list', (86, None, 'id')): [{'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog-2.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['small_image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog-1.jpg'}],
        ('product_media.list', (87, None, 'id')): [{'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog-2.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['small_image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog-1.jpg'}],
        ('product_media.list', (88, None, 'id')): [{'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog-2.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['small_image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog-1.jpg'}],
        ('product_media.list', (89, None, 'id')): [{'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog-2.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['small_image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog-1.jpg'}],
        ('product_media.list', (90, None, 'id')): [{'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog-2.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['small_image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog-1.jpg'}],
        ('product_media.list', (91, None, 'id')): [{'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog-2.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['small_image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog-1.jpg'}],
        ('product_media.list', (92, None, 'id')): [{'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['small_image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog-1.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/c/n/cn-clogs-beach-garden-clog-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/n/cn-clogs-beach-garden-clog-2.jpg'}],
        ('product_media.list', (94, None, 'id')): [],
        ('product_media.list', (95, None, 'id')): [],
        ('product_media.list', (96, None, 'id')): [],
        ('product_media.list', (97, None, 'id')): [],
        ('product_media.list', (99, None, 'id')): [{'exclude': '1',
                                                    'file': '/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on-2.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['thumbnail'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on-2.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on.jpg'},
                                                   {'exclude': '1',
                                                    'file': '/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on-1.jpg',
                                                    'label': '',
                                                    'position': '0',
                                                    'types': ['small_image'],
                                                    'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on-1.jpg'}],
        ('product_media.list', (100, None, 'id')): [{'exclude': '1',
                                                     'file': '/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on-2.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['thumbnail'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on-2.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on-1.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['small_image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on-1.jpg'}],
        ('product_media.list', (101, None, 'id')): [{'exclude': '1',
                                                     'file': '/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on-2.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['thumbnail'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on-2.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on-1.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['small_image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on-1.jpg'}],
        ('product_media.list', (102, None, 'id')): [{'exclude': '1',
                                                     'file': '/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on-2.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['thumbnail'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on-2.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on-1.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['small_image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/k/e/kenneth-cole-new-york-men-s-con-verge-slip-on-1.jpg'}],
        ('product_media.list', (104, None, 'id')): [{'exclude': '1',
                                                     'file': '/s/t/steven-by-steve-madden-pryme-pump.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/t/steven-by-steve-madden-pryme-pump.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/s/t/steven-by-steve-madden-pryme-pump-1.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['small_image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/t/steven-by-steve-madden-pryme-pump-1.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/s/t/steven-by-steve-madden-pryme-pump-2.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['thumbnail'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/t/steven-by-steve-madden-pryme-pump-2.jpg'}],
        ('product_media.list', (105, None, 'id')): [{'exclude': '1',
                                                     'file': '/s/t/steven-by-steve-madden-pryme-pump.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/t/steven-by-steve-madden-pryme-pump.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/s/t/steven-by-steve-madden-pryme-pump-1.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['small_image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/t/steven-by-steve-madden-pryme-pump-1.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/s/t/steven-by-steve-madden-pryme-pump-2.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['thumbnail'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/t/steven-by-steve-madden-pryme-pump-2.jpg'}],
        ('product_media.list', (106, None, 'id')): [{'exclude': '1',
                                                     'file': '/s/t/steven-by-steve-madden-pryme-pump.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/t/steven-by-steve-madden-pryme-pump.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/s/t/steven-by-steve-madden-pryme-pump-1.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['small_image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/t/steven-by-steve-madden-pryme-pump-1.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/s/t/steven-by-steve-madden-pryme-pump-2.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['thumbnail'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/t/steven-by-steve-madden-pryme-pump-2.jpg'}],
        ('product_media.list', (107, None, 'id')): [{'exclude': '1',
                                                     'file': '/s/t/steven-by-steve-madden-pryme-pump.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/t/steven-by-steve-madden-pryme-pump.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/s/t/steven-by-steve-madden-pryme-pump-1.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['small_image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/t/steven-by-steve-madden-pryme-pump-1.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/s/t/steven-by-steve-madden-pryme-pump-2.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['thumbnail'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/t/steven-by-steve-madden-pryme-pump-2.jpg'}],
        ('product_media.list', (109, None, 'id')): [],
        ('product_media.list', (110, None, 'id')): [],
        ('product_media.list', (111, None, 'id')): [],
        ('product_media.list', (113, None, 'id')): [{'exclude': '1',
                                                     'file': '/e/c/ecco-womens-golf-flexor-golf-shoe.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/e/c/ecco-womens-golf-flexor-golf-shoe.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/e/c/ecco-womens-golf-flexor-golf-shoe-1.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['small_image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/e/c/ecco-womens-golf-flexor-golf-shoe-1.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/e/c/ecco-womens-golf-flexor-golf-shoe-2.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['thumbnail'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/e/c/ecco-womens-golf-flexor-golf-shoe-2.jpg'}],
        ('product_media.list', (114, None, 'id')): [{'exclude': '1',
                                                     'file': '/e/c/ecco-womens-golf-flexor-golf-shoe.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/e/c/ecco-womens-golf-flexor-golf-shoe.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/e/c/ecco-womens-golf-flexor-golf-shoe-1.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['small_image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/e/c/ecco-womens-golf-flexor-golf-shoe-1.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/e/c/ecco-womens-golf-flexor-golf-shoe-2.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['thumbnail'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/e/c/ecco-womens-golf-flexor-golf-shoe-2.jpg'}],
        ('product_media.list', (115, None, 'id')): [{'exclude': '1',
                                                     'file': '/e/c/ecco-womens-golf-flexor-golf-shoe.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/e/c/ecco-womens-golf-flexor-golf-shoe.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/e/c/ecco-womens-golf-flexor-golf-shoe-1.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['small_image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/e/c/ecco-womens-golf-flexor-golf-shoe-1.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/e/c/ecco-womens-golf-flexor-golf-shoe-2.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['thumbnail'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/e/c/ecco-womens-golf-flexor-golf-shoe-2.jpg'}],
        ('product_media.list', (117, None, 'id')): [],
        ('product_media.list', (118, None, 'id')): [],
        ('product_media.list', (121, None, 'id')): [{'exclude': '1',
                                                     'file': '/i/n/ink-eater-krylon-bombear-destroyed-tee-2.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['thumbnail'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/i/n/ink-eater-krylon-bombear-destroyed-tee-2.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/i/n/ink-eater-krylon-bombear-destroyed-tee.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/i/n/ink-eater-krylon-bombear-destroyed-tee.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/i/n/ink-eater-krylon-bombear-destroyed-tee-1.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['small_image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/i/n/ink-eater-krylon-bombear-destroyed-tee-1.jpg'}],
        ('product_media.list', (122, None, 'id')): [{'exclude': '1',
                                                     'file': '/i/n/ink-eater-krylon-bombear-destroyed-tee-2.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['thumbnail'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/i/n/ink-eater-krylon-bombear-destroyed-tee-2.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/i/n/ink-eater-krylon-bombear-destroyed-tee.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/i/n/ink-eater-krylon-bombear-destroyed-tee.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/i/n/ink-eater-krylon-bombear-destroyed-tee-1.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['small_image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/i/n/ink-eater-krylon-bombear-destroyed-tee-1.jpg'}],
        ('product_media.list', (124, None, 'id')): [{'exclude': '1',
                                                     'file': '/t/h/the-only-children-paisley-t-shirt-1.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['small_image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/t/h/the-only-children-paisley-t-shirt-1.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/t/h/the-only-children-paisley-t-shirt-2.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['thumbnail'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/t/h/the-only-children-paisley-t-shirt-2.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/t/h/the-only-children-paisley-t-shirt.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/t/h/the-only-children-paisley-t-shirt.jpg'}],
        ('product_media.list', (125, None, 'id')): [{'exclude': '1',
                                                     'file': '/t/h/the-only-children-paisley-t-shirt-1.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['small_image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/t/h/the-only-children-paisley-t-shirt-1.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/t/h/the-only-children-paisley-t-shirt-2.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['thumbnail'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/t/h/the-only-children-paisley-t-shirt-2.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/t/h/the-only-children-paisley-t-shirt.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/t/h/the-only-children-paisley-t-shirt.jpg'}],
        ('product_media.list', (127, None, 'id')): [{'exclude': '1',
                                                     'file': '/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-1.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['small_image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-1.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-2.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['thumbnail'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-2.jpg'}],
        ('product_media.list', (128, None, 'id')): [{'exclude': '1',
                                                     'file': '/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-1.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['small_image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-1.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-2.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['thumbnail'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-2.jpg'}],
        ('product_media.list', (129, None, 'id')): [{'exclude': '1',
                                                     'file': '/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-1.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['small_image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-1.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-2.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['thumbnail'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-2.jpg'}],
        ('product_media.list', (130, None, 'id')): [{'exclude': '1',
                                                     'file': '/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-1.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['small_image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-1.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-2.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['thumbnail'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-2.jpg'}],
        ('product_media.list', (131, None, 'id')): [{'exclude': '1',
                                                     'file': '/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-1.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['small_image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-1.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-2.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['thumbnail'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-2.jpg'}],
        ('product_media.list', (132, None, 'id')): [{'exclude': '1',
                                                     'file': '/s/l/slr-camera-tripod.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['thumbnail',
                                                               'small_image',
                                                               'image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/l/slr-camera-tripod.jpg'}],
        ('product_media.list', (133, None, 'id')): [{'exclude': '1',
                                                     'file': '/u/n/universal-camera-case.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/u/n/universal-camera-case.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/u/n/universal-camera-case-1.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['small_image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/u/n/universal-camera-case-1.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/u/n/universal-camera-case-2.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['thumbnail'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/u/n/universal-camera-case-2.jpg'}],
        ('product_media.list', (134, None, 'id')): [{'exclude': '1',
                                                     'file': '/u/n/universal-camera-charger.jpg',
                                                     'label': '',
                                                     'position': '1',
                                                     'types': ['thumbnail',
                                                               'small_image',
                                                               'image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/u/n/universal-camera-charger.jpg'}],
        ('product_media.list', (137, None, 'id')): [{'exclude': '1',
                                                     'file': '/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-2.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['thumbnail'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-2.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt.jpg'},
                                                    {'exclude': '1',
                                                     'file': '/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-1.jpg',
                                                     'label': '',
                                                     'position': '0',
                                                     'types': ['small_image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/z/o/zolof-the-rock-and-roll-destroyer-lol-cat-t-shirt-1.jpg'}],
        ('product_media.list', (138, None, 'id')): [{'exclude': '0',
                                                     'file': '/a/p/apevia-black-x-cruiser-case-atx-mid-tower-case-default.jpg',
                                                     'label': '',
                                                     'position': '1',
                                                     'types': ['thumbnail',
                                                               'small_image',
                                                               'image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/p/apevia-black-x-cruiser-case-atx-mid-tower-case-default.jpg'}],
        ('product_media.list', (139, None, 'id')): [{'exclude': '0',
                                                     'file': '/n/z/nzxt-lexa-silver-aluminum-atx-mid-tower-case-default.jpg',
                                                     'label': '',
                                                     'position': '1',
                                                     'types': ['thumbnail',
                                                               'small_image',
                                                               'image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/n/z/nzxt-lexa-silver-aluminum-atx-mid-tower-case-default.jpg'}],
        ('product_media.list', (140, None, 'id')): [{'exclude': '1',
                                                     'file': '/c/r/crucial-2gb-pc4200-ddr2-533mhz-memory.jpg',
                                                     'label': '',
                                                     'position': '1',
                                                     'types': ['thumbnail',
                                                               'small_image',
                                                               'image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/r/crucial-2gb-pc4200-ddr2-533mhz-memory.jpg'}],
        ('product_media.list', (141, None, 'id')): [{'exclude': '1',
                                                     'file': '/c/r/crucial-1gb-pc4200-ddr2-533mhz-memory.jpg',
                                                     'label': '',
                                                     'position': '1',
                                                     'types': ['thumbnail',
                                                               'small_image',
                                                               'image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/r/crucial-1gb-pc4200-ddr2-533mhz-memory.jpg'}],
        ('product_media.list', (143, None, 'id')): [{'exclude': '1',
                                                     'file': '/c/r/crucial-512mb-pc4200-ddr2-533mhz-memory.jpg',
                                                     'label': '',
                                                     'position': '1',
                                                     'types': ['thumbnail',
                                                               'small_image',
                                                               'image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/c/r/crucial-512mb-pc4200-ddr2-533mhz-memory.jpg'}],
        ('product_media.list', (144, None, 'id')): [],
        ('product_media.list', (145, None, 'id')): [{'exclude': '1',
                                                     'file': '/a/m/amd-phenom-x4-9850-black-ed-2-50ghz-retail.jpg',
                                                     'label': '',
                                                     'position': '1',
                                                     'types': ['thumbnail',
                                                               'small_image',
                                                               'image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/m/amd-phenom-x4-9850-black-ed-2-50ghz-retail.jpg'}],
        ('product_media.list', (147, None, 'id')): [{'exclude': '1',
                                                     'file': '/2/2/22-syncmaster-lcd-monitor.jpg',
                                                     'label': '',
                                                     'position': '1',
                                                     'types': ['thumbnail',
                                                               'small_image',
                                                               'image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/2/2/22-syncmaster-lcd-monitor.jpg'}],
        ('product_media.list', (148, None, 'id')): [{'exclude': '1',
                                                     'file': '/a/m/amd-a64-x2-3800-2-0ghz-oem.jpg',
                                                     'label': '',
                                                     'position': '1',
                                                     'types': ['thumbnail',
                                                               'small_image',
                                                               'image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/a/m/amd-a64-x2-3800-2-0ghz-oem.jpg'}],
        ('product_media.list', (149, None, 'id')): [{'exclude': '1',
                                                     'file': '/w/e/western-digital-1tb-hd-7200rpm.jpg',
                                                     'label': '',
                                                     'position': '1',
                                                     'types': ['thumbnail',
                                                               'small_image',
                                                               'image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/w/e/western-digital-1tb-hd-7200rpm.jpg'}],
        ('product_media.list', (150, None, 'id')): [{'exclude': '1',
                                                     'file': '/w/e/western-digital-500gb-hd-7200rpm.jpg',
                                                     'label': '',
                                                     'position': '1',
                                                     'types': ['thumbnail',
                                                               'small_image',
                                                               'image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/w/e/western-digital-500gb-hd-7200rpm.jpg'}],
        ('product_media.list', (151, None, 'id')): [{'exclude': '1',
                                                     'file': '/i/n/intel-c2d-e8400-3-0ghz-retail.jpg',
                                                     'label': '',
                                                     'position': '1',
                                                     'types': ['thumbnail',
                                                               'small_image',
                                                               'image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/i/n/intel-c2d-e8400-3-0ghz-retail.jpg'}],
        ('product_media.list', (152, None, 'id')): [{'exclude': '1',
                                                     'file': '/2/4/24-widescreen-flat-panel-lcd-monitor.jpg',
                                                     'label': '',
                                                     'position': '1',
                                                     'types': ['thumbnail',
                                                               'small_image',
                                                               'image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/2/4/24-widescreen-flat-panel-lcd-monitor.jpg'}],
        ('product_media.list', (153, None, 'id')): [{'exclude': '1',
                                                     'file': '/i/n/intel-core-2-extreme-qx9775-3-20ghz-retail.jpg',
                                                     'label': '',
                                                     'position': '1',
                                                     'types': ['thumbnail',
                                                               'small_image',
                                                               'image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/i/n/intel-core-2-extreme-qx9775-3-20ghz-retail.jpg'}],
        ('product_media.list', (154, None, 'id')): [{'exclude': '1',
                                                     'file': '/s/e/seagate-500gb-hd-5400rpm.jpg',
                                                     'label': '',
                                                     'position': '1',
                                                     'types': ['thumbnail',
                                                               'small_image',
                                                               'image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/e/seagate-500gb-hd-5400rpm.jpg'}],
        ('product_media.list', (155, None, 'id')): [{'exclude': '1',
                                                     'file': '/s/e/seagate-250gb-hd-5400rpm.jpg',
                                                     'label': '',
                                                     'position': '1',
                                                     'types': ['thumbnail',
                                                               'small_image',
                                                               'image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/s/e/seagate-250gb-hd-5400rpm.jpg'}],
        ('product_media.list', (156, None, 'id')): [{'exclude': '1',
                                                     'file': '/1/9/19-widescreen-flat-panel-lcd-monitor.jpg',
                                                     'label': '',
                                                     'position': '1',
                                                     'types': ['thumbnail',
                                                               'small_image',
                                                               'image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/1/9/19-widescreen-flat-panel-lcd-monitor.jpg'}],
        ('product_media.list', (157, None, 'id')): [{'exclude': '1',
                                                     'file': '/3/0/30-flat-panel-tft-lcd-cinema-hd-monitor.jpg',
                                                     'label': '',
                                                     'position': '1',
                                                     'types': ['thumbnail',
                                                               'small_image',
                                                               'image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/3/0/30-flat-panel-tft-lcd-cinema-hd-monitor.jpg'}],
        ('product_media.list', (159, None, 'id')): [{'exclude': '1',
                                                     'file': '/m/i/microsoft-natural-ergonomic-keyboard-4000.jpg',
                                                     'label': '',
                                                     'position': '1',
                                                     'types': ['thumbnail',
                                                               'small_image',
                                                               'image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/m/i/microsoft-natural-ergonomic-keyboard-4000.jpg'}],
        ('product_media.list', (160, None, 'id')): [{'exclude': '1',
                                                     'file': '/l/o/logitech-cordless-optical-trackman.jpg',
                                                     'label': '',
                                                     'position': '1',
                                                     'types': ['thumbnail',
                                                               'small_image',
                                                               'image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/l/o/logitech-cordless-optical-trackman.jpg'}],
        ('product_media.list', (161, None, 'id')): [{'exclude': '1',
                                                     'file': '/l/o/logitech-dinovo-edge-keyboard.jpg',
                                                     'label': '',
                                                     'position': '1',
                                                     'types': ['thumbnail',
                                                               'small_image',
                                                               'image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/l/o/logitech-dinovo-edge-keyboard.jpg'}],
        ('product_media.list', (162, None, 'id')): [{'exclude': '1',
                                                     'file': '/m/i/microsoft-wireless-optical-mouse-5000.jpg',
                                                     'label': '',
                                                     'position': '1',
                                                     'types': ['thumbnail',
                                                               'small_image',
                                                               'image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/m/i/microsoft-wireless-optical-mouse-5000.jpg'}],
        ('product_media.list', (166, None, 'id')): [{'exclude': '1',
                                                     'file': '/h/t/htc-touch-diamond.jpg',
                                                     'label': '',
                                                     'position': '1',
                                                     'types': ['thumbnail',
                                                               'small_image',
                                                               'image'],
                                                     'url': 'http://yushan.wrk.lsn:9100/media/catalog/product/h/t/htc-touch-diamond.jpg'}],
        ('sales_order.search', (frozenset([('filters', frozenset([('store_id', frozenset([('in', (u'1',))])), ('state', frozenset([('neq', 'canceled')])), ('created_at', frozenset([('gt', '2013/04/09 16:24:11')]))])), ('imported', False)]),)): [],
        ('sales_order.search', (frozenset([('filters', frozenset([('store_id', frozenset([('in', (u'2',))])), ('state', frozenset([('neq', 'canceled')])), ('created_at', frozenset([('gt', '2013/04/09 16:24:11')]))])), ('imported', False)]),)): [],
        ('sales_order.search', (frozenset([('filters', frozenset([('store_id', frozenset([('in', (u'0',))])), ('state', frozenset([('neq', 'canceled')])), ('created_at', frozenset([('gt', '2013/04/09 16:24:10')]))])), ('imported', False)]),)): [],
        ('sales_order.search', (frozenset([('filters', frozenset([('created_at', frozenset([('gt', '2013/04/09 16:24:12')])), ('state', frozenset([('neq', 'canceled')])), ('store_id', frozenset([('in', (u'3',))]))])), ('imported', False)]),)): [],
        ('sales_order.info', (900000691, )): {'adjustment_negative': None,
                                                  'adjustment_positive': None,
                                                  'applied_rule_ids': None,
                                                  'base_adjustment_negative': None,
                                                  'base_adjustment_positive': None,
                                                  'base_currency_code': 'EUR',
                                                  'base_custbalance_amount': None,
                                                  'base_discount_amount': '0.0000',
                                                  'base_discount_canceled': None,
                                                  'base_discount_invoiced': None,
                                                  'base_discount_refunded': None,
                                                  'base_grand_total': '2459.9800',
                                                  'base_hidden_tax_amount': '0.0000',
                                                  'base_hidden_tax_invoiced': None,
                                                  'base_hidden_tax_refunded': None,
                                                  'base_shipping_amount': '10.0000',
                                                  'base_shipping_canceled': None,
                                                  'base_shipping_discount_amount': '0.0000',
                                                  'base_shipping_hidden_tax_amnt': '0.0000',
                                                  'base_shipping_hidden_tax_amount': '0.0000',
                                                  'base_shipping_incl_tax': '10.0000',
                                                  'base_shipping_invoiced': None,
                                                  'base_shipping_refunded': None,
                                                  'base_shipping_tax_amount': '0.0000',
                                                  'base_shipping_tax_refunded': None,
                                                  'base_subtotal': '2449.9800',
                                                  'base_subtotal_canceled': None,
                                                  'base_subtotal_incl_tax': '2449.9800',
                                                  'base_subtotal_invoiced': None,
                                                  'base_subtotal_refunded': None,
                                                  'base_tax_amount': '0.0000',
                                                  'base_tax_canceled': None,
                                                  'base_tax_invoiced': None,
                                                  'base_tax_refunded': None,
                                                  'base_to_global_rate': '1.0000',
                                                  'base_to_order_rate': '1.0000',
                                                  'base_total_canceled': None,
                                                  'base_total_due': None,
                                                  'base_total_invoiced': None,
                                                  'base_total_invoiced_cost': None,
                                                  'base_total_offline_refunded': None,
                                                  'base_total_online_refunded': None,
                                                  'base_total_paid': None,
                                                  'base_total_qty_ordered': None,
                                                  'base_total_refunded': None,
                                                  'billing_address': {'address_id': '1381',
                                                                      'address_type': 'billing',
                                                                      'city': 'Guillotnec',
                                                                      'company': 'Blondel Royer S.A.S.',
                                                                      'country_id': 'FR',
                                                                      'customer_address_id': '451',
                                                                      'customer_id': '1',
                                                                      'email': 'renard.aimee@example.net',
                                                                      'fax': None,
                                                                      'firstname': 'Couturier',
                                                                      'gift_message_id': None,
                                                                      'lastname': 'Manon',
                                                                      'middlename': None,
                                                                      'parent_id': '691',
                                                                      'postcode': '96513',
                                                                      'prefix': None,
                                                                      'quote_address_id': None,
                                                                      'region': u'Puy-de-D\xf4me',
                                                                      'region_id': '245',
                                                                      'street': u'rue \xc9lisabeth Faivre',
                                                                      'suffix': None,
                                                                      'tax_id': None,
                                                                      'telephone': '01 57 83 21 56',
                                                                      'vat_id': None,
                                                                      'vat_is_valid': None,
                                                                      'vat_request_date': None,
                                                                      'vat_request_id': None,
                                                                      'vat_request_success': None},
                                                  'billing_address_id': '1381',
                                                  'can_ship_partially': None,
                                                  'can_ship_partially_item': None,
                                                  'coupon_code': None,
                                                  'coupon_rule_name': None,
                                                  'created_at': time.strftime(FMT),
                                                  'currency_base_id': None,
                                                  'currency_code': None,
                                                  'currency_rate': None,
                                                  'custbalance_amount': None,
                                                  'customer_dob': None,
                                                  'customer_email': 'renard.aimee@example.net',
                                                  'customer_firstname': 'Laurence',
                                                  'customer_gender': None,
                                                  'customer_group_id': '1',
                                                  'customer_id': '1',
                                                  'customer_is_guest': '0',
                                                  'customer_lastname': 'Pages',
                                                  'customer_middlename': None,
                                                  'customer_note': None,
                                                  'customer_note_notify': '0',
                                                  'customer_prefix': None,
                                                  'customer_suffix': None,
                                                  'customer_taxvat': None,
                                                  'discount_amount': '0.0000',
                                                  'discount_canceled': None,
                                                  'discount_description': None,
                                                  'discount_invoiced': None,
                                                  'discount_refunded': None,
                                                  'edit_increment': None,
                                                  'email_sent': None,
                                                  'ext_customer_id': None,
                                                  'ext_order_id': None,
                                                  'forced_do_shipment_with_invoice': None,
                                                  'forced_shipment_with_invoice': None,
                                                  'gift_message_id': None,
                                                  'global_currency_code': 'EUR',
                                                  'grand_total': '2459.9800',
                                                  'hidden_tax_amount': '0.0000',
                                                  'hidden_tax_invoiced': None,
                                                  'hidden_tax_refunded': None,
                                                  'hold_before_state': None,
                                                  'hold_before_status': None,
                                                  'imported': '0',
                                                  'increment_id': '900000691',
                                                  'is_hold': None,
                                                  'is_multi_payment': None,
                                                  'is_virtual': '0',
                                                  'items': [{'additional_data': None,
                                                             'amount_refunded': '0.0000',
                                                             'applied_rule_ids': None,
                                                             'base_amount_refunded': '0.0000',
                                                             'base_cost': None,
                                                             'base_discount_amount': '0.0000',
                                                             'base_discount_invoiced': '0.0000',
                                                             'base_discount_refunded': None,
                                                             'base_hidden_tax_amount': None,
                                                             'base_hidden_tax_invoiced': None,
                                                             'base_hidden_tax_refunded': None,
                                                             'base_original_price': '2049.9900',
                                                             'base_price': '2049.9900',
                                                             'base_price_incl_tax': '2049.9900',
                                                             'base_row_invoiced': '0.0000',
                                                             'base_row_total': '2049.9900',
                                                             'base_row_total_incl_tax': '2049.9900',
                                                             'base_tax_amount': '0.0000',
                                                             'base_tax_before_discount': None,
                                                             'base_tax_invoiced': '0.0000',
                                                             'base_tax_refunded': None,
                                                             'base_weee_tax_applied_amount': '0.0000',
                                                             'base_weee_tax_applied_row_amnt': '0.0000',
                                                             'base_weee_tax_applied_row_amount': '0.0000',
                                                             'base_weee_tax_disposition': '0.0000',
                                                             'base_weee_tax_row_disposition': '0.0000',
                                                             'created_at': '2013-04-23 07:38:55',
                                                             'description': None,
                                                             'discount_amount': '0.0000',
                                                             'discount_invoiced': '0.0000',
                                                             'discount_percent': '0.0000',
                                                             'discount_refunded': None,
                                                             'ext_order_item_id': None,
                                                             'free_shipping': '0',
                                                             'gift_message_available': None,
                                                             'gift_message_id': None,
                                                             'hidden_tax_amount': None,
                                                             'hidden_tax_canceled': None,
                                                             'hidden_tax_invoiced': None,
                                                             'hidden_tax_refunded': None,
                                                             'is_nominal': '0',
                                                             'is_qty_decimal': '0',
                                                             'is_virtual': '0',
                                                             'item_id': '1713',
                                                             'locked_do_invoice': None,
                                                             'locked_do_ship': None,
                                                             'name': 'Intel Core 2 Extreme QX9775 3.20GHz Retail',
                                                             'no_discount': '0',
                                                             'order_id': '691',
                                                             'original_price': '2049.9900',
                                                             'parent_item_id': None,
                                                             'price': '2049.9900',
                                                             'price_incl_tax': '2049.9900',
                                                             'product_id': '153',
                                                             'product_options': 'a:1:{s:15:"info_buyRequest";a:2:{s:3:"qty";s:6:"1.0000";s:7:"options";a:0:{}}}',
                                                             'product_type': 'simple',
                                                             'qty_backordered': None,
                                                             'qty_canceled': '0.0000',
                                                             'qty_invoiced': '0.0000',
                                                             'qty_ordered': '1.0000',
                                                             'qty_refunded': '0.0000',
                                                             'qty_shipped': '0.0000',
                                                             'quote_item_id': '1716',
                                                             'row_invoiced': '0.0000',
                                                             'row_total': '2049.9900',
                                                             'row_total_incl_tax': '2049.9900',
                                                             'row_weight': '1.0000',
                                                             'sku': 'intelcore2extreme',
                                                             'store_id': '1',
                                                             'tax_amount': '0.0000',
                                                             'tax_before_discount': None,
                                                             'tax_canceled': None,
                                                             'tax_invoiced': '0.0000',
                                                             'tax_percent': '0.0000',
                                                             'tax_refunded': None,
                                                             'updated_at': '2013-04-23 07:38:55',
                                                             'weee_tax_applied': 'a:0:{}',
                                                             'weee_tax_applied_amount': '0.0000',
                                                             'weee_tax_applied_row_amount': '0.0000',
                                                             'weee_tax_disposition': '0.0000',
                                                             'weee_tax_row_disposition': '0.0000',
                                                             'weight': '1.0000'},
                                                            {'additional_data': None,
                                                             'amount_refunded': '0.0000',
                                                             'applied_rule_ids': None,
                                                             'base_amount_refunded': '0.0000',
                                                             'base_cost': None,
                                                             'base_discount_amount': '0.0000',
                                                             'base_discount_invoiced': '0.0000',
                                                             'base_discount_refunded': None,
                                                             'base_hidden_tax_amount': None,
                                                             'base_hidden_tax_invoiced': None,
                                                             'base_hidden_tax_refunded': None,
                                                             'base_original_price': '399.9900',
                                                             'base_price': '399.9900',
                                                             'base_price_incl_tax': '399.9900',
                                                             'base_row_invoiced': '0.0000',
                                                             'base_row_total': '399.9900',
                                                             'base_row_total_incl_tax': '399.9900',
                                                             'base_tax_amount': '0.0000',
                                                             'base_tax_before_discount': None,
                                                             'base_tax_invoiced': '0.0000',
                                                             'base_tax_refunded': None,
                                                             'base_weee_tax_applied_amount': '0.0000',
                                                             'base_weee_tax_applied_row_amnt': '0.0000',
                                                             'base_weee_tax_applied_row_amount': '0.0000',
                                                             'base_weee_tax_disposition': '0.0000',
                                                             'base_weee_tax_row_disposition': '0.0000',
                                                             'created_at': '2013-04-23 07:38:55',
                                                             'description': None,
                                                             'discount_amount': '0.0000',
                                                             'discount_invoiced': '0.0000',
                                                             'discount_percent': '0.0000',
                                                             'discount_refunded': None,
                                                             'ext_order_item_id': None,
                                                             'free_shipping': '0',
                                                             'gift_message_available': None,
                                                             'gift_message_id': None,
                                                             'hidden_tax_amount': None,
                                                             'hidden_tax_canceled': None,
                                                             'hidden_tax_invoiced': None,
                                                             'hidden_tax_refunded': None,
                                                             'is_nominal': '0',
                                                             'is_qty_decimal': '0',
                                                             'is_virtual': '0',
                                                             'item_id': '1714',
                                                             'locked_do_invoice': None,
                                                             'locked_do_ship': None,
                                                             'name': '19" Widescreen Flat-Panel LCD Monitor',
                                                             'no_discount': '0',
                                                             'order_id': '691',
                                                             'original_price': '399.9900',
                                                             'parent_item_id': None,
                                                             'price': '399.9900',
                                                             'price_incl_tax': '399.9900',
                                                             'product_id': '156',
                                                             'product_options': 'a:1:{s:15:"info_buyRequest";a:2:{s:3:"qty";s:6:"1.0000";s:7:"options";a:0:{}}}',
                                                             'product_type': 'simple',
                                                             'qty_backordered': None,
                                                             'qty_canceled': '0.0000',
                                                             'qty_invoiced': '0.0000',
                                                             'qty_ordered': '1.0000',
                                                             'qty_refunded': '0.0000',
                                                             'qty_shipped': '0.0000',
                                                             'quote_item_id': '1717',
                                                             'row_invoiced': '0.0000',
                                                             'row_total': '399.9900',
                                                             'row_total_incl_tax': '399.9900',
                                                             'row_weight': '1.0000',
                                                             'sku': 'W1952TQ-TF',
                                                             'store_id': '1',
                                                             'tax_amount': '0.0000',
                                                             'tax_before_discount': None,
                                                             'tax_canceled': None,
                                                             'tax_invoiced': '0.0000',
                                                             'tax_percent': '0.0000',
                                                             'tax_refunded': None,
                                                             'updated_at': '2013-04-23 07:38:55',
                                                             'weee_tax_applied': 'a:0:{}',
                                                             'weee_tax_applied_amount': '0.0000',
                                                             'weee_tax_applied_row_amount': '0.0000',
                                                             'weee_tax_disposition': '0.0000',
                                                             'weee_tax_row_disposition': '0.0000',
                                                             'weight': '1.0000'}],
                                                  'order_currency_code': 'EUR',
                                                  'order_id': '691',
                                                  'original_increment_id': None,
                                                  'payment': {'account_status': None,
                                                              'additional_data': None,
                                                              'additional_information': {'instructions': ''},
                                                              'address_status': None,
                                                              'amount': None,
                                                              'amount_authorized': None,
                                                              'amount_canceled': None,
                                                              'amount_ordered': '2459.9800',
                                                              'amount_paid': None,
                                                              'amount_refunded': None,
                                                              'anet_trans_method': None,
                                                              'base_amount_authorized': None,
                                                              'base_amount_canceled': None,
                                                              'base_amount_ordered': '2459.9800',
                                                              'base_amount_paid': None,
                                                              'base_amount_paid_online': None,
                                                              'base_amount_refunded': None,
                                                              'base_amount_refunded_online': None,
                                                              'base_shipping_amount': '10.0000',
                                                              'base_shipping_captured': None,
                                                              'base_shipping_refunded': None,
                                                              'cc_approval': None,
                                                              'cc_avs_status': None,
                                                              'cc_cid_status': None,
                                                              'cc_debug_request_body': None,
                                                              'cc_debug_response_body': None,
                                                              'cc_debug_response_serialized': None,
                                                              'cc_exp_month': '0',
                                                              'cc_exp_year': '0',
                                                              'cc_last4': None,
                                                              'cc_number_enc': None,
                                                              'cc_owner': None,
                                                              'cc_raw_request': None,
                                                              'cc_raw_response': None,
                                                              'cc_secure_verify': None,
                                                              'cc_ss_issue': None,
                                                              'cc_ss_start_month': '0',
                                                              'cc_ss_start_year': '0',
                                                              'cc_status': None,
                                                              'cc_status_description': None,
                                                              'cc_trans_id': None,
                                                              'cc_type': None,
                                                              'customer_payment_id': None,
                                                              'cybersource_token': None,
                                                              'echeck_account_name': None,
                                                              'echeck_account_type': None,
                                                              'echeck_bank_name': None,
                                                              'echeck_routing_number': None,
                                                              'echeck_type': None,
                                                              'flo2cash_account_id': None,
                                                              'ideal_issuer_id': None,
                                                              'ideal_issuer_title': None,
                                                              'ideal_transaction_checked': None,
                                                              'last_trans_id': None,
                                                              'method': 'checkmo',
                                                              'parent_id': '691',
                                                              'paybox_question_number': None,
                                                              'paybox_request_number': None,
                                                              'payment_id': '691',
                                                              'po_number': None,
                                                              'protection_eligibility': None,
                                                              'quote_payment_id': None,
                                                              'shipping_amount': '10.0000',
                                                              'shipping_captured': None,
                                                              'shipping_refunded': None},
                                                  'payment_auth_expiration': None,
                                                  'payment_authorization_amount': None,
                                                  'payment_authorization_expiration': None,
                                                  'paypal_ipn_customer_notified': None,
                                                  'protect_code': '5f579e',
                                                  'quote_address_id': None,
                                                  'quote_id': '697',
                                                  'real_order_id': None,
                                                  'relation_child_id': None,
                                                  'relation_child_real_id': None,
                                                  'relation_parent_id': None,
                                                  'relation_parent_real_id': None,
                                                  'remote_ip': None,
                                                  'shipping_address': {'address_id': '1382',
                                                                       'address_type': 'shipping',
                                                                       'city': 'Guillotnec',
                                                                       'company': 'Blondel Royer S.A.S.',
                                                                       'country_id': 'FR',
                                                                       'customer_address_id': '451',
                                                                       'customer_id': '1',
                                                                       'email': 'renard.aimee@example.net',
                                                                       'fax': None,
                                                                       'firstname': 'Couturier',
                                                                       'gift_message_id': None,
                                                                       'lastname': 'Manon',
                                                                       'middlename': None,
                                                                       'parent_id': '691',
                                                                       'postcode': '96513',
                                                                       'prefix': None,
                                                                       'quote_address_id': None,
                                                                       'region': u'Puy-de-D\xf4me',
                                                                       'region_id': '245',
                                                                       'street': u'rue \xc9lisabeth Faivre',
                                                                       'suffix': None,
                                                                       'tax_id': None,
                                                                       'telephone': '01 57 83 21 56',
                                                                       'vat_id': None,
                                                                       'vat_is_valid': None,
                                                                       'vat_request_date': None,
                                                                       'vat_request_id': None,
                                                                       'vat_request_success': None},
                                                  'shipping_address_id': '1382',
                                                  'shipping_amount': '10.0000',
                                                  'shipping_canceled': None,
                                                  'shipping_description': 'Flat Rate - Fixed',
                                                  'shipping_discount_amount': '0.0000',
                                                  'shipping_hidden_tax_amount': '0.0000',
                                                  'shipping_incl_tax': '10.0000',
                                                  'shipping_invoiced': None,
                                                  'shipping_method': 'flatrate_flatrate',
                                                  'shipping_refunded': None,
                                                  'shipping_tax_amount': '0.0000',
                                                  'shipping_tax_refunded': None,
                                                  'state': 'new',
                                                  'status': 'pending',
                                                  'status_history': [{'comment': 'I am a sale order, I am a sale order ;)',
                                                                      'created_at': '2013-04-23 07:38:55',
                                                                      'entity_name': 'order',
                                                                      'is_customer_notified': '0',
                                                                      'is_visible_on_front': '0',
                                                                      'parent_id': '691',
                                                                      'status': 'pending',
                                                                      'store_id': '1'}],
                                                  'store_currency_code': 'EUR',
                                                  'store_id': '1',
                                                  'store_name': 'Main Website\nMain Store\nEnglish',
                                                  'store_to_base_rate': '1.0000',
                                                  'store_to_order_rate': '1.0000',
                                                  'subtotal': '2449.9800',
                                                  'subtotal_canceled': None,
                                                  'subtotal_incl_tax': '2449.9800',
                                                  'subtotal_invoiced': None,
                                                  'subtotal_refunded': None,
                                                  'tax_amount': '0.0000',
                                                  'tax_canceled': None,
                                                  'tax_invoiced': None,
                                                  'tax_percent': None,
                                                  'tax_refunded': None,
                                                  'total_canceled': None,
                                                  'total_due': None,
                                                  'total_invoiced': None,
                                                  'total_item_count': '2',
                                                  'total_offline_refunded': None,
                                                  'total_online_refunded': None,
                                                  'total_paid': None,
                                                  'total_qty_ordered': '2.0000',
                                                  'total_refunded': None,
                                                  'tracking_numbers': None,
                                                  'updated_at': '2013-04-23 07:38:55',
                                                  'website_id': u'1',
                                                  'weight': '2.0000',
                                                  'x_forwarded_for': None},
        ('sales_order.info', (900000692, )): {'adjustment_negative': None,
                                                  'adjustment_positive': None,
                                                  'applied_rule_ids': None,
                                                  'base_adjustment_negative': None,
                                                  'base_adjustment_positive': None,
                                                  'base_currency_code': 'EUR',
                                                  'base_custbalance_amount': None,
                                                  'base_discount_amount': '0.0000',
                                                  'base_discount_canceled': None,
                                                  'base_discount_invoiced': None,
                                                  'base_discount_refunded': None,
                                                  'base_grand_total': '2459.9800',
                                                  'base_hidden_tax_amount': '0.0000',
                                                  'base_hidden_tax_invoiced': None,
                                                  'base_hidden_tax_refunded': None,
                                                  'base_shipping_amount': '10.0000',
                                                  'base_shipping_canceled': None,
                                                  'base_shipping_discount_amount': '0.0000',
                                                  'base_shipping_hidden_tax_amnt': '0.0000',
                                                  'base_shipping_hidden_tax_amount': '0.0000',
                                                  'base_shipping_incl_tax': '10.0000',
                                                  'base_shipping_invoiced': None,
                                                  'base_shipping_refunded': None,
                                                  'base_shipping_tax_amount': '0.0000',
                                                  'base_shipping_tax_refunded': None,
                                                  'base_subtotal': '2449.9800',
                                                  'base_subtotal_canceled': None,
                                                  'base_subtotal_incl_tax': '2449.9800',
                                                  'base_subtotal_invoiced': None,
                                                  'base_subtotal_refunded': None,
                                                  'base_tax_amount': '0.0000',
                                                  'base_tax_canceled': None,
                                                  'base_tax_invoiced': None,
                                                  'base_tax_refunded': None,
                                                  'base_to_global_rate': '1.0000',
                                                  'base_to_order_rate': '1.0000',
                                                  'base_total_canceled': None,
                                                  'base_total_due': None,
                                                  'base_total_invoiced': None,
                                                  'base_total_invoiced_cost': None,
                                                  'base_total_offline_refunded': None,
                                                  'base_total_online_refunded': None,
                                                  'base_total_paid': None,
                                                  'base_total_qty_ordered': None,
                                                  'base_total_refunded': None,
                                                  'billing_address': {'address_id': '1381',
                                                                      'address_type': 'billing',
                                                                      'city': 'Guillotnec',
                                                                      'company': 'Blondel Royer S.A.S.',
                                                                      'country_id': 'FR',
                                                                      'customer_address_id': '451',
                                                                      'customer_id': '1',
                                                                      'email': 'renard.aimee@example.net',
                                                                      'fax': None,
                                                                      'firstname': 'Couturier',
                                                                      'gift_message_id': None,
                                                                      'lastname': 'Manon',
                                                                      'middlename': None,
                                                                      'parent_id': '691',
                                                                      'postcode': '96513',
                                                                      'prefix': None,
                                                                      'quote_address_id': None,
                                                                      'region': u'Puy-de-D\xf4me',
                                                                      'region_id': '245',
                                                                      'street': u'rue \xc9lisabeth Faivre',
                                                                      'suffix': None,
                                                                      'tax_id': None,
                                                                      'telephone': '01 57 83 21 56',
                                                                      'vat_id': None,
                                                                      'vat_is_valid': None,
                                                                      'vat_request_date': None,
                                                                      'vat_request_id': None,
                                                                      'vat_request_success': None},
                                                  'billing_address_id': '1381',
                                                  'can_ship_partially': None,
                                                  'can_ship_partially_item': None,
                                                  'coupon_code': None,
                                                  'coupon_rule_name': None,
                                                  'created_at': time.strftime(FMT),
                                                  'currency_base_id': None,
                                                  'currency_code': None,
                                                  'currency_rate': None,
                                                  'custbalance_amount': None,
                                                  'customer_dob': None,
                                                  'customer_email': 'renard.aimee@example.net',
                                                  'customer_firstname': 'Laurence',
                                                  'customer_gender': None,
                                                  'customer_group_id': '1',
                                                  'customer_id': '1',
                                                  'customer_is_guest': '0',
                                                  'customer_lastname': 'Pages',
                                                  'customer_middlename': None,
                                                  'customer_note': None,
                                                  'customer_note_notify': '0',
                                                  'customer_prefix': None,
                                                  'customer_suffix': None,
                                                  'customer_taxvat': None,
                                                  'discount_amount': '0.0000',
                                                  'discount_canceled': None,
                                                  'discount_description': None,
                                                  'discount_invoiced': None,
                                                  'discount_refunded': None,
                                                  'edit_increment': None,
                                                  'email_sent': None,
                                                  'ext_customer_id': None,
                                                  'ext_order_id': None,
                                                  'forced_do_shipment_with_invoice': None,
                                                  'forced_shipment_with_invoice': None,
                                                  'gift_message_id': None,
                                                  'global_currency_code': 'EUR',
                                                  'grand_total': '2459.9800',
                                                  'hidden_tax_amount': '0.0000',
                                                  'hidden_tax_invoiced': None,
                                                  'hidden_tax_refunded': None,
                                                  'hold_before_state': None,
                                                  'hold_before_status': None,
                                                  'imported': '0',
                                                  'increment_id': '900000692',
                                                  'is_hold': None,
                                                  'is_multi_payment': None,
                                                  'is_virtual': '0',
                                                  'items': [{'additional_data': None,
                                                             'amount_refunded': '0.0000',
                                                             'applied_rule_ids': None,
                                                             'base_amount_refunded': '0.0000',
                                                             'base_cost': None,
                                                             'base_discount_amount': '0.0000',
                                                             'base_discount_invoiced': '0.0000',
                                                             'base_discount_refunded': None,
                                                             'base_hidden_tax_amount': None,
                                                             'base_hidden_tax_invoiced': None,
                                                             'base_hidden_tax_refunded': None,
                                                             'base_original_price': '2049.9900',
                                                             'base_price': '2049.9900',
                                                             'base_price_incl_tax': '2049.9900',
                                                             'base_row_invoiced': '0.0000',
                                                             'base_row_total': '2049.9900',
                                                             'base_row_total_incl_tax': '2049.9900',
                                                             'base_tax_amount': '0.0000',
                                                             'base_tax_before_discount': None,
                                                             'base_tax_invoiced': '0.0000',
                                                             'base_tax_refunded': None,
                                                             'base_weee_tax_applied_amount': '0.0000',
                                                             'base_weee_tax_applied_row_amnt': '0.0000',
                                                             'base_weee_tax_applied_row_amount': '0.0000',
                                                             'base_weee_tax_disposition': '0.0000',
                                                             'base_weee_tax_row_disposition': '0.0000',
                                                             'created_at': '2013-04-23 07:38:55',
                                                             'description': None,
                                                             'discount_amount': '0.0000',
                                                             'discount_invoiced': '0.0000',
                                                             'discount_percent': '0.0000',
                                                             'discount_refunded': None,
                                                             'ext_order_item_id': None,
                                                             'free_shipping': '0',
                                                             'gift_message_available': None,
                                                             'gift_message_id': None,
                                                             'hidden_tax_amount': None,
                                                             'hidden_tax_canceled': None,
                                                             'hidden_tax_invoiced': None,
                                                             'hidden_tax_refunded': None,
                                                             'is_nominal': '0',
                                                             'is_qty_decimal': '0',
                                                             'is_virtual': '0',
                                                             'item_id': '1715',
                                                             'locked_do_invoice': None,
                                                             'locked_do_ship': None,
                                                             'name': 'Intel Core 2 Extreme QX9775 3.20GHz Retail',
                                                             'no_discount': '0',
                                                             'order_id': '691',
                                                             'original_price': '2049.9900',
                                                             'parent_item_id': None,
                                                             'price': '2049.9900',
                                                             'price_incl_tax': '2049.9900',
                                                             'product_id': '153',
                                                             'product_options': 'a:1:{s:15:"info_buyRequest";a:2:{s:3:"qty";s:6:"1.0000";s:7:"options";a:0:{}}}',
                                                             'product_type': 'simple',
                                                             'qty_backordered': None,
                                                             'qty_canceled': '0.0000',
                                                             'qty_invoiced': '0.0000',
                                                             'qty_ordered': '1.0000',
                                                             'qty_refunded': '0.0000',
                                                             'qty_shipped': '0.0000',
                                                             'quote_item_id': '1716',
                                                             'row_invoiced': '0.0000',
                                                             'row_total': '2049.9900',
                                                             'row_total_incl_tax': '2049.9900',
                                                             'row_weight': '1.0000',
                                                             'sku': 'intelcore2extreme',
                                                             'store_id': '1',
                                                             'tax_amount': '0.0000',
                                                             'tax_before_discount': None,
                                                             'tax_canceled': None,
                                                             'tax_invoiced': '0.0000',
                                                             'tax_percent': '0.0000',
                                                             'tax_refunded': None,
                                                             'updated_at': '2013-04-23 07:38:55',
                                                             'weee_tax_applied': 'a:0:{}',
                                                             'weee_tax_applied_amount': '0.0000',
                                                             'weee_tax_applied_row_amount': '0.0000',
                                                             'weee_tax_disposition': '0.0000',
                                                             'weee_tax_row_disposition': '0.0000',
                                                             'weight': '1.0000'},
                                                            {'additional_data': None,
                                                             'amount_refunded': '0.0000',
                                                             'applied_rule_ids': None,
                                                             'base_amount_refunded': '0.0000',
                                                             'base_cost': None,
                                                             'base_discount_amount': '0.0000',
                                                             'base_discount_invoiced': '0.0000',
                                                             'base_discount_refunded': None,
                                                             'base_hidden_tax_amount': None,
                                                             'base_hidden_tax_invoiced': None,
                                                             'base_hidden_tax_refunded': None,
                                                             'base_original_price': '399.9900',
                                                             'base_price': '399.9900',
                                                             'base_price_incl_tax': '399.9900',
                                                             'base_row_invoiced': '0.0000',
                                                             'base_row_total': '399.9900',
                                                             'base_row_total_incl_tax': '399.9900',
                                                             'base_tax_amount': '0.0000',
                                                             'base_tax_before_discount': None,
                                                             'base_tax_invoiced': '0.0000',
                                                             'base_tax_refunded': None,
                                                             'base_weee_tax_applied_amount': '0.0000',
                                                             'base_weee_tax_applied_row_amnt': '0.0000',
                                                             'base_weee_tax_applied_row_amount': '0.0000',
                                                             'base_weee_tax_disposition': '0.0000',
                                                             'base_weee_tax_row_disposition': '0.0000',
                                                             'created_at': '2013-04-23 07:38:55',
                                                             'description': None,
                                                             'discount_amount': '0.0000',
                                                             'discount_invoiced': '0.0000',
                                                             'discount_percent': '0.0000',
                                                             'discount_refunded': None,
                                                             'ext_order_item_id': None,
                                                             'free_shipping': '0',
                                                             'gift_message_available': None,
                                                             'gift_message_id': None,
                                                             'hidden_tax_amount': None,
                                                             'hidden_tax_canceled': None,
                                                             'hidden_tax_invoiced': None,
                                                             'hidden_tax_refunded': None,
                                                             'is_nominal': '0',
                                                             'is_qty_decimal': '0',
                                                             'is_virtual': '0',
                                                             'item_id': '1716',
                                                             'locked_do_invoice': None,
                                                             'locked_do_ship': None,
                                                             'name': '19" Widescreen Flat-Panel LCD Monitor',
                                                             'no_discount': '0',
                                                             'order_id': '691',
                                                             'original_price': '399.9900',
                                                             'parent_item_id': None,
                                                             'price': '399.9900',
                                                             'price_incl_tax': '399.9900',
                                                             'product_id': '156',
                                                             'product_options': 'a:1:{s:15:"info_buyRequest";a:2:{s:3:"qty";s:6:"1.0000";s:7:"options";a:0:{}}}',
                                                             'product_type': 'simple',
                                                             'qty_backordered': None,
                                                             'qty_canceled': '0.0000',
                                                             'qty_invoiced': '0.0000',
                                                             'qty_ordered': '1.0000',
                                                             'qty_refunded': '0.0000',
                                                             'qty_shipped': '0.0000',
                                                             'quote_item_id': '1717',
                                                             'row_invoiced': '0.0000',
                                                             'row_total': '399.9900',
                                                             'row_total_incl_tax': '399.9900',
                                                             'row_weight': '1.0000',
                                                             'sku': 'W1952TQ-TF',
                                                             'store_id': '1',
                                                             'tax_amount': '0.0000',
                                                             'tax_before_discount': None,
                                                             'tax_canceled': None,
                                                             'tax_invoiced': '0.0000',
                                                             'tax_percent': '0.0000',
                                                             'tax_refunded': None,
                                                             'updated_at': '2013-04-23 07:38:55',
                                                             'weee_tax_applied': 'a:0:{}',
                                                             'weee_tax_applied_amount': '0.0000',
                                                             'weee_tax_applied_row_amount': '0.0000',
                                                             'weee_tax_disposition': '0.0000',
                                                             'weee_tax_row_disposition': '0.0000',
                                                             'weight': '1.0000'}],
                                                  'order_currency_code': 'EUR',
                                                  'order_id': '691',
                                                  'original_increment_id': None,
                                                  'payment': {'account_status': None,
                                                              'additional_data': None,
                                                              'additional_information': {'instructions': ''},
                                                              'address_status': None,
                                                              'amount': None,
                                                              'amount_authorized': None,
                                                              'amount_canceled': None,
                                                              'amount_ordered': '2459.9800',
                                                              'amount_paid': None,
                                                              'amount_refunded': None,
                                                              'anet_trans_method': None,
                                                              'base_amount_authorized': None,
                                                              'base_amount_canceled': None,
                                                              'base_amount_ordered': '2459.9800',
                                                              'base_amount_paid': None,
                                                              'base_amount_paid_online': None,
                                                              'base_amount_refunded': None,
                                                              'base_amount_refunded_online': None,
                                                              'base_shipping_amount': '10.0000',
                                                              'base_shipping_captured': None,
                                                              'base_shipping_refunded': None,
                                                              'cc_approval': None,
                                                              'cc_avs_status': None,
                                                              'cc_cid_status': None,
                                                              'cc_debug_request_body': None,
                                                              'cc_debug_response_body': None,
                                                              'cc_debug_response_serialized': None,
                                                              'cc_exp_month': '0',
                                                              'cc_exp_year': '0',
                                                              'cc_last4': None,
                                                              'cc_number_enc': None,
                                                              'cc_owner': None,
                                                              'cc_raw_request': None,
                                                              'cc_raw_response': None,
                                                              'cc_secure_verify': None,
                                                              'cc_ss_issue': None,
                                                              'cc_ss_start_month': '0',
                                                              'cc_ss_start_year': '0',
                                                              'cc_status': None,
                                                              'cc_status_description': None,
                                                              'cc_trans_id': None,
                                                              'cc_type': None,
                                                              'customer_payment_id': None,
                                                              'cybersource_token': None,
                                                              'echeck_account_name': None,
                                                              'echeck_account_type': None,
                                                              'echeck_bank_name': None,
                                                              'echeck_routing_number': None,
                                                              'echeck_type': None,
                                                              'flo2cash_account_id': None,
                                                              'ideal_issuer_id': None,
                                                              'ideal_issuer_title': None,
                                                              'ideal_transaction_checked': None,
                                                              'last_trans_id': None,
                                                              'method': 'checkmo',
                                                              'parent_id': '691',
                                                              'paybox_question_number': None,
                                                              'paybox_request_number': None,
                                                              'payment_id': '691',
                                                              'po_number': None,
                                                              'protection_eligibility': None,
                                                              'quote_payment_id': None,
                                                              'shipping_amount': '10.0000',
                                                              'shipping_captured': None,
                                                              'shipping_refunded': None},
                                                  'payment_auth_expiration': None,
                                                  'payment_authorization_amount': None,
                                                  'payment_authorization_expiration': None,
                                                  'paypal_ipn_customer_notified': None,
                                                  'protect_code': '5f579e',
                                                  'quote_address_id': None,
                                                  'quote_id': '697',
                                                  'real_order_id': None,
                                                  'relation_child_id': None,
                                                  'relation_child_real_id': None,
                                                  'relation_parent_id': None,
                                                  'relation_parent_real_id': None,
                                                  'remote_ip': None,
                                                  'shipping_address': {'address_id': '1382',
                                                                       'address_type': 'shipping',
                                                                       'city': 'Guillotnec',
                                                                       'company': 'Blondel Royer S.A.S.',
                                                                       'country_id': 'FR',
                                                                       'customer_address_id': '451',
                                                                       'customer_id': '1',
                                                                       'email': 'renard.aimee@example.net',
                                                                       'fax': None,
                                                                       'firstname': 'Couturier',
                                                                       'gift_message_id': None,
                                                                       'lastname': 'Manon',
                                                                       'middlename': None,
                                                                       'parent_id': '691',
                                                                       'postcode': '96513',
                                                                       'prefix': None,
                                                                       'quote_address_id': None,
                                                                       'region': u'Puy-de-D\xf4me',
                                                                       'region_id': '245',
                                                                       'street': u'rue \xc9lisabeth Faivre',
                                                                       'suffix': None,
                                                                       'tax_id': None,
                                                                       'telephone': '01 57 83 21 56',
                                                                       'vat_id': None,
                                                                       'vat_is_valid': None,
                                                                       'vat_request_date': None,
                                                                       'vat_request_id': None,
                                                                       'vat_request_success': None},
                                                  'shipping_address_id': '1382',
                                                  'shipping_amount': '10.0000',
                                                  'shipping_canceled': None,
                                                  'shipping_description': 'Flat Rate - Fixed',
                                                  'shipping_discount_amount': '0.0000',
                                                  'shipping_hidden_tax_amount': '0.0000',
                                                  'shipping_incl_tax': '10.0000',
                                                  'shipping_invoiced': None,
                                                  'shipping_method': 'flatrate_flatrate',
                                                  'shipping_refunded': None,
                                                  'shipping_tax_amount': '0.0000',
                                                  'shipping_tax_refunded': None,
                                                  'state': 'new',
                                                  'status': 'pending',
                                                  'status_history': [{'comment': None,
                                                                      'created_at': '2013-04-23 07:38:55',
                                                                      'entity_name': 'order',
                                                                      'is_customer_notified': '0',
                                                                      'is_visible_on_front': '0',
                                                                      'parent_id': '691',
                                                                      'status': 'pending',
                                                                      'store_id': '1'}],
                                                  'store_currency_code': 'EUR',
                                                  'store_id': '1',
                                                  'store_name': 'Main Website\nMain Store\nEnglish',
                                                  'store_to_base_rate': '1.0000',
                                                  'store_to_order_rate': '1.0000',
                                                  'subtotal': '2449.9800',
                                                  'subtotal_canceled': None,
                                                  'subtotal_incl_tax': '2449.9800',
                                                  'subtotal_invoiced': None,
                                                  'subtotal_refunded': None,
                                                  'tax_amount': '0.0000',
                                                  'tax_canceled': None,
                                                  'tax_invoiced': None,
                                                  'tax_percent': None,
                                                  'tax_refunded': None,
                                                  'total_canceled': None,
                                                  'total_due': None,
                                                  'total_invoiced': None,
                                                  'total_item_count': '2',
                                                  'total_offline_refunded': None,
                                                  'total_online_refunded': None,
                                                  'total_paid': None,
                                                  'total_qty_ordered': '2.0000',
                                                  'total_refunded': None,
                                                  'tracking_numbers': None,
                                                  'updated_at': '2013-04-23 07:38:55',
                                                  'weight': '2.0000',
                                                  'x_forwarded_for': None},
        ('sales_order.info', (900000693, )): {'adjustment_negative': None,
                                                  'adjustment_positive': None,
                                                  'applied_rule_ids': None,
                                                  'base_adjustment_negative': None,
                                                  'base_adjustment_positive': None,
                                                  'base_currency_code': 'EUR',
                                                  'base_custbalance_amount': None,
                                                  'base_discount_amount': '0.0000',
                                                  'base_discount_canceled': None,
                                                  'base_discount_invoiced': None,
                                                  'base_discount_refunded': None,
                                                  'base_grand_total': '2459.9800',
                                                  'base_hidden_tax_amount': '0.0000',
                                                  'base_hidden_tax_invoiced': None,
                                                  'base_hidden_tax_refunded': None,
                                                  'base_shipping_amount': '10.0000',
                                                  'base_shipping_canceled': None,
                                                  'base_shipping_discount_amount': '0.0000',
                                                  'base_shipping_hidden_tax_amnt': '0.0000',
                                                  'base_shipping_hidden_tax_amount': '0.0000',
                                                  'base_shipping_incl_tax': '10.0000',
                                                  'base_shipping_invoiced': None,
                                                  'base_shipping_refunded': None,
                                                  'base_shipping_tax_amount': '0.0000',
                                                  'base_shipping_tax_refunded': None,
                                                  'base_subtotal': '2449.9800',
                                                  'base_subtotal_canceled': None,
                                                  'base_subtotal_incl_tax': '2449.9800',
                                                  'base_subtotal_invoiced': None,
                                                  'base_subtotal_refunded': None,
                                                  'base_tax_amount': '0.0000',
                                                  'base_tax_canceled': None,
                                                  'base_tax_invoiced': None,
                                                  'base_tax_refunded': None,
                                                  'base_to_global_rate': '1.0000',
                                                  'base_to_order_rate': '1.0000',
                                                  'base_total_canceled': None,
                                                  'base_total_due': None,
                                                  'base_total_invoiced': None,
                                                  'base_total_invoiced_cost': None,
                                                  'base_total_offline_refunded': None,
                                                  'base_total_online_refunded': None,
                                                  'base_total_paid': None,
                                                  'base_total_qty_ordered': None,
                                                  'base_total_refunded': None,
                                                  'billing_address': {'address_id': '1381',
                                                                      'address_type': 'billing',
                                                                      'city': 'Guillotnec',
                                                                      'company': 'Blondel Royer S.A.S.',
                                                                      'country_id': 'FR',
                                                                      'customer_address_id': '451',
                                                                      'customer_id': '1',
                                                                      'email': 'renard.aimee@example.net',
                                                                      'fax': None,
                                                                      'firstname': 'Couturier',
                                                                      'gift_message_id': None,
                                                                      'lastname': 'Manon',
                                                                      'middlename': None,
                                                                      'parent_id': '691',
                                                                      'postcode': '96513',
                                                                      'prefix': None,
                                                                      'quote_address_id': None,
                                                                      'region': u'Puy-de-D\xf4me',
                                                                      'region_id': '245',
                                                                      'street': u'rue \xc9lisabeth Faivre',
                                                                      'suffix': None,
                                                                      'tax_id': None,
                                                                      'telephone': '01 57 83 21 56',
                                                                      'vat_id': None,
                                                                      'vat_is_valid': None,
                                                                      'vat_request_date': None,
                                                                      'vat_request_id': None,
                                                                      'vat_request_success': None},
                                                  'billing_address_id': '1381',
                                                  'can_ship_partially': None,
                                                  'can_ship_partially_item': None,
                                                  'coupon_code': None,
                                                  'coupon_rule_name': None,
                                                  'created_at': time.strftime(FMT),
                                                  'currency_base_id': None,
                                                  'currency_code': None,
                                                  'currency_rate': None,
                                                  'custbalance_amount': None,
                                                  'customer_dob': None,
                                                  'customer_email': 'renard.aimee@example.net',
                                                  'customer_firstname': 'Laurence',
                                                  'customer_gender': None,
                                                  'customer_group_id': '1',
                                                  'customer_id': '1',
                                                  'customer_is_guest': '0',
                                                  'customer_lastname': 'Pages',
                                                  'customer_middlename': None,
                                                  'customer_note': None,
                                                  'customer_note_notify': '0',
                                                  'customer_prefix': None,
                                                  'customer_suffix': None,
                                                  'customer_taxvat': None,
                                                  'discount_amount': '0.0000',
                                                  'discount_canceled': None,
                                                  'discount_description': None,
                                                  'discount_invoiced': None,
                                                  'discount_refunded': None,
                                                  'edit_increment': None,
                                                  'email_sent': None,
                                                  'ext_customer_id': None,
                                                  'ext_order_id': None,
                                                  'forced_do_shipment_with_invoice': None,
                                                  'forced_shipment_with_invoice': None,
                                                  'gift_message_id': None,
                                                  'global_currency_code': 'EUR',
                                                  'grand_total': '2459.9800',
                                                  'hidden_tax_amount': '0.0000',
                                                  'hidden_tax_invoiced': None,
                                                  'hidden_tax_refunded': None,
                                                  'hold_before_state': None,
                                                  'hold_before_status': None,
                                                  'imported': '0',
                                                  'increment_id': '900000693',
                                                  'is_hold': None,
                                                  'is_multi_payment': None,
                                                  'is_virtual': '0',
                                                  'items': [{'additional_data': None,
                                                             'amount_refunded': '0.0000',
                                                             'applied_rule_ids': None,
                                                             'base_amount_refunded': '0.0000',
                                                             'base_cost': None,
                                                             'base_discount_amount': '0.0000',
                                                             'base_discount_invoiced': '0.0000',
                                                             'base_discount_refunded': None,
                                                             'base_hidden_tax_amount': None,
                                                             'base_hidden_tax_invoiced': None,
                                                             'base_hidden_tax_refunded': None,
                                                             'base_original_price': '2049.9900',
                                                             'base_price': '2049.9900',
                                                             'base_price_incl_tax': '2049.9900',
                                                             'base_row_invoiced': '0.0000',
                                                             'base_row_total': '2049.9900',
                                                             'base_row_total_incl_tax': '2049.9900',
                                                             'base_tax_amount': '0.0000',
                                                             'base_tax_before_discount': None,
                                                             'base_tax_invoiced': '0.0000',
                                                             'base_tax_refunded': None,
                                                             'base_weee_tax_applied_amount': '0.0000',
                                                             'base_weee_tax_applied_row_amnt': '0.0000',
                                                             'base_weee_tax_applied_row_amount': '0.0000',
                                                             'base_weee_tax_disposition': '0.0000',
                                                             'base_weee_tax_row_disposition': '0.0000',
                                                             'created_at': '2013-04-23 07:38:55',
                                                             'description': None,
                                                             'discount_amount': '0.0000',
                                                             'discount_invoiced': '0.0000',
                                                             'discount_percent': '0.0000',
                                                             'discount_refunded': None,
                                                             'ext_order_item_id': None,
                                                             'free_shipping': '0',
                                                             'gift_message_available': None,
                                                             'gift_message_id': None,
                                                             'hidden_tax_amount': None,
                                                             'hidden_tax_canceled': None,
                                                             'hidden_tax_invoiced': None,
                                                             'hidden_tax_refunded': None,
                                                             'is_nominal': '0',
                                                             'is_qty_decimal': '0',
                                                             'is_virtual': '0',
                                                             'item_id': '1718',
                                                             'locked_do_invoice': None,
                                                             'locked_do_ship': None,
                                                             'name': 'Intel Core 2 Extreme QX9775 3.20GHz Retail',
                                                             'no_discount': '0',
                                                             'order_id': '691',
                                                             'original_price': '2049.9900',
                                                             'parent_item_id': None,
                                                             'price': '2049.9900',
                                                             'price_incl_tax': '2049.9900',
                                                             'product_id': '153',
                                                             'product_options': 'a:1:{s:15:"info_buyRequest";a:2:{s:3:"qty";s:6:"1.0000";s:7:"options";a:0:{}}}',
                                                             'product_type': 'simple',
                                                             'qty_backordered': None,
                                                             'qty_canceled': '0.0000',
                                                             'qty_invoiced': '0.0000',
                                                             'qty_ordered': '1.0000',
                                                             'qty_refunded': '0.0000',
                                                             'qty_shipped': '0.0000',
                                                             'quote_item_id': '1716',
                                                             'row_invoiced': '0.0000',
                                                             'row_total': '2049.9900',
                                                             'row_total_incl_tax': '2049.9900',
                                                             'row_weight': '1.0000',
                                                             'sku': 'intelcore2extreme',
                                                             'store_id': '1',
                                                             'tax_amount': '0.0000',
                                                             'tax_before_discount': None,
                                                             'tax_canceled': None,
                                                             'tax_invoiced': '0.0000',
                                                             'tax_percent': '0.0000',
                                                             'tax_refunded': None,
                                                             'updated_at': '2013-04-23 07:38:55',
                                                             'weee_tax_applied': 'a:0:{}',
                                                             'weee_tax_applied_amount': '0.0000',
                                                             'weee_tax_applied_row_amount': '0.0000',
                                                             'weee_tax_disposition': '0.0000',
                                                             'weee_tax_row_disposition': '0.0000',
                                                             'weight': '1.0000'},
                                                            {'additional_data': None,
                                                             'amount_refunded': '0.0000',
                                                             'applied_rule_ids': None,
                                                             'base_amount_refunded': '0.0000',
                                                             'base_cost': None,
                                                             'base_discount_amount': '0.0000',
                                                             'base_discount_invoiced': '0.0000',
                                                             'base_discount_refunded': None,
                                                             'base_hidden_tax_amount': None,
                                                             'base_hidden_tax_invoiced': None,
                                                             'base_hidden_tax_refunded': None,
                                                             'base_original_price': '399.9900',
                                                             'base_price': '399.9900',
                                                             'base_price_incl_tax': '399.9900',
                                                             'base_row_invoiced': '0.0000',
                                                             'base_row_total': '399.9900',
                                                             'base_row_total_incl_tax': '399.9900',
                                                             'base_tax_amount': '0.0000',
                                                             'base_tax_before_discount': None,
                                                             'base_tax_invoiced': '0.0000',
                                                             'base_tax_refunded': None,
                                                             'base_weee_tax_applied_amount': '0.0000',
                                                             'base_weee_tax_applied_row_amnt': '0.0000',
                                                             'base_weee_tax_applied_row_amount': '0.0000',
                                                             'base_weee_tax_disposition': '0.0000',
                                                             'base_weee_tax_row_disposition': '0.0000',
                                                             'created_at': '2013-04-23 07:38:55',
                                                             'description': None,
                                                             'discount_amount': '0.0000',
                                                             'discount_invoiced': '0.0000',
                                                             'discount_percent': '0.0000',
                                                             'discount_refunded': None,
                                                             'ext_order_item_id': None,
                                                             'free_shipping': '0',
                                                             'gift_message_available': None,
                                                             'gift_message_id': None,
                                                             'hidden_tax_amount': None,
                                                             'hidden_tax_canceled': None,
                                                             'hidden_tax_invoiced': None,
                                                             'hidden_tax_refunded': None,
                                                             'is_nominal': '0',
                                                             'is_qty_decimal': '0',
                                                             'is_virtual': '0',
                                                             'item_id': '1719',
                                                             'locked_do_invoice': None,
                                                             'locked_do_ship': None,
                                                             'name': '19" Widescreen Flat-Panel LCD Monitor',
                                                             'no_discount': '0',
                                                             'order_id': '691',
                                                             'original_price': '399.9900',
                                                             'parent_item_id': None,
                                                             'price': '399.9900',
                                                             'price_incl_tax': '399.9900',
                                                             'product_id': '156',
                                                             'product_options': 'a:1:{s:15:"info_buyRequest";a:2:{s:3:"qty";s:6:"1.0000";s:7:"options";a:0:{}}}',
                                                             'product_type': 'simple',
                                                             'qty_backordered': None,
                                                             'qty_canceled': '0.0000',
                                                             'qty_invoiced': '0.0000',
                                                             'qty_ordered': '1.0000',
                                                             'qty_refunded': '0.0000',
                                                             'qty_shipped': '0.0000',
                                                             'quote_item_id': '1717',
                                                             'row_invoiced': '0.0000',
                                                             'row_total': '399.9900',
                                                             'row_total_incl_tax': '399.9900',
                                                             'row_weight': '1.0000',
                                                             'sku': 'W1952TQ-TF',
                                                             'store_id': '1',
                                                             'tax_amount': '0.0000',
                                                             'tax_before_discount': None,
                                                             'tax_canceled': None,
                                                             'tax_invoiced': '0.0000',
                                                             'tax_percent': '0.0000',
                                                             'tax_refunded': None,
                                                             'updated_at': '2013-04-23 07:38:55',
                                                             'weee_tax_applied': 'a:0:{}',
                                                             'weee_tax_applied_amount': '0.0000',
                                                             'weee_tax_applied_row_amount': '0.0000',
                                                             'weee_tax_disposition': '0.0000',
                                                             'weee_tax_row_disposition': '0.0000',
                                                             'weight': '1.0000'}],
                                                  'order_currency_code': 'EUR',
                                                  'order_id': '691',
                                                  'original_increment_id': None,
                                                  'payment': {'account_status': None,
                                                              'additional_data': None,
                                                              'additional_information': {'instructions': ''},
                                                              'address_status': None,
                                                              'amount': None,
                                                              'amount_authorized': None,
                                                              'amount_canceled': None,
                                                              'amount_ordered': '2459.9800',
                                                              'amount_paid': None,
                                                              'amount_refunded': None,
                                                              'anet_trans_method': None,
                                                              'base_amount_authorized': None,
                                                              'base_amount_canceled': None,
                                                              'base_amount_ordered': '2459.9800',
                                                              'base_amount_paid': None,
                                                              'base_amount_paid_online': None,
                                                              'base_amount_refunded': None,
                                                              'base_amount_refunded_online': None,
                                                              'base_shipping_amount': '10.0000',
                                                              'base_shipping_captured': None,
                                                              'base_shipping_refunded': None,
                                                              'cc_approval': None,
                                                              'cc_avs_status': None,
                                                              'cc_cid_status': None,
                                                              'cc_debug_request_body': None,
                                                              'cc_debug_response_body': None,
                                                              'cc_debug_response_serialized': None,
                                                              'cc_exp_month': '0',
                                                              'cc_exp_year': '0',
                                                              'cc_last4': None,
                                                              'cc_number_enc': None,
                                                              'cc_owner': None,
                                                              'cc_raw_request': None,
                                                              'cc_raw_response': None,
                                                              'cc_secure_verify': None,
                                                              'cc_ss_issue': None,
                                                              'cc_ss_start_month': '0',
                                                              'cc_ss_start_year': '0',
                                                              'cc_status': None,
                                                              'cc_status_description': None,
                                                              'cc_trans_id': None,
                                                              'cc_type': None,
                                                              'customer_payment_id': None,
                                                              'cybersource_token': None,
                                                              'echeck_account_name': None,
                                                              'echeck_account_type': None,
                                                              'echeck_bank_name': None,
                                                              'echeck_routing_number': None,
                                                              'echeck_type': None,
                                                              'flo2cash_account_id': None,
                                                              'ideal_issuer_id': None,
                                                              'ideal_issuer_title': None,
                                                              'ideal_transaction_checked': None,
                                                              'last_trans_id': None,
                                                              'method': 'checkmo',
                                                              'parent_id': '691',
                                                              'paybox_question_number': None,
                                                              'paybox_request_number': None,
                                                              'payment_id': '691',
                                                              'po_number': None,
                                                              'protection_eligibility': None,
                                                              'quote_payment_id': None,
                                                              'shipping_amount': '10.0000',
                                                              'shipping_captured': None,
                                                              'shipping_refunded': None},
                                                  'payment_auth_expiration': None,
                                                  'payment_authorization_amount': None,
                                                  'payment_authorization_expiration': None,
                                                  'paypal_ipn_customer_notified': None,
                                                  'protect_code': '5f579e',
                                                  'quote_address_id': None,
                                                  'quote_id': '697',
                                                  'real_order_id': None,
                                                  'relation_child_id': None,
                                                  'relation_child_real_id': None,
                                                  'relation_parent_id': None,
                                                  'relation_parent_real_id': None,
                                                  'remote_ip': None,
                                                  'shipping_address': {'address_id': '1382',
                                                                       'address_type': 'shipping',
                                                                       'city': 'Guillotnec',
                                                                       'company': 'Blondel Royer S.A.S.',
                                                                       'country_id': 'FR',
                                                                       'customer_address_id': '451',
                                                                       'customer_id': '1',
                                                                       'email': 'renard.aimee@example.net',
                                                                       'fax': None,
                                                                       'firstname': 'Couturier',
                                                                       'gift_message_id': None,
                                                                       'lastname': 'Manon',
                                                                       'middlename': None,
                                                                       'parent_id': '691',
                                                                       'postcode': '96513',
                                                                       'prefix': None,
                                                                       'quote_address_id': None,
                                                                       'region': u'Puy-de-D\xf4me',
                                                                       'region_id': '245',
                                                                       'street': u'rue \xc9lisabeth Faivre',
                                                                       'suffix': None,
                                                                       'tax_id': None,
                                                                       'telephone': '01 57 83 21 56',
                                                                       'vat_id': None,
                                                                       'vat_is_valid': None,
                                                                       'vat_request_date': None,
                                                                       'vat_request_id': None,
                                                                       'vat_request_success': None},
                                                  'shipping_address_id': '1382',
                                                  'shipping_amount': '10.0000',
                                                  'shipping_canceled': None,
                                                  'shipping_description': 'Flat Rate - Fixed',
                                                  'shipping_discount_amount': '0.0000',
                                                  'shipping_hidden_tax_amount': '0.0000',
                                                  'shipping_incl_tax': '10.0000',
                                                  'shipping_invoiced': None,
                                                  'shipping_method': 'flatrate_flatrate',
                                                  'shipping_refunded': None,
                                                  'shipping_tax_amount': '0.0000',
                                                  'shipping_tax_refunded': None,
                                                  'state': 'new',
                                                  'status': 'pending',
                                                  'status_history': [{'comment': None,
                                                                      'created_at': '2013-04-23 07:38:55',
                                                                      'entity_name': 'order',
                                                                      'is_customer_notified': '0',
                                                                      'is_visible_on_front': '0',
                                                                      'parent_id': '691',
                                                                      'status': 'pending',
                                                                      'store_id': '1'}],
                                                  'store_currency_code': 'EUR',
                                                  'store_id': '1',
                                                  'store_name': 'Main Website\nMain Store\nEnglish',
                                                  'store_to_base_rate': '1.0000',
                                                  'store_to_order_rate': '1.0000',
                                                  'subtotal': '2449.9800',
                                                  'subtotal_canceled': None,
                                                  'subtotal_incl_tax': '2449.9800',
                                                  'subtotal_invoiced': None,
                                                  'subtotal_refunded': None,
                                                  'tax_amount': '0.0000',
                                                  'tax_canceled': None,
                                                  'tax_invoiced': None,
                                                  'tax_percent': None,
                                                  'tax_refunded': None,
                                                  'total_canceled': None,
                                                  'total_due': None,
                                                  'total_invoiced': None,
                                                  'total_item_count': '2',
                                                  'total_offline_refunded': None,
                                                  'total_online_refunded': None,
                                                  'total_paid': None,
                                                  'total_qty_ordered': '2.0000',
                                                  'total_refunded': None,
                                                  'tracking_numbers': None,
                                                  'updated_at': '2013-04-23 07:38:55',
                                                  'website_id': u'1',
                                                  'weight': '2.0000',
                                                  'x_forwarded_for': None},
        ('sales_order.info', (900000694, )): {'adjustment_negative': None,
                                                  'adjustment_positive': None,
                                                  'applied_rule_ids': None,
                                                  'base_adjustment_negative': None,
                                                  'base_adjustment_positive': None,
                                                  'base_currency_code': 'EUR',
                                                  'base_custbalance_amount': None,
                                                  'base_discount_amount': '0.0000',
                                                  'base_discount_canceled': None,
                                                  'base_discount_invoiced': None,
                                                  'base_discount_refunded': None,
                                                  'base_grand_total': '46.0500',
                                                  'base_hidden_tax_amount': '0.0000',
                                                  'base_hidden_tax_invoiced': None,
                                                  'base_hidden_tax_refunded': None,
                                                  'base_shipping_amount': '5.0000',
                                                  'base_shipping_canceled': None,
                                                  'base_shipping_discount_amount': '0.0000',
                                                  'base_shipping_hidden_tax_amnt': '0.0000',
                                                  'base_shipping_hidden_tax_amount': '0.0000',
                                                  'base_shipping_incl_tax': '5.0000',
                                                  'base_shipping_invoiced': None,
                                                  'base_shipping_refunded': None,
                                                  'base_shipping_tax_amount': '0.0000',
                                                  'base_shipping_tax_refunded': None,
                                                  'base_subtotal': '41.0500',
                                                  'base_subtotal_canceled': None,
                                                  'base_subtotal_incl_tax': '41.0500',
                                                  'base_subtotal_invoiced': None,
                                                  'base_subtotal_refunded': None,
                                                  'base_tax_amount': '0.0000',
                                                  'base_tax_canceled': None,
                                                  'base_tax_invoiced': None,
                                                  'base_tax_refunded': None,
                                                  'base_to_global_rate': '1.0000',
                                                  'base_to_order_rate': '1.0000',
                                                  'base_total_canceled': None,
                                                  'base_total_due': None,
                                                  'base_total_invoiced': None,
                                                  'base_total_invoiced_cost': None,
                                                  'base_total_offline_refunded': None,
                                                  'base_total_online_refunded': None,
                                                  'base_total_paid': None,
                                                  'base_total_qty_ordered': None,
                                                  'base_total_refunded': None,
                                                  'billing_address': {'address_id': '11',
                                                                      'address_type': 'billing',
                                                                      'city': 'Guillotnec',
                                                                      'company': None,
                                                                      'country_id': 'FR',
                                                                      'customer_address_id': '0',
                                                                      'customer_id': '2',
                                                                      'email': None,
                                                                      'fax': None,
                                                                      'firstname': 'Couturier',
                                                                      'gift_message_id': None,
                                                                      'lastname': 'Manon',
                                                                      'middlename': None,
                                                                      'parent_id': '6',
                                                                      'postcode': '32',
                                                                      'prefix': None,
                                                                      'quote_address_id': None,
                                                                      'region': 'Calvados',
                                                                      'region_id': '195',
                                                                      'street': 'rue Jean Jacques Rousseau',
                                                                      'suffix': None,
                                                                      'tax_id': None,
                                                                      'telephone': '2323232323',
                                                                      'vat_id': None,
                                                                      'vat_is_valid': None,
                                                                      'vat_request_date': None,
                                                                      'vat_request_id': None,
                                                                      'vat_request_success': None},
                                                  'billing_address_id': '11',
                                                  'can_ship_partially': None,
                                                  'can_ship_partially_item': None,
                                                  'coupon_code': None,
                                                  'coupon_rule_name': None,
                                                  'created_at': time.strftime(FMT),
                                                  'currency_base_id': None,
                                                  'currency_code': None,
                                                  'currency_rate': None,
                                                  'custbalance_amount': None,
                                                  'customer_dob': None,
                                                  'customer_email': '1380099237@example.com',
                                                  'customer_firstname': 't',
                                                  'customer_gender': None,
                                                  'customer_group_id': '1',
                                                  'customer_id': '1',
                                                  'customer_is_guest': '0',
                                                  'customer_lastname': 'ta',
                                                  'customer_middlename': None,
                                                  'customer_note': None,
                                                  'customer_note_notify': '0',
                                                  'customer_prefix': None,
                                                  'customer_suffix': None,
                                                  'customer_taxvat': None,
                                                  'discount_amount': '0.0000',
                                                  'discount_canceled': None,
                                                  'discount_description': None,
                                                  'discount_invoiced': None,
                                                  'discount_refunded': None,
                                                  'edit_increment': None,
                                                  'email_sent': None,
                                                  'ext_customer_id': None,
                                                  'ext_order_id': None,
                                                  'forced_do_shipment_with_invoice': None,
                                                  'forced_shipment_with_invoice': None,
                                                  'gift_message_id': None,
                                                  'global_currency_code': 'EUR',
                                                  'grand_total': '46.0500',
                                                  'hidden_tax_amount': '0.0000',
                                                  'hidden_tax_invoiced': None,
                                                  'hidden_tax_refunded': None,
                                                  'hold_before_state': None,
                                                  'hold_before_status': None,
                                                  'imported': '0',
                                                  'increment_id': '900000694',
                                                  'is_hold': None,
                                                  'is_multi_payment': None,
                                                  'is_virtual': '0',
                                                  'items': [{'additional_data': None,
                                                             'amount_refunded': '0.0000',
                                                             'applied_rule_ids': None,
                                                             'base_amount_refunded': '0.0000',
                                                             'base_cost': '10.0000',
                                                             'base_discount_amount': '0.0000',
                                                             'base_discount_invoiced': '0.0000',
                                                             'base_discount_refunded': None,
                                                             'base_hidden_tax_amount': None,
                                                             'base_hidden_tax_invoiced': None,
                                                             'base_hidden_tax_refunded': None,
                                                             'base_original_price': '41.0500',
                                                             'base_price': '41.0500',
                                                             'base_price_incl_tax': '41.0500',
                                                             'base_row_invoiced': '0.0000',
                                                             'base_row_total': '41.0500',
                                                             'base_row_total_incl_tax': '41.0500',
                                                             'base_tax_amount': '0.0000',
                                                             'base_tax_before_discount': None,
                                                             'base_tax_invoiced': '0.0000',
                                                             'base_tax_refunded': None,
                                                             'base_weee_tax_applied_amount': '0.0000',
                                                             'base_weee_tax_applied_row_amnt': '0.0000',
                                                             'base_weee_tax_applied_row_amount': '0.0000',
                                                             'base_weee_tax_disposition': '0.0000',
                                                             'base_weee_tax_row_disposition': '0.0000',
                                                             'created_at': '2013-10-30 09:43:20',
                                                             'description': None,
                                                             'discount_amount': '0.0000',
                                                             'discount_invoiced': '0.0000',
                                                             'discount_percent': '0.0000',
                                                             'discount_refunded': None,
                                                             'ext_order_item_id': None,
                                                             'free_shipping': '0',
                                                             'gift_message_available': None,
                                                             'gift_message_id': None,
                                                             'has_children': True,
                                                             'hidden_tax_amount': None,
                                                             'hidden_tax_canceled': None,
                                                             'hidden_tax_invoiced': None,
                                                             'hidden_tax_refunded': None,
                                                             'is_nominal': '0',
                                                             'is_qty_decimal': '0',
                                                             'is_virtual': '0',
                                                             'item_id': '9',
                                                             'locked_do_invoice': None,
                                                             'locked_do_ship': None,
                                                             'name': 'Anashria Womens Premier Leather Sandal',
                                                             'no_discount': '0',
                                                             'order_id': '6',
                                                             'original_price': '41.0500',
                                                             'parent_item_id': None,
                                                             'price': '41.0500',
                                                             'price_incl_tax': '41.0500',
                                                             'product_id': '135',
                                                             'product_options': 'a:6:{s:15:"info_buyRequest";a:3:{s:3:"qty";s:6:"1.0000";s:15:"super_attribute";a:1:{i:502;s:2:"44";}s:7:"options";a:0:{}}s:15:"attributes_info";a:1:{i:0;a:2:{s:5:"label";s:9:"Shoe Size";s:5:"value";s:1:"5";}}s:11:"simple_name";s:38:"Anashria Womens Premier Leather Sandal";s:10:"simple_sku";s:5:"ana_5";s:20:"product_calculations";i:1;s:13:"shipment_type";i:0;}',
                                                             'product_type': 'configurable',
                                                             'qty_backordered': None,
                                                             'qty_canceled': '0.0000',
                                                             'qty_invoiced': '0.0000',
                                                             'qty_ordered': '1.0000',
                                                             'qty_refunded': '0.0000',
                                                             'qty_shipped': '0.0000',
                                                             'quote_item_id': '10',
                                                             'row_invoiced': '0.0000',
                                                             'row_total': '41.0500',
                                                             'row_total_incl_tax': '41.0500',
                                                             'row_weight': '2.0000',
                                                             'sku': 'ana_5',
                                                             'store_id': '3',
                                                             'tax_amount': '0.0000',
                                                             'tax_before_discount': None,
                                                             'tax_canceled': None,
                                                             'tax_invoiced': '0.0000',
                                                             'tax_percent': '0.0000',
                                                             'tax_refunded': None,
                                                             'updated_at': '2013-10-30 09:43:20',
                                                             'weee_tax_applied': 'a:0:{}',
                                                             'weee_tax_applied_amount': '0.0000',
                                                             'weee_tax_applied_row_amount': '0.0000',
                                                             'weee_tax_disposition': '0.0000',
                                                             'weee_tax_row_disposition': '0.0000',
                                                             'weight': '2.0000'},
                                                            {'additional_data': None,
                                                             'amount_refunded': '0.0000',
                                                             'applied_rule_ids': None,
                                                             'base_amount_refunded': '0.0000',
                                                             'base_cost': '10.0000',
                                                             'base_discount_amount': '0.0000',
                                                             'base_discount_invoiced': '0.0000',
                                                             'base_discount_refunded': None,
                                                             'base_hidden_tax_amount': None,
                                                             'base_hidden_tax_invoiced': None,
                                                             'base_hidden_tax_refunded': None,
                                                             'base_original_price': None,
                                                             'base_price': '0.0000',
                                                             'base_price_incl_tax': None,
                                                             'base_row_invoiced': '0.0000',
                                                             'base_row_total': '0.0000',
                                                             'base_row_total_incl_tax': None,
                                                             'base_tax_amount': '0.0000',
                                                             'base_tax_before_discount': None,
                                                             'base_tax_invoiced': '0.0000',
                                                             'base_tax_refunded': None,
                                                             'base_weee_tax_applied_amount': '0.0000',
                                                             'base_weee_tax_applied_row_amnt': None,
                                                             'base_weee_tax_applied_row_amount': None,
                                                             'base_weee_tax_disposition': '0.0000',
                                                             'base_weee_tax_row_disposition': '0.0000',
                                                             'created_at': '2013-10-30 09:43:20',
                                                             'description': None,
                                                             'discount_amount': '0.0000',
                                                             'discount_invoiced': '0.0000',
                                                             'discount_percent': '0.0000',
                                                             'discount_refunded': None,
                                                             'ext_order_item_id': None,
                                                             'free_shipping': '0',
                                                             'gift_message_available': None,
                                                             'gift_message_id': None,
                                                             'hidden_tax_amount': None,
                                                             'hidden_tax_canceled': None,
                                                             'hidden_tax_invoiced': None,
                                                             'hidden_tax_refunded': None,
                                                             'is_nominal': '0',
                                                             'is_qty_decimal': '0',
                                                             'is_virtual': '0',
                                                             'item_id': '10',
                                                             'locked_do_invoice': None,
                                                             'locked_do_ship': None,
                                                             'name': 'Anashria Womens Premier Leather Sandal',
                                                             'no_discount': '0',
                                                             'order_id': '6',
                                                             'original_price': '0.0000',
                                                             'parent_item_id': '9',
                                                             'price': '0.0000',
                                                             'price_incl_tax': None,
                                                             'product_id': '79',
                                                             'product_options': 'a:1:{s:15:"info_buyRequest";a:3:{s:3:"qty";s:6:"1.0000";s:15:"super_attribute";a:1:{i:502;s:2:"44";}s:7:"options";a:0:{}}}',
                                                             'product_type': 'simple',
                                                             'qty_backordered': None,
                                                             'qty_canceled': '0.0000',
                                                             'qty_invoiced': '0.0000',
                                                             'qty_ordered': '1.0000',
                                                             'qty_refunded': '0.0000',
                                                             'qty_shipped': '0.0000',
                                                             'quote_item_id': '11',
                                                             'row_invoiced': '0.0000',
                                                             'row_total': '0.0000',
                                                             'row_total_incl_tax': None,
                                                             'row_weight': '0.0000',
                                                             'sku': 'ana_5',
                                                             'store_id': '3',
                                                             'tax_amount': '0.0000',
                                                             'tax_before_discount': None,
                                                             'tax_canceled': None,
                                                             'tax_invoiced': '0.0000',
                                                             'tax_percent': '0.0000',
                                                             'tax_refunded': None,
                                                             'updated_at': '2013-10-30 09:43:20',
                                                             'weee_tax_applied': 'a:0:{}',
                                                             'weee_tax_applied_amount': '0.0000',
                                                             'weee_tax_applied_row_amount': '0.0000',
                                                             'weee_tax_disposition': '0.0000',
                                                             'weee_tax_row_disposition': '0.0000',
                                                             'weight': '2.0000'}],
                                                  'order_currency_code': 'EUR',
                                                  'order_id': '6',
                                                  'original_increment_id': None,
                                                  'payment': {'account_status': None,
                                                              'additional_data': None,
                                                              'additional_information': [],
                                                              'address_status': None,
                                                              'amount': None,
                                                              'amount_authorized': None,
                                                              'amount_canceled': None,
                                                              'amount_ordered': '46.0500',
                                                              'amount_paid': None,
                                                              'amount_refunded': None,
                                                              'anet_trans_method': None,
                                                              'base_amount_authorized': None,
                                                              'base_amount_canceled': None,
                                                              'base_amount_ordered': '46.0500',
                                                              'base_amount_paid': None,
                                                              'base_amount_paid_online': None,
                                                              'base_amount_refunded': None,
                                                              'base_amount_refunded_online': None,
                                                              'base_shipping_amount': '5.0000',
                                                              'base_shipping_captured': None,
                                                              'base_shipping_refunded': None,
                                                              'cc_approval': None,
                                                              'cc_avs_status': None,
                                                              'cc_cid_status': None,
                                                              'cc_debug_request_body': None,
                                                              'cc_debug_response_body': None,
                                                              'cc_debug_response_serialized': None,
                                                              'cc_exp_month': '0',
                                                              'cc_exp_year': '0',
                                                              'cc_last4': None,
                                                              'cc_number_enc': None,
                                                              'cc_owner': None,
                                                              'cc_raw_request': None,
                                                              'cc_raw_response': None,
                                                              'cc_secure_verify': None,
                                                              'cc_ss_issue': None,
                                                              'cc_ss_start_month': '0',
                                                              'cc_ss_start_year': '0',
                                                              'cc_status': None,
                                                              'cc_status_description': None,
                                                              'cc_trans_id': None,
                                                              'cc_type': None,
                                                              'customer_payment_id': None,
                                                              'cybersource_token': None,
                                                              'echeck_account_name': None,
                                                              'echeck_account_type': None,
                                                              'echeck_bank_name': None,
                                                              'echeck_routing_number': None,
                                                              'echeck_type': None,
                                                              'flo2cash_account_id': None,
                                                              'ideal_issuer_id': None,
                                                              'ideal_issuer_title': None,
                                                              'ideal_transaction_checked': None,
                                                              'last_trans_id': None,
                                                              'method': 'checkmo',
                                                              'parent_id': '6',
                                                              'paybox_question_number': None,
                                                              'paybox_request_number': None,
                                                              'payment_id': '6',
                                                              'po_number': None,
                                                              'protection_eligibility': None,
                                                              'quote_payment_id': None,
                                                              'shipping_amount': '5.0000',
                                                              'shipping_captured': None,
                                                              'shipping_refunded': None},
                                                  'payment_auth_expiration': None,
                                                  'payment_authorization_amount': None,
                                                  'payment_authorization_expiration': None,
                                                  'paypal_ipn_customer_notified': None,
                                                  'protect_code': 'a38749',
                                                  'quote_address_id': None,
                                                  'quote_id': '7',
                                                  'real_order_id': None,
                                                  'relation_child_id': None,
                                                  'relation_child_real_id': None,
                                                  'relation_parent_id': None,
                                                  'relation_parent_real_id': None,
                                                  'remote_ip': None,
                                                  'shipping_address': {'address_id': '12',
                                                                       'address_type': 'shipping',
                                                                       'city': 'Guillotnec',
                                                                       'company': None,
                                                                       'country_id': 'FR',
                                                                       'customer_address_id': '0',
                                                                       'customer_id': '1',
                                                                       'email': None,
                                                                       'fax': None,
                                                                       'firstname': 'Couturier',
                                                                       'gift_message_id': None,
                                                                       'lastname': 'Manon',
                                                                       'middlename': None,
                                                                       'parent_id': '6',
                                                                       'postcode': '32',
                                                                       'prefix': None,
                                                                       'quote_address_id': None,
                                                                       'region': 'Calvados',
                                                                       'region_id': '195',
                                                                       'street': 'rue Jean Jacques Rousseau',
                                                                       'suffix': None,
                                                                       'tax_id': None,
                                                                       'telephone': '03 22 32 32 23',
                                                                       'vat_id': None,
                                                                       'vat_is_valid': None,
                                                                       'vat_request_date': None,
                                                                       'vat_request_id': None,
                                                                       'vat_request_success': None},
                                                  'shipping_address_id': '12',
                                                  'shipping_amount': '5.0000',
                                                  'shipping_canceled': None,
                                                  'shipping_description': 'Flat Rate - Fixed',
                                                  'shipping_discount_amount': '0.0000',
                                                  'shipping_hidden_tax_amount': '0.0000',
                                                  'shipping_incl_tax': '5.0000',
                                                  'shipping_invoiced': None,
                                                  'shipping_method': 'flatrate_flatrate',
                                                  'shipping_refunded': None,
                                                  'shipping_tax_amount': '0.0000',
                                                  'shipping_tax_refunded': None,
                                                  'state': 'new',
                                                  'status': 'pending',
                                                  'status_history': [{'comment': None,
                                                                      'created_at': '2013-10-30 09:43:20',
                                                                      'entity_name': 'order',
                                                                      'is_customer_notified': '0',
                                                                      'is_visible_on_front': '0',
                                                                      'parent_id': '6',
                                                                      'status': 'pending',
                                                                      'store_id': '3'}],
                                                  'store_currency_code': 'EUR',
                                                  'store_id': '3',
                                                  'store_name': 'Main Website\nMain Store\nEnglish',
                                                  'store_to_base_rate': '1.0000',
                                                  'store_to_order_rate': '1.0000',
                                                  'subtotal': '41.0500',
                                                  'subtotal_canceled': None,
                                                  'subtotal_incl_tax': '41.0500',
                                                  'subtotal_invoiced': None,
                                                  'subtotal_refunded': None,
                                                  'tax_amount': '0.0000',
                                                  'tax_canceled': None,
                                                  'tax_invoiced': None,
                                                  'tax_percent': None,
                                                  'tax_refunded': None,
                                                  'total_canceled': None,
                                                  'total_due': None,
                                                  'total_invoiced': None,
                                                  'total_item_count': '1',
                                                  'total_offline_refunded': None,
                                                  'total_online_refunded': None,
                                                  'total_paid': None,
                                                  'total_qty_ordered': '1.0000',
                                                  'total_refunded': None,
                                                  'tracking_numbers': None,
                                                  'updated_at': '2013-10-30 09:43:20',
                                                  'weight': '2.0000',
                                                  'x_forwarded_for': None},
        ('sales_order.info', (900000695, )): {'adjustment_negative': None,
                                                  'adjustment_positive': None,
                                                  'applied_rule_ids': None,
                                                  'base_adjustment_negative': None,
                                                  'base_adjustment_positive': None,
                                                  'base_currency_code': 'EUR',
                                                  'base_discount_amount': '0.0000',
                                                  'base_discount_canceled': None,
                                                  'base_discount_invoiced': '0.0000',
                                                  'base_discount_refunded': None,
                                                  'base_grand_total': '97.5000',
                                                  'base_hidden_tax_amount': '0.0000',
                                                  'base_hidden_tax_invoiced': '0.0000',
                                                  'base_hidden_tax_refunded': None,
                                                  'base_shipping_amount': '7.8700',
                                                  'base_shipping_canceled': None,
                                                  'base_shipping_discount_amount': '0.0000',
                                                  'base_shipping_hidden_tax_amnt': '0.0000',
                                                  'base_shipping_hidden_tax_amount': '0.0000',
                                                  'base_shipping_incl_tax': '8.5000',
                                                  'base_shipping_invoiced': '7.8700',
                                                  'base_shipping_refunded': None,
                                                  'base_shipping_tax_amount': '0.6300',
                                                  'base_shipping_tax_refunded': None,
                                                  'base_subtotal': '82.4100',
                                                  'base_subtotal_canceled': None,
                                                  'base_subtotal_incl_tax': '89.0000',
                                                  'base_subtotal_invoiced': '82.4100',
                                                  'base_subtotal_refunded': None,
                                                  'base_tax_amount': '7.2200',
                                                  'base_tax_canceled': None,
                                                  'base_tax_invoiced': '7.2200',
                                                  'base_tax_refunded': None,
                                                  'base_to_global_rate': '1.0000',
                                                  'base_to_order_rate': '1.0000',
                                                  'base_total_canceled': None,
                                                  'base_total_due': '0.0000',
                                                  'base_total_invoiced': '97.5000',
                                                  'base_total_invoiced_cost': '0.0000',
                                                  'base_total_offline_refunded': None,
                                                  'base_total_online_refunded': None,
                                                  'base_total_paid': '97.5000',
                                                  'base_total_qty_ordered': None,
                                                  'base_total_refunded': None,
                                                  'billing_address': {'address_id': '38468',
                                                                      'address_type': 'billing',
                                                                      'city': 'Lyon',
                                                                      'company': None,
                                                                      'country_id': 'FR',
                                                                      'customer_address_id': '4999',
                                                                      'customer_id': None,
                                                                      'email': 'john@doe.fr',
                                                                      'fax': None,
                                                                      'firstname': 'John',
                                                                      'lastname': 'Doe',
                                                                      'middlename': None,
                                                                      'parent_id': '7360',
                                                                      'postcode': '1006',
                                                                      'prefix': None,
                                                                      'quote_address_id': None,
                                                                      'region': None,
                                                                      'region_id': None,
                                                                      'street': 'Victor Hugo',
                                                                      'suffix': None,
                                                                      'telephone': '31763163390',
                                                                      'vat_id': None,
                                                                      'vat_is_valid': None,
                                                                      'vat_request_date': None,
                                                                      'vat_request_id': None,
                                                                      'vat_request_success': None},
                                                  'billing_address_id': '38468',
                                                  'can_ship_partially': None,
                                                  'can_ship_partially_item': None,
                                                  'coupon_code': None,
                                                  'coupon_rule_name': None,
                                                  'created_at': time.strftime(FMT),
                                                  'customer_dob': None,
                                                  'customer_email': 'john@doe.fr',
                                                  'customer_firstname': 'John',
                                                  'customer_gender': None,
                                                  'customer_group_id': '1',
                                                  'customer_id': '1',
                                                  'customer_is_guest': '0',
                                                  'customer_lastname': 'Doe',
                                                  'customer_middlename': None,
                                                  'customer_note': None,
                                                  'customer_note_notify': '1',
                                                  'customer_prefix': None,
                                                  'customer_suffix': None,
                                                  'customer_taxvat': None,
                                                  'discount_amount': '0.0000',
                                                  'discount_canceled': None,
                                                  'discount_description': None,
                                                  'discount_invoiced': '0.0000',
                                                  'discount_refunded': None,
                                                  'edit_increment': None,
                                                  'email_sent': '1',
                                                  'employee_email': None,
                                                  'employee_name': None,
                                                  'employee_phone': None,
                                                  'ext_customer_id': None,
                                                  'ext_order_id': None,
                                                  'forced_do_shipment_with_invoice': None,
                                                  'forced_shipment_with_invoice': None,
                                                  'gift_message_id': None,
                                                  'global_currency_code': 'EUR',
                                                  'grand_total': '97.5000',
                                                  'hidden_tax_amount': '0.0000',
                                                  'hidden_tax_invoiced': '0.0000',
                                                  'hidden_tax_refunded': None,
                                                  'hold_before_state': None,
                                                  'hold_before_status': None,
                                                  'imported': '0',
                                                  'increment_id': '900000695',
                                                  'is_virtual': '0',
                                                  'items': [{'additional_data': None,
                                                             'amount_refunded': '0.0000',
                                                             'applied_rule_ids': None,
                                                             'base_amount_refunded': '0.0000',
                                                             'base_cost': None,
                                                             'base_discount_amount': '0.0000',
                                                             'base_discount_invoiced': '0.0000',
                                                             'base_discount_refunded': None,
                                                             'base_hidden_tax_amount': None,
                                                             'base_hidden_tax_invoiced': '0.0000',
                                                             'base_hidden_tax_refunded': None,
                                                             'base_original_price': '89.0000',
                                                             'base_price': '82.4100',
                                                             'base_price_incl_tax': '89.0000',
                                                             'base_row_invoiced': '82.4100',
                                                             'base_row_total': '82.4100',
                                                             'base_row_total_incl_tax': '89.0000',
                                                             'base_tax_amount': '6.5900',
                                                             'base_tax_before_discount': None,
                                                             'base_tax_invoiced': '6.5900',
                                                             'base_tax_refunded': None,
                                                             'base_weee_tax_applied_amount': '0.0000',
                                                             'base_weee_tax_applied_row_amnt': '0.0000',
                                                             'base_weee_tax_applied_row_amount': '0.0000',
                                                             'base_weee_tax_disposition': '0.0000',
                                                             'base_weee_tax_row_disposition': '0.0000',
                                                             'created_at': time.strftime(FMT),
                                                             'description': None,
                                                             'discount_amount': '0.0000',
                                                             'discount_invoiced': '0.0000',
                                                             'discount_percent': '0.0000',
                                                             'discount_refunded': None,
                                                             'earned_points_hash': None,
                                                             'ext_order_item_id': None,
                                                             'free_shipping': '0',
                                                             'gift_message_available': None,
                                                             'gift_message_id': None,
                                                             'hidden_tax_amount': None,
                                                             'hidden_tax_canceled': None,
                                                             'hidden_tax_invoiced': '0.0000',
                                                             'hidden_tax_refunded': None,
                                                             'is_nominal': '0',
                                                             'is_qty_decimal': '0',
                                                             'is_virtual': '0',
                                                             'item_id': '12751',
                                                             'locked_do_invoice': None,
                                                             'locked_do_ship': None,
                                                             'name': 'Dior Homme',
                                                             'no_discount': '0',
                                                             'order_id': '7360',
                                                             'original_price': '89.0000',
                                                             'parent_item_id': None,
                                                             'price': '82.4100',
                                                             'price_incl_tax': '89.0000',
                                                             'product_id': '157',
                                                             'product_options': 'a:1:{s:15:"info_buyRequest";a:6:{s:4:"uenc";s:176:"aHR0cDovL3d3dy4xMDAwcGFyZnVtcy5jaC9ib3V0aXF1ZTEuNy4wLjIvZnIvcGFyZnVtLWhvbW1lcy1ldC1mZW1tZXMtcGFzLWNoZXIvcGFyZnVtLWRpb3ItcGFzLWNoZXIvcGFyZnVtLWRpb3ItaG9tbWUtcGFzLWNoZXIuaHRtbA,,";s:7:"product";s:4:"4773";s:15:"related_product";s:0:"";s:3:"qty";s:1:"1";s:1:"x";s:2:"70";s:1:"y";s:2:"23";}}',
                                                             'product_type': 'simple',
                                                             'qty_backordered': None,
                                                             'qty_canceled': '0.0000',
                                                             'qty_invoiced': '1.0000',
                                                             'qty_ordered': '1.0000',
                                                             'qty_refunded': '0.0000',
                                                             'qty_shipped': '0.0000',
                                                             'quote_item_id': '46485',
                                                             'redeemed_points_hash': None,
                                                             'row_invoiced': '82.4100',
                                                             'row_total': '82.4100',
                                                             'row_total_after_redemptions': None,
                                                             'row_total_after_redemptions_incl_tax': None,
                                                             'row_total_before_redemptions': None,
                                                             'row_total_before_redemptions_incl_tax': None,
                                                             'row_total_incl_tax': '89.0000',
                                                             'row_weight': '0.0000',
                                                             'sku': '1625',
                                                             'store_id': '1',
                                                             'tax_amount': '6.5900',
                                                             'tax_before_discount': None,
                                                             'tax_canceled': None,
                                                             'tax_invoiced': '6.5900',
                                                             'tax_percent': '8.0000',
                                                             'tax_refunded': None,
                                                             'updated_at': time.strftime(FMT),
                                                             'weee_tax_applied': 'a:0:{}',
                                                             'weee_tax_applied_amount': '0.0000',
                                                             'weee_tax_applied_row_amount': '0.0000',
                                                             'weee_tax_disposition': '0.0000',
                                                             'weee_tax_row_disposition': '0.0000',
                                                             'weight': None}],
                                                  'order_currency_code': 'EUR',
                                                  'order_id': '7360',
                                                  'original_increment_id': None,
                                                  'payment': {'account_status': None,
                                                              'additional_data': None,
                                                              'address_status': None,
                                                              'amount_authorized': None,
                                                              'amount_canceled': None,
                                                              'amount_ordered': '97.5000',
                                                              'amount_paid': '97.5000',
                                                              'amount_refunded': None,
                                                              'anet_trans_method': None,
                                                              'base_amount_authorized': None,
                                                              'base_amount_canceled': None,
                                                              'base_amount_ordered': '97.5000',
                                                              'base_amount_paid': '97.5000',
                                                              'base_amount_paid_online': None,
                                                              'base_amount_refunded': None,
                                                              'base_amount_refunded_online': None,
                                                              'base_shipping_amount': '7.8700',
                                                              'base_shipping_captured': '7.8700',
                                                              'base_shipping_refunded': None,
                                                              'cc_approval': None,
                                                              'cc_avs_status': None,
                                                              'cc_cid_status': None,
                                                              'cc_debug_request_body': None,
                                                              'cc_debug_response_body': None,
                                                              'cc_debug_response_serialized': None,
                                                              'cc_exp_month': '0',
                                                              'cc_exp_year': '0',
                                                              'cc_last4': None,
                                                              'cc_number_enc': None,
                                                              'cc_owner': None,
                                                              'cc_secure_verify': None,
                                                              'cc_ss_issue': None,
                                                              'cc_ss_start_month': '0',
                                                              'cc_ss_start_year': '0',
                                                              'cc_status': None,
                                                              'cc_status_description': None,
                                                              'cc_trans_id': None,
                                                              'cc_type': None,
                                                              'cybersource_token': None,
                                                              'echeck_account_name': None,
                                                              'echeck_account_type': None,
                                                              'echeck_bank_name': None,
                                                              'echeck_routing_number': None,
                                                              'echeck_type': None,
                                                              'flo2cash_account_id': None,
                                                              'ideal_issuer_id': None,
                                                              'ideal_issuer_title': None,
                                                              'ideal_transaction_checked': None,
                                                              'last_trans_id': '1P06829259760661R',
                                                              'method': 'checkmo',
                                                              'parent_id': '7360',
                                                              'paybox_question_number': None,
                                                              'paybox_request_number': None,
                                                              'payment_id': '32844',
                                                              'po_number': None,
                                                              'protection_eligibility': None,
                                                              'quote_payment_id': None,
                                                              'shipping_amount': '7.8700',
                                                              'shipping_captured': '7.8700',
                                                              'shipping_refunded': None},
                                                  'payment_auth_expiration': None,
                                                  'payment_authorization_amount': None,
                                                  'payment_authorization_expiration': None,
                                                  'paypal_ipn_customer_notified': None,
                                                  'protect_code': '49accf',
                                                  'quote_address_id': None,
                                                  'quote_id': '33794',
                                                  'relation_child_id': None,
                                                  'relation_child_real_id': None,
                                                  'relation_parent_id': None,
                                                  'relation_parent_real_id': None,
                                                  'remote_ip': None,
                                                  'rewards_base_discount_amount': None,
                                                  'rewards_base_discount_tax_amount': None,
                                                  'rewards_discount_amount': None,
                                                  'rewards_discount_tax_amount': None,
                                                  'shipping_address': {'address_id': '38469',
                                                                       'address_type': 'shipping',
                                                                       'city': 'Lyon',
                                                                       'company': None,
                                                                       'country_id': 'FR',
                                                                       'customer_address_id': None,
                                                                       'customer_id': None,
                                                                       'email': 'john@doe.fr',
                                                                       'fax': None,
                                                                       'firstname': 'John',
                                                                       'lastname': 'Doe',
                                                                       'middlename': None,
                                                                       'parent_id': '7360',
                                                                       'postcode': '1006',
                                                                       'prefix': None,
                                                                       'quote_address_id': None,
                                                                       'region': None,
                                                                       'region_id': None,
                                                                       'street': 'Victor Hugo',
                                                                       'suffix': None,
                                                                       'telephone': '31763163390',
                                                                       'vat_id': None,
                                                                       'vat_is_valid': None,
                                                                       'vat_request_date': None,
                                                                       'vat_request_id': None,
                                                                       'vat_request_success': None},
                                                  'shipping_address_id': '38469',
                                                  'shipping_amount': '7.8700',
                                                  'shipping_canceled': None,
                                                  'shipping_description': 'La Poste',
                                                  'shipping_discount_amount': '0.0000',
                                                  'shipping_hidden_tax_amount': '0.0000',
                                                  'shipping_incl_tax': '8.5000',
                                                  'shipping_invoiced': '7.8700',
                                                  'shipping_method': 'flatrate_flatrate',
                                                  'shipping_refunded': None,
                                                  'shipping_tax_amount': '0.6300',
                                                  'shipping_tax_refunded': None,
                                                  'state': 'processing',
                                                  'status': 'processing',
                                                  'status_history': [{'comment': u'Notifier le client pour la facture n\xb0100003489.',
                                                                      'created_at': '2013-10-14 13:22:02',
                                                                      'entity_name': 'invoice',
                                                                      'is_customer_notified': '1',
                                                                      'is_visible_on_front': '0',
                                                                      'parent_id': '7360',
                                                                      'status': 'processing',
                                                                      'store_id': '1'},
                                                                     {'comment': u'IPN "Completed". Registered notification about captured amount of 97,50\xa0EUR. Transaction ID: "1P06829259760661R".',
                                                                      'created_at': '2013-10-14 13:22:00',
                                                                      'entity_name': 'invoice',
                                                                      'is_customer_notified': '2',
                                                                      'is_visible_on_front': '0',
                                                                      'parent_id': '7360',
                                                                      'status': 'processing',
                                                                      'store_id': '1'},
                                                                     {'comment': None,
                                                                      'created_at': '2013-10-14 13:20:58',
                                                                      'entity_name': 'order',
                                                                      'is_customer_notified': '0',
                                                                      'is_visible_on_front': '0',
                                                                      'parent_id': '7360',
                                                                      'status': 'pending_payment',
                                                                      'store_id': '1'}],
                                                  'store_currency_code': 'EUR',
                                                  'store_id': '1',
                                                  'store_name': u'France',
                                                  'store_to_base_rate': '1.0000',
                                                  'store_to_order_rate': '1.0000',
                                                  'subtotal': '82.4100',
                                                  'subtotal_canceled': None,
                                                  'subtotal_incl_tax': '89.0000',
                                                  'subtotal_invoiced': '82.4100',
                                                  'subtotal_refunded': None,
                                                  'tax_amount': '7.2200',
                                                  'tax_canceled': None,
                                                  'tax_invoiced': '7.2200',
                                                  'tax_refunded': None,
                                                  'total_canceled': None,
                                                  'total_due': '0.0000',
                                                  'total_invoiced': '97.5000',
                                                  'total_item_count': '1',
                                                  'total_offline_refunded': None,
                                                  'total_online_refunded': None,
                                                  'total_paid': '97.5000',
                                                  'total_qty_ordered': '1.0000',
                                                  'total_refunded': None,
                                                  'updated_at': time.strftime(FMT),
                                                  'website_id': u'1',
                                                  'weight': '0.0000',
                                                  'x_forwarded_for': None},
        ('sales_order.info', (900000696, )): {'adjustment_negative': None,
                                                  'adjustment_positive': None,
                                                  'applied_rule_ids': '192',
                                                  'base_adjustment_negative': None,
                                                  'base_adjustment_positive': None,
                                                  'base_currency_code': 'EUR',
                                                  'base_custbalance_amount': None,
                                                  'base_discount_amount': '-5.0000',
                                                  'base_discount_canceled': None,
                                                  'base_discount_invoiced': '5.0000',
                                                  'base_discount_refunded': None,
                                                  'base_grand_total': '36.9500',
                                                  'base_hidden_tax_amount': '0.0000',
                                                  'base_hidden_tax_invoiced': '0.0000',
                                                  'base_hidden_tax_refunded': None,
                                                  'base_shipping_amount': '0.0000',
                                                  'base_shipping_canceled': None,
                                                  'base_shipping_discount_amount': '0.0000',
                                                  'base_shipping_hidden_tax_amount': '0.0000',
                                                  'base_shipping_incl_tax': '0.0000',
                                                  'base_shipping_invoiced': '0.0000',
                                                  'base_shipping_refunded': None,
                                                  'base_shipping_tax_amount': '0.0000',
                                                  'base_shipping_tax_refunded': None,
                                                  'base_subtotal': '39.2100',
                                                  'base_subtotal_canceled': None,
                                                  'base_subtotal_incl_tax': '41.9500',
                                                  'base_subtotal_invoiced': '39.2100',
                                                  'base_subtotal_refunded': None,
                                                  'base_tax_amount': '2.7400',
                                                  'base_tax_canceled': None,
                                                  'base_tax_invoiced': '2.7400',
                                                  'base_tax_refunded': None,
                                                  'base_to_global_rate': '1.0000',
                                                  'base_to_order_rate': '1.0000',
                                                  'base_total_canceled': None,
                                                  'base_total_due': '0.0000',
                                                  'base_total_invoiced': '36.9500',
                                                  'base_total_invoiced_cost': '0.0000',
                                                  'base_total_offline_refunded': None,
                                                  'base_total_online_refunded': None,
                                                  'base_total_paid': '36.9500',
                                                  'base_total_qty_ordered': None,
                                                  'base_total_refunded': None,
                                                  'billing_address': {'address_id': '38468',
                                                                      'address_type': 'billing',
                                                                      'city': 'Lyon',
                                                                      'company': None,
                                                                      'country_id': 'FR',
                                                                      'customer_address_id': '4999',
                                                                      'customer_id': None,
                                                                      'email': 'john@doe.fr',
                                                                      'fax': None,
                                                                      'firstname': 'John',
                                                                      'lastname': 'Doe',
                                                                      'middlename': None,
                                                                      'parent_id': '7360',
                                                                      'postcode': '1006',
                                                                      'prefix': None,
                                                                      'quote_address_id': None,
                                                                      'region': None,
                                                                      'region_id': None,
                                                                      'street': 'Victor Hugo',
                                                                      'suffix': None,
                                                                      'telephone': '31763163390',
                                                                      'vat_id': None,
                                                                      'vat_is_valid': None,
                                                                      'vat_request_date': None,
                                                                      'vat_request_id': None,
                                                                      'vat_request_success': None},
                                                  'can_ship_partially': None,
                                                  'can_ship_partially_item': None,
                                                  'coupon_code': 'COUPON',
                                                  'created_at': time.strftime(FMT),
                                                  'currency_base_id': None,
                                                  'currency_code': None,
                                                  'currency_rate': None,
                                                  'custbalance_amount': None,
                                                  'customer_dob': None,
                                                  'customer_email': 'john@doe.fr',
                                                  'customer_firstname': 'John',
                                                  'customer_gender': None,
                                                  'customer_group_id': '1',
                                                  'customer_id': '1',
                                                  'customer_is_guest': '0',
                                                  'customer_lastname': 'Doe',
                                                  'customer_middlename': None,
                                                  'customer_note': None,
                                                  'customer_note_notify': '1',
                                                  'customer_prefix': None,
                                                  'customer_suffix': None,
                                                  'customer_taxvat': None,
                                                  'discount_amount': '-5.0000',
                                                  'discount_canceled': None,
                                                  'discount_description': '5 EURO Coupon',
                                                  'discount_invoiced': '5.0000',
                                                  'discount_refunded': None,
                                                  'edit_increment': None,
                                                  'email_sent': 1,
                                                  'entity_id': '4242',
                                                  'ext_customer_id': None,
                                                  'ext_order_id': None,
                                                  'forced_do_shipment_with_invoice': None,
                                                  'gift_message_id': None,
                                                  'global_currency_code': 'EUR',
                                                  'grand_total': '36.9500',
                                                  'hidden_tax_amount': '0.0000',
                                                  'hidden_tax_invoiced': '0.0000',
                                                  'hidden_tax_refunded': None,
                                                  'hold_before_state': None,
                                                  'hold_before_status': None,
                                                  'increment_id': '900000696',
                                                  'is_hold': None,
                                                  'is_multi_payment': None,
                                                  'is_virtual': 0,
                                                  'items': [{'additional_data': None,
                                                             'amount_refunded': '0.0000',
                                                             'applied_rule_ids': '192',
                                                             'base_amount_refunded': '0.0000',
                                                             'base_cost': '0.0000',
                                                             'base_discount_amount': '3.5700',
                                                             'base_discount_invoiced': '3.5700',
                                                             'base_hidden_tax_amount': '0.0000',
                                                             'base_hidden_tax_invoiced': '0.0000',
                                                             'base_hidden_tax_refunded': None,
                                                             'base_original_price': '29.9900',
                                                             'base_price': '28.0300',
                                                             'base_price_incl_tax': '29.9900',
                                                             'base_row_invoiced': '28.0300',
                                                             'base_row_total': '28.0300',
                                                             'base_row_total_incl_tax': '29.9900',
                                                             'base_tax_amount': '1.9600',
                                                             'base_tax_before_discount': None,
                                                             'base_tax_invoiced': '1.9600',
                                                             'base_weee_tax_applied_amount': '0.0000',
                                                             'base_weee_tax_applied_row_amount': '0.0000',
                                                             'base_weee_tax_disposition': '0.0000',
                                                             'base_weee_tax_row_disposition': '0.0000',
                                                             'created_at': '2013-10-14 13:20:56',
                                                             'description': None,
                                                             'discount_amount': '3.5700',
                                                             'discount_invoiced': '3.5700',
                                                             'discount_percent': '0.0000',
                                                             'ext_order_item_id': None,
                                                             'free_shipping': 0,
                                                             'gift_message_available': 2,
                                                             'gift_message_id': None,
                                                             'hidden_tax_amount': '0.0000',
                                                             'hidden_tax_canceled': None,
                                                             'hidden_tax_invoiced': '0.0000',
                                                             'hidden_tax_refunded': None,
                                                             'is_nominal': 0,
                                                             'is_qty_decimal': 0,
                                                             'is_virtual': 0,
                                                             'item_id': 354520,
                                                             'locked_do_invoice': None,
                                                             'locked_do_ship': None,
                                                             'name': 'Item 1',
                                                             'no_discount': 0,
                                                             'order_id': '4242',
                                                             'original_price': '29.9900',
                                                             'parent_item_id': None,
                                                             'price': '28.0300',
                                                             'price_incl_tax': '29.9900',
                                                             'product_id': '153',
                                                             'product_options': None,
                                                             'product_type': 'grouped',
                                                             'qty_backordered': None,
                                                             'qty_canceled': '0.0000',
                                                             'qty_invoiced': '1.0000',
                                                             'qty_ordered': '1.0000',
                                                             'qty_refunded': '0.0000',
                                                             'qty_shipped': '0.0000',
                                                             'quote_item_id': 579492,
                                                             'row_invoiced': '28.0300',
                                                             'row_total': '28.0300',
                                                             'row_total_incl_tax': '29.9900',
                                                             'row_weight': '0.0000',
                                                             'sku': 'skui1',
                                                             'store_id': 2,
                                                             'tax_amount': '1.9600',
                                                             'tax_before_discount': None,
                                                             'tax_canceled': None,
                                                             'tax_invoiced': '1.9600',
                                                             'tax_percent': '7.0000',
                                                             'tax_refunded': None,
                                                             'updated_at': '2013-10-14 13:20:56',
                                                             'weee_tax_applied': 'a:0:{}',
                                                             'weee_tax_applied_amount': '0.0000',
                                                             'weee_tax_applied_row_amount': '0.0000',
                                                             'weee_tax_disposition': '0.0000',
                                                             'weee_tax_row_disposition': '0.0000',
                                                             'weight': None},
                                                            {'additional_data': None,
                                                             'amount_refunded': '0.0000',
                                                             'applied_rule_ids': '192',
                                                             'base_amount_refunded': '0.0000',
                                                             'base_cost': '0.0000',
                                                             'base_discount_amount': '1.4300',
                                                             'base_discount_invoiced': '1.4300',
                                                             'base_hidden_tax_amount': '0.0000',
                                                             'base_hidden_tax_invoiced': '0.0000',
                                                             'base_hidden_tax_refunded': None,
                                                             'base_original_price': '11.9600',
                                                             'base_price': '11.1800',
                                                             'base_price_incl_tax': '11.9600',
                                                             'base_row_invoiced': '11.1800',
                                                             'base_row_total': '11.1800',
                                                             'base_row_total_incl_tax': '11.9600',
                                                             'base_tax_amount': '0.7800',
                                                             'base_tax_before_discount': None,
                                                             'base_tax_invoiced': '0.7800',
                                                             'base_weee_tax_applied_amount': '0.0000',
                                                             'base_weee_tax_applied_row_amount': '0.0000',
                                                             'base_weee_tax_disposition': '0.0000',
                                                             'base_weee_tax_row_disposition': '0.0000',
                                                             'created_at': '2013-10-14 13:20:56',
                                                             'description': None,
                                                             'discount_amount': '1.4300',
                                                             'discount_invoiced': '1.4300',
                                                             'discount_percent': '0.0000',
                                                             'ext_order_item_id': None,
                                                             'free_shipping': 0,
                                                             'gift_message_available': 2,
                                                             'gift_message_id': None,
                                                             'hidden_tax_amount': '0.0000',
                                                             'hidden_tax_canceled': None,
                                                             'hidden_tax_invoiced': '0.0000',
                                                             'hidden_tax_refunded': None,
                                                             'is_nominal': 0,
                                                             'is_qty_decimal': 0,
                                                             'is_virtual': 0,
                                                             'item_id': 354521,
                                                             'locked_do_invoice': None,
                                                             'locked_do_ship': None,
                                                             'name': 'Item 2',
                                                             'no_discount': 0,
                                                             'order_id': '4242',
                                                             'original_price': '11.9600',
                                                             'parent_item_id': None,
                                                             'price': '11.1800',
                                                             'price_incl_tax': '11.9600',
                                                             'product_id': '156',
                                                             'product_options': None,
                                                             'product_type': 'grouped',
                                                             'qty_backordered': None,
                                                             'qty_canceled': '0.0000',
                                                             'qty_invoiced': '1.0000',
                                                             'qty_ordered': '1.0000',
                                                             'qty_refunded': '0.0000',
                                                             'qty_shipped': '0.0000',
                                                             'quote_item_id': 579493,
                                                             'row_invoiced': '11.1800',
                                                             'row_total': '11.1800',
                                                             'row_total_incl_tax': '11.9600',
                                                             'row_weight': '0.0000',
                                                             'sku': 'skui2',
                                                             'store_id': 2,
                                                             'tax_amount': '0.7800',
                                                             'tax_before_discount': None,
                                                             'tax_canceled': None,
                                                             'tax_invoiced': '0.7800',
                                                             'tax_percent': '7.0000',
                                                             'tax_refunded': None,
                                                             'updated_at': '2013-10-14 13:20:56',
                                                             'weee_tax_applied': 'a:0:{}',
                                                             'weee_tax_applied_amount': '0.0000',
                                                             'weee_tax_applied_row_amount': '0.0000',
                                                             'weee_tax_disposition': '0.0000',
                                                             'weee_tax_row_disposition': '0.0000',
                                                             'weight': None}],
                                                  'order_currency_code': 'EUR',
                                                  'original_increment_id': None,
                                                  'payment': {'account_status': None,
                                                              'additional_data': None,
                                                              'additional_information': None,
                                                              'address_status': None,
                                                              'amount': None,
                                                              'amount_authorized': None,
                                                              'amount_canceled': None,
                                                              'amount_ordered': '36.9500',
                                                              'amount_paid': '36.9500',
                                                              'amount_refunded': None,
                                                              'anet_trans_method': None,
                                                              'base_amount_authorized': None,
                                                              'base_amount_canceled': None,
                                                              'base_amount_ordered': '36.9500',
                                                              'base_amount_paid': '36.9500',
                                                              'base_amount_paid_online': None,
                                                              'base_amount_refunded': None,
                                                              'base_amount_refunded_online': None,
                                                              'base_shipping_amount': '0.0000',
                                                              'base_shipping_captured': '0.0000',
                                                              'base_shipping_refunded': None,
                                                              'cc_approval': None,
                                                              'cc_avs_status': None,
                                                              'cc_cid_status': None,
                                                              'cc_debug_request_body': None,
                                                              'cc_debug_response_body': None,
                                                              'cc_debug_response_serialized': None,
                                                              'cc_exp_month': '0',
                                                              'cc_exp_year': '0',
                                                              'cc_last4': '',
                                                              'cc_number_enc': '',
                                                              'cc_owner': 'John Doe',
                                                              'cc_raw_request': None,
                                                              'cc_raw_response': None,
                                                              'cc_secure_verify': None,
                                                              'cc_ss_issue': None,
                                                              'cc_ss_start_month': '0',
                                                              'cc_ss_start_year': '0',
                                                              'cc_status': None,
                                                              'cc_status_description': None,
                                                              'cc_trans_id': None,
                                                              'cc_type': '',
                                                              'customer_payment_id': None,
                                                              'cybersource_token': None,
                                                              'echeck_account_name': None,
                                                              'echeck_account_type': None,
                                                              'echeck_bank_name': None,
                                                              'echeck_routing_number': None,
                                                              'echeck_type': None,
                                                              'entity_id': '4242',
                                                              'flo2cash_account_id': None,
                                                              'ideal_issuer_id': None,
                                                              'ideal_issuer_title': None,
                                                              'ideal_transaction_checked': None,
                                                              'last_trans_id': None,
                                                              'method': 'checkmo',
                                                              'parent_id': '4242',
                                                              'paybox_question_number': None,
                                                              'paybox_request_number': None,
                                                              'pn_su_transaction_id': None,
                                                              'po_number': '',
                                                              'protection_eligibility': None,
                                                              'quote_payment_id': None,
                                                              'sequence_number': None,
                                                              'shipping_amount': '0.0000',
                                                              'shipping_captured': '0.0000',
                                                              'shipping_refunded': None},
                                                  'payment_authorization_amount': None,
                                                  'payment_authorization_expiration': None,
                                                  'paypal_ipn_customer_notified': None,
                                                  'protect_code': '3fde3f',
                                                  'quote_address_id': None,
                                                  'quote_id': 460362,
                                                  'real_order_id': None,
                                                  'relation_child_id': None,
                                                  'relation_child_real_id': None,
                                                  'relation_parent_id': None,
                                                  'relation_parent_real_id': None,
                                                  'remote_ip': '127.0.0.1',
                                                  'shipping_address': {'address_id': '38469',
                                                                       'address_type': 'shipping',
                                                                       'city': 'Lyon',
                                                                       'company': None,
                                                                       'country_id': 'FR',
                                                                       'customer_address_id': None,
                                                                       'customer_id': None,
                                                                       'email': 'john@doe.fr',
                                                                       'fax': None,
                                                                       'firstname': 'John',
                                                                       'lastname': 'Doe',
                                                                       'middlename': None,
                                                                       'parent_id': '7360',
                                                                       'postcode': '1006',
                                                                       'prefix': None,
                                                                       'quote_address_id': None,
                                                                       'region': None,
                                                                       'region_id': None,
                                                                       'street': 'Victor Hugo',
                                                                       'suffix': None,
                                                                       'telephone': '31763163390',
                                                                       'vat_id': None,
                                                                       'vat_is_valid': None,
                                                                       'vat_request_date': None,
                                                                       'vat_request_id': None,
                                                                       'vat_request_success': None},
                                                  'shipping_amount': '0.0000',
                                                  'shipping_canceled': None,
                                                  'shipping_description': 'free',
                                                  'shipping_discount_amount': '0.0000',
                                                  'shipping_hidden_tax_amount': '0.0000',
                                                  'shipping_incl_tax': '0.0000',
                                                  'shipping_invoiced': '0.0000',
                                                  'shipping_method': 'freeshipping',
                                                  'shipping_refunded': None,
                                                  'shipping_tax_amount': '0.0000',
                                                  'shipping_tax_refunded': None,
                                                  'state': 'new',
                                                  'status': 'complete',
                                                  'status_history': [{'comment': u'Notifier le client pour la facture n\xb0100003489.',
                                                                      'created_at': '2013-10-14 13:22:02',
                                                                      'entity_name': 'invoice',
                                                                      'is_customer_notified': '1',
                                                                      'is_visible_on_front': '0',
                                                                      'parent_id': '7360',
                                                                      'status': 'processing',
                                                                      'store_id': '1'},
                                                                     {'comment': u'IPN "Completed". Registered notification about captured amount of 97,50\xa0EUR. Transaction ID: "1P06829259760661R".',
                                                                      'created_at': '2013-10-14 13:22:00',
                                                                      'entity_name': 'invoice',
                                                                      'is_customer_notified': '2',
                                                                      'is_visible_on_front': '0',
                                                                      'parent_id': '7360',
                                                                      'status': 'processing',
                                                                      'store_id': '1'},
                                                                     {'comment': None,
                                                                      'created_at': '2013-10-14 13:20:58',
                                                                      'entity_name': 'order',
                                                                      'is_customer_notified': '0',
                                                                      'is_visible_on_front': '0',
                                                                      'parent_id': '7360',
                                                                      'status': 'pending_payment',
                                                                      'store_id': '1'}],
                                                  'store_currency_code': 'EUR',
                                                  'store_id': 2,
                                                  'store_name': 'Main',
                                                  'store_to_base_rate': '1.0000',
                                                  'store_to_order_rate': '1.0000',
                                                  'subtotal': '39.2100',
                                                  'subtotal_canceled': None,
                                                  'subtotal_incl_tax': '41.9500',
                                                  'subtotal_invoiced': '39.2100',
                                                  'subtotal_refunded': None,
                                                  'tax_amount': '2.7400',
                                                  'tax_canceled': None,
                                                  'tax_invoiced': '2.7400',
                                                  'tax_percent': None,
                                                  'tax_refunded': None,
                                                  'total_canceled': None,
                                                  'total_due': '0.0000',
                                                  'total_invoiced': '36.9500',
                                                  'total_item_count': 2,
                                                  'total_offline_refunded': None,
                                                  'total_online_refunded': None,
                                                  'total_paid': '36.9500',
                                                  'total_qty_ordered': '2.0000',
                                                  'total_refunded': None,
                                                  'tracking_numbers': None,
                                                  'updated_at': '2013-10-14 13:20:56',
                                                  'weight': '0.0000',
                                                  'x_forwarded_for': None},
        ('sales_order.info', ('900000691-1', )): {'adjustment_negative': None,
                                                      'adjustment_positive': None,
                                                      'applied_rule_ids': None,
                                                      'base_adjustment_negative': None,
                                                      'base_adjustment_positive': None,
                                                      'base_currency_code': 'EUR',
                                                      'base_discount_amount': '0.0000',
                                                      'base_discount_canceled': None,
                                                      'base_discount_invoiced': '0.0000',
                                                      'base_discount_refunded': None,
                                                      'base_grand_total': '97.5000',
                                                      'base_hidden_tax_amount': '0.0000',
                                                      'base_hidden_tax_invoiced': '0.0000',
                                                      'base_hidden_tax_refunded': None,
                                                      'base_shipping_amount': '7.8700',
                                                      'base_shipping_canceled': None,
                                                      'base_shipping_discount_amount': '0.0000',
                                                      'base_shipping_hidden_tax_amnt': '0.0000',
                                                      'base_shipping_hidden_tax_amount': '0.0000',
                                                      'base_shipping_incl_tax': '8.5000',
                                                      'base_shipping_invoiced': '7.8700',
                                                      'base_shipping_refunded': None,
                                                      'base_shipping_tax_amount': '0.6300',
                                                      'base_shipping_tax_refunded': None,
                                                      'base_subtotal': '82.4100',
                                                      'base_subtotal_canceled': None,
                                                      'base_subtotal_incl_tax': '89.0000',
                                                      'base_subtotal_invoiced': '82.4100',
                                                      'base_subtotal_refunded': None,
                                                      'base_tax_amount': '7.2200',
                                                      'base_tax_canceled': None,
                                                      'base_tax_invoiced': '7.2200',
                                                      'base_tax_refunded': None,
                                                      'base_to_global_rate': '1.0000',
                                                      'base_to_order_rate': '1.0000',
                                                      'base_total_canceled': None,
                                                      'base_total_due': '0.0000',
                                                      'base_total_invoiced': '97.5000',
                                                      'base_total_invoiced_cost': '0.0000',
                                                      'base_total_offline_refunded': None,
                                                      'base_total_online_refunded': None,
                                                      'base_total_paid': '97.5000',
                                                      'base_total_qty_ordered': None,
                                                      'base_total_refunded': None,
                                                      'billing_address': {'address_id': '38468',
                                                                          'address_type': 'billing',
                                                                          'city': 'Lyon',
                                                                          'company': None,
                                                                          'country_id': 'FR',
                                                                          'customer_address_id': '4999',
                                                                          'customer_id': None,
                                                                          'email': 'john@doe.fr',
                                                                          'fax': None,
                                                                          'firstname': 'John',
                                                                          'lastname': 'Doe',
                                                                          'middlename': None,
                                                                          'parent_id': '7360',
                                                                          'postcode': '1006',
                                                                          'prefix': None,
                                                                          'quote_address_id': None,
                                                                          'region': None,
                                                                          'region_id': None,
                                                                          'street': 'Victor Hugo',
                                                                          'suffix': None,
                                                                          'telephone': '31763163390',
                                                                          'vat_id': None,
                                                                          'vat_is_valid': None,
                                                                          'vat_request_date': None,
                                                                          'vat_request_id': None,
                                                                          'vat_request_success': None},
                                                      'billing_address_id': '38468',
                                                      'can_ship_partially': None,
                                                      'can_ship_partially_item': None,
                                                      'coupon_code': None,
                                                      'coupon_rule_name': None,
                                                      'created_at': time.strftime(FMT),
                                                      'customer_dob': None,
                                                      'customer_email': 'john@doe.fr',
                                                      'customer_firstname': 'John',
                                                      'customer_gender': None,
                                                      'customer_group_id': '1',
                                                      'customer_id': '1',
                                                      'customer_is_guest': '0',
                                                      'customer_lastname': 'Doe',
                                                      'customer_middlename': None,
                                                      'customer_note': None,
                                                      'customer_note_notify': '1',
                                                      'customer_prefix': None,
                                                      'customer_suffix': None,
                                                      'customer_taxvat': None,
                                                      'discount_amount': '0.0000',
                                                      'discount_canceled': None,
                                                      'discount_description': None,
                                                      'discount_invoiced': '0.0000',
                                                      'discount_refunded': None,
                                                      'edit_increment': None,
                                                      'email_sent': '1',
                                                      'employee_email': None,
                                                      'employee_name': None,
                                                      'employee_phone': None,
                                                      'ext_customer_id': None,
                                                      'ext_order_id': None,
                                                      'forced_do_shipment_with_invoice': None,
                                                      'forced_shipment_with_invoice': None,
                                                      'gift_message_id': None,
                                                      'global_currency_code': 'EUR',
                                                      'grand_total': '97.5000',
                                                      'hidden_tax_amount': '0.0000',
                                                      'hidden_tax_invoiced': '0.0000',
                                                      'hidden_tax_refunded': None,
                                                      'hold_before_state': None,
                                                      'hold_before_status': None,
                                                      'imported': '0',
                                                      'increment_id': '900000691-1',
                                                      'is_virtual': '0',
                                                      'items': [{'additional_data': None,
                                                                 'amount_refunded': '0.0000',
                                                                 'applied_rule_ids': None,
                                                                 'base_amount_refunded': '0.0000',
                                                                 'base_cost': None,
                                                                 'base_discount_amount': '0.0000',
                                                                 'base_discount_invoiced': '0.0000',
                                                                 'base_discount_refunded': None,
                                                                 'base_hidden_tax_amount': None,
                                                                 'base_hidden_tax_invoiced': '0.0000',
                                                                 'base_hidden_tax_refunded': None,
                                                                 'base_original_price': '89.0000',
                                                                 'base_price': '82.4100',
                                                                 'base_price_incl_tax': '89.0000',
                                                                 'base_row_invoiced': '82.4100',
                                                                 'base_row_total': '82.4100',
                                                                 'base_row_total_incl_tax': '89.0000',
                                                                 'base_tax_amount': '6.5900',
                                                                 'base_tax_before_discount': None,
                                                                 'base_tax_invoiced': '6.5900',
                                                                 'base_tax_refunded': None,
                                                                 'base_weee_tax_applied_amount': '0.0000',
                                                                 'base_weee_tax_applied_row_amnt': '0.0000',
                                                                 'base_weee_tax_applied_row_amount': '0.0000',
                                                                 'base_weee_tax_disposition': '0.0000',
                                                                 'base_weee_tax_row_disposition': '0.0000',
                                                                 'created_at': '2013-10-14 13:20:56',
                                                                 'description': None,
                                                                 'discount_amount': '0.0000',
                                                                 'discount_invoiced': '0.0000',
                                                                 'discount_percent': '0.0000',
                                                                 'discount_refunded': None,
                                                                 'earned_points_hash': None,
                                                                 'ext_order_item_id': None,
                                                                 'free_shipping': '0',
                                                                 'gift_message_available': None,
                                                                 'gift_message_id': None,
                                                                 'hidden_tax_amount': None,
                                                                 'hidden_tax_canceled': None,
                                                                 'hidden_tax_invoiced': '0.0000',
                                                                 'hidden_tax_refunded': None,
                                                                 'is_nominal': '0',
                                                                 'is_qty_decimal': '0',
                                                                 'is_virtual': '0',
                                                                 'item_id': '12751',
                                                                 'locked_do_invoice': None,
                                                                 'locked_do_ship': None,
                                                                 'name': 'Dior Homme',
                                                                 'no_discount': '0',
                                                                 'order_id': '7360',
                                                                 'original_price': '89.0000',
                                                                 'parent_item_id': None,
                                                                 'price': '82.4100',
                                                                 'price_incl_tax': '89.0000',
                                                                 'product_id': '157',
                                                                 'product_options': 'a:1:{s:15:"info_buyRequest";a:6:{s:4:"uenc";s:176:"aHR0cDovL3d3dy4xMDAwcGFyZnVtcy5jaC9ib3V0aXF1ZTEuNy4wLjIvZnIvcGFyZnVtLWhvbW1lcy1ldC1mZW1tZXMtcGFzLWNoZXIvcGFyZnVtLWRpb3ItcGFzLWNoZXIvcGFyZnVtLWRpb3ItaG9tbWUtcGFzLWNoZXIuaHRtbA,,";s:7:"product";s:4:"4773";s:15:"related_product";s:0:"";s:3:"qty";s:1:"1";s:1:"x";s:2:"70";s:1:"y";s:2:"23";}}',
                                                                 'product_type': 'simple',
                                                                 'qty_backordered': None,
                                                                 'qty_canceled': '0.0000',
                                                                 'qty_invoiced': '1.0000',
                                                                 'qty_ordered': '1.0000',
                                                                 'qty_refunded': '0.0000',
                                                                 'qty_shipped': '0.0000',
                                                                 'quote_item_id': '46485',
                                                                 'redeemed_points_hash': None,
                                                                 'row_invoiced': '82.4100',
                                                                 'row_total': '82.4100',
                                                                 'row_total_after_redemptions': None,
                                                                 'row_total_after_redemptions_incl_tax': None,
                                                                 'row_total_before_redemptions': None,
                                                                 'row_total_before_redemptions_incl_tax': None,
                                                                 'row_total_incl_tax': '89.0000',
                                                                 'row_weight': '0.0000',
                                                                 'sku': '1625',
                                                                 'store_id': '1',
                                                                 'tax_amount': '6.5900',
                                                                 'tax_before_discount': None,
                                                                 'tax_canceled': None,
                                                                 'tax_invoiced': '6.5900',
                                                                 'tax_percent': '8.0000',
                                                                 'tax_refunded': None,
                                                                 'updated_at': '2013-10-14 13:22:00',
                                                                 'weee_tax_applied': 'a:0:{}',
                                                                 'weee_tax_applied_amount': '0.0000',
                                                                 'weee_tax_applied_row_amount': '0.0000',
                                                                 'weee_tax_disposition': '0.0000',
                                                                 'weee_tax_row_disposition': '0.0000',
                                                                 'weight': None}],
                                                      'order_currency_code': 'EUR',
                                                      'order_id': '7360',
                                                      'original_increment_id': '900000691',
                                                      'payment': {'account_status': None,
                                                                  'additional_data': None,
                                                                  'address_status': None,
                                                                  'amount_authorized': None,
                                                                  'amount_canceled': None,
                                                                  'amount_ordered': '97.5000',
                                                                  'amount_paid': '97.5000',
                                                                  'amount_refunded': None,
                                                                  'anet_trans_method': None,
                                                                  'base_amount_authorized': None,
                                                                  'base_amount_canceled': None,
                                                                  'base_amount_ordered': '97.5000',
                                                                  'base_amount_paid': '97.5000',
                                                                  'base_amount_paid_online': None,
                                                                  'base_amount_refunded': None,
                                                                  'base_amount_refunded_online': None,
                                                                  'base_shipping_amount': '7.8700',
                                                                  'base_shipping_captured': '7.8700',
                                                                  'base_shipping_refunded': None,
                                                                  'cc_approval': None,
                                                                  'cc_avs_status': None,
                                                                  'cc_cid_status': None,
                                                                  'cc_debug_request_body': None,
                                                                  'cc_debug_response_body': None,
                                                                  'cc_debug_response_serialized': None,
                                                                  'cc_exp_month': '0',
                                                                  'cc_exp_year': '0',
                                                                  'cc_last4': None,
                                                                  'cc_number_enc': None,
                                                                  'cc_owner': None,
                                                                  'cc_secure_verify': None,
                                                                  'cc_ss_issue': None,
                                                                  'cc_ss_start_month': '0',
                                                                  'cc_ss_start_year': '0',
                                                                  'cc_status': None,
                                                                  'cc_status_description': None,
                                                                  'cc_trans_id': None,
                                                                  'cc_type': None,
                                                                  'cybersource_token': None,
                                                                  'echeck_account_name': None,
                                                                  'echeck_account_type': None,
                                                                  'echeck_bank_name': None,
                                                                  'echeck_routing_number': None,
                                                                  'echeck_type': None,
                                                                  'flo2cash_account_id': None,
                                                                  'ideal_issuer_id': None,
                                                                  'ideal_issuer_title': None,
                                                                  'ideal_transaction_checked': None,
                                                                  'last_trans_id': '1P06829259760661R',
                                                                  'method': 'checkmo',
                                                                  'parent_id': '7360',
                                                                  'paybox_question_number': None,
                                                                  'paybox_request_number': None,
                                                                  'payment_id': '32844',
                                                                  'po_number': None,
                                                                  'protection_eligibility': None,
                                                                  'quote_payment_id': None,
                                                                  'shipping_amount': '7.8700',
                                                                  'shipping_captured': '7.8700',
                                                                  'shipping_refunded': None},
                                                      'payment_auth_expiration': None,
                                                      'payment_authorization_amount': None,
                                                      'payment_authorization_expiration': None,
                                                      'paypal_ipn_customer_notified': None,
                                                      'protect_code': '49accf',
                                                      'quote_address_id': None,
                                                      'quote_id': '33794',
                                                      'relation_child_id': None,
                                                      'relation_child_real_id': None,
                                                      'relation_parent_id': None,
                                                      'relation_parent_real_id': 900000691,
                                                      'remote_ip': None,
                                                      'rewards_base_discount_amount': None,
                                                      'rewards_base_discount_tax_amount': None,
                                                      'rewards_discount_amount': None,
                                                      'rewards_discount_tax_amount': None,
                                                      'shipping_address': {'address_id': '38469',
                                                                           'address_type': 'shipping',
                                                                           'city': 'Lyon',
                                                                           'company': None,
                                                                           'country_id': 'FR',
                                                                           'customer_address_id': None,
                                                                           'customer_id': None,
                                                                           'email': 'john@doe.fr',
                                                                           'fax': None,
                                                                           'firstname': 'John',
                                                                           'lastname': 'Doe',
                                                                           'middlename': None,
                                                                           'parent_id': '7360',
                                                                           'postcode': '1006',
                                                                           'prefix': None,
                                                                           'quote_address_id': None,
                                                                           'region': None,
                                                                           'region_id': None,
                                                                           'street': 'Victor Hugo',
                                                                           'suffix': None,
                                                                           'telephone': '31763163390',
                                                                           'vat_id': None,
                                                                           'vat_is_valid': None,
                                                                           'vat_request_date': None,
                                                                           'vat_request_id': None,
                                                                           'vat_request_success': None},
                                                      'shipping_address_id': '38469',
                                                      'shipping_amount': '7.8700',
                                                      'shipping_canceled': None,
                                                      'shipping_description': 'La Poste',
                                                      'shipping_discount_amount': '0.0000',
                                                      'shipping_hidden_tax_amount': '0.0000',
                                                      'shipping_incl_tax': '8.5000',
                                                      'shipping_invoiced': '7.8700',
                                                      'shipping_method': 'flatrate_flatrate',
                                                      'shipping_refunded': None,
                                                      'shipping_tax_amount': '0.6300',
                                                      'shipping_tax_refunded': None,
                                                      'state': 'processing',
                                                      'status': 'processing',
                                                      'status_history': [{'comment': u'Notifier le client pour la facture n\xb0100003489.',
                                                                          'created_at': '2013-10-14 13:22:02',
                                                                          'entity_name': 'invoice',
                                                                          'is_customer_notified': '1',
                                                                          'is_visible_on_front': '0',
                                                                          'parent_id': '7360',
                                                                          'status': 'processing',
                                                                          'store_id': '1'},
                                                                         {'comment': u'IPN "Completed". Registered notification about captured amount of 97,50\xa0EUR. Transaction ID: "1P06829259760661R".',
                                                                          'created_at': '2013-10-14 13:22:00',
                                                                          'entity_name': 'invoice',
                                                                          'is_customer_notified': '2',
                                                                          'is_visible_on_front': '0',
                                                                          'parent_id': '7360',
                                                                          'status': 'processing',
                                                                          'store_id': '1'},
                                                                         {'comment': None,
                                                                          'created_at': '2013-10-14 13:20:58',
                                                                          'entity_name': 'order',
                                                                          'is_customer_notified': '0',
                                                                          'is_visible_on_front': '0',
                                                                          'parent_id': '7360',
                                                                          'status': 'pending_payment',
                                                                          'store_id': '1'}],
                                                      'store_currency_code': 'EUR',
                                                      'store_id': '1',
                                                      'store_name': u'France',
                                                      'store_to_base_rate': '1.0000',
                                                      'store_to_order_rate': '1.0000',
                                                      'subtotal': '82.4100',
                                                      'subtotal_canceled': None,
                                                      'subtotal_incl_tax': '89.0000',
                                                      'subtotal_invoiced': '82.4100',
                                                      'subtotal_refunded': None,
                                                      'tax_amount': '7.2200',
                                                      'tax_canceled': None,
                                                      'tax_invoiced': '7.2200',
                                                      'tax_refunded': None,
                                                      'total_canceled': None,
                                                      'total_due': '0.0000',
                                                      'total_invoiced': '97.5000',
                                                      'total_item_count': '1',
                                                      'total_offline_refunded': None,
                                                      'total_online_refunded': None,
                                                      'total_paid': '97.5000',
                                                      'total_qty_ordered': '1.0000',
                                                      'total_refunded': None,
                                                      'updated_at': '2013-10-14 13:22:00',
                                                      'website_id': u'1',
                                                      'weight': '0.0000',
                                                      'x_forwarded_for': None},
        ('sales_order.get_parent', (900000691,)): False,
     }
